/*
 * AbnormalApi.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-05-12 16:19:04 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.quality.common.vo.abnormal.AbnormalListVO;
import com.unis.quality.common.vo.abnormal.AbnormalShowVO;
import com.unis.quality.common.vo.abnormal.AbnormalVO;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

//import org.springframework.web.bind.annotation.RequestMapping;

/**
 * TY_YCQKZGTZ-异常情况整改通知
 * @author lipenghe at 2020-05-12 16:19:04
 */
//@RequestMapping("/manager")
//异常情况整改通知---异常情况整改通知
@FeignClient("quality-server")
public interface AbnormalApi {

    @ApiOperation(value = "异常情况---异常情况整改通知---选择性插入字段", notes = "异常情况整改通知")
    @PostMapping("/manager/abnormal/insertEntitySelective")
    public ResponseWrapper insertEntitySelective(@RequestBody AbnormalVO abnormalVO);

    @ApiOperation(value = "异常情况---异常情况整改通知---根据实体不为空的属性,选择性更新字段", notes = "异常情况整改通知")
    @PostMapping("/manager/abnormal/updateByEntitySelective")
    public ResponseWrapper updateByEntitySelective(@RequestBody AbnormalVO abnormalVO);

    @ApiOperation(value = "异常情况---异常情况整改通知---根据实体不为空的属性,选择性更新字段,只更新主表", notes = "异常情况整改通知")
    @PostMapping("/manager/abnormal/updateSingleByEntitySelective")
    public ResponseWrapper updateSingleByEntitySelective(@RequestBody AbnormalVO abnormalVO);

    @ApiOperation(value = "异常情况---异常情况整改通知---更改状态", notes = "异常情况整改通知")
    @PostMapping("/manager/abnormal/updateStatusByEntity")
    public ResponseWrapper updateStatusByEntity(@RequestBody AbnormalVO abnormalVO);

    @ApiOperation(value = "异常情况---异常情况整改通知---[真删除]根据实体的某些属性进行单条或者批量删除", notes = "异常情况整改通知")
    @PostMapping("/manager/abnormal/deleteByEntity")
    public ResponseWrapper deleteByEntity(@RequestBody AbnormalShowVO abnormalShowVO);

    @ApiOperation(value = "异常情况---异常情况整改通知---根据实体(唯一标示)查询一条数据", notes = "异常情况整改通知")
    @PostMapping("/manager/abnormal/selectById")
    public ResponseWrapper selectById(@RequestBody AbnormalShowVO abnormalShowVO);

    @ApiOperation(value = "异常情况---异常情况整改通知---根据实体的某些属性查询分页数据,pageSize,pageNum从url传", notes = "异常情况整改通知")
    @PostMapping("/manager/abnormal/selectPageByEntity")
    public ResponseWrapper selectPageByEntity(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            , @RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            , @RequestBody AbnormalListVO abnormalListVO);

    @ApiOperation(value = "异常情况---异常情况整改通知---根据实体的某些属性查询列表", notes = "异常情况整改通知")
    @PostMapping("/manager/abnormal/selectByEntity")
    public ResponseWrapper selectByEntity(@RequestBody AbnormalListVO abnormalListVO);

    @ApiOperation(value = "异常情况---异常情况整改通知---初始化数据", notes = "异常情况整改通知")
    @PostMapping("/manager/abnormal/selectInitData")
    public ResponseWrapper selectInitData(@RequestBody AbnormalVO AbnormalVO);
}
