package com.unis.quality.client;

import com.alibaba.fastjson.JSONObject;
import com.unis.base.common.vo.CompanyQueryVO;
import com.unis.common.utils.ResponseWrapper;
import com.unis.quality.common.dto.OrgainzeDTO;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Repository;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
 * @author lidiaoquan
 * @version 1.0
 * @Title: BaseServerClient
 * @Description: base服务调用Feign
 * @date 2020年3月9日 下午5:17:20
 */
@FeignClient(name = "BASE-SERVER")
@Repository
public interface BaseServerClient {


    @ApiOperation(value = "获取人员信息列表", notes = "参数：人员编号，人员名称，库点编号，库点名称，岗位代码\"gwdm\": 16")
    @PostMapping(value = "/personnelList")
    public ResponseWrapper selectPersonnelList(@RequestBody JSONObject obj);
    
    @ApiOperation(value = "获取设备信息列表", notes = "参数：设备编号，设备名称，库点编号，库点名称，设备类型\"sblxbh\": \"SBLX20191105104\"，设备状态, 机构ID")
    @PostMapping(value = "/equipmentList")
    public ResponseWrapper selectEquipmentList(@RequestBody JSONObject obj);
    
    @ApiOperation(value = "获取承储库数据(固定用)", notes = "")
    @PostMapping(value = "/companyKdList")
    public ResponseWrapper selectCompanyKdList();

    @PostMapping(value = "/companyList")
    public ResponseWrapper getCompanyList(@RequestBody CompanyQueryVO companyQueryVO);

    @ApiOperation(value = "根据仓房编码获取仓房信息", notes = "参数：库点编号")
    @GetMapping(value = "/warehouse/{cfbh}")
    public ResponseWrapper getDCfxxxsjyInfoBycfbh(@PathVariable("cfbh")String cfbh);

}
