package com.unis.quality.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.quality.common.vo.TbCheckstandardItemVO;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

/**
 *
 * @ClassName: CheckstandardInfoFeign
 * @Description: 检验流程管理——检测标准
 * @author xmpu
 * @date 2018年10月30日10:34:20
 *
 * @version v1.0
 */
@FeignClient(name = "quality-server")
@Component
public interface CheckstandardItemFegin {

	@ApiOperation(value = "查询所有检测项目信息", notes = "参数：标准名称，项目要求")
	@ApiImplicitParams({
			@ApiImplicitParam(name = "page", value = "起始页", required = true),
			@ApiImplicitParam(name = "size", value = "每页展示行数", required = true)
	})
	@RequestMapping(method = RequestMethod.POST,value = "/checkstandarditem/findByPage/{page}/{size}")
	public ResponseWrapper findByPage(@RequestBody TbCheckstandardItemVO checkstandardItemBO, @PathVariable(value = "page") Integer page, @PathVariable Integer size);
	@ApiOperation(value = "保存检测项目", notes = "参数：检测标准实体类")
	@RequestMapping(method = RequestMethod.POST, value = "/checkstandarditem/save")
	public ResponseWrapper insert(@RequestBody TbCheckstandardItemVO checkstandardItemBO);

	@ApiOperation(value = "删除检测项目", notes = "参数：标准id，多个以逗号隔开")
	@RequestMapping(method = RequestMethod.GET, value = "/checkstandarditem/delete")
	public ResponseWrapper deleteInorout(@RequestParam("itemId") String[] itemId);

	@ApiOperation(value = "获取所有标准分类")
	@RequestMapping(method = RequestMethod.POST, value = "/checkstandarditem/getAllInfo")
	public ResponseWrapper getAllInfo();

	@ApiOperation(value = "更新项目信息", notes = "参数：对象checkstandardItemBO")
	@RequestMapping(method = RequestMethod.POST, value = "/checkstandarditem/update")
	public ResponseWrapper update(@RequestBody TbCheckstandardItemVO checkstandardItemBO);

	@ApiOperation(value = "查询项目信息", notes = "参数: 项目信息itemId")
	@RequestMapping(method = RequestMethod.GET, value = "/checkstandarditem/findByItemId/{itemId}")
	public ResponseWrapper findByItemId(@PathVariable String itemId);
}
