package com.unis.quality.client;

import com.alibaba.fastjson.JSONObject;
import com.unis.common.utils.ResponseWrapper;
import com.unis.quality.common.utils.ResponseWrapperSmart;
import com.unis.quality.common.vo.EntrustInspectApplyVO;
import com.unis.quality.common.vo.EntrustInspectVO;
import com.unis.quality.common.vo.QualityInspectionVO;
import org.springframework.web.bind.annotation.*;

/**
 * @author by PIG
 * 2023/10/10 14
 */
public interface EntrustInspectApi {

    @PostMapping("/entrust_inspect/apply/selectPageByEntity")
    ResponseWrapper selectApplyPageByEntity(@RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                            @RequestParam(value = "pageSize", defaultValue = "10") int pageSize,
                                            @RequestParam(value = "pageType", defaultValue = "1") int pageType,
                                            @RequestBody JSONObject queryParams);

    @GetMapping("/entrust_inspect/apply/selectById/{fid}")
    ResponseWrapper selectEntrustInspectApplyById(@PathVariable("fid")Long fid);

    @PostMapping("/entrust_inspect/apply/insertEntitySelective")
    ResponseWrapper insertEntrustInspectApply(@RequestBody EntrustInspectApplyVO entity);

    @PutMapping("/entrust_inspect/apply/updateByEntitySelective")
    ResponseWrapper updateEntrustInspectApply(@RequestBody EntrustInspectApplyVO entity);

    @DeleteMapping("/entrust_inspect/apply/remove/{fid}")
    ResponseWrapper removeEntrustInspectApplyById(@PathVariable("fid")Long fid);

    @PostMapping("/entrust_inspect/selectPageByEntity")
    ResponseWrapper selectPageByEntity(@RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                       @RequestParam(value = "pageSize", defaultValue = "10") int pageSize,
                                       @RequestParam(value = "pageType", defaultValue = "1") int pageType,
                                       @RequestBody JSONObject queryParams);

    @GetMapping("/entrust_inspect/selectById/{fid}")
    ResponseWrapper getEntrustInspectById(@PathVariable("fid")Long fid);

    @GetMapping("/entrust_inspect/selectById/{fid}")
    ResponseWrapperSmart<EntrustInspectVO> smartGetEntrustInspectById(@PathVariable("fid")Long fid);

    @PutMapping("/entrust_inspect/create_entrust_inspect")
    ResponseWrapper createEntrustInspect(@RequestBody EntrustInspectVO entity);

    @PutMapping("/entrust_inspect/update_entrust_inspect")
    ResponseWrapper updateEntrustInspect(@RequestBody EntrustInspectVO entity);

    @PostMapping("/entrust_inspect/report/selectQualityInspectionPageByEntity")
    ResponseWrapper selectQualityInspectionPageByEntity(@RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                        @RequestParam(value = "pageSize", defaultValue = "10") int pageSize,
                                                        @RequestParam(value = "pageType", defaultValue = "1") int pageType,
                                                        @RequestBody JSONObject queryParams);

    @GetMapping("/entrust_inspect/report/selectById/{fid}")
    ResponseWrapperSmart<QualityInspectionVO> selectQualityInspectionById(@PathVariable("fid")Long fid);

    @PutMapping("/entrust_inspect/upload_quality_inspection")
    ResponseWrapper uploadQualityInspection(@RequestBody JSONObject req);

    @GetMapping("/entrust_inspect/check_finish")
    ResponseWrapper checkFinish(@RequestParam("xybh")String xybh, @RequestParam("houseId")String houseId);
}
