package com.unis.quality.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.quality.common.dto.OrgainzeDTO;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Repository;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
 * 
 * @ClassName: MyUserClient
 * @Description: 数据字典 
 * @author ldq
 * @date 2018年11月16日 下午4:22:58 
 * 
 * @version v1.0
 */
@FeignClient(name = "MYUSER")
@Repository
public interface MyUserClient {

    /**
     * 
     * @Description: 查询某数据字典组下的数据字典树
     *
     * @date 2018年11月16日,下午4:23:32
     * @author xmpu
     * @version v1.0
     *
     * @param groupId
     * @return
     */
    @RequestMapping(method = RequestMethod.GET, value = "/area/findCounty{groupId}")
    ResponseWrapper findByGroupId(@PathVariable("groupId") String groupId);

    @ApiOperation(value = "分页所有组织机构", notes = "参数：组织编号、组织名称，机构等级、当前页、页面大小")
    @PostMapping(value = "/org/findByPage/{page}/{size}")
    public ResponseWrapper findByPage(@RequestBody OrgainzeDTO orgainzeDTO, @PathVariable(value = "page") Integer page, @PathVariable Integer size);

    @ApiOperation( value = "根据父级code获取下级列表")
    @GetMapping(value = "/org/findByPid")
    public ResponseWrapper findByPid( @RequestParam("parentCode") String parentCode) ;
}
