package com.unis.quality.client;

import com.alibaba.fastjson.JSONObject;
import com.unis.common.utils.ResponseWrapper;
import com.unis.quality.common.utils.ResponseWrapperSmart;
import com.unis.quality.common.vo.QualityOpinionInVO;
import com.unis.quality.common.vo.QualityOpinionOutVO;
import org.springframework.web.bind.annotation.*;

/**
 * 质检意见
 * @author by PIG
 * 2023/10/30 10
 */
@RequestMapping(value = "/quality_opinion")
public interface QualityOpinionApi {

    @PostMapping("/in/create_quality_opinion")
    ResponseWrapper createInQualityOpinion(@RequestBody QualityOpinionInVO entity);

    @PostMapping("/in/selectPageByEntity")
    ResponseWrapper selectInOpinionPageByEntity(@RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                @RequestParam(value = "pageSize", defaultValue = "10") int pageSize,
                                                @RequestParam(value = "pageType", defaultValue = "1") int pageType,
                                                @RequestBody JSONObject queryParams);

    @GetMapping("/in/selectById/{fid}")
    ResponseWrapper selectInOpinionById(@PathVariable("fid") Long fid);

    @PutMapping("/in/updateByEntitySelective")
    ResponseWrapper updateInQualityOpinion(@RequestBody QualityOpinionInVO entity);

    @GetMapping("/in/selectByYsbgbh/{ysbgbh}")
    ResponseWrapper selectInOpinionByYsbgbh(@PathVariable("ysbgbh") String ysbgbh);

    @PostMapping("/out/selectPageByEntity")
    ResponseWrapper selectOutOpinionPageByEntity(@RequestParam(value = "pageNum", defaultValue = "1")int pageNum,
                                                 @RequestParam(value = "pageSize", defaultValue = "10")int pageSize,
                                                 @RequestParam(value = "pageType", defaultValue = "1")int pageType,
                                                 @RequestBody JSONObject queryParams);

    @GetMapping("/out/selectById/{fid}")
    ResponseWrapperSmart<QualityOpinionOutVO> selectOutOpinionById(@PathVariable("fid")Long fid);

    @PutMapping("/out/updateByEntitySelective")
    ResponseWrapper updateOutQualityOpinion(@RequestBody QualityOpinionOutVO entity);

}
