package com.unis.quality.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.quality.common.vo.EntrustQueryVO;
import com.unis.quality.common.vo.EntrustVO;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

/**
 *功能描述 强检相关  质检共用接口:仓号查询,质检结果查询
 * @author wangqiang
 * @date 2019/8/24 0024
 * @param
 * @return
 */
@FeignClient(name = "quality-server")
@Component
public interface StrongInspectionFeign {

    //=====================================================强检仓号=====================================================
    @ApiOperation(value = "条件分页查询仓号信息", notes = "参数：当前页、页面大小")
    @PostMapping(value = "/granary/page/")
    public ResponseWrapper findGranaryByPage(@RequestBody EntrustQueryVO queryVO,
                                             @RequestParam ("page") Integer page,
                                             @RequestParam ("size") Integer size);

    @ApiOperation(value = "根据粮仓编号查询仓号信息", notes = "参数：code")
    @GetMapping(value = "/granary/")
    public ResponseWrapper findGranaryById(@RequestParam("code") String code);

    //=====================================================强检仓号=====================================================



}
