/*
 * CheckstandardInfoApi.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-08-20 23:32:16 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.client.standard;

import com.unis.common.utils.ResponseWrapper;
import com.unis.quality.common.vo.standard.CheckstandardInfoListVO;
import com.unis.quality.common.vo.standard.CheckstandardInfoShowVO;
import com.unis.quality.common.vo.standard.CheckstandardInfoVO;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

//import org.springframework.web.bind.annotation.RequestMapping;

/**
 * CHECKSTANDARD_INFO-标准信息
 * @author lipenghe at 2020-08-20 23:32:16
 */
//@RequestMapping("/manager/standard")
//标准信息---标准信息
@FeignClient("quality-server")
public interface CheckstandardInfoApi {

    @ApiOperation(value = "标准信息---标准信息---选择性保存,包含新增和修改", notes = "标准信息")
    @PostMapping("/manager/standard/checkstandardInfo/saveEntitySelective")
    public ResponseWrapper saveEntitySelective(CheckstandardInfoVO checkstandardInfoVO) ;

    @ApiOperation(value = "标准信息---标准信息---选择性插入字段", notes = "标准信息")
    @PostMapping("/manager/standard/checkstandardInfo/insertEntitySelective")
    public ResponseWrapper insertEntitySelective(@RequestBody CheckstandardInfoVO checkstandardInfoVO);

    @ApiOperation(value = "标准信息---标准信息---根据实体不为空的属性,选择性更新字段", notes = "标准信息")
    @PostMapping("/manager/standard/checkstandardInfo/updateByEntitySelective")
    public ResponseWrapper updateByEntitySelective(@RequestBody CheckstandardInfoVO checkstandardInfoVO);

    @ApiOperation(value = "标准信息---标准信息---根据实体不为空的属性,选择性更新字段,只更新主表", notes = "标准信息")
    @PostMapping("/manager/standard/checkstandardInfo/updateSingleByEntitySelective")
    public ResponseWrapper updateSingleByEntitySelective(@RequestBody CheckstandardInfoVO checkstandardInfoVO);

    @ApiOperation(value = "标准信息---标准信息---更改状态", notes = "标准信息")
    @PostMapping("/manager/standard/checkstandardInfo/updateStatusByEntity")
    public ResponseWrapper updateStatusByEntity(@RequestBody CheckstandardInfoVO checkstandardInfoVO);

    @ApiOperation(value = "标准信息---标准信息---[真删除]根据实体的某些属性进行单条或者批量删除", notes = "标准信息")
    @PostMapping("/manager/standard/checkstandardInfo/deleteByEntity")
    public ResponseWrapper deleteByEntity(@RequestBody CheckstandardInfoShowVO checkstandardInfoShowVO);

    @ApiOperation(value = "标准信息---标准信息---根据实体(唯一标示)查询一条数据", notes = "标准信息")
    @PostMapping("/manager/standard/checkstandardInfo/selectById")
    public ResponseWrapper selectById(@RequestBody CheckstandardInfoShowVO checkstandardInfoShowVO);

    @ApiOperation(value = "标准信息---标准信息---根据实体的某些属性查询分页数据,pageSize,pageNum从url传", notes = "标准信息")
    @PostMapping("/manager/standard/checkstandardInfo/selectPageByEntity")
    public ResponseWrapper selectPageByEntity(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            , @RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            , @RequestBody CheckstandardInfoListVO checkstandardInfoListVO);

    @ApiOperation(value = "标准信息---标准信息---根据实体的某些属性查询列表", notes = "标准信息")
    @PostMapping("/manager/standard/checkstandardInfo/selectByEntity")
    public ResponseWrapper selectByEntity(@RequestBody CheckstandardInfoListVO checkstandardInfoListVO);

    @ApiOperation(value = "标准信息---标准信息---初始化数据", notes = "标准信息")
    @PostMapping("/manager/standard/checkstandardInfo/selectInitData")
    public ResponseWrapper selectInitData(@RequestBody CheckstandardInfoVO CheckstandardInfoVO);
}
