/*
 * CheckstandardItemApi.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-08-20 23:32:16 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.client.standard;

import com.unis.common.utils.ResponseWrapper;
import com.unis.quality.common.vo.standard.CheckstandardItemListVO;
import com.unis.quality.common.vo.standard.CheckstandardItemShowVO;
import com.unis.quality.common.vo.standard.CheckstandardItemVO;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

//import org.springframework.web.bind.annotation.RequestMapping;

/**
 * CHECKSTANDARD_ITEM-标准详情
 * @author lipenghe at 2020-08-20 23:32:16
 */
//@RequestMapping("/manager/standard")
//标准详情---标准详情
@FeignClient("quality-server")
public interface CheckstandardItemApi {

    @ApiOperation(value = "标准详情---标准详情---选择性保存,包含新增和修改", notes = "标准详情")
    @PostMapping("/manager/standard/checkstandardItem/saveEntitySelective")
    public ResponseWrapper saveEntitySelective(CheckstandardItemVO checkstandardItemVO) ;

    @ApiOperation(value = "标准详情---标准详情---选择性插入字段", notes = "标准详情")
    @PostMapping("/manager/standard/checkstandardItem/insertEntitySelective")
    public ResponseWrapper insertEntitySelective(@RequestBody CheckstandardItemVO checkstandardItemVO);

    @ApiOperation(value = "标准详情---标准详情---根据实体不为空的属性,选择性更新字段", notes = "标准详情")
    @PostMapping("/manager/standard/checkstandardItem/updateByEntitySelective")
    public ResponseWrapper updateByEntitySelective(@RequestBody CheckstandardItemVO checkstandardItemVO);

    @ApiOperation(value = "标准详情---标准详情---根据实体不为空的属性,选择性更新字段,只更新主表", notes = "标准详情")
    @PostMapping("/manager/standard/checkstandardItem/updateSingleByEntitySelective")
    public ResponseWrapper updateSingleByEntitySelective(@RequestBody CheckstandardItemVO checkstandardItemVO);

    @ApiOperation(value = "标准详情---标准详情---更改状态", notes = "标准详情")
    @PostMapping("/manager/standard/checkstandardItem/updateStatusByEntity")
    public ResponseWrapper updateStatusByEntity(@RequestBody CheckstandardItemVO checkstandardItemVO);

    @ApiOperation(value = "标准详情---标准详情---[真删除]根据实体的某些属性进行单条或者批量删除", notes = "标准详情")
    @PostMapping("/manager/standard/checkstandardItem/deleteByEntity")
    public ResponseWrapper deleteByEntity(@RequestBody CheckstandardItemShowVO checkstandardItemShowVO);

    @ApiOperation(value = "标准详情---标准详情---根据实体(唯一标示)查询一条数据", notes = "标准详情")
    @PostMapping("/manager/standard/checkstandardItem/selectById")
    public ResponseWrapper selectById(@RequestBody CheckstandardItemShowVO checkstandardItemShowVO);

    @ApiOperation(value = "标准详情---标准详情---根据实体的某些属性查询分页数据,pageSize,pageNum从url传", notes = "标准详情")
    @PostMapping("/manager/standard/checkstandardItem/selectPageByEntity")
    public ResponseWrapper selectPageByEntity(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            , @RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            , @RequestBody CheckstandardItemListVO checkstandardItemListVO);

    @ApiOperation(value = "标准详情---标准详情---根据实体的某些属性查询列表", notes = "标准详情")
    @PostMapping("/manager/standard/checkstandardItem/selectByEntity")
    public ResponseWrapper selectByEntity(@RequestBody CheckstandardItemListVO checkstandardItemListVO);

    @ApiOperation(value = "标准详情---标准详情---初始化数据", notes = "标准详情")
    @PostMapping("/manager/standard/checkstandardItem/selectInitData")
    public ResponseWrapper selectInitData(@RequestBody CheckstandardItemVO CheckstandardItemVO);
}
