/*
 * RainApi.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-08-11 17:22:24 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.client.weather;

import com.unis.common.utils.ResponseWrapper;
import com.unis.common.vo.base.PageResult;
import com.unis.quality.common.vo.weather.RainListVO;
import com.unis.quality.common.vo.weather.RainShowVO;
import com.unis.quality.common.vo.weather.RainVO;
import com.unis.quality.common.vo.weather.TianQiResult;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

//import org.springframework.web.bind.annotation.RequestMapping;

/**
 * PLUG_WEATHER_RAIN-降雨量表
 * @author lipenghe at 2020-08-11 17:22:24
 */
//@RequestMapping("/manager/weather")
//天气-降雨量---降雨量表
@FeignClient("quality-server")
public interface RainApi {

    @ApiOperation(value = "天气-降雨量---降雨量表---选择性插入字段", notes = "天气-降雨量")
    @PostMapping("/manager/weather/rain/saveSelective")
    public ResponseWrapper saveSelective(@RequestBody List<TianQiResult> tianQiResultList);

    @ApiOperation(value = "天气-降雨量---降雨量表---选择性插入字段", notes = "天气-降雨量")
    @PostMapping("/manager/weather/rain/insertEntitySelective")
    public ResponseWrapper insertEntitySelective(@RequestBody RainVO rainVO);

    @ApiOperation(value = "天气-降雨量---降雨量表---根据实体不为空的属性,选择性更新字段", notes = "天气-降雨量")
    @PostMapping("/manager/weather/rain/updateByEntitySelective")
    public ResponseWrapper updateByEntitySelective(@RequestBody RainVO rainVO);

    @ApiOperation(value = "天气-降雨量---降雨量表---更改状态", notes = "天气-降雨量")
    @PostMapping("/manager/weather/rain/updateStatusByEntity")
    public ResponseWrapper updateStatusByEntity(@RequestBody RainVO rainVO);

    @ApiOperation(value = "天气-降雨量---降雨量表---[真删除]根据实体的某些属性进行单条或者批量删除", notes = "天气-降雨量")
    @PostMapping("/manager/weather/rain/deleteByEntity")
    public ResponseWrapper deleteByEntity(@RequestBody RainShowVO rainShowVO);

    @ApiOperation(value = "天气-降雨量---降雨量表---根据实体(唯一标示)查询一条数据", notes = "天气-降雨量")
    @PostMapping("/manager/weather/rain/selectById")
    public ResponseWrapper selectById(@RequestBody RainShowVO rainShowVO);

    @ApiOperation(value = "天气-降雨量---降雨量表---根据实体的某些属性查询分页数据,pageSize,pageNum从url传", notes = "天气-降雨量")
    @PostMapping("/manager/weather/rain/selectPageByEntity")
    public ResponseWrapper selectPageByEntity(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            , @RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            , @RequestBody RainListVO rainListVO);

    @ApiOperation(value = "天气-降雨量---降雨量表---根据实体的某些属性查询列表", notes = "天气-降雨量")
    @PostMapping("/manager/weather/rain/selectByEntity")
    public ResponseWrapper selectByEntity(@RequestBody RainListVO rainListVO);

    @ApiOperation(value = "天气-降雨量---降雨量表---初始化数据", notes = "天气-降雨量")
    @PostMapping("/manager/weather/rain/selectInitData")
    public ResponseWrapper selectInitData(@RequestBody RainVO RainVO);
}
