package com.unis.quality.common.constant;

public enum OperateConstant {
	/**
	 * 用于类型1-3往下排的情况
	 */
	lessThan("<","小于","1002",11),
	lessThanOrEqualTo("<=","小于等于","1003",12),
	greaterThan(">","大于","1001",23),
	greaterThanOrEqualTo(">=","大于等于","1004",24),
	equalTo("=","等于","",5),
	OTHER("","其它","1005",6),
	LIKE("LIKE","模糊查询","",7);

	private String name;
	private String value;
	private String code;
	private int order;

	private OperateConstant(String value, String name, String code, int order){
		this.value=value;
		this.name=name;
		this.code=code;
		this.order=order;
	}

	public String getValue(){
		return this.value;
	}
	public void setValue(String value){
		this.value=value;
	}
	public String getName(){
		return this.name;
	}
	public void setName(String name){
		this.name=name;
	}
	public String getCode(){
		return this.code;
	}
	public void setCode(String code){
		this.code=code;
	}
	public int getOrder(){
		return this.order;
	}
	public void setOrder(int order){
		this.order=order;
	}

	public static OperateConstant getByCode(String code){
		OperateConstant[] arr=OperateConstant.values();
		for(OperateConstant temp : arr){
			if(code.equals(temp.getCode())){
				return temp;
			}
		}
		return null;
	}
}
