package com.unis.quality.common.constant;

import com.alibaba.fastjson.JSONObject;
import com.google.common.collect.ImmutableMap;
import com.unis.quality.common.flow_node.QualityOpinionNodeAbs;
import com.unis.quality.common.vo.QualityOpinionInVO;
import com.unis.quality.common.vo.QualityOpinionOutVO;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Component;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

/**
 * 质检意见
 * @author by PIG
 * 2023/10/30 18
 */
@Component
@Log4j2
public class QualityOpinionNodeNext extends QualityOpinionNodeAbs {

    public Map<String, Object> doOperation(QualityOpinionInVO entity) {
        log.info("update node before ======== {}", entity.getNodeName());
        Map<String, Object> nodeInfo = opinionOperationMap.get(entity.getNodeId()).apply(entity);
        log.info("update node after ======== {}", JSONObject.toJSONString(nodeInfo));
        return nodeInfo;
    }
    public Map<String, Object> doOperation(QualityOpinionOutVO entity) {
        log.info("update node before ======== {}", entity.getNodeName());
        Map<String, Object> nodeInfo = opinionOutOperationMap.get(entity.getNodeId()).apply(entity);
        log.info("update node after ======== {}", JSONObject.toJSONString(nodeInfo));
        return nodeInfo;
    }

    @Override
    protected Map<String, Object> commitPend(QualityOpinionInVO entity) {
        entity.setNodeId(QualityOpinionInVO.NODE_INFO.SEAL_PEND.getValue());
        entity.setNodeName(QualityOpinionInVO.NODE_INFO.SEAL_PEND.getName());
        Map<String, Object> r = new HashMap<>();
        r.put("nodeInfo", QualityOpinionInVO.NODE_INFO.SEAL_PEND);
        return r;
    }

    @Override
    protected Map<String, Object> sealPend(QualityOpinionInVO entity) {
        entity.setNodeId(QualityOpinionInVO.NODE_INFO.ACCEPT_PEND.getValue());
        entity.setNodeName(QualityOpinionInVO.NODE_INFO.ACCEPT_PEND.getName());
        Map<String, Object> r = new HashMap<>();
        r.put("nodeInfo", QualityOpinionInVO.NODE_INFO.ACCEPT_PEND);
        return r;
    }

    @Override
    protected Map<String, Object> acceptPend(QualityOpinionInVO entity) {
        entity.setNodeId(QualityOpinionInVO.NODE_INFO.COMPLETE.getValue());
        entity.setNodeName(QualityOpinionInVO.NODE_INFO.COMPLETE.getName());
        Map<String, Object> r = new HashMap<>();
        r.put("nodeInfo", QualityOpinionInVO.NODE_INFO.COMPLETE);
        return r;
    }

    @Override
    protected Map<String, Object> complete(QualityOpinionInVO entity) {
        Map<String, Object> r = new HashMap<>();
        r.put("nodeInfo", QualityOpinionInVO.NODE_INFO.COMPLETE);
        return r;
    }

    @Override
    protected Map<String, Object> commitPend(QualityOpinionOutVO entity) {
        entity.setNodeId(QualityOpinionOutVO.NODE_INFO.SEAL_PEND.getValue());
        entity.setNodeName(QualityOpinionOutVO.NODE_INFO.SEAL_PEND.getName());
        Map<String, Object> r = new HashMap<>();
        r.put("nodeInfo", QualityOpinionOutVO.NODE_INFO.SEAL_PEND);
        return r;
    }

    @Override
    protected Map<String, Object> sealPend(QualityOpinionOutVO entity) {
        entity.setNodeId(QualityOpinionOutVO.NODE_INFO.ACCEPT_PEND.getValue());
        entity.setNodeName(QualityOpinionOutVO.NODE_INFO.ACCEPT_PEND.getName());
        Map<String, Object> r = new HashMap<>();
        r.put("nodeInfo", QualityOpinionOutVO.NODE_INFO.ACCEPT_PEND);
        return r;
    }

    @Override
    protected Map<String, Object> acceptPend(QualityOpinionOutVO entity) {
        entity.setNodeId(QualityOpinionOutVO.NODE_INFO.COMPLETE.getValue());
        entity.setNodeName(QualityOpinionOutVO.NODE_INFO.COMPLETE.getName());
        Map<String, Object> r = new HashMap<>();
        r.put("nodeInfo", QualityOpinionOutVO.NODE_INFO.COMPLETE);
        return r;
    }

    @Override
    protected Map<String, Object> complete(QualityOpinionOutVO entity) {
        Map<String, Object> r = new HashMap<>();
        r.put("nodeInfo", QualityOpinionInVO.NODE_INFO.COMPLETE);
        return r;
    }
}
