package com.unis.quality.common.dto;

import java.util.Date;
import java.util.List;
import java.util.Map;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.quality.common.vo.backlog.ReceiverCollectionVO;
import com.unis.quality.common.vo.tianjin.BaseVO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @ClassName CheckSchemeDTO
 * @Description 新收获粮-抽查方案DTO
 * @Author lfx
 * @Date 2019年8月20日17:57:40
 * @Version 0.0.1
 **/
@Data
@ApiModel(value = "新收获粮-抽查方案Model")
public class CheckSchemeDTO extends BaseVO{
	
  	private  String[] ids;
  	
  	private String id;
  	
  	private Map<String, Object> aduitList;
  	
  	private String wtlx;
  	
  	private String wtbh;
  	
  	private String wtbt;
  	
  	private String wtlxbh;
  	
  	/*=======抽查方案==========*/
  	// 委托id
 	private String wtId;
 	
 	// 方案编号
 	private String fabh;
 	
 	// 方案标题
 	private String fabt;
 	
 	// 年度
 	private String nd;
 	
 	// 发起时间
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
 	private Date fqsj;
 	
 	// 结束时间
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
 	private Date jssj;
 	
 	// 附件ID
 	private String fjid;
 	
 	// 方案详情
 	private String faxq;
 	
 	//状态
 	private Integer zt;
 	
    // 附件名称 
  	private String fjmc;
 	
 	
 	
 	/*========计划==========*/
 	// 抽样方案ID
 	private String cyfaId;
 	
 	// 计划编号
 	private String jhbh;

 	// 计划名称
 	private String jhmc;
 	
 	/*=====================迁移地===========*/
 	//扦样地ID
 	private String qydId;
 	// 采样地ID
 	private String cydId;
 	
 	// 地点
 	private String dd;
 	
 	//详细地址
 	private String xxdz;
 	
 	//联系人
 	private String lxr;
 	
 	//联系电话
 	private String lxdh;
 	
 	//备注
 	private String bz;
 	
 	
 	
 	/*=========采样地============*/
 	// 采样品种ID
 	private String cypzId;
 	
 	// 行政区划编码
 	private String xzqhbm;
 	
 	// 行政区划名称
 	private String xzqhmc;
 	
 	// 国家取样数
 	private Integer gjcys;
 	
 	// 市级取样数
 	private Integer sjcys;
 	
 	/*=========采样品种=============*/
 	// 采样计划ID
 	private String cyjhId;
 	
 	// 样品级别编码
 	private String ypjbbm;

 	//样品级别名称
 	private String ypjbmc;
 	
 	// 采样品种类型编码
 	private String cypzlxbm;

 	// 采样品种类型名称
 	private String cypzlxmc;
 	
 	// 采样品种编码
 	private String cypzbm;
 	
 	// 采样品种名称
 	private String cypzmc;
 	
    //流程id
  	private String lcId;
 	
  	//质检报告编号
  	private String zjbgbh;
  	
  	//扦样地点
  	private String qydd;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  	private Date wtsj;

  	private String ccfaId;
  	
  	private String ztmc;
  	
 	private String areaCode;
 	private String[] xzqhbms;
 	
 	
  	private String orgCode;

	List<OrgainzeDTO> orgList;
// 	@ApiModelProperty("查看情況")
// 	private List<ViewSituationDTO> viewsData;

	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date tysj;

	private String lspzmc;

	private String qydbh;

	private String cydw;

	private String cyf;

	private String jylx;

	private String cflxmc;

	@ApiModelProperty(value = "待办用户")
	List<ReceiverCollectionVO> userList;

	@ApiModelProperty(value = "事项详情Url")
	private String itemUrl;// 事项详情url

	private String itemQuery; // 详情跳转参数 （BacklogAddVO）

	private String handlerId; // 已办-处理人主键 （BacklogUpdateVO）

	private String sendresult; // 库级推送结果

	@ApiModelProperty(value = "查询字段")
	private String itemQueryHaveDone;

	@ApiModelProperty(value = "url")
	private String itemUrlHaveDone;
}
