package com.unis.quality.common.dto;

import com.unis.quality.common.vo.QualityInspectionDetailVO;
import com.unis.quality.common.vo.QualityOpinionOutDetailVO;
import com.unis.quality.common.vo.QualityOpinionOutVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Id;
import java.math.BigDecimal;

/**
 * @see com.unis.quality.common.vo.QualityOpinionOutDetailVO
 * 合并
 * @see QualityInspectionDetailVO
 * @author by PIG
 * 2023/12/4 16
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class QualityOpinionOutDetailDTO extends QualityInspectionDetailVO {

    @Id
    @ApiModelProperty(value = "fid")
    @Column(name = "fid")
    private Long fid;
    /**
     * @see QualityOpinionOutVO
     * QualityOpinionOutDO.fid
     */
    private Long QualityOpinionOutFid;

    @ApiModelProperty(value = "有效期")
    private String validity;

    /**
     * 质检指标 平均样品fid
     * @see QualityInspectionDetailVO
     * QualityInspectionDetailVO.fid
     * */
    private Long qualityInspectionDetailFid;
    @ApiModelProperty(name = "仓号")
    @Column(name = "house_id")
    private String houseId;
    @ApiModelProperty(name = "仓号")
    @Column(name = "house_name")
    private String houseName;
    @ApiModelProperty(name = "货位")
    @Column(name = "warehouse_id")
    private String warehouseId;
    @ApiModelProperty(name = "货位")
    @Column(name = "warehouse_name")
    private String warehouseName;
    @ApiModelProperty(name = "数量")
    @Column(name = "inventory_number")
    private BigDecimal inventoryNumber;
    @ApiModelProperty(name = "生产年份")
    @Column(name = "prod_year")
    private String prodYear;

    public QualityOpinionOutDetailVO toVO(){
        QualityOpinionOutDetailVO vo = new QualityOpinionOutDetailVO();
        vo.setFid(this.fid);
        vo.setQualityOpinionOutFid(this.QualityOpinionOutFid);
        vo.setValidity(this.validity);
        vo.setQualityInspectionDetailFid(this.getQualityInspectionDetailFid());
        vo.setHouseId(this.houseId);
        vo.setHouseName(this.houseName);
        vo.setWarehouseId(this.warehouseId);
        vo.setWarehouseName(this.warehouseName);
        vo.setInventoryNumber(this.inventoryNumber);
        vo.setProdYear(this.prodYear);
        return vo;
    }
}
