package com.unis.quality.common.enums;

import lombok.Getter;

@Getter
public enum StatusEnum {

    FORBIDDEN(0, " 禁用"),
    ENABLE(1, "启用"),
    ;

    private Integer code;
    private String message;

    StatusEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public static StatusEnum getByValue(Integer value){
        for(StatusEnum status : values()){
            if (status.getCode().equals(value)) {
                return status;
            }
        }
        return null;
    }

}