package com.unis.quality.common.flow_node;

import com.unis.quality.common.vo.QualityOpinionInVO;
import com.unis.quality.common.vo.QualityOpinionOutVO;

import javax.annotation.PostConstruct;
import java.util.HashMap;
import java.util.Map;
import java.util.function.Function;

/**
 * 质检意见 节点信息类
 * 消费者 app
 * 生产者 server
 * 如果实现两次 只能有一处处理节点变化
 * @author by PIG
 * 2023/11/7 14
 */
public abstract class QualityOpinionNodeAbs {

    /** 轮换申请状态到 待批复*/
    public static final String TO_BE_SEALED = "2";

    protected Map<String, Function<QualityOpinionInVO, Map<String, Object>>> opinionOperationMap = new HashMap<>();
    protected Map<String, Function<QualityOpinionOutVO, Map<String, Object>>> opinionOutOperationMap = new HashMap<>();

    @PostConstruct
    private void init(){
        opinionOperationMap.put(QualityOpinionInVO.NODE_INFO.COMMIT_PEND.getValue(), this::commitPend);
        opinionOperationMap.put(QualityOpinionInVO.NODE_INFO.SEAL_PEND.getValue(), this::sealPend);
        opinionOperationMap.put(QualityOpinionInVO.NODE_INFO.ACCEPT_PEND.getValue(), this::acceptPend);
        opinionOperationMap.put(QualityOpinionInVO.NODE_INFO.COMPLETE.getValue(), this::complete);
        opinionOutOperationMap.put(QualityOpinionInVO.NODE_INFO.COMMIT_PEND.getValue(), this::commitPend);
        opinionOutOperationMap.put(QualityOpinionInVO.NODE_INFO.SEAL_PEND.getValue(), this::sealPend);
        opinionOutOperationMap.put(QualityOpinionInVO.NODE_INFO.ACCEPT_PEND.getValue(), this::acceptPend);
        opinionOutOperationMap.put(QualityOpinionInVO.NODE_INFO.COMPLETE.getValue(), this::complete);
    }

    /**
     * "90000010", "待提交"
     *
     * @param entity
     * @return
     */
    protected abstract Map<String, Object> commitPend(QualityOpinionInVO entity);

    /**
     * "90000020", "待盖章"
     * @param entity
     * @return
     */
    protected abstract Map<String, Object> sealPend(QualityOpinionInVO entity);
    /**
     * "90000030", "待接收"
     * @param entity
     * @return
     */
    protected abstract Map<String, Object> acceptPend(QualityOpinionInVO entity);
    /**
     * "90000040", "已完成"
     *
     * @param entity
     * @return
     */
    protected abstract Map<String, Object> complete(QualityOpinionInVO entity);


    /**
     * "90000010", "待提交"
     *
     * @param entity
     * @return
     */
    protected abstract Map<String, Object> commitPend(QualityOpinionOutVO entity);

    /**
     * "90000020", "待盖章"
     * @param entity
     * @return
     */
    protected abstract Map<String, Object> sealPend(QualityOpinionOutVO entity);
    /**
     * "90000030", "待接收"
     * @param entity
     * @return
     */
    protected abstract Map<String, Object> acceptPend(QualityOpinionOutVO entity);
    /**
     * "90000040", "已完成"
     *
     * @param entity
     * @return
     */
    protected abstract Map<String, Object> complete(QualityOpinionOutVO entity);

}
