package com.unis.quality.common.utils;

import com.unis.quality.common.constant.RedisKey;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author by PIG
 * 2023/11/21 15
 */
@Component
public class QualityIndexUtil {

    private final Map<String, String> dict = new HashMap<>();

    @PostConstruct
    private void init() {
        dict.put("1110000", RedisKey.WHEAT);
        dict.put("1130000", RedisKey.UN_HUSKED_RICE);
        dict.put("1410000", RedisKey.CRUDE_SOY_OIL); //原油

        dict.put("2120000", RedisKey.REFINED_SOY_OIL);
        dict.put("2360000", RedisKey.RICE);
        dict.put("2310000", RedisKey.WHEATMEAL);
    }

    /**
     * 根据国标代码 获取redis的key
     * @param code 品种国标码
     * @return redis key 不带文件夹名
     */
    public String getRedisKeyByCode(String code) {
        return dict.get(code);
    }

}
