package com.unis.quality.common.utils;

import lombok.extern.slf4j.Slf4j;
import org.apache.commons.io.IOUtils;

import java.io.IOException;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.URISyntaxException;
import java.net.URL;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

@Slf4j
public class TianQiApiRainUtil {
    public static String getWeatherRain(String lng, String lat) {
        String urlStr = "https://www.tianqiapi.com/api/?version=v11&appid=27499153&appsecret=ZVllr1Tl &&lng="+lng+"&lat="+lat;
        return sendGet(urlStr, null);
    }

    public static String sendGet(String url, String param) {
        //记录缓冲数据
        //缓冲输入流
        InputStream in = null;
        //请求URL地址
        URL realUrl=null;
        //URL之间的连接对象
        HttpURLConnection conn=null;
        String line=null;
        //头信息的map
        //Map<String, List<String>> map=null;
        String urlNameString=null;
        if(param!=null&&param.length()>0){
            urlNameString = url + "?" + param;
        }else{
            urlNameString=url;
        }
        String res=null;
        try {
            realUrl = new URL(urlNameString);
            // 打开和URL之间的连接
            conn = (HttpURLConnection)realUrl.openConnection();
            // 设置通用的请求属性
            conn.setRequestProperty("accept", "*/*");
            conn.setRequestProperty("connection", "Keep-Alive");
            //模拟成ie6.0
            conn.setRequestProperty("user-agent","Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
            conn.setRequestProperty("Content-Type", "text/html;charset=utf-8");
            conn.setUseCaches(false);
            // 建立实际的连接
            conn.connect();
            // 获取所有响应头字段
            /*map = connection.getHeaderFields();
            // 遍历所有的响应头字段
            for (String key : map.keySet()) {
                System.out.println(key + "--->" + map.get(key));
            }*/
            // 根据ResponseCode判断连接是否成功
            int responseCode = conn.getResponseCode();
            if(responseCode==200){
                // 定义 BufferedReader输入流来读取URL的响应
                in=conn.getInputStream();
                res= IOUtils.toString(in, "UTF-8");
            }else{
                log.error("res:{}   request:{}   参数:{}   响应错误:{}",responseCode,url,param,conn.getResponseMessage());
            }
        } catch (IOException e) {
            log.error("request:{}   参数:{}   发送请求异常:{}",url,param,e.getMessage());
        }
        //使用finally块来关闭输入流
        finally {
            conn.disconnect();
            log.debug("request:{}   res:{}" , url,res);
            try {
                if (in != null) {
                    in.close();
                }
            } catch (IOException e) {
                log.error(e.getMessage());
            }
        }
        return res;
    }

    public static String unicodeToStr(String unicode) {
        StringBuffer sb = new StringBuffer();
        String[] hex = unicode.split("\\\\u");
        for (int i = 1; i < hex.length; i++) {
            int index = Integer.parseInt(hex[i], 16);
            sb.append((char) index);
        }
        return sb.toString();
    }

    public static String replaceUnicodeToStr(String unicodeStr) {
        StringBuffer sb = new StringBuffer();
        if(unicodeStr!=null && unicodeStr.trim().length()>0){
            Pattern pattern= Pattern.compile("\\\\u\\w{4}");
            Matcher m=pattern.matcher(unicodeStr);
            String cVal;
            while(m.find()){
                cVal=m.group();
                m.appendReplacement(sb,unicodeToStr(cVal));
            }
            //将最后一次匹配剩余内容加入sb里
            m.appendTail(sb);
        }
        return sb.toString();
    }

    public static void main(String[] args) throws IOException, URISyntaxException {
        String str=null;
        //泌阳县
       /* str= TianQiApiRainUtil.getWeatherRain("113.327807","32.726086");
        System.out.println(replaceUnicodeToStr(str));
        //刘国东
        str= TianQiApiRainUtil.getWeatherRain("116.285261","40.035858");
        System.out.println(replaceUnicodeToStr(str));*/

        //靳倩那
        str= TianQiApiRainUtil.getWeatherRain("113.076916","35.970913");
        System.out.println(replaceUnicodeToStr(str));
    }
}
