package com.unis.quality.common.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author by PIG
 * 2023/9/20 17
 */
@ApiModel(value = "委托检验申请详情")
@Data
@Table(name = "t_entrust_inspect_apply_detail")
public class EntrustInspectApplyDetailVO {

    @Id
    @ApiModelProperty(value = "fid")
    private Long fid;

    @ApiModelProperty(value = "创建时间")
    @Column(name = "create_date")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createDate;
    @ApiModelProperty(value = "备注")
    @Column(name = "remark")
    private String remark;

    @ApiModelProperty(name = "仓号")
    @Column(name = "house_Id")
    private String houseId;
    @ApiModelProperty(name = "仓号")
    @Column(name = "house_name")
    private String houseName;
    @ApiModelProperty(name = "货位")
    @Column(name = "warehouse_id")
    private String warehouseId;
    @ApiModelProperty(name = "货位")
    @Column(name = "warehouse_name")
    private String warehouseName;
    @ApiModelProperty(name = "数量")
    @Column(name = "inventory_number")
    private BigDecimal inventoryNumber;

    @Column(name = "sub_type_detailed")
    private String subTypeDetailed;
    @Column(name = "sub_type_detailed_name")
    private String subTypeDetailedName;

    @ApiModelProperty(name = "轮换协议/合同编号")
    @Column(name = "contract_number")
    private String contractNumber;

    @ApiModelProperty(name = "是否具备检验条件")
    @Column(name = "qualified")
    private String qualified;

    @ApiModelProperty(name = "EntrustInspectApply.Fid")
    @Column(name = "entrust_inspect_apply_id")
    private Long entrustInspectApplyId;

    @ApiModelProperty(name = "储存库点")
    @Column(name = "depot_name")
    private String depotName;
    @ApiModelProperty(name = "储存库点")
    @Column(name = "depot_code")
    private String depotCode;
    @ApiModelProperty(name = "生产年份")
    @Column(name = "prod_year")
    private String prodYear;


}
