package com.unis.quality.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.Map;

/**
 *功能描述 委托查询对象
 * @author wangqiang
 * @date 2019/8/21 0021
 */
@ApiModel(description = "StrongEntrustQueryVO质量强检委托查询对象，用于和前台交互")
@Getter
@Setter
@ToString
public class EntrustQueryVO {
//========================质检委托查询=============================
	@ApiModelProperty(value = "委托编号")
	private String  wtbh;

	@DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
	@ApiModelProperty(value = "起始时间-委托、质检结果共用")
	private Date startTime;

	@DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
	@ApiModelProperty(value = "截止时间-委托、质检结果共用")
    private Date endTime;

	@ApiModelProperty(value = "委托编号")
    private String wtbt;

	@ApiModelProperty(value = "委托状态--流程id")
    private String lcid;

	@ApiModelProperty(value = "委托类型")
	private String wtlx;
//========================仓号查询=============================
	/*@ApiModelProperty(value = "单位名称")
	private String dwmc;
	@ApiModelProperty(value = "仓号")
	private String ch;
	@ApiModelProperty(value = "品种")
	private String pz;*/
//======================质检结果查询==========================
	@ApiModelProperty(value = "强检编号")
	private String qjbh;
	@ApiModelProperty(value = "受检单位")
	private String sjdw;
	@ApiModelProperty(value = "所属仓房编号")
	private String sscfbh;
	@ApiModelProperty(value = "样品号")
	private String yph;
//======================交易质检委托==========================
	@ApiModelProperty(value = "品种")
	private String pz;
	@ApiModelProperty(value = "承储单位")
	private String ccdw;
	@ApiModelProperty(value = "质检编号")
	private String zjbh;
	@ApiModelProperty(value = "交易编号")
	private String jybh;
	@ApiModelProperty(value = "迁样单编号")
	private String qydbh;

	private String code;

}
