package com.unis.quality.common.vo;

import java.util.Date;
import java.util.List;
import java.util.Map;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;


/**
 *功能描述 委托对象
 * @author wangqiang
 * @date 2019/8/21 0021
 */
@ApiModel(description = "EntrustVO质量委托对象，用于和前台交互")
@Getter
@Setter
@ToString
public class EntrustVO {


	@ApiModelProperty(value = "委托id")
	private String  id;
	
	private String[] ids;


	//创建人id
	private String createBy;

	//创建时间
	private Date createTime;

	//修改人
	private String updateBy;

	//修改时间
	private Date updateTime;

	//删除人
	private String deleteBy;

	// 删除时间
	private Date deleteTime;

	@ApiModelProperty(value = "委托编号")
	private String  wtbh;


	@ApiModelProperty(value = "委托标题")
	private String wtbt;


	@ApiModelProperty(value = "质检编号")
	private String zjbh;


	@ApiModelProperty(value = "委托类型编码")
	private String wtlxbm;
	
	@ApiModelProperty(value = "委托类型")
	private String wtlx;

	@ApiModelProperty(value = "年度")
	private String nd;

	@ApiModelProperty(value = "委托人")
	private String wtr;

	@ApiModelProperty(value = "委托时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
	private Date wtsj;

	@ApiModelProperty(value = "发起时间")
	private Date fqsj;

	@ApiModelProperty(value = "结束时间")
	private Date jssj;

	@ApiModelProperty(value = "承储单位")
	private String ccdw;

	@ApiModelProperty(value = "委托内容")
	private String wtnr;

	@ApiModelProperty(value = "附件Id")
	private String fjid;

	@ApiModelProperty(value = "委托状态--流程id")
	private String lcid;

	private String areaCode;

	private String orgId;

	private String deptId;
	
	private String qyd;

	private String xxdz;
	
	private String jckd;
	
	private String wtId;
	
	private String pz;
	
	private String sl;
	private String ch;
	
	private String chsl;
	
	private String rksj;
	
	private String cllx;
	

	@ApiModelProperty(value = "交易编号")
	private String jybh;
	
	@ApiModelProperty(value = "委托单位")
	private String wtdw;

	@ApiModelProperty(value = "粮食性质")
	private String lsxz;

	@ApiModelProperty(value = "所属仓房编号")
	private String sscfbh;

	@ApiModelProperty(value = "所属仓房编码")
	private String sscfbm;

	//其他质检表格
	private List<Map> listmx;
}
