package com.unis.quality.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 质检报告 检验项明细
 * @author by PIG
 * 2023/9/22 14
 */
@ApiModel(value = "质检报告 检验项明细")
@Data
@Table(name = "t_quality_inspect_detail")
public class QualityInspectionDetailVO {

    @Id
    @ApiModelProperty(value = "fid")
    @Column(name = "fid")
    private Long fid;
    /**
     * @see QualityInspectionVO QualityInspectionVO.fid
     */
    @ApiModelProperty(value = "QualityInspectionVO.fid")
    @Column(name = "quality_inspection_fid")
    private Long qualityInspectionFid;

    /** 样品名称*/
    @ApiModelProperty(value = "样品名称")
    @Column(name = "sample_name")
    private String sampleName;

    // ------------------------------------------ 常规质量指标
    /** 等级*/
    @ApiModelProperty(value = "等级")
    @Column(name = "level")
    private String level;
    /** 容重*/
    @ApiModelProperty(value = "容重/g/L")
    @Column(name = "unit_weight")
    private String unitWeight;
    /** 不完善粒*/
    @ApiModelProperty(value = "不完善粒/%")
    @Column(name = "imperfect_Grains")
    private String imperfectGrains;
    /** 杂质 总量*/
    @ApiModelProperty(value = "杂质 总量")
    @Column(name = "impurity_total")
    private String impurityTotal;
    /** 杂质/% 其中：矿物质 */
    @ApiModelProperty(value = "杂质/% 其中：矿物质")
    @Column(name = "mineral")
    private String mineral;
    /** 水分*/
    @ApiModelProperty(value = "水分")
    @Column(name = "water")
    private String water;
    /** 常规质量指标-色泽气味*/
    @ApiModelProperty(value = "常规质量指标->色泽气味")
    @Column(name = "cq_color_smell")
    private String cqColorSmell;
    /** 硬度指数*/
    @ApiModelProperty(value = "硬度指数")
    @Column(name = "hard_index")
    private String hardIndex;
    /** 面筋吸水量*/
    @ApiModelProperty(value = "面筋吸水量")
    @Column(name = "gluten_water_count")
    private String glutenWaterCount;
    /** 品尝评分值/分*/
    @ApiModelProperty(value = "品尝评分值/分")
    @Column(name = "eat_Score")
    private String eatScore;
    /** 常规质量指标->酸价(KOH)/mg/g*/
    @ApiModelProperty(value = "常规质量指标->酸价(KOH)/mg/g")
    @Column(name = "cq_acid_value")
    private String cqAcidValue;
    /** 出糙率*/
    @ApiModelProperty(value = "出糙率")
    @Column(name = "husked_ration")
    private String huskedRation;
    /** 整精 米率/ %*/
    @ApiModelProperty(value = "整精 米率/ %")
    @Column(name = "full_good_ration")
    private String fullGoodRation;
    /** 杂质/ %*/
    @ApiModelProperty(value = "杂质/ %")
    @Column(name = "impurity")
    private String impurity;
    /** 黄粒米/%*/
    @ApiModelProperty(value = "黄粒米/%")
    @Column(name = "yellow_part")
    private String yellowPart;
    /** 谷外  糙米/ %*/
    @ApiModelProperty(value = "谷外  糙米/ %")
    @Column(name = "out_husked_ration")
    private String outHuskedRation;
    /** */
    @ApiModelProperty(value = "互混率/%")
    @Column(name = "intermixing_rate")
    private String intermixingRate;
    /** 判定是否达到三等及以上*/
    @ApiModelProperty(value = "判定是否达到三等及以上")
    @Column(name = "lv3_above")
    private String lv3Above;
    /** 常规质量指标 -> 结果判定*/
    @ApiModelProperty(value = "常规质量指标->结果判定")
    @Column(name = "cq_judge_result")
    private String cqJudgeResult;
    /** 常规质量指标->过氧化值mmol/kg*/
    @ApiModelProperty(value = "常规质量指标->过氧化值mmol/kg")
    @Column(name = "cq_peroxide_value")
    private String cqPeroxideValue;
    // ------------------------------------------ 储存品质判定指标
    /** 脂肪酸值          KOH/干基/mg/100g*/
    @ApiModelProperty(value = "脂肪酸值 KOH/干基/mg/100g")
    @Column(name = "sq_fat_index")
    private String sqFatIndex;
    /** 储存品质判定指标-色泽气味*/
    @ApiModelProperty(value = "储存品质判定指标->色泽气味")
    @Column(name = "sq_color_smell")
    private String sqColorSmell;
    /** 储存品质判定指标 判定是否宜存*/
    @ApiModelProperty(value = "储存品质判定指标->判定是否宜存")
    @Column(name = "sq_suitable")
    private String sqSuitable;
    /** 气味滋味*/
    @ApiModelProperty(value = "气味滋味")
    @Column(name = "smell_taste")
    private String smellTaste;
    /** 水分及挥发物含量/%*/
    @ApiModelProperty(value = "水分及挥发物含量/%")
    @Column(name = "water_volatiles")
    private String waterVolatiles;
    /** 不溶性杂质含量/%*/
    @ApiModelProperty(value = "不溶性杂质含量/%")
    @Column(name = "insoluble_impurity")
    private String insolubleImpurity;
    /** 储存品质判定指标->酸价(KOH)/mg/g*/
    @ApiModelProperty(value = "储存品质判定指标->酸价(KOH)/mg/g")
    @Column(name = "sq_acid_value")
    private String sqAcidValue;
    /** 溶剂残留量/mg/kg*/
    @ApiModelProperty(value = "溶剂残留量/mg/kg")
    @Column(name = "residual_solvent")
    private String residualSolvent;
    /** 储存品质判定指标->过氧化值meq/kg*/
    @ApiModelProperty(value = "储存品质判定指标->过氧化值meq/kg")
    @Column(name = "sq_peroxide_value")
    private String sqPeroxideValue;
    /** 储存品质判定指标 -> 结果判定*/
    @ApiModelProperty(value = "储存品质判定指标->结果判定")
    @Column(name = "sq_judge_result")
    private String sqJudgeResult;
    /** 色泽*/
    @ApiModelProperty(value = "色泽")
    @Column(name = "color")
    private String color;
    /** 透明度（20℃）*/
    @ApiModelProperty(value = "透明度（20℃）")
    @Column(name = "transparency")
    private String transparency;
    /** 冷冻试验（0℃储藏5.5h）*/
    @ApiModelProperty(value = "冷冻试验（0℃储藏5.5h）")
    @Column(name = "freeze_test")
    private String freezeTest;
    /** 烟点/℃*/
    @ApiModelProperty(value = "烟点/℃")
    @Column(name = "smoke_point")
    private String smokePoint;
    /** 加工精度*/
    @ApiModelProperty(value = "加工精度")
    @Column(name = "machining_accuracy")
    private String machiningAccuracy;
    /** 灰分(以干物计）/ %*/
    @ApiModelProperty(value = "灰分(以干物计）/ %")
    @Column(name = "ash_content")
    private String ashContent;
    /** 脂肪酸值(以湿基计）*/
    @ApiModelProperty(value = "脂肪酸值(以湿基计）")
    @Column(name = "cq_fat_index")
    private String cqFatIndex;
    /** 含砂量  /%*/
    @ApiModelProperty(value = "含砂量  /%")
    @Column(name = "silt_content")
    private String siltContent;
    /** 磁性金属物 /g/kg*/
    @ApiModelProperty(value = "磁性金属物 /g/kg")
    @Column(name = "magnetic_metal")
    private String magneticMetal;
    /** 外观形态*/
    @ApiModelProperty(value = "外观形态")
    @Column(name = "appearance_form")
    private String appearanceForm;
    /** 湿面筋含量*/
    @ApiModelProperty(value = "湿面筋含量")
    @Column(name = "gluten")
    private String gluten;
    /** 碎米 总量/%*/
    @ApiModelProperty(value = "碎米 总量/%")
    @Column(name = "broken_Rice_total")
    private String brokenRiceTotal;
    /** 碎米 小碎米含量/%*/
    @ApiModelProperty(value = "碎米 小碎米含量/%")
    @Column(name = "broken_rice_small")
    private String brokenRiceSmall;
    /** 杂质/% 无机杂质含量/%*/
    @ApiModelProperty(value = "杂质/% 无机杂质含量/%")
    @Column(name = "impurity_inorganic")
    private String impurityInorganic;

    // ------------------------------------------ 主要食品安全指标
    /** 主要食品安全指标 结果判定*/
    @ApiModelProperty(value = "主要食品安全指标 结果判定", example = "合格")
    @Column(name = "mgs_judge_result")
    private String mgsJudgeResult;
    /** 铅、镉、 总汞、总砷限量指标(mg/kg)*/
    @ApiModelProperty(value = "铅、镉、 总汞、总砷限量指标(mg/kg) PB-CD-THG-AS")
    @Column(name = "mgs_pd_cd_thg_as")
    private String mgs_pd_cd_thg_as;
    /** 脱氧雪腐镰刀菌烯醇、玉米赤霉烯酮限量指标（μg/kg)*/
    @ApiModelProperty(value = "脱氧雪腐镰刀菌烯醇、玉米赤霉烯酮限量指标（μg/kg)")
    @Column(name = "mgs_don_zen")
    private String mgs_don_zen;
    /** 敌敌畏、辛硫磷、马拉硫磷限量指标(mg/kg)*/
    @ApiModelProperty(value = "敌敌畏、辛硫磷、马拉硫磷限量指标(mg/kg)")
    @Column(name = "mgs_ddv")
    private String mgs_ddv;

}
