package com.unis.quality.common.vo;

import com.unis.base.common.vo.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import java.util.Date;
import java.util.List;

/**
 * 质检报告
 * @author by PIG
 * @see QualityInspectionDetailVO
 * 2023/9/21 18
 */
@ApiModel(value = "质检报告")
@Data
@EqualsAndHashCode(callSuper = true)
public class QualityInspectionVO extends BaseEntity {

    @Column(name = "fid")
    private Long fid;
    /**  entrust_inspect.fid
     * */
    @Column(name = "entrust_inspect_fid")
    private Long entrustInspectFid;

    @ApiModelProperty(value = "质检报告标题")
    private String chooseTitle;

    /** 检测机构*/
    @ApiModelProperty(value = "检测机构")
    private String chooseOrgName;
    /**被检单位*/
    @ApiModelProperty(value = "被检单位")
    private String beInspectOrg;
    /**被检单位*/
    @ApiModelProperty(value = "被检单位")
    private String beInspectOrgName;
    /** 产品名称*/
    @ApiModelProperty(value = "产品名称")
    private String subTypeDetailed;
    /** 产品名称*/
    @ApiModelProperty(value = "产品名称")
    private String subTypeDetailedName;
    /** 抽样基数*/
    @ApiModelProperty(value = "抽样基数")
    private String sampleBasicNum;
    /** 样品数量*/
    @ApiModelProperty(value = "样品数量")
    private String sampleNum;
    /** 抽样地点*/
    @ApiModelProperty(value = "抽样地点")
    private String sampleAddress;
    /** 抽样日期*/
    @ApiModelProperty(value = "抽样日期")
    private String chooseDate;
    /** 抽样编号*/
    @ApiModelProperty(value = "抽样编号")
    private String chooseNumber;
    /** 入库日期*/
    @ApiModelProperty(value = "入库日期")
    private String inputDate;
    /** 样品送达日期*/
    @ApiModelProperty(value = "样品送达日期")
    private String deliveryDate;
    /** 检验日期*/
    @ApiModelProperty(value = "检验日期")
    private String inspectDate;
    /** 签发日期*/
    @ApiModelProperty(value = "签发日期")
    private String issueDate;

    /** 检验结论*/
    @ApiModelProperty(value = "检验结论")
    private String conclusion;
    /** 品种*/
    private String applySubType;

    @ApiModelProperty(value = "指标")
    private List<QualityInspectionDetailVO> qualityInspectionDetailList;

    @ApiModelProperty(name = "仓号")
    private String houseName;
    @ApiModelProperty(value = "完成时间")
    private String finishDate;
    @ApiModelProperty(value = "委托时间")
    private String entrustDate;
    @ApiModelProperty(value = "申请类型")
    private String entrustApplyTypeName;
    @ApiModelProperty(name = "委托书编号")
    private String entrustNum;

    @ApiModelProperty(name = "备注")
    private String remark;

}
