package com.unis.quality.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import java.math.BigDecimal;
import java.util.Date;

/**
 *
 * @author by PIG
 * 2023/10/25 16
 */
@ApiModel(value = "入库质检意见")
@Data
public class QualityOpinionInVO {

    private Long fid;

    private String nodeId;
    private String nodeName;

    private String actionType;

    private String qualityOpinion;
    private String rkdwbm;
    private String rkdwmc;
    private String ysbgbh;
    private BigDecimal yssl;
    private String houseId;
    private String houseName;
    private BigDecimal basicNum;
    @ApiModelProperty(value = "", example = "合格|不合格")
    private String conclusion;
    private String commitUser;
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date commitDate;
    private String signature;
    private Date signatureDate;
    private String accept;
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date acceptDate;
    @ApiModelProperty(name = "备注")
    private String remark;

    @ApiModelProperty(name = "轮换协议/合同编号")
    @Column(name = "contract_number")
    private String contractNumber;

    public void initNode() {
        this.nodeId = NODE_INFO.COMMIT_PEND.value;
        this.nodeName = NODE_INFO.COMMIT_PEND.name;
    }

    public enum NODE_INFO {
        COMMIT_PEND("90000010", "待提交"),
        SEAL_PEND("90000020", "待盖章"),
        ACCEPT_PEND("90000030", "待财务部接收"),
        COMPLETE("90000040", "已完成");
        @Getter
        private final String value;
        @Getter
        private final String name;

        NODE_INFO(String value, String name) {
            this.value = value;
            this.name = name;
        }
        public boolean equalVal(String targetVal) {
            return this.value.equals(targetVal);
        }
    }

}
