package com.unis.quality.common.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;

/**
 * 出库质检意见 子表
 * @author by PIG
 * 2023/11/15 15
 */
@Data
@Table(name = "t_quality_opinion_out_detail")
public class QualityOpinionOutDetailVO {

    @Id
    @ApiModelProperty(value = "fid")
    @Column(name = "fid")
    private Long fid;
    /**
     * @see QualityOpinionOutVO
     * QualityOpinionOutDO.fid
     */
    @Column(name = "quality_opinion_out_fid")
    private Long QualityOpinionOutFid;

    @ApiModelProperty(value = "有效期")
    @Column(name = "validity")
    private String validity;

    /**
     * 质检指标 平均样品fid
     * @see QualityInspectionDetailVO
     * QualityInspectionDetailVO.fid
     * */
    @Column(name = "quality_inspect_detail_fid")
    private Long qualityInspectionDetailFid;


    @ApiModelProperty(name = "仓号")
    @Column(name = "house_id")
    private String houseId;
    @ApiModelProperty(name = "仓号")
    @Column(name = "house_name")
    private String houseName;
    @ApiModelProperty(name = "货位")
    @Column(name = "warehouse_id")
    private String warehouseId;
    @ApiModelProperty(name = "货位")
    @Column(name = "warehouse_name")
    private String warehouseName;
    @ApiModelProperty(name = "品种")
    @Column(name = "sub_type_detailed")
    private String subTypeDetailed;
    @ApiModelProperty(name = "品种")
    @Column(name = "sub_type_detailed_name")
    private String subTypeDetailedName;

    @ApiModelProperty(name = "数量")
    @Column(name = "inventory_number")
    private BigDecimal inventoryNumber;
    @ApiModelProperty(name = "储存库点")
    @Column(name = "depot_name")
    private String depotName;
    @ApiModelProperty(name = "储存库点")
    @Column(name = "depot_code")
    private String depotCode;
    @ApiModelProperty(name = "生产年份")
    @Column(name = "prod_year")
    private String prodYear;

}
