package com.unis.quality.common.vo;

import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.quality.common.dto.QualityOpinionOutDetailDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 出库质检意见
 * @author by PIG
 * 2023/10/25 16
 */
@ApiModel(value = "出库 质检意见")
@Data
public class QualityOpinionOutVO {

    private Long fid;

    private String nodeId;
    private String nodeName;
    private String actionType;

    private String qualityOpinion;
    private String rkdwbm;
    private String rkdwmc;
    private BigDecimal yssl;
    private String houseId;
    private String houseName;
    private BigDecimal basicNum;
    @ApiModelProperty(value = "", example = "合格|不合格")
    private String conclusion;
    @ApiModelProperty(name = "提交人")
    private String commitUser;
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date commitDate;
    @ApiModelProperty(name = "签章")
    private String signature;
    private Date signatureDate;
    private String accept;
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date acceptDate;
    @ApiModelProperty(name = "备注")
    private String remark;

    @ApiModelProperty(name = "轮换申请编号")
    private String contractNumber;

    private String entrustApplyType;

    private List<QualityOpinionOutDetailDTO> detailList;

    private List<JSONObject> detailObjectList;
    /**委托申请编号*/
    private String applyNumber;

    @Column(name = "轮换申请编号")
    private String rotateApplyCode;

    @Column(name = "委托申请大品种")
    private String applySubType;


    public void initNode() {
        this.nodeId = NODE_INFO.COMMIT_PEND.value;
        this.nodeName = NODE_INFO.COMMIT_PEND.name;
    }

    public enum NODE_INFO {
        COMMIT_PEND("90000010", "待提交"),
        SEAL_PEND("90000020", "待盖章"),
        ACCEPT_PEND("90000030", "待接收"),
        COMPLETE("90000040", "已完成");
        @Getter
        private final String value;
        @Getter
        private final String name;

        NODE_INFO(String value, String name) {
            this.value = value;
            this.name = name;
        }
        public boolean equalVal(String targetVal) {
            return this.value.equals(targetVal);
        }
    }

}
