package com.unis.quality.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.util.Date;
import java.util.List;

/**
 * @ClassName: CheckstandardItemController 
 * @Description: 检验流程管理---检测项目
 * @date 2019年7月17日 下午2:37:41 
 * 
 * @version v1.0
 */
@Data
@ApiModel(value="检测项目")
public class TbCheckstandardItemVO {

	@ApiModelProperty(value="状态 0 1")	
	private String status;

	@ApiModelProperty(value="项目id")	
	private String itemId;
	
	/**
	 * 标准id
	 */
	@ApiModelProperty(value="标准id")	
	private String checkstandardId;
	
	/**
	 * 标准分类
	 */
	@ApiModelProperty(value="标准分类")	
	private String standardType;
	
	/**
	 * 项目明细
	 */
	@ApiModelProperty(value="项目明细")	
	private String projectDetails;
	
	/**
	 * 标准编号
	 */
	@ApiModelProperty(value="标准编号")	
	private String standardCode;
	/**
	 * 创建时间
	 */
	@ApiModelProperty(value="创建时间")	
	private Date createDate;
	
	/**
	 * 开始时间
	 */
	@ApiModelProperty(value="开始时间")	
	private String createDateStart;
	
	/**
	 * 结束时间
	 */
	@ApiModelProperty(value="结束时间")	
	private String createDateEnd;
	
	/**
	 * 标准名称
	 */
	@ApiModelProperty(value="标准名称")	
	private String standardName;
	
	/**
	 * 判断规则
	 */
	@ApiModelProperty(value="判断规则")	
	private List<TbCheckstandardItemlevelVO> judgeRuleList;
	
	/**
	 *  检测结果
	 */
	@ApiModelProperty(value="检测结果")	
	private String itemcheckRnum;
	
	/**
	 *  单向判断
	 */
	@ApiModelProperty(value="单向判断")	
	private String itemcheckRlevel;
	
	/**
	 *  检测人
	 */
	@ApiModelProperty(value="检测人")	
	private String itemcheckMan;

	@ApiModelProperty(value="质检系统的标准id")
	private String standardId;

	@Column(name="STAND_ITEM_ID")
	@ApiModelProperty(value="质检系统的详细标准id")
	private String standItemId;

}
