/*
* AbnormalDetailListVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2020-05-14 19:31:13 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.unis.quality.common.vo.abnormal;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.common.constant.BaseStatusConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * TY_YCQKZGTZMX-异常情况整改通知明细
 * @author lipenghe at 2020-05-14 19:31:13
 */
@ApiModel(value = "TY_YCQKZGTZMX:异常情况整改通知明细-AbnormalDetailListVO")
@Data
@Table(name="TY_YCQKZGTZMX")
public class AbnormalDetailListVO implements Serializable{

    @ApiModelProperty(value = "异常情况明细id#<主键><唯一><非空>", notes ="异常情况明细id", example = "异常情况明细id#<主键><唯一><非空>")
    @Id
    @Column(name="YCQKMXID")
    private String ycqkmxid;

    @ApiModelProperty(value = "异常情况id#<非空>", notes ="异常情况id", example = "异常情况id#<非空>")
    @Column(name="YCQKID")
    private String ycqkid;

    @ApiModelProperty(value = "仓号#<非空>", notes ="仓号", example = "仓号#<非空>")
    @Column(name="CH")
    private String ch;

    @ApiModelProperty(value = "样品号#<非空>", notes ="样品号", example = "样品号#<非空>")
    @Column(name="QYDBH")
    private String qydbh;

    @ApiModelProperty(value = "品种名称#<非空>", notes ="品种名称", example = "品种名称#<非空>")
    @Column(name="PZ")
    private String pz;

    @ApiModelProperty(value = "水分", notes ="水分", example = "水分")
    @Column(name="SF")
    private String sf;

    @ApiModelProperty(value = "杂质", notes ="杂质", example = "杂质")
    @Column(name="ZZ")
    private String zz;

    @ApiModelProperty(value = "不完善粒", notes ="不完善粒", example = "不完善粒")
    @Column(name="BWSL")
    private String bwsl;

    @ApiModelProperty(value = "整改时间", notes ="整改时间", example = "2019-10-01")
    @Column(name="ZGSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date zgsj;

    @ApiModelProperty(value = "整改措施", notes ="整改措施", example = "整改措施")
    @Column(name="ZGCS")
    private String zgcs;

    @ApiModelProperty(value = "状态#<默认值:1>1：正常，0：已作废", notes ="状态", example = "1")
    @Column(name="STATUS")
    private Integer status;

    @ApiModelProperty(value = "创建人", notes ="创建人", example = "创建人")
    @Column(name="CREATOR")
    private String creator;

    @ApiModelProperty(value = "创建时间#<默认值:current>", notes ="创建时间", example = "2019-10-01")
    @Column(name="CREATE_DATE")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date createDate;

    public AbnormalDetailListVO(){
        super();
        this.status= BaseStatusConstant.STATUS_NORMAL;
    }
}