/*
* AbnormalDetailShowVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2020-05-14 19:31:13 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.unis.quality.common.vo.abnormal;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.common.constant.BaseStatusConstant;
import com.unis.common.vo.groups.InsertGroup;
import com.unis.common.vo.groups.UpdateGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;

/**
 * TY_YCQKZGTZMX-异常情况整改通知明细
 * @author lipenghe at 2020-05-14 19:31:13
 */
@ApiModel(value = "TY_YCQKZGTZMX:异常情况整改通知明细-AbnormalDetailShowVO")
@Data
@Table(name="TY_YCQKZGTZMX")
public class AbnormalDetailShowVO implements Serializable{

    @NotBlank(message = "异常情况明细id不能为空",groups ={UpdateGroup.class})
    @Length(max=50,message="异常情况明细id最大为50字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "异常情况明细id#<主键><唯一><非空>", notes ="异常情况明细id", example = "异常情况明细id#<主键><唯一><非空>")
    @Id
    @Column(name="YCQKMXID",length=50)
    private String ycqkmxid;

    @NotBlank(message = "异常情况id不能为空",groups ={InsertGroup.class})
    @Length(max=50,message="异常情况id最大为50字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "异常情况id#<非空>", notes ="异常情况id", example = "异常情况id#<非空>", hidden = true)
    @Column(name="YCQKID", length=50)
    private String ycqkid;

    @NotBlank(message = "仓号不能为空",groups ={InsertGroup.class})
    @Length(max=50,message="仓号最大为50字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "仓号#<非空>", notes ="仓号", example = "仓号#<非空>", hidden = true)
    @Column(name="CH", length=50)
    private String ch;

    @NotBlank(message = "样品号不能为空",groups ={InsertGroup.class})
    @Length(max=50,message="样品号最大为50字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "样品号#<非空>", notes ="样品号", example = "样品号#<非空>", hidden = true)
    @Column(name="QYDBH", length=50)
    private String qydbh;

    @NotBlank(message = "品种名称不能为空",groups ={InsertGroup.class})
    @Length(max=200,message="品种名称最大为200字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "品种名称#<非空>", notes ="品种名称", example = "品种名称#<非空>", hidden = true)
    @Column(name="PZ", length=200)
    private String pz;

    @Length(max=200,message="水分最大为200字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "水分", notes ="水分", example = "水分", hidden = true)
    @Column(name="SF", length=200)
    private String sf;

    @Length(max=200,message="杂质最大为200字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "杂质", notes ="杂质", example = "杂质", hidden = true)
    @Column(name="ZZ", length=200)
    private String zz;

    @Length(max=200,message="不完善粒最大为200字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "不完善粒", notes ="不完善粒", example = "不完善粒", hidden = true)
    @Column(name="BWSL", length=200)
    private String bwsl;

    @ApiModelProperty(value = "整改时间", notes ="整改时间", example = "2019-10-01", hidden = true)
    @Column(name="ZGSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date zgsj;

    //数据库类型:LONGVARCHAR,长度:2048
    @ApiModelProperty(value = "整改措施", notes ="整改措施", example = "整改措施", hidden = true)
    @Column(name="ZGCS")
    private String zgcs;

    @ApiModelProperty(value = "状态#<默认值:1>1：正常，0：已作废", notes ="状态", example = "1", hidden = true)
    @Column(name="STATUS", length=10, precision=10, scale=0)
    private Integer status;

    @Length(max=32,message="创建人最大为32字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "创建人", notes ="创建人", example = "创建人", hidden = true)
    @Column(name="CREATOR", length=32)
    private String creator;

    @ApiModelProperty(value = "创建时间#<默认值:current>", notes ="创建时间", example = "2019-10-01", hidden = true)
    @Column(name="CREATE_DATE")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date createDate;

    public AbnormalDetailShowVO(){
        super();
        this.status= BaseStatusConstant.STATUS_NORMAL;
    }
}