/*
* AbnormalListVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2020-05-14 19:31:13 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.unis.quality.common.vo.abnormal;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.common.constant.BaseStatusConstant;
import com.unis.quality.common.vo.backlog.ReceiverCollectionVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * TY_YCQKZGTZ-异常情况整改通知
 * @author lipenghe at 2020-05-14 19:31:13
 */
@ApiModel(value = "TY_YCQKZGTZ:异常情况整改通知-AbnormalListVO")
@Data
@Table(name="TY_YCQKZGTZ")
public class AbnormalListVO implements Serializable{

    @ApiModelProperty(value = "异常情况id#<主键><唯一><非空>", notes ="异常情况id", example = "异常情况id#<主键><唯一><非空>")
    @Id
    @Column(name="YCQKID")
    private String ycqkid;

    @ApiModelProperty(value = "委托编号#<非空>", notes ="委托编号", example = "委托编号#<非空>")
    @Column(name="WTBH")
    private String wtbh;

    @ApiModelProperty(value = "承储/受检单位", notes ="承储/受检单位", example = "承储/受检单位")
    @Column(name="CCDW")
    private String ccdw;

    @ApiModelProperty(value = "委托时间", notes ="委托时间", example = "2019-10-01")
    @Column(name="WTSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date wtsj;

    @ApiModelProperty(value = "委托人", notes ="委托人", example = "委托人")
    @Column(name="WTR")
    private String wtr;

    @ApiModelProperty(value = "仓号编码聚合数据", notes ="仓号编码聚合数据", example = "仓号编码聚合数据")
    @Column(name="CH")
    private String ch;

    @ApiModelProperty(value = "仓号名称聚合数据", notes ="仓号名称聚合数据", example = "仓号名称聚合数据")
    @Column(name="CHMCS")
    private String chmcs;

    @ApiModelProperty(value = "已归纳的异常#只添加不删除", notes ="已归纳的异常", example = "已归纳的异常#只添加不删除")
    @Column(name="YCS")
    private String ycs;

    @ApiModelProperty(value = "异常位置聚合数据#会添加和删除", notes ="异常位置聚合数据", example = "异常位置聚合数据#会添加和删除")
    @Column(name="YCWZS")
    private String ycwzs;

    @ApiModelProperty(value = "异常状态#草稿10,", notes ="异常状态", example = "异常状态#草稿10,")
    @Column(name="YCZT")
    private String yczt;

    @ApiModelProperty(value = "异常状态名称", notes ="异常状态名称", example = "异常状态名称")
    @Column(name="YCZTMC")
    private String ycztmc;

    @ApiModelProperty(value = "整改检查人", notes ="整改检查人", example = "整改检查人")
    @Column(name="ZGJCR")
    private String zgjcr;

    @ApiModelProperty(value = "整改检查时间", notes ="整改检查时间", example = "2019-10-01")
    @Column(name="ZGJCSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date zgjcsj;

    @ApiModelProperty(value = "异常情况盖章", notes ="异常情况盖章", example = "异常情况盖章")
    @Column(name="YCQKGZ")
    private String ycqkgz;

    @ApiModelProperty(value = "整改要求", notes ="整改要求", example = "整改要求")
    @Column(name="ZGYQ")
    private String zgyq;

    @ApiModelProperty(value = "整改开始时间", notes ="整改开始时间", example = "2019-10-01")
    @Column(name="ZGKSSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date zgkssj;

    @ApiModelProperty(value = "整改结束时间", notes ="整改结束时间", example = "2019-10-01")
    @Column(name="ZGJSSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date zgjssj;

    @ApiModelProperty(value = "整改承储企业负责人", notes ="整改承储企业负责人", example = "整改承储企业负责人")
    @Column(name="ZGCCQYFZR")
    private String zgccqyfzr;

    @ApiModelProperty(value = "整改承储企业盖章", notes ="整改承储企业盖章", example = "整改承储企业盖章")
    @Column(name="ZGCCQYGZ")
    private String zgccqygz;

    @ApiModelProperty(value = "验收结果", notes ="验收结果", example = "验收结果")
    @Column(name="YSJG")
    private String ysjg;

    @ApiModelProperty(value = "验收情况", notes ="验收情况", example = "验收情况")
    @Column(name="YSQK")
    private String ysqk;

    @ApiModelProperty(value = "验收附件", notes ="验收附件", example = "验收附件")
    @Column(name="YSFJ")
    private String ysfj;

    @ApiModelProperty(value = "验收检查人", notes ="验收检查人", example = "验收检查人")
    @Column(name="YSJCR")
    private String ysjcr;

    @ApiModelProperty(value = "验收检查时间", notes ="验收检查时间", example = "2019-10-01")
    @Column(name="YSJCSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date ysjcsj;

    @ApiModelProperty(value = "验收承储企业负责人", notes ="验收承储企业负责人", example = "验收承储企业负责人")
    @Column(name="YSCCQYFZR")
    private String ysccqyfzr;

    @ApiModelProperty(value = "状态#<默认值:1>1：正常，0：已作废", notes ="状态", example = "1")
    @Column(name="STATUS")
    private Integer status;

    @ApiModelProperty(value = "创建人", notes ="创建人", example = "创建人")
    @Column(name="CREATOR")
    private String creator;

    @ApiModelProperty(value = "创建时间#<默认值:current>", notes ="创建时间", example = "2019-10-01")
    @Column(name="CREATE_DATE")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date createDate;

    @ApiModelProperty(value = "整改验收盖章", notes ="整改验收盖章", example = "整改验收盖章")
    @Column(name="ZGYSGZ")
    private String zgysgz;

    @ApiModelProperty(value = "整改确认盖章", notes ="整改确认盖章", example = "整改确认盖章")
    @Column(name="ZGQRYSGZ")
    private String zgqrysgz;

    public AbnormalListVO(){
        super();
        this.status= BaseStatusConstant.STATUS_NORMAL;
    }

    @ApiModelProperty(value = "待办用户")
    List<ReceiverCollectionVO> userList;

    @ApiModelProperty(value = "事项详情Url")
    private String itemUrl;// 事项详情url

    private String itemQuery; // 详情跳转参数 （BacklogAddVO）

    private String handlerId; // 已办-处理人主键 （BacklogUpdateVO）

    private String sendresult; // 库级推送结果

    @ApiModelProperty(value = "查询字段")
    private String itemQueryHaveDone;
}