/*
* CheckstandardInfoListVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2020-08-20 22:44:51 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.unis.quality.common.vo.standard;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * CHECKSTANDARD_INFO-标准信息
 * @author lipenghe at 2020-08-20 22:44:51
 */
@ApiModel(value = "CHECKSTANDARD_INFO:标准信息-CheckstandardInfoListVO")
@Data
@Table(name="CHECKSTANDARD_INFO")
public class CheckstandardInfoListVO implements Serializable{

    @ApiModelProperty(value = "标准id#<主键><唯一><非空>", notes ="标准id", example = "标准id#<主键><唯一><非空>")
    @Id
    @Column(name="CHECKSTANDARD_ID")
    private String checkstandardId;

    @ApiModelProperty(value = "创建时间", notes ="创建时间", example = "2019-10-01")
    @Column(name="CREATE_DATE")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date createDate;

    @ApiModelProperty(value = "创建人", notes ="创建人", example = "创建人")
    @Column(name="CREATOR")
    private String creator;

    @ApiModelProperty(value = "是否使用", notes ="是否使用", example = "是否使用")
    @Column(name="IS_USED")
    private String isUsed;

    @ApiModelProperty(value = "组织id", notes ="组织id", example = "组织id")
    @Column(name="ORG_CODE")
    private String orgCode;

    @ApiModelProperty(value = "标准编码", notes ="标准编码", example = "标准编码")
    @Column(name="STANDARD_CODE")
    private String standardCode;

    @ApiModelProperty(value = "标准附件id", notes ="标准附件id", example = "标准附件id")
    @Column(name="STANDARD_FILE")
    private String standardFile;

    @ApiModelProperty(value = "标准名", notes ="标准名", example = "标准名")
    @Column(name="STANDARD_NAME")
    private String standardName;

    @ApiModelProperty(value = "标准类型", notes ="标准类型", example = "标准类型")
    @Column(name="STANDARD_TYPE")
    private String standardType;

    @ApiModelProperty(value = "执行时间", notes ="执行时间", example = "2019-10-01")
    @Column(name="DO_TIME")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date doTime;

    @ApiModelProperty(value = "发布时间", notes ="发布时间", example = "2019-10-01")
    @Column(name="PUB_TIME")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date pubTime;

    @ApiModelProperty(value = "有效时间", notes ="有效时间", example = "2019-10-01")
    @Column(name="VALID_TIME")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date validTime;

    @ApiModelProperty(value = "质检系统标准id", notes ="质检系统标准id", example = "质检系统标准id")
    @Column(name="STANDARD_ID")
    private String standardId;

    public CheckstandardInfoListVO(){
        super();
    }
}