/*
* CheckstandardInfoShowVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2020-08-20 22:44:51 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.unis.quality.common.vo.standard;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.common.vo.groups.InsertGroup;
import com.unis.common.vo.groups.UpdateGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * CHECKSTANDARD_INFO-标准信息
 * @author lipenghe at 2020-08-20 22:44:51
 */
@ApiModel(value = "CHECKSTANDARD_INFO:标准信息-CheckstandardInfoShowVO")
@Data
@Table(name="CHECKSTANDARD_INFO")
public class CheckstandardInfoShowVO implements Serializable{

    @NotBlank(message = "标准id不能为空",groups ={UpdateGroup.class})
    @Length(max=255,message="标准id最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "标准id#<主键><唯一><非空>", notes ="标准id", example = "标准id#<主键><唯一><非空>")
    @Id
    @Column(name="CHECKSTANDARD_ID",length=255)
    private String checkstandardId;

    @ApiModelProperty(value = "创建时间", notes ="创建时间", example = "2019-10-01", hidden = true)
    @Column(name="CREATE_DATE")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date createDate;

    @Length(max=255,message="创建人最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "创建人", notes ="创建人", example = "创建人", hidden = true)
    @Column(name="CREATOR", length=255)
    private String creator;

    @Length(max=255,message="是否使用最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "是否使用", notes ="是否使用", example = "是否使用", hidden = true)
    @Column(name="IS_USED", length=255)
    private String isUsed;

    @Length(max=255,message="组织id最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "组织id", notes ="组织id", example = "组织id", hidden = true)
    @Column(name="ORG_CODE", length=255)
    private String orgCode;

    @Length(max=255,message="标准编码最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "标准编码", notes ="标准编码", example = "标准编码", hidden = true)
    @Column(name="STANDARD_CODE", length=255)
    private String standardCode;

    @Length(max=255,message="标准附件id最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "标准附件id", notes ="标准附件id", example = "标准附件id", hidden = true)
    @Column(name="STANDARD_FILE", length=255)
    private String standardFile;

    @Length(max=255,message="标准名最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "标准名", notes ="标准名", example = "标准名", hidden = true)
    @Column(name="STANDARD_NAME", length=255)
    private String standardName;

    @Length(max=255,message="标准类型最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "标准类型", notes ="标准类型", example = "标准类型", hidden = true)
    @Column(name="STANDARD_TYPE", length=255)
    private String standardType;

    @ApiModelProperty(value = "执行时间", notes ="执行时间", example = "2019-10-01", hidden = true)
    @Column(name="DO_TIME")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date doTime;

    @ApiModelProperty(value = "发布时间", notes ="发布时间", example = "2019-10-01", hidden = true)
    @Column(name="PUB_TIME")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date pubTime;

    @ApiModelProperty(value = "有效时间", notes ="有效时间", example = "2019-10-01", hidden = true)
    @Column(name="VALID_TIME")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date validTime;

    @Length(max=200,message="质检系统标准id最大为200字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "质检系统标准id", notes ="质检系统标准id", example = "质检系统标准id", hidden = true)
    @Column(name="STANDARD_ID", length=200)
    private String standardId;

    public CheckstandardInfoShowVO(){
        super();
    }

    @ApiModelProperty(value = "标准详情", notes ="子表---CHECKSTANDARD_ITEM", example = "", hidden = true)
    private List<CheckstandardItemShowVO> itemList;
}