/*
* CheckstandardItemLevelShowVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2020-08-20 22:44:51 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.unis.quality.common.vo.standard;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.common.vo.groups.InsertGroup;
import com.unis.common.vo.groups.UpdateGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;

/**
 * CHECKSTANDARD_ITEMLEVEL-标准详情规则
 * @author lipenghe at 2020-08-20 22:44:51
 */
@ApiModel(value = "CHECKSTANDARD_ITEMLEVEL:标准详情规则-CheckstandardItemLevelShowVO")
@Data
@Table(name="CHECKSTANDARD_ITEMLEVEL")
public class CheckstandardItemLevelShowVO implements Serializable{

    @NotBlank(message = "标准详情规则id不能为空",groups ={UpdateGroup.class})
    @Length(max=255,message="标准详情规则id最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "标准详情规则id#<主键><唯一><非空>", notes ="标准详情规则id", example = "标准详情规则id#<主键><唯一><非空>")
    @Id
    @Column(name="LEVEL_ID",length=255)
    private String levelId;

    @Length(max=255,message="检测标准id最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "检测标准id", notes ="检测标准id", example = "检测标准id", hidden = true)
    @Column(name="CHECKSTANDARD_ID", length=255)
    private String checkstandardId;

    @ApiModelProperty(value = "创建时间", notes ="创建时间", example = "2019-10-01", hidden = true)
    @Column(name="CREATE_DATE")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date createDate;

    @Length(max=255,message="创建人最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "创建人", notes ="创建人", example = "创建人", hidden = true)
    @Column(name="CREATOR", length=255)
    private String creator;

    @Length(max=255,message="等级code最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "等级code", notes ="等级code", example = "等级code", hidden = true)
    @Column(name="GRADE", length=255)
    private String grade;

    @Length(max=255,message="检测项目id最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "检测项目id", notes ="检测项目id", example = "检测项目id", hidden = true)
    @Column(name="ITEM_ID", length=255)
    private String itemId;

    @Length(max=255,message="判断值最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "判断值", notes ="判断值", example = "判断值", hidden = true)
    @Column(name="JUDGE_VALUE", length=255)
    private String judgeValue;

    @Length(max=255,message="组织代码最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "组织代码", notes ="组织代码", example = "组织代码", hidden = true)
    @Column(name="ORG_CODE", length=255)
    private String orgCode;

    @Length(max=255,message="判断规则最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "判断规则", notes ="判断规则", example = "判断规则", hidden = true)
    @Column(name="RULE", length=255)
    private String rule;

    public CheckstandardItemLevelShowVO(){
        super();
    }
}