/*
* CheckstandardItemShowVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2020-08-20 22:44:51 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.unis.quality.common.vo.standard;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.common.vo.groups.InsertGroup;
import com.unis.common.vo.groups.UpdateGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;

/**
 * CHECKSTANDARD_ITEM-标准详情
 * @author lipenghe at 2020-08-20 22:44:51
 */
@ApiModel(value = "CHECKSTANDARD_ITEM:标准详情-CheckstandardItemShowVO")
@Data
@Table(name="CHECKSTANDARD_ITEM")
public class CheckstandardItemShowVO implements Serializable{

    @NotBlank(message = "项目id不能为空",groups ={UpdateGroup.class})
    @Length(max=255,message="项目id最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "项目id#<主键><唯一><非空>", notes ="项目id", example = "项目id#<主键><唯一><非空>")
    @Id
    @Column(name="ITEM_ID",length=255)
    private String itemId;

    @Length(max=255,message="标准id最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "标准id", notes ="标准id", example = "标准id", hidden = true)
    @Column(name="CHECKSTANDARD_ID", length=255)
    private String checkstandardId;

    @ApiModelProperty(value = "创建时间", notes ="创建时间", example = "2019-10-01", hidden = true)
    @Column(name="CREATE_DATE")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date createDate;

    @Length(max=255,message="创建人最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "创建人", notes ="创建人", example = "创建人", hidden = true)
    @Column(name="CREATOR", length=255)
    private String creator;

    @Length(max=255,message="检测人最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "检测人", notes ="检测人", example = "检测人", hidden = true)
    @Column(name="ITEMCHECK_MAN", length=255)
    private String itemcheckMan;

    @Length(max=255,message="单向判断最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "单向判断", notes ="单向判断", example = "单向判断", hidden = true)
    @Column(name="ITEMCHECK_RLEVEL", length=255)
    private String itemcheckRlevel;

    @Length(max=255,message="检测结果最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "检测结果", notes ="检测结果", example = "检测结果", hidden = true)
    @Column(name="ITEMCHECK_RNUM", length=255)
    private String itemcheckRnum;

    @Length(max=255,message="组织id最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "组织id", notes ="组织id", example = "组织id", hidden = true)
    @Column(name="ORG_CODE", length=255)
    private String orgCode;

    @Length(max=255,message="项目明细最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "项目明细", notes ="项目明细", example = "项目明细", hidden = true)
    @Column(name="PROJECT_DETAILS", length=255)
    private String projectDetails;

    @Length(max=255,message="标准编号最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "标准编号", notes ="标准编号", example = "标准编号", hidden = true)
    @Column(name="STANDARD_CODE", length=255)
    private String standardCode;

    @Length(max=255,message="标准名称最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "标准名称", notes ="标准名称", example = "标准名称", hidden = true)
    @Column(name="STANDARD_NAME", length=255)
    private String standardName;

    @Length(max=255,message="标准分类最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "标准分类", notes ="标准分类", example = "标准分类", hidden = true)
    @Column(name="STANDARD_TYPE", length=255)
    private String standardType;

    @Length(max=200,message="质检系统的标准id最大为200字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "质检系统的标准id", notes ="质检系统的标准id", example = "质检系统的标准id", hidden = true)
    @Column(name="STANDARD_ID", length=200)
    private String standardId;

    @Length(max=200,message="质检系统的详细标准id最大为200字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "质检系统的详细标准id", notes ="质检系统的详细标准id", example = "质检系统的详细标准id", hidden = true)
    @Column(name="STAND_ITEM_ID", length=200)
    private String standItemId;

    public CheckstandardItemShowVO(){
        super();
    }

    @ApiModelProperty(value = "标准详情规则", notes ="子表---CHECKSTANDARD_ITEMLEVEL", example = "", hidden = true)
    private CheckstandardItemLevelShowVO levelVO;
}