package com.unis.quality.common.vo.tianjin;

import java.util.Date;
import java.util.List;
import java.util.Map;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.quality.common.vo.backlog.ReceiverCollectionVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @ClassName QualityHarvestCornVO
 * @Description 新收获粮-抽查方案VO
 * @Author lfx
 * @Date 2019年8月20日17:57:40
 * @Version 0.0.1
 **/
@Getter
@Setter
@ApiModel(value = "新收获粮-抽查方案Model")
public class QualityHarvestCornVO extends BaseVO {
	
  	private  String[] ids;
  	
  	private Map<String, Object> aduitList;

  	// 委托id
 	private String wtId;
 	
 	// 方案编号
 	private String fabh;
 	
 	// 方案标题
 	private String fabt;
 	
 	// 年度
 	private String nd;
 	
 	// 发起时间
	@DateTimeFormat( pattern = "yyyy-MM-dd")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
 	private Date fqsj;
 	
 	// 结束时间
	@DateTimeFormat( pattern = "yyyy-MM-dd")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
 	private Date jssj;
 	
 	// 附件ID
 	private String fjid;
 	
 	// 方案详情
 	private String faxq;
 	
 	//状态
 	private Integer zt;
 	
 	//状态
 	private String ztmc;
 	
 	// 附件名称 
  	private String fjmc;
  	
    // 委托类型
 	private String wtlx;
 	
 	//接收状态
 	private Integer jszt;
 	
 	//接收状态名称
 	private String jsztmc;

	@ApiModelProperty(value = "待办用户")
	List<ReceiverCollectionVO> userList;

	@ApiModelProperty(value = "事项详情Url")
	private String itemUrl;// 事项详情url

	private String itemQuery; // 详情跳转参数 （BacklogAddVO）

	private String handlerId; // 已办-处理人主键 （BacklogUpdateVO）

	private String sendresult; // 库级推送结果

	@ApiModelProperty(value = "查询字段")
	private String itemQueryHaveDone;

	@ApiModelProperty(value = "url")
	private String itemUrlHaveDone;
 	
}
