DROP TABLE "QUALITY"."BIZ_ORGANIZATION";
DROP TABLE "QUALITY"."BIZ_EQUIPMENT";
DROP TABLE "QUALITY"."BIZ_PERSONNEL_MANAGEMENT";
DROP TABLE "QUALITY"."BIZ_TEST_PARAMETERS";
DROP TABLE "QUALITY"."BIZ_QUALITY_PREDICTION_PLANNED";
DROP TABLE "QUALITY"."BIZ_QUALITY_PREDICTION_AUDIT";
DROP TABLE "QUALITY"."BIZ_QUALITY_PREDICTION_ITEMS";
DROP TABLE "QUALITY"."BIZ_FOOD_STOCK";
DROP TABLE "QUALITY"."BIZ_FOOD_STOCK_ITEMS";
DROP TABLE "QUALITY"."BIZ_GRADE_TEST_RESULTS";
DROP TABLE "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS";
DROP TABLE "QUALITY"."BIZ_SUMMARY_RESULTS";
DROP TABLE "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS";
DROP TABLE "QUALITY"."BIZ_SUMMARY_SUBSTANDARD_SAMPLE";
DROP TABLE "QUALITY"."BIZ_SUMMARY_NOT_SUITABLE";
DROP TABLE "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT";

DROP TABLE "QUALITY"."CCFA";
DROP TABLE "QUALITY"."CYD";
DROP TABLE "QUALITY"."CYJH";
DROP TABLE "QUALITY"."CYPZ";
DROP TABLE "QUALITY"."QYD";
DROP TABLE "QUALITY"."WT";


CREATE TABLE "QUALITY"."BIZ_ORGANIZATION" (
"ID" VARCHAR2(50 BYTE) NOT NULL ,
"CREATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"CREATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"DELETE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"DELETE_TIME" TIMESTAMP(6)  NULL ,
"UPDATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"UPDATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"ORG_ID" VARCHAR2(50 BYTE) NULL ,
"DEPT_ID" VARCHAR2(50 BYTE) NULL ,
"AREA_CODE" VARCHAR2(50 BYTE) NULL ,
"ORGANIZATION_NAME" VARCHAR2(200 BYTE) NULL ,
"INSTITUTIONAL_CATEGORIES" VARCHAR2(50 BYTE) NULL ,
"AFFILIATING_AREA" VARCHAR2(50 BYTE) NULL ,
"DETAILED_ADDRESS" VARCHAR2(200 BYTE) NULL ,
"REGISTRATION_TIME" VARCHAR2(50 BYTE) NULL ,
"ORGANIZATION_CODE" VARCHAR2(50 BYTE) NULL ,
"LEGAL_REPRESENTATIVE" VARCHAR2(200 BYTE) NULL ,
"PHONE" VARCHAR2(50 BYTE) NULL ,
"EMPLOYEES_NUMBER" VARCHAR2(50 BYTE) NULL ,
"EQUIPMENT_NUMBER" VARCHAR2(50 BYTE) NULL ,
"LABORATORY_AREA" VARCHAR2(50 BYTE) NULL ,
"METROLOGICAL_AUTHENTICATION" VARCHAR2(50 BYTE) NULL ,
"MONITORING_BODIES" VARCHAR2(50 BYTE) NULL 
);
COMMENT ON TABLE "QUALITY"."BIZ_ORGANIZATION" IS '机构基本信息';
COMMENT ON COLUMN "QUALITY"."BIZ_ORGANIZATION"."ID" IS 'id';
COMMENT ON COLUMN "QUALITY"."BIZ_ORGANIZATION"."ORGANIZATION_NAME" IS '质检机构名称';
COMMENT ON COLUMN "QUALITY"."BIZ_ORGANIZATION"."INSTITUTIONAL_CATEGORIES" IS '机构类别';
COMMENT ON COLUMN "QUALITY"."BIZ_ORGANIZATION"."AFFILIATING_AREA" IS '所属地区';
COMMENT ON COLUMN "QUALITY"."BIZ_ORGANIZATION"."DETAILED_ADDRESS" IS '详细地址';
COMMENT ON COLUMN "QUALITY"."BIZ_ORGANIZATION"."REGISTRATION_TIME" IS '注册时间';
COMMENT ON COLUMN "QUALITY"."BIZ_ORGANIZATION"."ORGANIZATION_CODE" IS '组织机构代码';
COMMENT ON COLUMN "QUALITY"."BIZ_ORGANIZATION"."LEGAL_REPRESENTATIVE" IS '法定代表人';
COMMENT ON COLUMN "QUALITY"."BIZ_ORGANIZATION"."PHONE" IS '联系电话';
COMMENT ON COLUMN "QUALITY"."BIZ_ORGANIZATION"."EMPLOYEES_NUMBER" IS '员工人数';
COMMENT ON COLUMN "QUALITY"."BIZ_ORGANIZATION"."EQUIPMENT_NUMBER" IS '设备数量';
COMMENT ON COLUMN "QUALITY"."BIZ_ORGANIZATION"."LABORATORY_AREA" IS '办公及实验室面积（㎡）';
COMMENT ON COLUMN "QUALITY"."BIZ_ORGANIZATION"."METROLOGICAL_AUTHENTICATION" IS '是否通过计量认证';
COMMENT ON COLUMN "QUALITY"."BIZ_ORGANIZATION"."MONITORING_BODIES" IS '是否为国家粮食质量监测机构';


CREATE TABLE "QUALITY"."BIZ_EQUIPMENT" (
"ID" VARCHAR2(50 BYTE) NOT NULL ,
"CREATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"CREATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"DELETE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"DELETE_TIME" TIMESTAMP(6)  NULL ,
"UPDATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"UPDATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"ORG_ID" VARCHAR2(50 BYTE) NULL ,
"DEPT_ID" VARCHAR2(50 BYTE) NULL ,
"AREA_CODE" VARCHAR2(50 BYTE) NULL ,
"ORGANIZATION_ID" VARCHAR2(50 BYTE) NULL ,
"EQUIPMENT_NAME" VARCHAR2(200 BYTE) NULL ,
"DEVICE_CODING" VARCHAR2(200 BYTE) NULL ,
"USING_STATE" VARCHAR2(50 BYTE) NULL ,
"MANUFACTURER" VARCHAR2(200 BYTE) NULL ,
"PRODUCTION_DATE" VARCHAR2(50 BYTE) NULL ,
"CONTACT_PERSON" VARCHAR2(50 BYTE) NULL ,
"PHONE" VARCHAR2(50 BYTE) NULL ,
"NUMBER_EQUIPMENT" VARCHAR2(50 BYTE) NULL 
);
COMMENT ON TABLE "QUALITY"."BIZ_EQUIPMENT" IS '仪器设备信息';
COMMENT ON COLUMN "QUALITY"."BIZ_EQUIPMENT"."ID" IS 'id';
COMMENT ON COLUMN "QUALITY"."BIZ_EQUIPMENT"."ORGANIZATION_ID" IS '机构id';
COMMENT ON COLUMN "QUALITY"."BIZ_EQUIPMENT"."EQUIPMENT_NAME" IS '设备名称';
COMMENT ON COLUMN "QUALITY"."BIZ_EQUIPMENT"."DEVICE_CODING" IS '设备编码';
COMMENT ON COLUMN "QUALITY"."BIZ_EQUIPMENT"."USING_STATE" IS '使用状态';
COMMENT ON COLUMN "QUALITY"."BIZ_EQUIPMENT"."MANUFACTURER" IS '生产厂家';
COMMENT ON COLUMN "QUALITY"."BIZ_EQUIPMENT"."PRODUCTION_DATE" IS '生产日期';
COMMENT ON COLUMN "QUALITY"."BIZ_EQUIPMENT"."CONTACT_PERSON" IS '负责人姓名';
COMMENT ON COLUMN "QUALITY"."BIZ_EQUIPMENT"."PHONE" IS '联系方式';
COMMENT ON COLUMN "QUALITY"."BIZ_EQUIPMENT"."NUMBER_EQUIPMENT" IS '设备数量';


CREATE TABLE "QUALITY"."BIZ_PERSONNEL_MANAGEMENT" (
"ID" VARCHAR2(50 BYTE) NOT NULL ,
"CREATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"CREATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"DELETE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"DELETE_TIME" TIMESTAMP(6)  NULL ,
"UPDATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"UPDATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"ORG_ID" VARCHAR2(50 BYTE) NULL ,
"DEPT_ID" VARCHAR2(50 BYTE) NULL ,
"AREA_CODE" VARCHAR2(50 BYTE) NULL ,
"ORGANIZATION_ID" VARCHAR2(50 BYTE) NULL ,
"NAME" VARCHAR2(200 BYTE) NULL ,
"SEX" VARCHAR2(50 BYTE) NULL ,
"EDUCATION" VARCHAR2(50 BYTE) NULL ,
"TECHNICAL" VARCHAR2(200 BYTE) NULL ,
"WORKING_SENIORITY" VARCHAR2(50 BYTE) NULL ,
"PHONE" VARCHAR2(50 BYTE) NULL 
);

COMMENT ON TABLE "QUALITY"."BIZ_PERSONNEL_MANAGEMENT" IS '人员信息';
COMMENT ON COLUMN "QUALITY"."BIZ_PERSONNEL_MANAGEMENT"."ORGANIZATION_ID" IS '机构id';
COMMENT ON COLUMN "QUALITY"."BIZ_PERSONNEL_MANAGEMENT"."NAME" IS '姓名';
COMMENT ON COLUMN "QUALITY"."BIZ_PERSONNEL_MANAGEMENT"."SEX" IS '性别';
COMMENT ON COLUMN "QUALITY"."BIZ_PERSONNEL_MANAGEMENT"."EDUCATION" IS '学历';
COMMENT ON COLUMN "QUALITY"."BIZ_PERSONNEL_MANAGEMENT"."TECHNICAL" IS '职称';
COMMENT ON COLUMN "QUALITY"."BIZ_PERSONNEL_MANAGEMENT"."WORKING_SENIORITY" IS '工作年限';
COMMENT ON COLUMN "QUALITY"."BIZ_PERSONNEL_MANAGEMENT"."PHONE" IS '联系方式';


CREATE TABLE "QUALITY"."BIZ_TEST_PARAMETERS" (
"ID" VARCHAR2(50 BYTE) NOT NULL ,
"CREATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"CREATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"DELETE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"DELETE_TIME" TIMESTAMP(6)  NULL ,
"UPDATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"UPDATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"ORG_ID" VARCHAR2(50 BYTE) NULL ,
"DEPT_ID" VARCHAR2(50 BYTE) NULL ,
"AREA_CODE" VARCHAR2(50 BYTE) NULL ,
"ORGANIZATION_ID" VARCHAR2(50 BYTE) NULL ,
"INSPECTION_CATEGORY" VARCHAR2(200 BYTE) NULL ,
"TEST_PARAMETERS" VARCHAR2(200 BYTE) NULL 
);

COMMENT ON TABLE "QUALITY"."BIZ_TEST_PARAMETERS" IS '检验参数';
COMMENT ON COLUMN "QUALITY"."BIZ_TEST_PARAMETERS"."ID" IS 'ID';
COMMENT ON COLUMN "QUALITY"."BIZ_TEST_PARAMETERS"."ORGANIZATION_ID" IS '机构id';
COMMENT ON COLUMN "QUALITY"."BIZ_TEST_PARAMETERS"."INSPECTION_CATEGORY" IS '检验类别';
COMMENT ON COLUMN "QUALITY"."BIZ_TEST_PARAMETERS"."TEST_PARAMETERS" IS '检验参数';


CREATE TABLE "QUALITY"."BIZ_QUALITY_PREDICTION_PLANNED" (
"ID" VARCHAR2(50 BYTE) NOT NULL ,
"CREATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"CREATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"DELETE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"DELETE_TIME" TIMESTAMP(6)  NULL ,
"UPDATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"UPDATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"ORG_ID" VARCHAR2(50 BYTE) NULL ,
"DEPT_ID" VARCHAR2(50 BYTE) NULL ,
"AREA_CODE" VARCHAR2(50 BYTE) NULL ,
"PLAN_TYPE" VARCHAR2(200 BYTE) NULL ,
"PLAN_FILE_NAME" VARCHAR2(200 BYTE) NULL ,
"DISTRIBUTION_ATTACHMENTS" VARCHAR2(200 BYTE) NULL ,
"SCHEDULED_RELEASE_TIME" VARCHAR2(200 BYTE) NULL ,
"DOWNWARD_STATE" VARCHAR2(50 BYTE) NULL ,
"ATTACHMENTS_ID" VARCHAR2(50 BYTE) NULL ,
"PROCESS_ID" VARCHAR2(50 BYTE) NULL 
);
COMMENT ON TABLE "QUALITY"."BIZ_QUALITY_PREDICTION_PLANNED" IS '品质测报-计划下发';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_PLANNED"."PLAN_TYPE" IS '计划类型';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_PLANNED"."PLAN_FILE_NAME" IS '计划文件名称';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_PLANNED"."DISTRIBUTION_ATTACHMENTS" IS '附件';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_PLANNED"."SCHEDULED_RELEASE_TIME" IS '计划下达时间';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_PLANNED"."DOWNWARD_STATE" IS '状态';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_PLANNED"."ATTACHMENTS_ID" IS '附件id';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_PLANNED"."PROCESS_ID" IS '流程id';

CREATE TABLE "QUALITY"."BIZ_QUALITY_PREDICTION_AUDIT" (
"ID" VARCHAR2(50 BYTE) NOT NULL ,
"CREATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"CREATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"DELETE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"DELETE_TIME" TIMESTAMP(6)  NULL ,
"UPDATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"UPDATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"ORG_ID" VARCHAR2(50 BYTE) NULL ,
"DEPT_ID" VARCHAR2(50 BYTE) NULL ,
"AREA_CODE" VARCHAR2(50 BYTE) NULL ,
"PLAN_TYPE" VARCHAR2(200 BYTE) NULL ,
"PLAN_FILE_NAME" VARCHAR2(200 BYTE) NULL ,
"CITY" VARCHAR2(50 BYTE) NULL ,
"COMPANY_NAME" VARCHAR2(200 BYTE) NULL ,
"MIGRATION_AGENCIES" VARCHAR2(200 BYTE) NULL ,
"MIGRATION_DATE" VARCHAR2(200 BYTE) NULL ,
"RELOCATION_NUMBER" VARCHAR2(200 BYTE) NULL ,
"NATURE_FOOD" VARCHAR2(200 BYTE) NULL ,
"VARIETIES" VARCHAR2(50 BYTE) NULL ,
"SAMPLE_NUMBER" VARCHAR2(200 BYTE) NULL ,
"NUMBER_REPRESENTATIVES" VARCHAR2(200 BYTE) NULL ,
"YEARS" VARCHAR2(50 BYTE) NULL ,
"PLACE_ORIGIN" VARCHAR2(200 BYTE) NULL ,
"REVIEWER" VARCHAR2(200 BYTE) NULL ,
"AUDIT_OPINION" VARCHAR2(500 BYTE) NULL ,
"FINDINGS_AUDIT" VARCHAR2(50 BYTE) NULL ,
"ATTACHMENTS" VARCHAR2(2000 BYTE) NULL ,
"PROCESS_ID" VARCHAR2(50 BYTE) NULL ,
"STATE_NAME" VARCHAR2(50 BYTE) NULL ,
"PLAN_ID" VARCHAR2(50 BYTE) NULL ,
"STATE" VARCHAR2(50 BYTE) NULL ,
"SLSJ_STATE" VARCHAR2(50 BYTE) NULL ,
"SLSJ_MESSAGE" VARCHAR2(500 BYTE) NULL ,
"SZJZX_STATE" VARCHAR2(50 BYTE) NULL ,
"SZJZX_MESSAGE" VARCHAR2(500 BYTE) NULL ,
"SHLSJ_STATE" VARCHAR2(50 BYTE) NULL ,
"SHLSJ_MESSAGE" VARCHAR2(500 BYTE) NULL ,
"SHZJZX_STATE" VARCHAR2(50 BYTE) NULL ,
"SHZJZX_MESSAGE" VARCHAR2(500 BYTE) NULL ,
"XLSJ_STATE" VARCHAR2(50 BYTE) NULL ,
"XLSJ_MESSAGE" VARCHAR2(500 BYTE) NULL ,
"BATCH" VARCHAR2(50 BYTE) NULL 
);
COMMENT ON TABLE "QUALITY"."BIZ_QUALITY_PREDICTION_AUDIT" IS '品质测报-结果审核';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_AUDIT"."PLAN_TYPE" IS '计划类型';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_AUDIT"."PLAN_FILE_NAME" IS '计划文件名称';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_AUDIT"."CITY" IS '盟市';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_AUDIT"."COMPANY_NAME" IS '承储企业名称';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_AUDIT"."MIGRATION_AGENCIES" IS '扦样机构';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_AUDIT"."MIGRATION_DATE" IS '扦样日期';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_AUDIT"."RELOCATION_NUMBER" IS '扦样货位号';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_AUDIT"."NATURE_FOOD" IS '粮食性质';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_AUDIT"."VARIETIES" IS '品种';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_AUDIT"."SAMPLE_NUMBER" IS '样品编号';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_AUDIT"."NUMBER_REPRESENTATIVES" IS '代表数量';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_AUDIT"."YEARS" IS '收获年度';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_AUDIT"."PLACE_ORIGIN" IS '产地';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_AUDIT"."REVIEWER" IS '审核人';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_AUDIT"."AUDIT_OPINION" IS '审核意见';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_AUDIT"."FINDINGS_AUDIT" IS '审核结果';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_AUDIT"."ATTACHMENTS" IS '附件';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_AUDIT"."PROCESS_ID" IS '流程id';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_AUDIT"."STATE_NAME" IS '状态名称';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_AUDIT"."PLAN_ID" IS '计划id';

CREATE TABLE "QUALITY"."BIZ_QUALITY_PREDICTION_ITEMS" (
"ID" VARCHAR2(50 BYTE) NOT NULL ,
"CREATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"CREATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"DELETE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"DELETE_TIME" TIMESTAMP(6)  NULL ,
"UPDATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"UPDATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"ORG_ID" VARCHAR2(50 BYTE) NULL ,
"DEPT_ID" VARCHAR2(50 BYTE) NULL ,
"AREA_CODE" VARCHAR2(50 BYTE) NULL ,
"PLAN_TYPE" VARCHAR2(200 BYTE) NULL ,
"PLAN_FILE_NAME" VARCHAR2(200 BYTE) NULL ,
"VARIETIES" VARCHAR2(50 BYTE) NULL ,
"TEST_INDICATORS" VARCHAR2(50 BYTE) NULL ,
"TEST_VALUE" VARCHAR2(50 BYTE) NULL ,
"ADUIT_ID" VARCHAR2(50 BYTE) NULL ,
"BATCH" VARCHAR2(50 BYTE) NULL 
);
COMMENT ON TABLE "QUALITY"."BIZ_QUALITY_PREDICTION_ITEMS" IS '品质测报检测项目';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_ITEMS"."PLAN_TYPE" IS '计划类型--暂时不用';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_ITEMS"."PLAN_FILE_NAME" IS '计划文件名称--暂时不用';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_ITEMS"."VARIETIES" IS '品种';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_ITEMS"."TEST_INDICATORS" IS '检验指标';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_ITEMS"."TEST_VALUE" IS '检验值';
COMMENT ON COLUMN "QUALITY"."BIZ_QUALITY_PREDICTION_ITEMS"."ADUIT_ID" IS '审核结果id';

CREATE TABLE "QUALITY"."BIZ_FOOD_STOCK" (
"ID" VARCHAR2(50 BYTE) NOT NULL ,
"CREATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"CREATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"DELETE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"DELETE_TIME" TIMESTAMP(6)  NULL ,
"UPDATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"UPDATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"ORG_ID" VARCHAR2(50 BYTE) NULL ,
"DEPT_ID" VARCHAR2(50 BYTE) NULL ,
"AREA_CODE" VARCHAR2(50 BYTE) NULL ,
"PLAN_FILE_NAME" VARCHAR2(200 BYTE) NULL ,
"TYPE" VARCHAR2(50 BYTE) NULL ,
"CITY" VARCHAR2(200 BYTE) NULL ,
"FILLING_UNIT" VARCHAR2(200 BYTE) NULL ,
"FILLING_DATE" VARCHAR2(200 BYTE) NULL ,
"REGISTRAR" VARCHAR2(200 BYTE) NULL ,
"FINDINGS_AUDIT" VARCHAR2(200 BYTE) NULL ,
"AUDIT_OPINIONS" VARCHAR2(500 BYTE) NULL ,
"PROCESS_ID" VARCHAR2(50 BYTE) NULL ,
"STATE_NAME" VARCHAR2(50 BYTE) NULL ,
"PLAN_ID" VARCHAR2(50 BYTE) NULL ,
"STATE" VARCHAR2(50 BYTE) NULL ,
"SLSJ_STATE" VARCHAR2(50 BYTE) NULL ,
"SLSJ_MESSAGE" VARCHAR2(500 BYTE) NULL ,
"SZJZX_STATE" VARCHAR2(50 BYTE) NULL ,
"SZJZX_MESSAGE" VARCHAR2(500 BYTE) NULL ,
"SHLSJ_STATE" VARCHAR2(50 BYTE) NULL ,
"SHLSJ_MESSAGE" VARCHAR2(500 BYTE) NULL ,
"SHZJZX_STATE" VARCHAR2(50 BYTE) NULL ,
"SHZJZX_MESSAGE" VARCHAR2(500 BYTE) NULL ,
"XLSJ_STATE" VARCHAR2(50 BYTE) NULL ,
"XLSJ_MESSAGE" VARCHAR2(500 BYTE) NULL ,
"BATCH" VARCHAR2(50 BYTE) NULL 
);
COMMENT ON TABLE "QUALITY"."BIZ_FOOD_STOCK" IS '库存粮食质量检测品登统表';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK"."PLAN_FILE_NAME" IS '计划文件名称';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK"."TYPE" IS '检验结果上报 1库存粮食质量检测品登统表 2 检验结果等级表';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK"."CITY" IS '旗县、盟市';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK"."FILLING_UNIT" IS '填报单位';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK"."FILLING_DATE" IS '填报日期';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK"."REGISTRAR" IS '样品信息登统人员';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK"."FINDINGS_AUDIT" IS '审核结果';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK"."AUDIT_OPINIONS" IS '审核意见';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK"."PLAN_ID" IS '计划id';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK"."SHZJZX_STATE" IS '批次';


CREATE TABLE "QUALITY"."BIZ_FOOD_STOCK_ITEMS" (
"ID" VARCHAR2(50 BYTE) NOT NULL ,
"CREATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"CREATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"DELETE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"DELETE_TIME" TIMESTAMP(6)  NULL ,
"UPDATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"UPDATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"ORG_ID" VARCHAR2(50 BYTE) NULL ,
"DEPT_ID" VARCHAR2(50 BYTE) NULL ,
"AREA_CODE" VARCHAR2(50 BYTE) NULL ,
"FOOD_STOCK_ID" VARCHAR2(200 BYTE) NOT NULL ,
"SAMPLE_NUMBER" VARCHAR2(200 BYTE) NULL ,
"CHECK_LIBRARY_POINTS" VARCHAR2(200 BYTE) NULL ,
"WAREHOUSE" VARCHAR2(200 BYTE) NULL ,
"NATURE" VARCHAR2(200 BYTE) NULL ,
"VARIETIES" VARCHAR2(200 BYTE) NULL ,
"BEHALF_NUMBER" NUMBER(18) DEFAULT NULL  NULL ,
"STORAGE_GRADE" VARCHAR2(200 BYTE) NULL ,
"PLACE_ORIGIN" VARCHAR2(200 BYTE) NULL ,
"YEARS" VARCHAR2(200 BYTE) NULL ,
"STORAGE_TIME" VARCHAR2(200 BYTE) NULL ,
"PACKAGING_OR_BULK_PACKING" VARCHAR2(200 BYTE) NULL ,
"LOCAL_SAFE_STORAGE_OF_WATER" VARCHAR2(200 BYTE) NULL ,
"GRAIN_TEMPERATURE" VARCHAR2(200 BYTE) NULL ,
"STORAGE_TECHNOLOGY" VARCHAR2(200 BYTE) NULL ,
"REMARKS" VARCHAR2(200 BYTE) NULL ,
"BATCH" VARCHAR2(50 BYTE) NULL 
);
COMMENT ON TABLE "QUALITY"."BIZ_FOOD_STOCK_ITEMS" IS '库存粮食质量检测品登统--明细表';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK_ITEMS"."ID" IS 'id';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK_ITEMS"."FOOD_STOCK_ID" IS '登统表ID';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK_ITEMS"."SAMPLE_NUMBER" IS '样品编号';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK_ITEMS"."CHECK_LIBRARY_POINTS" IS '检查库点';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK_ITEMS"."WAREHOUSE" IS '扦样处所（仓库或堆垛号码）';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK_ITEMS"."NATURE" IS '储粮性质';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK_ITEMS"."VARIETIES" IS '样品名称';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK_ITEMS"."BEHALF_NUMBER" IS '代表数量（吨）';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK_ITEMS"."STORAGE_GRADE" IS '入库等级';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK_ITEMS"."PLACE_ORIGIN" IS '产地';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK_ITEMS"."YEARS" IS '收获年度';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK_ITEMS"."STORAGE_TIME" IS '入库时间';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK_ITEMS"."PACKAGING_OR_BULK_PACKING" IS '包装或散装';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK_ITEMS"."LOCAL_SAFE_STORAGE_OF_WATER" IS '当地安全储存水分';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK_ITEMS"."GRAIN_TEMPERATURE" IS '粮温';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK_ITEMS"."STORAGE_TECHNOLOGY" IS '使用的储粮技术';
COMMENT ON COLUMN "QUALITY"."BIZ_FOOD_STOCK_ITEMS"."REMARKS" IS '备注';

CREATE TABLE "QUALITY"."BIZ_GRADE_TEST_RESULTS" (
"ID" VARCHAR2(50 BYTE) NOT NULL ,
"CREATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"CREATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"DELETE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"DELETE_TIME" TIMESTAMP(6)  NULL ,
"UPDATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"UPDATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"ORG_ID" VARCHAR2(50 BYTE) NULL ,
"DEPT_ID" VARCHAR2(50 BYTE) NULL ,
"AREA_CODE" VARCHAR2(50 BYTE) NULL ,
"FOOD_STOCK_ID" VARCHAR2(50 BYTE) NOT NULL ,
"PLAN_FILE_NAME" VARCHAR2(200 BYTE) NULL ,
"TYPE" VARCHAR2(50 BYTE) NULL ,
"CITY" VARCHAR2(200 BYTE) NULL ,
"FILLING_UNIT" VARCHAR2(200 BYTE) NULL ,
"FILLING_DATE" VARCHAR2(200 BYTE) NULL ,
"FINDINGS_AUDIT" VARCHAR2(200 BYTE) NULL ,
"AUDIT_OPINIONS" VARCHAR2(200 BYTE) NULL ,
"PROCESS_ID" VARCHAR2(50 BYTE) NULL ,
"STATE_NAME" VARCHAR2(50 BYTE) NULL ,
"VARIETIES" VARCHAR2(255 BYTE) NULL ,
"BATCH" VARCHAR2(50 BYTE) NULL 
);
COMMENT ON TABLE "QUALITY"."BIZ_GRADE_TEST_RESULTS" IS '检验结果等级表';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS"."FOOD_STOCK_ID" IS '库存粮食质量检测品登统表ID';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS"."PLAN_FILE_NAME" IS '计划文件名称';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS"."TYPE" IS '检验结果上报 1库存粮食质量检测品登统表 2 检验结果等级表';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS"."CITY" IS '旗县、盟市';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS"."FILLING_UNIT" IS '填报单位';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS"."FILLING_DATE" IS '填报日期';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS"."FINDINGS_AUDIT" IS '审核结果';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS"."AUDIT_OPINIONS" IS '审核意见';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS"."VARIETIES" IS '样品名称';

CREATE TABLE "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS" (
"ID" VARCHAR2(50 BYTE) NOT NULL ,
"CREATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"CREATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"DELETE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"DELETE_TIME" TIMESTAMP(6)  NULL ,
"UPDATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"UPDATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"ORG_ID" VARCHAR2(50 BYTE) NULL ,
"DEPT_ID" VARCHAR2(50 BYTE) NULL ,
"AREA_CODE" VARCHAR2(50 BYTE) NULL ,
"WATER_CONTENT" NUMBER(18) NULL ,
"IMPURITY" VARCHAR2(200 BYTE) NULL ,
"IMPERFECT_GRAIN" VARCHAR2(200 BYTE) NULL ,
"BULK_DENSITY" VARCHAR2(200 BYTE) NULL ,
"COLOUR_SMELL" VARCHAR2(200 BYTE) NULL ,
"MOLDY_KERNEL" VARCHAR2(200 BYTE) NULL ,
"TASTE_SCORE" VARCHAR2(200 BYTE) NULL ,
"FATTY_ACID_VALUE" VARCHAR2(200 BYTE) NULL ,
"INSPECTION_GRADE" VARCHAR2(200 BYTE) NULL ,
"RESULT_JUDGMENT" VARCHAR2(200 BYTE) NULL ,
"INTEGRITY_RATE_GRANULE" VARCHAR2(200 BYTE) NULL ,
"DAMAGE_RATE_GRANULE" VARCHAR2(200 BYTE) NULL ,
"ROUGHNESS" VARCHAR2(200 BYTE) NULL ,
"BROWN_RICE" VARCHAR2(200 BYTE) NULL ,
"HEAD_RICE_RATE" VARCHAR2(200 BYTE) NULL ,
"MIXING_RATE" VARCHAR2(200 BYTE) NULL ,
"YELLOW_GRAINED_RICE" VARCHAR2(200 BYTE) NULL ,
"FATTY_ACID_VALUE_STORAGE" VARCHAR2(200 BYTE) NULL ,
"VISCOSITY" VARCHAR2(200 BYTE) NULL ,
"TASTE_SCORE_STORAGE" VARCHAR2(200 BYTE) NULL ,
"COLOUR_SMELL_STORAGE" VARCHAR2(200 BYTE) NULL ,
"RESULT_JUDGMENT_STORAGE" VARCHAR2(200 BYTE) NULL ,
"GLUTEN_WATER_ABSORPTION" VARCHAR2(200 BYTE) NULL ,
"PROTEIN_SOLUBILITY_RATIO" VARCHAR2(200 BYTE) NULL ,
"GRADE_TEST_RESULTS_ID" VARCHAR2(50 BYTE) NULL ,
"SAMPLE_NUMBER" VARCHAR2(200 BYTE) NULL ,
"CHECK_LIBRARY_POINTS" VARCHAR2(200 BYTE) NULL ,
"WAREHOUSE" VARCHAR2(200 BYTE) NULL ,
"NATURE" VARCHAR2(200 BYTE) NULL ,
"VARIETIES" VARCHAR2(200 BYTE) NULL ,
"BEHALF_NUMBER" VARCHAR2(200 BYTE) NULL ,
"STORAGE_GRADE" VARCHAR2(200 BYTE) NULL ,
"PLACE_ORIGIN" VARCHAR2(200 BYTE) NULL ,
"YEARS" VARCHAR2(200 BYTE) NULL ,
"STORAGE_TIME" VARCHAR2(200 BYTE) NULL ,
"FOOD_STOCK_ID" VARCHAR2(50 BYTE) NULL ,
"TYPE" VARCHAR2(50 BYTE) NULL ,
"BATCH" VARCHAR2(50 BYTE) NULL 
);
COMMENT ON TABLE "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS" IS '检验结果登记表-明细';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."ID" IS 'id';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."WATER_CONTENT" IS '水分';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."IMPURITY" IS '杂质';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."IMPERFECT_GRAIN" IS '不完善粒';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."BULK_DENSITY" IS '容重';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."COLOUR_SMELL" IS '色泽气味';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."MOLDY_KERNEL" IS '生霉粒';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."TASTE_SCORE" IS '品尝评分值';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."FATTY_ACID_VALUE" IS '脂肪酸值';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."INSPECTION_GRADE" IS '检验等级';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."RESULT_JUDGMENT" IS '结果判定';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."INTEGRITY_RATE_GRANULE" IS '完整率粒';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."DAMAGE_RATE_GRANULE" IS '损伤率粒';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."ROUGHNESS" IS '出糙率';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."BROWN_RICE" IS '谷外糙米';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."HEAD_RICE_RATE" IS '整精米率';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."MIXING_RATE" IS '互混率';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."YELLOW_GRAINED_RICE" IS '黄粒米';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."FATTY_ACID_VALUE_STORAGE" IS '脂肪酸值-储存品质';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."VISCOSITY" IS '粘度';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."TASTE_SCORE_STORAGE" IS '品尝评分值-储存品质';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."COLOUR_SMELL_STORAGE" IS '色泽气味-储存品质';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."RESULT_JUDGMENT_STORAGE" IS '结果判定-储存品质';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."GLUTEN_WATER_ABSORPTION" IS '面筋吸水量';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."PROTEIN_SOLUBILITY_RATIO" IS '蛋白质溶解比较率';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."GRADE_TEST_RESULTS_ID" IS '登记表id';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."SAMPLE_NUMBER" IS '样品编号';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."CHECK_LIBRARY_POINTS" IS '检查库点';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."WAREHOUSE" IS '扦样处所（仓库或堆垛号码）';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."NATURE" IS '储粮性质';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."VARIETIES" IS '样品名称';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."BEHALF_NUMBER" IS '代表数量（吨）';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."STORAGE_GRADE" IS '入库等级';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."PLACE_ORIGIN" IS '产地';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."YEARS" IS '收获年度';
COMMENT ON COLUMN "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS"."STORAGE_TIME" IS '入库时间';

CREATE TABLE "QUALITY"."BIZ_SUMMARY_RESULTS" (
"ID" VARCHAR2(50 BYTE) NOT NULL ,
"CREATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"CREATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"DELETE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"DELETE_TIME" TIMESTAMP(6)  NULL ,
"UPDATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"UPDATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"ORG_ID" VARCHAR2(50 BYTE) NULL ,
"DEPT_ID" VARCHAR2(50 BYTE) NULL ,
"AREA_CODE" VARCHAR2(50 BYTE) NULL ,
"PLAN_FILE_NAME" VARCHAR2(200 BYTE) NULL ,
"PLAN_ID" VARCHAR2(50 BYTE) NULL ,
"CITY" VARCHAR2(50 BYTE) NULL ,
"TYPE" VARCHAR2(50 BYTE) NULL ,
"FILLING_UNIT" VARCHAR2(200 BYTE) NULL ,
"FOOD_NATURE" VARCHAR2(200 BYTE) NULL ,
"CHECK_POINT" VARCHAR2(200 BYTE) NULL ,
"FINDINGS_AUDIT" VARCHAR2(200 BYTE) NULL ,
"AUDIT_OPINIONS" VARCHAR2(500 BYTE) NULL ,
"PROCESS_ID" VARCHAR2(50 BYTE) NULL ,
"STATE_NAME" VARCHAR2(50 BYTE) NULL ,
"STATE" VARCHAR2(50 BYTE) NULL ,
"SLSJ_STATE" VARCHAR2(50 BYTE) NULL ,
"SLSJ_MESSAGE" VARCHAR2(500 BYTE) NULL ,
"SZJZX_STATE" VARCHAR2(50 BYTE) NULL ,
"SZJZX_MESSAGE" VARCHAR2(500 BYTE) NULL ,
"SHLSJ_STATE" VARCHAR2(50 BYTE) NULL ,
"SHLSJ_MESSAGE" VARCHAR2(500 BYTE) NULL ,
"SHZJZX_STATE" VARCHAR2(50 BYTE) NULL ,
"SHZJZX_MESSAGE" VARCHAR2(500 BYTE) NULL ,
"XLSJ_STATE" VARCHAR2(50 BYTE) NULL ,
"XLSJ_MESSAGE" VARCHAR2(500 BYTE) NULL ,
"BATCH" VARCHAR2(50 BYTE) NULL 
);
COMMENT ON TABLE "QUALITY"."BIZ_SUMMARY_RESULTS" IS '粮食质量检验结果汇总表';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS"."ID" IS 'id';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS"."PLAN_FILE_NAME" IS '计划名称';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS"."PLAN_ID" IS '计划id';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS"."CITY" IS '盟市、旗县';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS"."TYPE" IS '类型（表名）';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS"."FILLING_UNIT" IS '填报单位';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS"."FOOD_NATURE" IS '粮食性质';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS"."CHECK_POINT" IS '检查时点';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS"."FINDINGS_AUDIT" IS '审核结果';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS"."AUDIT_OPINIONS" IS '审核意见';


CREATE TABLE "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS" (
"ID" VARCHAR2(50 BYTE) NOT NULL ,
"CREATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"CREATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"DELETE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"DELETE_TIME" TIMESTAMP(6)  NULL ,
"UPDATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"UPDATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"ORG_ID" VARCHAR2(50 BYTE) NULL ,
"DEPT_ID" VARCHAR2(50 BYTE) NULL ,
"AREA_CODE" VARCHAR2(50 BYTE) NULL ,
"SUMMARY_ID" VARCHAR2(50 BYTE) NULL ,
"CHECK_LIBRARY_POINTS" VARCHAR2(200 BYTE) NULL ,
"COMPANY_NUMBER" VARCHAR2(200 BYTE) NULL ,
"SAMPLES_TOTAL" VARCHAR2(200 BYTE) NULL ,
"REPRESENTATIVES_NUMBER" VARCHAR2(200 BYTE) NULL ,
"ACHIEVEMENT_RATE" VARCHAR2(200 BYTE) NULL ,
"PADDY_SAMPLES_NUMBER" VARCHAR2(200 BYTE) NULL ,
"PADDY_REPRESENTATIVES_NUMBER" VARCHAR2(200 BYTE) NULL ,
"PADDY_ACHIEVEMENT_RATE" VARCHAR2(200 BYTE) NULL ,
"WHEAT_SAMPLES_NUMBER" VARCHAR2(200 BYTE) NULL ,
"WHEAT_REPRESENTATIVES_NUMBER" VARCHAR2(200 BYTE) NULL ,
"WHEAT_ACHIEVEMENT_RATE" VARCHAR2(200 BYTE) NULL ,
"CORN_SAMPLES_NUMBER" VARCHAR2(200 BYTE) NULL ,
"CORN_REPRESENTATIVES_NUMBER" VARCHAR2(200 BYTE) NULL ,
"CORN_ACHIEVEMENT_RATE" VARCHAR2(200 BYTE) NULL ,
"SOYBEAN_SAMPLES_NUMBER" VARCHAR2(200 BYTE) NULL ,
"SOYBEAN_REPRESENTATIVES_NUMBER" VARCHAR2(200 BYTE) NULL ,
"SOYBEAN_ACHIEVEMENT_RATE" VARCHAR2(200 BYTE) NULL ,
"RICE_SAMPLES_NUMBER" VARCHAR2(200 BYTE) NULL ,
"RICE_REPRESENTATIVES_NUMBER" VARCHAR2(200 BYTE) NULL ,
"RICE_ACHIEVEMENT_RATE" VARCHAR2(200 BYTE) NULL ,
"WHEATMEAL_SAMPLES_NUMBER" VARCHAR2(200 BYTE) NULL ,
"WHEATMEAL_REPRESENTATIVES_NUMB" VARCHAR2(200 BYTE) NULL ,
"WHEATMEAL_ACHIEVEMENT_RATE" VARCHAR2(200 BYTE) NULL ,
"PROCESS_ID" VARCHAR2(50 BYTE) NULL ,
"STATE_NAME" VARCHAR2(50 BYTE) NULL ,
"TYPE" VARCHAR2(50 BYTE) NULL ,
"BATCH" VARCHAR2(50 BYTE) NULL 
);
COMMENT ON TABLE "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS" IS '粮食质量检验结果汇总表----明细表';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."ID" IS 'id';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."SUMMARY_ID" IS '汇总表id';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."CHECK_LIBRARY_POINTS" IS '检查地区或库点';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."COMPANY_NUMBER" IS '检查企业个数';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."SAMPLES_TOTAL" IS '样品总数';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."REPRESENTATIVES_NUMBER" IS '代表数量';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."ACHIEVEMENT_RATE" IS '达标率';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."PADDY_SAMPLES_NUMBER" IS '稻谷-样品数';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."PADDY_REPRESENTATIVES_NUMBER" IS '稻谷-代表数量';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."PADDY_ACHIEVEMENT_RATE" IS '稻谷-达标率';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."WHEAT_SAMPLES_NUMBER" IS '小麦-样品数';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."WHEAT_REPRESENTATIVES_NUMBER" IS '小麦-代表数量';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."WHEAT_ACHIEVEMENT_RATE" IS '小麦-达标率';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."CORN_SAMPLES_NUMBER" IS '玉米-样品数';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."CORN_REPRESENTATIVES_NUMBER" IS '玉米-代表数量';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."CORN_ACHIEVEMENT_RATE" IS '玉米-达标率';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."SOYBEAN_SAMPLES_NUMBER" IS '大豆-样品数';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."SOYBEAN_REPRESENTATIVES_NUMBER" IS '大豆-代表数量';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."SOYBEAN_ACHIEVEMENT_RATE" IS '大豆-达标率';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."RICE_SAMPLES_NUMBER" IS '大米-样品数';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."RICE_REPRESENTATIVES_NUMBER" IS '大米-代表数量';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."RICE_ACHIEVEMENT_RATE" IS '大米-达标率';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."WHEATMEAL_SAMPLES_NUMBER" IS '小麦粉-样品数';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."WHEATMEAL_REPRESENTATIVES_NUMB" IS '小麦粉-代表数量';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS"."WHEATMEAL_ACHIEVEMENT_RATE" IS '小麦粉-达标率';

CREATE TABLE "QUALITY"."BIZ_SUMMARY_SUBSTANDARD_SAMPLE" (
"ID" VARCHAR2(50 BYTE) NOT NULL ,
"CREATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"CREATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"DELETE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"DELETE_TIME" TIMESTAMP(6)  NULL ,
"UPDATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"UPDATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"ORG_ID" VARCHAR2(50 BYTE) NULL ,
"DEPT_ID" VARCHAR2(50 BYTE) NULL ,
"AREA_CODE" VARCHAR2(50 BYTE) NULL ,
"PLAN_FILE_NAME" VARCHAR2(200 BYTE) NULL ,
"PLAN_ID" VARCHAR2(50 BYTE) NULL ,
"CITY" VARCHAR2(50 BYTE) NULL ,
"TYPE" VARCHAR2(50 BYTE) NULL ,
"FILLING_UNIT" VARCHAR2(200 BYTE) NULL ,
"LIBRARY_POINT_NAME" VARCHAR2(200 BYTE) NULL ,
"WAREHOUSE" VARCHAR2(200 BYTE) NULL ,
"SAMPLE_NUMBER" VARCHAR2(200 BYTE) NULL ,
"REPRESENTATIVES_NUMBER" VARCHAR2(200 BYTE) NULL ,
"NATURE" VARCHAR2(200 BYTE) NULL ,
"VARIETIES" VARCHAR2(200 BYTE) NULL ,
"PLACE_ORIGIN" VARCHAR2(200 BYTE) NULL ,
"HARVEST_LIFE" VARCHAR2(200 BYTE) NULL ,
"STORAGE_TIME" VARCHAR2(200 BYTE) NULL ,
"UNQUALIFIED_ITEMS" VARCHAR2(200 BYTE) NULL ,
"DETECTION_VALUE" VARCHAR2(200 BYTE) NULL ,
"FINDINGS_AUDIT" VARCHAR2(200 BYTE) NULL ,
"AUDIT_OPINIONS" VARCHAR2(200 BYTE) NULL ,
"PROCESS_ID" VARCHAR2(50 BYTE) NULL ,
"STATE_NAME" VARCHAR2(50 BYTE) NULL ,
"BATCH" VARCHAR2(50 BYTE) NULL 
);
COMMENT ON TABLE "QUALITY"."BIZ_SUMMARY_SUBSTANDARD_SAMPLE" IS '质量不达标样品汇总表';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_SUBSTANDARD_SAMPLE"."ID" IS 'id';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_SUBSTANDARD_SAMPLE"."PLAN_FILE_NAME" IS '计划名称';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_SUBSTANDARD_SAMPLE"."PLAN_ID" IS '计划id';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_SUBSTANDARD_SAMPLE"."CITY" IS '盟市';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_SUBSTANDARD_SAMPLE"."TYPE" IS '类型（表名）';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_SUBSTANDARD_SAMPLE"."FILLING_UNIT" IS '填报单位';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_SUBSTANDARD_SAMPLE"."LIBRARY_POINT_NAME" IS '库点名称';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_SUBSTANDARD_SAMPLE"."WAREHOUSE" IS '扦样处所';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_SUBSTANDARD_SAMPLE"."SAMPLE_NUMBER" IS '样品编号';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_SUBSTANDARD_SAMPLE"."REPRESENTATIVES_NUMBER" IS '代表数量';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_SUBSTANDARD_SAMPLE"."NATURE" IS '储粮性质';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_SUBSTANDARD_SAMPLE"."VARIETIES" IS '品种';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_SUBSTANDARD_SAMPLE"."PLACE_ORIGIN" IS '产地/生产厂家';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_SUBSTANDARD_SAMPLE"."HARVEST_LIFE" IS '收获年限';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_SUBSTANDARD_SAMPLE"."STORAGE_TIME" IS '入库时间';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_SUBSTANDARD_SAMPLE"."UNQUALIFIED_ITEMS" IS '不达标项目';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_SUBSTANDARD_SAMPLE"."DETECTION_VALUE" IS '检测值';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_SUBSTANDARD_SAMPLE"."FINDINGS_AUDIT" IS '审核结果';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_SUBSTANDARD_SAMPLE"."AUDIT_OPINIONS" IS '审核意见';

CREATE TABLE "QUALITY"."BIZ_SUMMARY_NOT_SUITABLE" (
"ID" VARCHAR2(50 BYTE) NOT NULL ,
"CREATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"CREATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"DELETE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"DELETE_TIME" TIMESTAMP(6)  NULL ,
"UPDATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"UPDATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"ORG_ID" VARCHAR2(50 BYTE) NULL ,
"DEPT_ID" VARCHAR2(50 BYTE) NULL ,
"AREA_CODE" VARCHAR2(50 BYTE) NULL ,
"PLAN_FILE_NAME" VARCHAR2(200 BYTE) NULL ,
"PLAN_ID" VARCHAR2(50 BYTE) NULL ,
"CITY" VARCHAR2(50 BYTE) NULL ,
"TYPE" VARCHAR2(50 BYTE) NULL ,
"FILLING_UNIT" VARCHAR2(200 BYTE) NULL ,
"CHECK_LIBRARY_POINTS" VARCHAR2(200 BYTE) NULL ,
"WAREHOUSE" VARCHAR2(200 BYTE) NULL ,
"FOOD_NATURE" VARCHAR2(200 BYTE) NULL ,
"VARIETIES" VARCHAR2(200 BYTE) NULL ,
"REPRESENTATIVES_NUMBER" VARCHAR2(200 BYTE) NULL ,
"PROJECT" VARCHAR2(200 BYTE) NULL ,
"TEST_VALUE" VARCHAR2(200 BYTE) NULL ,
"SEVERE_INAPPROPRIATE_SURVIVAL" VARCHAR2(200 BYTE) NULL ,
"MILD_UNSUITABLE_STORAGE" VARCHAR2(200 BYTE) NULL ,
"FINDINGS_AUDIT" VARCHAR2(200 BYTE) NULL ,
"AUDIT_OPINIONS" VARCHAR2(200 BYTE) NULL ,
"PROCESS_ID" VARCHAR2(50 BYTE) NULL ,
"STATE_NAME" VARCHAR2(50 BYTE) NULL ,
"BATCH" VARCHAR2(50 BYTE) NULL 
);
COMMENT ON TABLE "QUALITY"."BIZ_SUMMARY_NOT_SUITABLE" IS '储存品质不宜存样品汇总表';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_NOT_SUITABLE"."ID" IS 'id';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_NOT_SUITABLE"."PLAN_FILE_NAME" IS '计划名称';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_NOT_SUITABLE"."PLAN_ID" IS '计划id';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_NOT_SUITABLE"."CITY" IS '盟市';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_NOT_SUITABLE"."TYPE" IS '类型（表名）';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_NOT_SUITABLE"."FILLING_UNIT" IS '填报单位';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_NOT_SUITABLE"."CHECK_LIBRARY_POINTS" IS '检查库点名称';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_NOT_SUITABLE"."WAREHOUSE" IS '扦样处所';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_NOT_SUITABLE"."FOOD_NATURE" IS '粮食性质';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_NOT_SUITABLE"."VARIETIES" IS '样品名称';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_NOT_SUITABLE"."REPRESENTATIVES_NUMBER" IS '代表数量';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_NOT_SUITABLE"."PROJECT" IS '项目';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_NOT_SUITABLE"."TEST_VALUE" IS '检验值';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_NOT_SUITABLE"."SEVERE_INAPPROPRIATE_SURVIVAL" IS '是否为重度不宜存样品';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_NOT_SUITABLE"."MILD_UNSUITABLE_STORAGE" IS '是否为轻度不宜存样品';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_NOT_SUITABLE"."FINDINGS_AUDIT" IS '审核结果';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_NOT_SUITABLE"."AUDIT_OPINIONS" IS '审核意见';


CREATE TABLE "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT" (
"ID" VARCHAR2(50 BYTE) NOT NULL ,
"CREATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"CREATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"DELETE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"DELETE_TIME" TIMESTAMP(6)  NULL ,
"UPDATE_BY" VARCHAR2(36 BYTE) DEFAULT -1  NULL ,
"UPDATE_TIME" TIMESTAMP(6)  DEFAULT null  NULL ,
"ORG_ID" VARCHAR2(50 BYTE) NULL ,
"DEPT_ID" VARCHAR2(50 BYTE) NULL ,
"AREA_CODE" VARCHAR2(50 BYTE) NULL ,
"PLAN_FILE_NAME" VARCHAR2(200 BYTE) NOT NULL ,
"PLAN_ID" VARCHAR2(50 BYTE) NULL ,
"CITY" VARCHAR2(50 BYTE) NULL ,
"TYPE" VARCHAR2(50 BYTE) NULL ,
"FILLING_UNIT" VARCHAR2(200 BYTE) NULL ,
"FOOD_NATURE" VARCHAR2(200 BYTE) NULL ,
"CHECK_POINT" VARCHAR2(200 BYTE) NULL ,
"INSPECTION_AREA" VARCHAR2(200 BYTE) NULL ,
"COMPANY_NUMBER" VARCHAR2(200 BYTE) NULL ,
"SAMPLES_TOTAL" VARCHAR2(200 BYTE) NULL ,
"REPRESENTATIVES_NUMBER" VARCHAR2(200 BYTE) NULL ,
"SURVIVABILITY_RATE" VARCHAR2(200 BYTE) NULL ,
"MILD_UNSUITABLE_STORAGE" VARCHAR2(200 BYTE) NULL ,
"SEVERE_INAPPROPRIATE_SURVIVAL" VARCHAR2(200 BYTE) NULL ,
"PADDY_SAMPLES_NUMBER" VARCHAR2(200 BYTE) NULL ,
"PADDY_SURVIVABILITY_RATE" VARCHAR2(200 BYTE) NULL ,
"PADDY_MILD_UNSUITABLE_STORAGE" VARCHAR2(200 BYTE) NULL ,
"PADDY_SEVERE_INAPPROPRIATE_SUR" VARCHAR2(200 BYTE) NULL ,
"WHEAT_SAMPLES_NUMBER" VARCHAR2(200 BYTE) NULL ,
"WHEAT_SURVIVABILITY_RATE" VARCHAR2(200 BYTE) NULL ,
"WHEAT_MILD_UNSUITABLE_STORAGE" VARCHAR2(200 BYTE) NULL ,
"WHEAT_SEVERE_INAPPROPRIATE_SUR" VARCHAR2(200 BYTE) NULL ,
"CORN_SAMPLES_NUMBER" VARCHAR2(200 BYTE) NULL ,
"CORN_SURVIVABILITY_RATE" VARCHAR2(200 BYTE) NULL ,
"CORN_MILD_UNSUITABLE_STORAGE" VARCHAR2(200 BYTE) NULL ,
"CORN_SEVERE_INAPPROPRIATE_SURV" VARCHAR2(200 BYTE) NULL ,
"SOYBEAN_SAMPLES_NUMBER" VARCHAR2(200 BYTE) NULL ,
"SOYBEAN_SURVIVABILITY_RATE" VARCHAR2(200 BYTE) NULL ,
"SOYBEAN_MILD_UNSUITABLE_STORAG" VARCHAR2(200 BYTE) NULL ,
"SOYBEAN_SEVERE_INAPPROPRIATE_S" VARCHAR2(200 BYTE) NULL ,
"FINDINGS_AUDIT" VARCHAR2(200 BYTE) NULL ,
"AUDIT_OPINIONS" VARCHAR2(200 BYTE) NULL ,
"PROCESS_ID" VARCHAR2(50 BYTE) NULL ,
"STATE_NAME" VARCHAR2(50 BYTE) NULL ,
"BATCH" VARCHAR2(50 BYTE) NULL 
);
COMMENT ON TABLE "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT" IS '粮食储存品质检验结果汇总表';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."ID" IS 'id';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."PLAN_FILE_NAME" IS '计划名称';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."PLAN_ID" IS '计划id';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."CITY" IS '盟市';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."TYPE" IS '类型（表名）';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."FILLING_UNIT" IS '填报单位';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."FOOD_NATURE" IS '粮食性质';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."CHECK_POINT" IS '检查时点';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."INSPECTION_AREA" IS '检查地区';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."COMPANY_NUMBER" IS '检查企业个数';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."SAMPLES_TOTAL" IS '样品总数';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."REPRESENTATIVES_NUMBER" IS '代表数量';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."SURVIVABILITY_RATE" IS '宜存率';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."MILD_UNSUITABLE_STORAGE" IS '轻度不宜存';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."SEVERE_INAPPROPRIATE_SURVIVAL" IS '重度不宜存';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."PADDY_SAMPLES_NUMBER" IS '稻谷-样品数';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."PADDY_SURVIVABILITY_RATE" IS '稻谷-宜存率';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."PADDY_MILD_UNSUITABLE_STORAGE" IS '稻谷-轻度不宜存率';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."PADDY_SEVERE_INAPPROPRIATE_SUR" IS '稻谷-重度不宜存率';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."WHEAT_SAMPLES_NUMBER" IS '小麦-样品数';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."WHEAT_SURVIVABILITY_RATE" IS '小麦-宜存率';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."WHEAT_MILD_UNSUITABLE_STORAGE" IS '小麦-轻度不宜存率';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."WHEAT_SEVERE_INAPPROPRIATE_SUR" IS '小麦-重度不宜存率';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."CORN_SAMPLES_NUMBER" IS '玉米-样品数';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."CORN_SURVIVABILITY_RATE" IS '玉米-宜存率';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."CORN_MILD_UNSUITABLE_STORAGE" IS '玉米-轻度不宜存率';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."CORN_SEVERE_INAPPROPRIATE_SURV" IS '玉米-重度不宜存率';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."SOYBEAN_SAMPLES_NUMBER" IS '大豆-样品数';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."SOYBEAN_SURVIVABILITY_RATE" IS '大豆宜存率';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."SOYBEAN_MILD_UNSUITABLE_STORAG" IS '大豆-轻度不宜存率';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."SOYBEAN_SEVERE_INAPPROPRIATE_S" IS '大豆-重度不宜存率';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."FINDINGS_AUDIT" IS '审核结果';
COMMENT ON COLUMN "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT"."AUDIT_OPINIONS" IS '审核意见';

CREATE TABLE "QUALITY"."CCFA" (
"ID" VARCHAR2(36 BYTE) NOT NULL ,
"WTID" VARCHAR2(36 BYTE) NULL ,
"CREATE_BY" VARCHAR2(36 BYTE) NULL ,
"CREATE_TIME" TIMESTAMP(6)  NULL ,
"UPDATE_BY" VARCHAR2(36 BYTE) NULL ,
"UPDATE_TIME" TIMESTAMP(6)  NULL ,
"DELETE_BY" VARCHAR2(36 BYTE) NULL ,
"DELETE_TIME" TIMESTAMP(6)  NULL ,
"FABH" VARCHAR2(36 BYTE) NULL ,
"FABT" VARCHAR2(36 BYTE) NULL ,
"ND" VARCHAR2(36 BYTE) NULL ,
"FQSJ" TIMESTAMP(6)  NULL ,
"JSSJ" TIMESTAMP(6)  NULL ,
"FAXQ" VARCHAR2(500 BYTE) NULL ,
"FJID" VARCHAR2(36 BYTE) NULL ,
"ZT" NUMBER NULL ,
"AREA_CODE" VARCHAR2(36 BYTE) NULL ,
"ORG_ID" VARCHAR2(36 BYTE) NULL ,
"DEPT_ID" VARCHAR2(36 BYTE) NULL 
);
COMMENT ON COLUMN "QUALITY"."CCFA"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "QUALITY"."CCFA"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "QUALITY"."CCFA"."UPDATE_BY" IS '编辑人';
COMMENT ON COLUMN "QUALITY"."CCFA"."UPDATE_TIME" IS '编辑时间';
COMMENT ON COLUMN "QUALITY"."CCFA"."DELETE_BY" IS '删除人';
COMMENT ON COLUMN "QUALITY"."CCFA"."DELETE_TIME" IS '删除时间';
COMMENT ON COLUMN "QUALITY"."CCFA"."FABH" IS '方案编号';
COMMENT ON COLUMN "QUALITY"."CCFA"."FABT" IS '方案标题';
COMMENT ON COLUMN "QUALITY"."CCFA"."ND" IS '年度';
COMMENT ON COLUMN "QUALITY"."CCFA"."FQSJ" IS '发起时间';
COMMENT ON COLUMN "QUALITY"."CCFA"."JSSJ" IS '结束时间';
COMMENT ON COLUMN "QUALITY"."CCFA"."FAXQ" IS '方案详情';
COMMENT ON COLUMN "QUALITY"."CCFA"."FJID" IS '附件id';
COMMENT ON COLUMN "QUALITY"."CCFA"."ZT" IS '状态';
COMMENT ON COLUMN "QUALITY"."CCFA"."AREA_CODE" IS '行政区划';
COMMENT ON COLUMN "QUALITY"."CCFA"."ORG_ID" IS '机构id';
COMMENT ON COLUMN "QUALITY"."CCFA"."DEPT_ID" IS '部门id';

CREATE TABLE "QUALITY"."CYD" (
"ID" VARCHAR2(36 BYTE) NOT NULL ,
"CYPZID" VARCHAR2(36 BYTE) NULL ,
"XZQHMC" VARCHAR2(36 BYTE) NULL ,
"XZQHBM" VARCHAR2(36 BYTE) NULL ,
"GJCYS" VARCHAR2(36 BYTE) NULL ,
"SJCYS" VARCHAR2(36 BYTE) NULL 
);
COMMENT ON COLUMN "QUALITY"."CYD"."ID" IS 'ID';
COMMENT ON COLUMN "QUALITY"."CYD"."CYPZID" IS '采样品种ID';
COMMENT ON COLUMN "QUALITY"."CYD"."XZQHMC" IS '行政区划名称';
COMMENT ON COLUMN "QUALITY"."CYD"."XZQHBM" IS '行政区划编码';
COMMENT ON COLUMN "QUALITY"."CYD"."GJCYS" IS '国家取样数';
COMMENT ON COLUMN "QUALITY"."CYD"."SJCYS" IS '省级采样数';


CREATE TABLE "QUALITY"."CYJH" (
"ID" VARCHAR2(36 BYTE) NOT NULL ,
"CYFAID" VARCHAR2(36 BYTE) NULL ,
"JHBH" VARCHAR2(36 BYTE) NULL ,
"JHMC" VARCHAR2(36 BYTE) NULL 
);
COMMENT ON COLUMN "QUALITY"."CYJH"."ID" IS 'ID';
COMMENT ON COLUMN "QUALITY"."CYJH"."CYFAID" IS '抽样方案ID';
COMMENT ON COLUMN "QUALITY"."CYJH"."JHBH" IS '计划编号';
COMMENT ON COLUMN "QUALITY"."CYJH"."JHMC" IS '计划名称';

CREATE TABLE "QUALITY"."CYPZ" (
"ID" VARCHAR2(36 BYTE) NOT NULL ,
"CYJHID" VARCHAR2(36 BYTE) NULL ,
"YPJBBM" CHAR(10 BYTE) NULL ,
"YPJBMC" CHAR(10 BYTE) NULL ,
"CYPZLXBM" VARCHAR2(36 BYTE) NULL ,
"CYPZLXMC" VARCHAR2(36 BYTE) NULL ,
"CYPZBM" VARCHAR2(36 BYTE) NULL ,
"CYPZMC" VARCHAR2(96 BYTE) NULL 
);
COMMENT ON COLUMN "QUALITY"."CYPZ"."ID" IS 'ID';
COMMENT ON COLUMN "QUALITY"."CYPZ"."CYJHID" IS '采样计划ID';
COMMENT ON COLUMN "QUALITY"."CYPZ"."YPJBBM" IS '样品级别编码';
COMMENT ON COLUMN "QUALITY"."CYPZ"."YPJBMC" IS '样品级别名称';
COMMENT ON COLUMN "QUALITY"."CYPZ"."CYPZLXBM" IS '采样品种类型编码';
COMMENT ON COLUMN "QUALITY"."CYPZ"."CYPZLXMC" IS '采样品种类型名称';
COMMENT ON COLUMN "QUALITY"."CYPZ"."CYPZBM" IS '采样品种编码';
COMMENT ON COLUMN "QUALITY"."CYPZ"."CYPZMC" IS '采样品种名称';


CREATE TABLE "QUALITY"."QYD" (
"ID" VARCHAR2(36 BYTE) NOT NULL ,
"WTID" VARCHAR2(36 BYTE) NULL ,
"CYDID" VARCHAR2(36 BYTE) NULL ,
"DD" VARCHAR2(96 BYTE) NULL ,
"XXDZ" VARCHAR2(500 BYTE) NULL ,
"LXR" VARCHAR2(96 BYTE) NULL ,
"LXDH" NUMBER NULL ,
"BZ" VARCHAR2(500 BYTE) NULL 
);
COMMENT ON COLUMN "QUALITY"."QYD"."WTID" IS '委托ID';
COMMENT ON COLUMN "QUALITY"."QYD"."CYDID" IS '采样地ID';
COMMENT ON COLUMN "QUALITY"."QYD"."DD" IS '地点';
COMMENT ON COLUMN "QUALITY"."QYD"."XXDZ" IS '详细地址';
COMMENT ON COLUMN "QUALITY"."QYD"."LXR" IS '联系人';
COMMENT ON COLUMN "QUALITY"."QYD"."LXDH" IS '联系电话';
COMMENT ON COLUMN "QUALITY"."QYD"."BZ" IS '备注';

CREATE TABLE "QUALITY"."WT" (
"ID" VARCHAR2(36 BYTE) NOT NULL ,
"CREATE_BY" VARCHAR2(36 BYTE) NULL ,
"CREATE_TIME" TIMESTAMP(6)  NULL ,
"UPDATE_BY" VARCHAR2(36 BYTE) NULL ,
"UPDATE_TIME" TIMESTAMP(6)  NULL ,
"DELETE_BY" VARCHAR2(36 BYTE) NULL ,
"DELETE_TIME" TIMESTAMP(6)  NULL ,
"WTBH" VARCHAR2(36 BYTE) NULL ,
"WTBT" VARCHAR2(36 BYTE) NULL ,
"ZJBH" VARCHAR2(36 BYTE) NULL ,
"WTLXBM" VARCHAR2(36 BYTE) NULL ,
"WTLX" VARCHAR2(36 BYTE) NULL ,
"ND" VARCHAR2(36 BYTE) NULL ,
"WTR" VARCHAR2(36 BYTE) NULL ,
"WTSJ" TIMESTAMP(6)  NULL ,
"FQSJ" TIMESTAMP(6)  NULL ,
"JSSJ" TIMESTAMP(6)  NULL ,
"CCDW" VARCHAR2(96 BYTE) NULL ,
"WTNR" VARCHAR2(500 BYTE) NULL ,
"FJID" VARCHAR2(36 BYTE) NULL ,
"LCID" VARCHAR2(36 BYTE) NULL ,
"AREA_CODE" VARCHAR2(36 BYTE) NULL ,
"ORG_ID" VARCHAR2(36 BYTE) NULL ,
"DEPT_ID" VARCHAR2(36 BYTE) NULL 
);
COMMENT ON COLUMN "QUALITY"."WT"."ID" IS 'ID';
COMMENT ON COLUMN "QUALITY"."WT"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "QUALITY"."WT"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "QUALITY"."WT"."UPDATE_BY" IS '编辑人';
COMMENT ON COLUMN "QUALITY"."WT"."UPDATE_TIME" IS '编辑时间';
COMMENT ON COLUMN "QUALITY"."WT"."DELETE_BY" IS '删除人';
COMMENT ON COLUMN "QUALITY"."WT"."DELETE_TIME" IS '删除时间';
COMMENT ON COLUMN "QUALITY"."WT"."WTBH" IS '委托编号';
COMMENT ON COLUMN "QUALITY"."WT"."WTBT" IS '委托标题';
COMMENT ON COLUMN "QUALITY"."WT"."ZJBH" IS '质检编号';
COMMENT ON COLUMN "QUALITY"."WT"."WTLXBM" IS '委托类型编码';
COMMENT ON COLUMN "QUALITY"."WT"."WTLX" IS '委托类型';
COMMENT ON COLUMN "QUALITY"."WT"."ND" IS '年度';
COMMENT ON COLUMN "QUALITY"."WT"."WTR" IS '委托人';
COMMENT ON COLUMN "QUALITY"."WT"."WTSJ" IS '委托时间';
COMMENT ON COLUMN "QUALITY"."WT"."FQSJ" IS '发起时间';
COMMENT ON COLUMN "QUALITY"."WT"."JSSJ" IS '结束时间';
COMMENT ON COLUMN "QUALITY"."WT"."CCDW" IS '承储单位';
COMMENT ON COLUMN "QUALITY"."WT"."WTNR" IS '委托内容';
COMMENT ON COLUMN "QUALITY"."WT"."FJID" IS '附件Id';
COMMENT ON COLUMN "QUALITY"."WT"."LCID" IS '流程ID';
ALTER TABLE "QUALITY"."BIZ_ORGANIZATION" ADD CHECK ("ID" IS NOT NULL);
ALTER TABLE "QUALITY"."BIZ_EQUIPMENT" ADD CHECK ("ID" IS NOT NULL);
ALTER TABLE "QUALITY"."BIZ_PERSONNEL_MANAGEMENT" ADD CHECK ("ID" IS NOT NULL);
ALTER TABLE "QUALITY"."BIZ_TEST_PARAMETERS" ADD CHECK ("ID" IS NOT NULL);
ALTER TABLE "QUALITY"."BIZ_QUALITY_PREDICTION_PLANNED" ADD CHECK ("ID" IS NOT NULL);
ALTER TABLE "QUALITY"."BIZ_QUALITY_PREDICTION_AUDIT" ADD CHECK ("ID" IS NOT NULL);
ALTER TABLE "QUALITY"."BIZ_QUALITY_PREDICTION_ITEMS" ADD CHECK ("ID" IS NOT NULL);
ALTER TABLE "QUALITY"."BIZ_FOOD_STOCK" ADD CHECK ("ID" IS NOT NULL);
ALTER TABLE "QUALITY"."BIZ_FOOD_STOCK_ITEMS" ADD CHECK ("ID" IS NOT NULL);
ALTER TABLE "QUALITY"."BIZ_FOOD_STOCK_ITEMS" ADD CHECK ("FOOD_STOCK_ID" IS NOT NULL);
ALTER TABLE "QUALITY"."BIZ_GRADE_TEST_RESULTS" ADD CHECK ("ID" IS NOT NULL);
ALTER TABLE "QUALITY"."BIZ_GRADE_TEST_RESULTS" ADD CHECK ("FOOD_STOCK_ID" IS NOT NULL);
ALTER TABLE "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS" ADD CHECK ("ID" IS NOT NULL);
ALTER TABLE "QUALITY"."BIZ_SUMMARY_RESULTS" ADD CHECK ("ID" IS NOT NULL);
ALTER TABLE "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS" ADD CHECK ("ID" IS NOT NULL);
ALTER TABLE "QUALITY"."BIZ_SUMMARY_SUBSTANDARD_SAMPLE" ADD CHECK ("ID" IS NOT NULL);
ALTER TABLE "QUALITY"."BIZ_SUMMARY_NOT_SUITABLE" ADD CHECK ("ID" IS NOT NULL);
ALTER TABLE "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT" ADD CHECK ("ID" IS NOT NULL);
ALTER TABLE "QUALITY"."BIZ_SUMMARY_INSPECTION_RESULT" ADD CHECK ("PLAN_FILE_NAME" IS NOT NULL);
ALTER TABLE "QUALITY"."CCFA" ADD CHECK ("ID" IS NOT NULL);
ALTER TABLE "QUALITY"."CYD" ADD CHECK ("ID" IS NOT NULL);
ALTER TABLE "QUALITY"."CYJH" ADD CHECK ("ID" IS NOT NULL);
ALTER TABLE "QUALITY"."CYPZ" ADD CHECK ("ID" IS NOT NULL);
ALTER TABLE "QUALITY"."QYD" ADD CHECK ("ID" IS NOT NULL);
ALTER TABLE "QUALITY"."WT" ADD CHECK ("ID" IS NOT NULL);


ALTER TABLE "QUALITY"."BIZ_FOOD_STOCK" ADD PRIMARY KEY ("ID");
ALTER TABLE "QUALITY"."BIZ_FOOD_STOCK_ITEMS" ADD PRIMARY KEY ("ID");
ALTER TABLE "QUALITY"."BIZ_GRADE_TEST_RESULTS" ADD PRIMARY KEY ("ID");
ALTER TABLE "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS" ADD PRIMARY KEY ("ID");
ALTER TABLE "QUALITY"."BIZ_SUMMARY_RESULTS" ADD PRIMARY KEY ("ID");
ALTER TABLE "QUALITY"."BIZ_SUMMARY_RESULTS_ITEMS" ADD PRIMARY KEY ("ID");
ALTER TABLE "QUALITY"."BIZ_SUMMARY_SUBSTANDARD_SAMPLE" ADD PRIMARY KEY ("ID");
ALTER TABLE "QUALITY"."CCFA" ADD PRIMARY KEY ("ID");
ALTER TABLE "QUALITY"."CYD" ADD PRIMARY KEY ("ID");
ALTER TABLE "QUALITY"."CYJH" ADD PRIMARY KEY ("ID");
ALTER TABLE "QUALITY"."CYPZ" ADD PRIMARY KEY ("ID");
ALTER TABLE "QUALITY"."QYD" ADD PRIMARY KEY ("ID");
ALTER TABLE "QUALITY"."WT" ADD PRIMARY KEY ("ID");

ALTER TABLE "QUALITY"."BIZ_FOOD_STOCK_ITEMS" ADD FOREIGN KEY ("FOOD_STOCK_ID") REFERENCES "QUALITY"."BIZ_FOOD_STOCK" ("ID") DISABLE;
ALTER TABLE "QUALITY"."BIZ_GRADE_TEST_RESULTS" ADD FOREIGN KEY ("FOOD_STOCK_ID") REFERENCES "QUALITY"."BIZ_FOOD_STOCK" ("ID") DISABLE;
ALTER TABLE "QUALITY"."BIZ_GRADE_TEST_RESULTS_ITEMS" ADD FOREIGN KEY ("GRADE_TEST_RESULTS_ID") REFERENCES "QUALITY"."BIZ_GRADE_TEST_RESULTS" ("ID") DISABLE;
ALTER TABLE "QUALITY"."CCFA" ADD FOREIGN KEY ("WTID") REFERENCES "QUALITY"."WT" ("ID");
ALTER TABLE "QUALITY"."CYD" ADD FOREIGN KEY ("CYPZID") REFERENCES "QUALITY"."CYPZ" ("ID");
ALTER TABLE "QUALITY"."CYJH" ADD FOREIGN KEY ("CYFAID") REFERENCES "QUALITY"."CCFA" ("ID");
ALTER TABLE "QUALITY"."CYPZ" ADD FOREIGN KEY ("CYJHID") REFERENCES "QUALITY"."CYJH" ("ID");
ALTER TABLE "QUALITY"."QYD" ADD FOREIGN KEY ("CYDID") REFERENCES "QUALITY"."CYD" ("ID");
ALTER TABLE "QUALITY"."QYD" ADD FOREIGN KEY ("WTID") REFERENCES "QUALITY"."WT" ("ID");


--扦样地表结构
alter table QYD add (ORG_ID VARCHAR2(36) null);
alter table QYD add (DEPT_ID VARCHAR2(36) null);
alter table QYD add (AREA_CODE VARCHAR2(36) null);
alter table QYD add (CREATE_BY VARCHAR2(36) null);
alter table QYD add (CREATE_TIME TIMESTAMP);
alter table QYD add (UPDATE_BY VARCHAR2(36) null);
alter table QYD add (UPDATE_TIME TIMESTAMP);
alter table QYD add (DELETE_BY VARCHAR2(36) null);
alter table QYD add (DELETE_TIME TIMESTAMP);

comment on column QYD.ORG_ID is '组织机构id';
comment on column QYD.DEPT_ID is '部门ID';
comment on column QYD.AREA_CODE is '行政区划code';
comment on column QYD.CREATE_BY is '创建人';
comment on column QYD.CREATE_TIME is '创建时间';
comment on column QYD.UPDATE_BY is '修改人';
comment on column QYD.UPDATE_TIME is '修改时间';
comment on column QYD.DELETE_BY is '删除人';
comment on column QYD.DELETE_TIME is '删除时间';

--抽查方案表结构
alter table CCFA add (FJMC VARCHAR2(200) null); 
alter table CCFA add (WTLX VARCHAR2(50) null); 
comment on column CCFA.FJMC is '附件名称';
comment on column CCFA.WTLX is '委托类型';

--采样品种字段类型长度修改
alter table CYPZ modify (YPJBBM VARCHAR2(36));
alter table CYPZ modify (YPJBMC VARCHAR2(36));

--机构基本信息表
alter table BIZ_ORGANIZATION add ( INSTITUTIONAL VARCHAR2(36) null);
alter table BIZ_ORGANIZATION add ( UNIT VARCHAR2(50) null);
alter table BIZ_ORGANIZATION add ( FUND_SOURCES VARCHAR2(50) null);
alter table BIZ_ORGANIZATION add ( LINK_MAN VARCHAR2(50) null);
alter table BIZ_ORGANIZATION add ( CONTACT_INFORMATION VARCHAR2(50) null);
alter table BIZ_ORGANIZATION add ( UNIT_ADDRESS VARCHAR2(200) null);
alter table BIZ_ORGANIZATION add ( REMIT VARCHAR2(200) null);

comment on column BIZ_ORGANIZATION.INSTITUTIONAL is '机构性质--天津';
comment on column BIZ_ORGANIZATION.UNIT is '所属单位--天津';
comment on column BIZ_ORGANIZATION.FUND_SOURCES is '经费来源--天津';
comment on column BIZ_ORGANIZATION.LINK_MAN is '联系人--天津';
comment on column BIZ_ORGANIZATION.CONTACT_INFORMATION is '联系方式--天津';
comment on column BIZ_ORGANIZATION.UNIT_ADDRESS is '单位地址--天津';
comment on column BIZ_ORGANIZATION.REMIT is '职责权限--天津';

--人员基本信息
alter table BIZ_PERSONNEL_MANAGEMENT add ( NATION VARCHAR2(36) null);
alter table BIZ_PERSONNEL_MANAGEMENT add ( UNIT VARCHAR2(200) null);
alter table BIZ_PERSONNEL_MANAGEMENT add ( BIRTHDAY VARCHAR2(36) null);
alter table BIZ_PERSONNEL_MANAGEMENT add ( ID_CARD VARCHAR2(36) null);
alter table BIZ_PERSONNEL_MANAGEMENT add ( VOCATIONAL_GRADE VARCHAR2(36) null);

comment on column BIZ_PERSONNEL_MANAGEMENT.NATION is '民族--天津';
comment on column BIZ_PERSONNEL_MANAGEMENT.UNIT is '工作单位--天津';
comment on column BIZ_PERSONNEL_MANAGEMENT.BIRTHDAY is '出生年月--天津';
comment on column BIZ_PERSONNEL_MANAGEMENT.ID_CARD is '身份证号码--天津';
comment on column BIZ_PERSONNEL_MANAGEMENT.VOCATIONAL_GRADE is '职业等级--天津';


--机构设备管理
alter table BIZ_EQUIPMENT add ( UNIT VARCHAR2(50) null);
alter table BIZ_EQUIPMENT add ( DOMESTIC_IMPORT VARCHAR2(36) null);
alter table BIZ_EQUIPMENT add ( MODEL VARCHAR2(36) null);
alter table BIZ_EQUIPMENT add ( VALUE VARCHAR2(36) null);
alter table BIZ_EQUIPMENT add ( FACTORY_CODE VARCHAR2(50) null);
alter table BIZ_EQUIPMENT add ( ENABLE_DATE TIMESTAMP null);
alter table BIZ_EQUIPMENT add ( RECEIPT_DATE TIMESTAMP null);
alter table BIZ_EQUIPMENT add ( RECEIVING_STATE VARCHAR2(36) null);
alter table BIZ_EQUIPMENT add ( PLACE_POINT VARCHAR2(100) null);
alter table BIZ_EQUIPMENT add ( WHETHER_CERTIFY VARCHAR2(36) null);
alter table BIZ_EQUIPMENT add ( SOFTWARE_NAME VARCHAR2(200) null);
alter table BIZ_EQUIPMENT add ( TECHNICAL_PARAMETER VARCHAR2(200) null);

comment on column BIZ_EQUIPMENT.UNIT is '所在单位--天津';
comment on column BIZ_EQUIPMENT.DOMESTIC_IMPORT is '国产/进口--天津';
comment on column BIZ_EQUIPMENT.MODEL is '型号--天津';
comment on column BIZ_EQUIPMENT.VALUE is '价值--天津';
comment on column BIZ_EQUIPMENT.FACTORY_CODE is '出厂编码--天津';
comment on column BIZ_EQUIPMENT.ENABLE_DATE is '启用日期--天津';
comment on column BIZ_EQUIPMENT.RECEIPT_DATE is '收获日期--天津';
comment on column BIZ_EQUIPMENT.RECEIVING_STATE is '接收状态--天津';
comment on column BIZ_EQUIPMENT.PLACE_POINT is '放置点--天津';
comment on column BIZ_EQUIPMENT.WHETHER_CERTIFY is '是否造册--天津';
comment on column BIZ_EQUIPMENT.SOFTWARE_NAME is '软件名称--天津';
comment on column BIZ_EQUIPMENT.TECHNICAL_PARAMETER is '技术参数--天津';



