#### 库级数据库表
数据库主表：storage_qualitycheck
检验项目数据表：storage_qualitycheck_inspection


```sql
CREATE TABLE `storage_qualitycheck_inspection` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `qualitycheck_id` int(11) NOT NULL COMMENT '质量检查信息表主键',
  `unit_weight` varchar(100) DEFAULT '' COMMENT '容重',
  `impurity_total` varchar(100) DEFAULT '' COMMENT '杂质总量',
  `impurity_inorganic` varchar(100) DEFAULT '' COMMENT '杂质无机杂质',
  `impurity_organic` varchar(100) DEFAULT '' COMMENT '杂质有机杂质',
  `impurity_bran_powder` varchar(100) DEFAULT '' COMMENT '糠粉',
  `imperfectGrains_total` varchar(100) DEFAULT '' COMMENT '不完善粒总量',
  `imperfectGrains_injuredKernel` varchar(100) DEFAULT '' COMMENT '不完善粒虫蚀粒',
  `imperfectGrains_scab` varchar(100) DEFAULT '' COMMENT '不完善粒病斑粒',
  `imperfectGrains_scab_total` varchar(100) DEFAULT '' COMMENT '不完善粒病斑粒总量',
  `imperfectGrains_scab_blackEmbryo` varchar(100) DEFAULT '' COMMENT '不完善粒病斑粒黑胚粒',
  `imperfectGrains_scab_gibberella` varchar(100) DEFAULT '' COMMENT '不完善粒病斑粒赤霉病粒',
  `imperfectgrains_scab_qtbl` varchar(100) DEFAULT NULL COMMENT '其它病粒',
  `imperfectGrains_damage` varchar(100) DEFAULT '' COMMENT '不完善粒破损粒%',
  `imperfectGrains_sproutedKernel` varchar(100) DEFAULT '' COMMENT '不完善粒生芽粒',
  `imperfectGrains_frostbite` varchar(100) DEFAULT '' COMMENT '不完善粒冻伤',
  `imperfectGrains_immatureGrain` varchar(100) DEFAULT '' COMMENT '不完善粒未熟粒',
  `imperfectGrains_content` varchar(100) DEFAULT '' COMMENT '不完善粒含量',
  `imperfectGrains_brownRice` varchar(100) DEFAULT '' COMMENT '不完善粒糙米粒',
  `naturally` varchar(100) DEFAULT '' COMMENT '自然热损伤粒',
  `stoving` varchar(100) DEFAULT '' COMMENT '烘干热损伤粒',
  `crude_fat_content` varchar(100) DEFAULT '' COMMENT '粗脂肪含量（干基）%',
  `proteolysis` varchar(100) DEFAULT '' COMMENT '蛋白溶解',
  `mildew` varchar(100) DEFAULT '' COMMENT '霉变粒',
  `immature_grain_rate` varchar(100) DEFAULT '' COMMENT '未熟粒率',
  `crushing_rate` varchar(100) DEFAULT '' COMMENT '破碎率',
  `yellow_rice` varchar(100) DEFAULT '' COMMENT '黄粒米%',
  `relative_density` varchar(100) DEFAULT '' COMMENT '相对密度',
  `water_volatiles` varchar(100) DEFAULT '' COMMENT '水分及挥发物含量%',
  `insoluble_impurity` varchar(100) DEFAULT '' COMMENT '不溶性杂质含量%',
  `acid_value` varchar(100) DEFAULT '' COMMENT '酸价（KOH）/(mg/g)',
  `soap_content` varchar(100) DEFAULT '' COMMENT '含皂量% ',
  `heat` varchar(100) DEFAULT '' COMMENT '加热实验（280℃）',
  `lauric_acid` varchar(100) DEFAULT '' COMMENT '月桂酸',
  `myristic_acid` varchar(100) DEFAULT '' COMMENT '豆蔻酸',
  `palmitic_acid` varchar(100) DEFAULT '' COMMENT '棕榈酸',
  `zoomaric_acid` varchar(100) DEFAULT '' COMMENT '棕榈油酸',
  `margaric_acid` varchar(100) DEFAULT '' COMMENT '十七烷酸',
  `heptadecane` varchar(100) DEFAULT '' COMMENT '十七烷一烯',
  `stearic_acid` varchar(100) DEFAULT '' COMMENT '硬脂酸',
  `oleic_acid` varchar(100) DEFAULT '' COMMENT '油酸',
  `linoleic_acid` varchar(100) DEFAULT '' COMMENT '亚油酸',
  `linolenic_acid` varchar(100) DEFAULT '' COMMENT '亚麻酸',
  `arachidic_acid` varchar(100) DEFAULT '' COMMENT '花生酸',
  `arachidonic_one` varchar(100) DEFAULT '' COMMENT '花生一烯酸',
  `Arachidonic_two` varchar(100) DEFAULT '' COMMENT '花生二烯酸',
  `behenic_acid` varchar(100) DEFAULT '' COMMENT '山嵛酸',
  `erucic_acid` varchar(100) DEFAULT '' COMMENT '芥酸',
  `wood_tar` varchar(100) DEFAULT '' COMMENT '木焦油算',
  `avg_length` varchar(100) DEFAULT '' COMMENT '平均长度',
  `rice_grains` varchar(100) DEFAULT '' COMMENT '完整米粒',
  `brokenRice_total` varchar(100) DEFAULT '' COMMENT '碎米总量',
  `brokenRice_big` varchar(100) DEFAULT '' COMMENT '碎米大',
  `brokenRice_small` varchar(100) DEFAULT '' COMMENT '碎米小',
  `machiningAccuracy` varchar(100) DEFAULT '' COMMENT '加工精度',
  `chalkiness` varchar(100) DEFAULT '' COMMENT '垩白度',
  `machiningAccuracy_essence` varchar(100) DEFAULT '' COMMENT '加工精度精碾',
  `machiningAccuracy_suitable` varchar(100) DEFAULT '' COMMENT '加工精度适碾',
  `amylose` varchar(100) DEFAULT '' COMMENT '直链淀粉含量',
  `ash_content` varchar(100) DEFAULT '' COMMENT '灰分%（以干物计）',
  `coarseness` varchar(100) DEFAULT '' COMMENT '粗细度%',
  `gluten` varchar(100) DEFAULT '' COMMENT '面筋质%（以湿重计）',
  `silt_content` varchar(100) DEFAULT '' COMMENT '含沙量',
  `magnetic_metal` varchar(100) DEFAULT '' COMMENT '磁性金属物g/kg',
  `red_hard` varchar(100) DEFAULT '' COMMENT '红硬质',
  `red_soft` varchar(100) DEFAULT '' COMMENT '红软质',
  `white_hard` varchar(100) DEFAULT '' COMMENT '白硬质',
  `white_soft` varchar(100) DEFAULT '' COMMENT '白软质',
  `input_one` varchar(100) DEFAULT '' COMMENT '添加1',
  `input_two` varchar(100) DEFAULT '' COMMENT '添加2',
  `input_three` varchar(100) DEFAULT '' COMMENT '添加1',
  `input_four` varchar(100) DEFAULT '' COMMENT '添加2',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `storage_qualitycheck` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '质量检查信息表',
  `depot_id` int(11) DEFAULT NULL COMMENT '代储点用到的代储库id，没有值则不是代储库',
  `house_id` int(11) NOT NULL COMMENT '仓房的id',
  `warehouse_id` int(11) DEFAULT NULL COMMENT '货位号id',
  `type` varchar(10) DEFAULT NULL COMMENT '质量检查类型:0:初检 1：验收 2：春秋普查 3：出库检验 4：日常检验 5：第三方检查',
  `sub_type` int(10) DEFAULT NULL COMMENT '品种',
  `sub_type_detailed` int(10) DEFAULT NULL COMMENT '详细的品种',
  `check_time` datetime DEFAULT NULL COMMENT '检验日期',
  `check_result` varchar(10) DEFAULT NULL COMMENT '检验结果0:合格  1：不合格',
  `checker` varchar(100) DEFAULT NULL COMMENT '检验人',
  `level` int(11) DEFAULT NULL COMMENT '等级',
  `capacity` varchar(100) DEFAULT NULL COMMENT '容量',
  `water` varchar(100) DEFAULT NULL COMMENT '水分',
  `impurity` varchar(100) DEFAULT NULL COMMENT '杂质',
  `mineral` varchar(100) DEFAULT NULL COMMENT '矿物质',
  `badpart` varchar(100) DEFAULT NULL COMMENT '不完善颗粒(未熟粒、破碎粒)',
  `colorsmell` varchar(100) DEFAULT NULL COMMENT '色泽气味',
  `keeper_advices` varchar(1000) DEFAULT NULL COMMENT '保管员整改建议',
  `keeper_advices_time` varchar(100) DEFAULT NULL COMMENT '保管员整改时间',
  `keeper_advices_paint` varchar(100) DEFAULT NULL COMMENT '保管员签字',
  `chief_advices` varchar(1000) DEFAULT NULL COMMENT '仓储科长建议',
  `chief_advices_time` datetime DEFAULT NULL COMMENT '仓储科长时间',
  `chiet_advices_paint` varchar(100) DEFAULT NULL COMMENT '仓储科长签字',
  `vice_manager_advices` varchar(100) DEFAULT NULL COMMENT '主管副主任建议',
  `vice_manager_advices_time` datetime DEFAULT NULL COMMENT '主管副主任时间',
  `vice_manager_advices_paint` varchar(100) DEFAULT NULL COMMENT '主管副主任签字',
  `manager_advices` varchar(1000) DEFAULT NULL COMMENT '主任意见建议',
  `manager_advices_time` datetime DEFAULT NULL COMMENT '主任时间',
  `manager_advices_paint` varchar(100) DEFAULT NULL COMMENT '主任签字',
  `improve_result` varchar(100) DEFAULT NULL COMMENT '整改结果',
  `improve_time` datetime DEFAULT NULL COMMENT '整改时间',
  `improve_paint` varchar(100) DEFAULT NULL COMMENT '整改签字',
  `is_firstchecklevel_right` varchar(10) DEFAULT NULL COMMENT '是否相符 0:是  1:不是',
  `accept_unite` varchar(100) DEFAULT NULL COMMENT '检验单位',
  `input_time` datetime DEFAULT NULL COMMENT '入库时间',
  `number` varchar(100) DEFAULT NULL COMMENT '数量',
  `location` int(100) DEFAULT NULL COMMENT '产地',
  `keeper` varchar(100) DEFAULT NULL COMMENT '保管员',
  `harvest_time` int(100) DEFAULT NULL COMMENT '收货年度',
  `goodpart` varchar(100) DEFAULT NULL COMMENT '完整粒度',
  `chooser` varchar(100) DEFAULT NULL COMMENT '扦样人',
  `choose_organ` varchar(100) DEFAULT NULL COMMENT '扦样机构',
  `choose_time` datetime DEFAULT NULL COMMENT '扦样日期',
  `boldfat_index` varchar(100) DEFAULT NULL COMMENT '粗脂肪酸数值',
  `check_type` varchar(100) DEFAULT NULL COMMENT '检验类型',
  `hot_damage` varchar(100) DEFAULT NULL COMMENT '热损伤',
  `protein_solution_ratio` varchar(100) DEFAULT NULL COMMENT '蛋白质溶解比率',
  `eat_score` varchar(100) DEFAULT NULL COMMENT '品尝评分值:',
  `fat_index` varchar(100) DEFAULT NULL COMMENT '脂肪酸值:',
  `husked_ration` varchar(100) DEFAULT NULL COMMENT '出糙率:',
  `full_good_ration` varchar(100) DEFAULT NULL COMMENT '整精米率:',
  `yellow_part` varchar(100) DEFAULT NULL COMMENT '黄粒米:',
  `out_husked_ration` varchar(100) DEFAULT NULL COMMENT '谷外糙米',
  `pests` varchar(100) DEFAULT NULL COMMENT '虫害',
  `color_ratio` varchar(100) DEFAULT NULL COMMENT '色率',
  `hard_index` varchar(100) DEFAULT NULL COMMENT '硬度指数',
  `gluten_water_count` varchar(100) DEFAULT NULL COMMENT '面筋吸水量',
  `remarks` varchar(100) DEFAULT NULL COMMENT '备注',
  `approver` varchar(100) DEFAULT NULL COMMENT '批准人',
  `mildew_count` varchar(100) DEFAULT NULL COMMENT '生霉粒',
  `damage_ratio` varchar(100) DEFAULT NULL COMMENT '损伤粒率',
  `hot_damage_ratio` varchar(100) DEFAULT NULL COMMENT '热损伤粒率',
  `husked_rice_weight` varchar(100) DEFAULT NULL COMMENT '糙米重',
  `reviewer` varchar(100) DEFAULT NULL COMMENT '审核人',
  `apply_check_time` datetime DEFAULT NULL COMMENT '申请验收日期',
  `check_time_type` varchar(10) DEFAULT NULL COMMENT '春秋普查类型:0:春 1：秋',
  `check_result_time` datetime DEFAULT NULL COMMENT '检验报告出具日期',
  `store_quality` varchar(10) DEFAULT NULL COMMENT '储存品质 0：宜存 1：不宜存',
  `is_pest` varchar(10) DEFAULT NULL COMMENT '是否虫粮0:是 1:否',
  `inspection_standard_basis` varchar(100) DEFAULT NULL COMMENT '检验标准依据',
  `quality` varchar(100) DEFAULT NULL COMMENT '储粮性质',
  `seal_date` datetime DEFAULT NULL COMMENT '封仓日期',
  `seal_status` varchar(10) DEFAULT NULL COMMENT '封仓状态：0:未封仓,1:已封仓',
  `auth_code` varchar(300) DEFAULT NULL COMMENT '库存识别码',
  `org_id` int(11) DEFAULT NULL COMMENT '组织结构id',
  `history_status` int(11) DEFAULT NULL COMMENT '0:最新数据   1:历史数据',
  `intermixing_rate` varchar(100) DEFAULT NULL COMMENT '互混率(%)',
  `smelltaste` varchar(100) DEFAULT NULL COMMENT '气味、滋味',
  `transparency` varchar(100) DEFAULT NULL COMMENT '透明度',
  `peroxide_value` varchar(100) DEFAULT NULL COMMENT '过氧化值(mmol/kg)',
  `smoke_point` varchar(100) DEFAULT NULL COMMENT '烟点℃',
  `reeze_test` varchar(100) DEFAULT NULL COMMENT '冷冻实验(0℃储藏5.5h)',
  `residual_solvent` varchar(100) DEFAULT NULL COMMENT '溶剂残留量(mg/kg)',
  `lead` varchar(100) DEFAULT NULL COMMENT '铅(Pb)',
  `total_arsenic` varchar(100) DEFAULT NULL COMMENT '总砷(以As计)(mg/kg)',
  `aflatoxin` varchar(100) DEFAULT NULL COMMENT '黄曲霉毒素(ug/kg)',
  `quailtycard_id` varchar(100) DEFAULT '' COMMENT '粮情卡id',
  `butyl_phenol` varchar(100) DEFAULT NULL COMMENT '特丁基对二苯酚(g/kg)',
  `flag_type` int(11) DEFAULT NULL COMMENT '保存:1,提交:2',
  `updatetime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `zblb` varchar(255) DEFAULT NULL COMMENT '指标类别',
  `qydbh` varchar(255) DEFAULT NULL COMMENT '扦样单编号',
  `qyqy` varchar(255) DEFAULT NULL COMMENT '扦样区域',
  `jdrxm` varchar(255) DEFAULT NULL COMMENT '监督人姓名',
  `ypbh` varchar(255) DEFAULT NULL COMMENT '样品编号',
  `sfzcccnx` varchar(255) DEFAULT NULL COMMENT '是否正常存储年限',
  `qysj` datetime DEFAULT NULL COMMENT '扦样时间',
  PRIMARY KEY (`id`),
  KEY `index_name` (`house_id`,`sub_type`,`check_time`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='质量检查信息表';
```
