package com.unis.quality.server;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

import tk.mybatis.spring.annotation.MapperScan;


//@SpringBootApplication(exclude= {DataSourceAutoConfiguration.class})
@SpringBootApplication
@EnableDiscoveryClient
@ComponentScan("com.unis")
@EnableFeignClients(basePackages = "com.unis")
@MapperScan("com.unis.quality.server.dao")
//@org.mybatis.spring.annotation.MapperScan("com.unis.quality.server.dao")
public class QualityServerApplication {
    public static void main(String[] args) {
        SpringApplication.run(QualityServerApplication.class, args);
        System.out.println("==================启动成功==================");
    }
}
