package com.unis.quality.server.controller;

import java.util.Date;
import java.util.List;
import java.util.Map;

import com.unis.common.utils.JsonUtils;
import com.unis.common.utils.UUIDUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.alibaba.fastjson.JSONObject;
import com.unis.common.utils.ResponseWrapper;
import com.unis.quality.common.vo.EntrustVO;
import com.unis.quality.server.service.EntrustService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;


/**
 *功能描述  接收外部系统推送
 * @author wangqiang
 * @date 2019/8/24 0024
 * @param
 * @return
 */
@RestController
@RequestMapping("/receiveExternalPush")
@Api(value = "接收外部系统推送", tags = "接收外部系统推送：交易")
public class ReceiveExternalPushController {
    @Autowired
    private EntrustService enService;

    //=====================================================交易质检委托====================================================

	@SuppressWarnings("all")
	@ApiOperation(value = "交易质检委托信息接收", notes = "参数：委托对象集合items")
	@RequestMapping(method = RequestMethod.POST, value = "/jyzj")
	public ResponseWrapper jyzjList(@RequestBody JSONObject paramMap) throws Exception{
		System.out.println("交易质检委托信息接收:"+ JsonUtils.serialize(paramMap));
		List<Map> lm = (List<Map>) paramMap.get("items");
		boolean bool=true;
		int i=0;
		for (Map map : lm) {
			EntrustVO entrustVO = new EntrustVO();
			entrustVO.setCreateBy("粮库导入");
			entrustVO.setLcid("待委托");
			//单位名称
			entrustVO.setCcdw((String)map.get("dwmc"));
			//委托编号
			entrustVO.setWtbh((String)map.get("wtbm"));
			entrustVO.setWtbt((String)map.get("wtbm"));
			//交易编号--外键
			entrustVO.setJybh((String)map.get("apbm"));
			//存储地点--仓号
			entrustVO.setCh((String)map.get("ccdd"));
			//品种
			entrustVO.setPz((String)map.get("pzmc"));
			//数量
			entrustVO.setSl(map.get("lssl")+"");
			//委托单位
			entrustVO.setWtdw((String)map.get("dwmc"));
			entrustVO.setRksj(map.get("scnd")+"");//年度
			entrustVO.setCreateBy("粮库导入");
			entrustVO.setCreateTime(new Date());
			entrustVO.setZjbh("交易质检");
			if(i==0){
				EntrustVO entrust = enService.findByJybh(map.get("apbm")+"");
				if(entrust!=null){
					map.put("lcid",entrust.getLcid());
					if(entrust!=null){
						System.out.println("--------------------推送已存在,先删除("+i+")------"+map.get("apbm"));
						EntrustVO entity=new EntrustVO();
						entity.setJybh(String.valueOf(map.get("apbm")));
						enService.deleteByJybh(entity);
					}
				}
			}
			boolean save = enService.insertEntityJiaoYi(entrustVO);
			System.out.println("--------------------推送("+i+")------"+save);
			map.put("lcid","待委托");
			i++;
		}
		return ResponseWrapper.success(HttpStatus.OK.value(), HttpStatus.OK.getReasonPhrase(), null);
	}


    
//    
//
//    //=====================================================入库验收质检委托 ====================================================
//	@ApiOperation(value = "条件分页入库质检列表查询", notes = "参数：委托对象VOList")
//	@RequestMapping(method = RequestMethod.POST, value = "/rkjyzj")
//	public ResponseWrapper rkysList(@RequestBody EntrustQueryVO entrustQueryVO,
//	        @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
//	        ,@RequestParam(value = "pageSize", defaultValue = "10") int pageSize) throws Exception{
//		//储备粮入库验收
//		
//		//String code=CurrentUtil.getAreaCode();
//		OutInDepotVO inDepotVO=new OutInDepotVO();
//		List<String> yslxs=new ArrayList<String>();
//		yslxs.add("1");
//		yslxs.add("2");
//		inDepotVO.setYslxs(yslxs);
//		ResponseWrapper responseWrapper = outInDepotApi.selectPageByEntity(pageNum,pageSize,inDepotVO);
//		Map<String,  Object>  mapList2 =  new  HashMap<String,  Object>();
//		 Map<String,  Object>  mapzz  =  new  HashMap<String,  Object>();
//		 if(!"".equals(responseWrapper.getData())) {
//			 mapzz=(Map<String, Object>) responseWrapper.getData();
//			 List<Map> lm = (List<Map>) mapzz.get("items");
//				for (Map map : lm) {
//					EntrustVO entrustVO = new EntrustVO();
//					entrustVO.setCreateBy("粮库导入");
//					entrustVO.setLcid("待委托");
//					//单位名称--入库单位名称
//					entrustVO.setCcdw(map.get("rkdwmc")+"");
//					//委托编号--验收报告编号
//					entrustVO.setWtbh(map.get("ysbgbh")+"");
//					entrustVO.setWtbt(map.get("ysbgbh")+"");
//					//交易编号--验收id
//					entrustVO.setJybh(map.get("ysid")+"");
//					//仓号--入库仓号名称
//					entrustVO.setCh(map.get("rkccmc")+"");
//					//品种
//					entrustVO.setPz(map.get("lspzmc")+"");
//					//数量
//					entrustVO.setSl(map.get("rksl")+"");
//					//委托单位
//					entrustVO.setWtdw(map.get("rkdwmc")+"");
//					//年度
//					entrustVO.setRksj(map.get("scnx")+"");
//					entrustVO.setCreateBy("粮库导入");
//					entrustVO.setZjbh("入库质检");
//					ResponseWrapper byId = entrustFeign.findByJybh(map.get("ysid")+"");
//					Map data = (Map)byId.getData();
//					if(data!=null) {
//						map.put("lcid",data.get("lcid"));
//					}else {
//						ResponseWrapper save = entrustFeign.save(entrustVO);
//						map.put("lcid","待委托");
//					}
//				}
//				
//				EntrustQueryVO queryVO=new EntrustQueryVO();
//				queryVO.setZjbh("入库质检");
//				queryVO.setStartTime("");
//				queryVO.setEndTime("");
//				if(!"".equals(entrustQueryVO.getLcid())) {
//					queryVO.setLcid(entrustQueryVO.getLcid());
//				}
//				if(!"".equals(entrustQueryVO.getCcdw())) {
//					queryVO.setCcdw(entrustQueryVO.getCcdw());
//				}
//				if(!"".equals(entrustQueryVO.getPz())) {
//					queryVO.setPz(entrustQueryVO.getPz());
//				}
//				if(!"".equals(entrustQueryVO.getWtbh())) {
//					queryVO.setWtbh(entrustQueryVO.getWtbh());
//				}
//				ResponseWrapper responseWrapper2=entrustFeign.findJyzjByPage(queryVO,pageNum, pageSize);
//				mapList2=(Map<String, Object>) responseWrapper2.getData();
//				List<Map> lm2 = (List<Map>) mapList2.get("items");
//				for (Map map2 : lm2) {
//					map2.put("ysbgbh", map2.get("wtbh"));
//					map2.put("ysid", map2.get("jybh"));
//					map2.put("rkdwmc", map2.get("ccdw"));
//					map2.put("rkccmc", map2.get("ch"));
//					map2.put("lspzmc", map2.get("pz"));
//					map2.put("rksl", map2.get("sl"));
//					map2.put("scnx", map2.get("rksj"));
//					EntrustVO evo=new EntrustVO();
//					evo.setJybh(map2.get("jybh")+"");
//					ResponseWrapper xq=checkSchemesZjXq(evo);
//					Map<String,  Object>  mapzb  = (Map<String,  Object>)xq.getData(); 
//					List<Map> zbList=new ArrayList();
//					zbList=(List<Map>)mapzb.get("listfour");
//					if(zbList.size()>0) {
//						for(int o=0;o<zbList.size();o++) {
//							//zhaz
//							map2.put("sf", zbList.get(o).get("sf"));
//							map2.put("rz", zbList.get(o).get("rz"));
//							map2.put("zhaz", zbList.get(o).get("zz"));
//							map2.put("lcid", "已完成");
//							EntrustVO evoe=new EntrustVO();
//							evoe.setLcid("已完成");
//							evoe.setJybh(map2.get("jybh")+"");
//							entrustFeign.updateLcId(evoe);
//							//修改出入库--
//							List<Map> zbListMx=new ArrayList();
//							zbListMx=(List<Map>)mapzb.get("listThree");
//							if(zbListMx.size()>0) {
//								for(int t=0;t<zbListMx.size();t++) {
//									//修改出入库附件--
//									OutInDepotVO inputVo=new OutInDepotVO();
//									inputVo.setFjid(zbListMx.get(t).get("zjbgfj")+"");
//									inputVo.setYsid(map2.get("jybh")+"");
//									ResponseWrapper responseWrapper1 = outInDepotApi.updateByEntitySelective(inputVo);
//								}
//							}
//							
//						}
//					}else {
//						map2.put("sf", "");
//						map2.put("rz", "");
//						map2.put("zhaz", "");
//					}
//				}
//				mapList2.put("items", lm2);
//		 }
//		return ResponseWrapper.success(HttpStatus.OK.value(), HttpStatus.OK.getReasonPhrase(), mapList2);
//	}
}
