/*
 * AbnormalDetailController.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-05-12 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.server.controller.abnormal;

import com.unis.common.constant.BaseStatusConstant;
import com.unis.common.utils.JsonUtils;
import com.unis.common.utils.ResponseWrapper;
import com.unis.common.vo.groups.InsertGroup;
import com.unis.common.vo.groups.UpdateGroup;
import com.unis.quality.common.vo.abnormal.AbnormalDetailListVO;
import com.unis.quality.common.vo.abnormal.AbnormalDetailShowVO;
import com.unis.quality.common.vo.abnormal.AbnormalDetailVO;
import com.unis.quality.server.service.AbnormalDetailService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.BindingResult;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

//import org.springframework.web.bind.annotation.GetMapping;

/**
 * TY_YCQKZGTZMX-异常情况整改通知明细
 * @author lipenghe at 2020-05-12 17:01:50
 */
@RestController
@RequestMapping("/manager")
@Api( tags = "异常情况---异常情况整改通知明细")
public class AbnormalDetailController {

    @Autowired
    private AbnormalDetailService abnormalDetailService;

    @ApiOperation(value = "异常情况---异常情况整改通知明细---[真删除]根据实体的某些属性进行单条或者批量删除", notes = "异常情况整改通知明细")
    @ApiImplicitParams({
        @ApiImplicitParam(name = "ycqkmxid", value = "异常情况明细id#<主键><唯一><非空>", dataType = "String", paramType = "header")
    })
    @PostMapping("/abnormalDetail/deleteByEntity")
    public ResponseWrapper deleteByEntity(
        @RequestBody AbnormalDetailShowVO abnormalDetailShowVO){
        if(abnormalDetailShowVO!=null){
            AbnormalDetailVO abnormalDetailVO= JsonUtils.parse(
                JsonUtils.serialize(abnormalDetailShowVO), AbnormalDetailVO.class);
            abnormalDetailVO.setStatus(Integer.valueOf(BaseStatusConstant.STATUS_DELETED));
            return abnormalDetailService.deleteByEntityResult(abnormalDetailVO,null);
        }else{
            return ResponseWrapper.invalid();
        }
    }
}
