/*
 * CheckstandardItemLevelController.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-08-20 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.server.controller.standard;

import com.unis.common.constant.BaseStatusConstant;
import com.unis.common.utils.JsonUtils;
import com.unis.common.utils.ResponseWrapper;
import com.unis.common.vo.groups.InsertGroup;
import com.unis.common.vo.groups.UpdateGroup;
import com.unis.quality.common.vo.standard.CheckstandardItemLevelListVO;
import com.unis.quality.common.vo.standard.CheckstandardItemLevelShowVO;
import com.unis.quality.common.vo.standard.CheckstandardItemLevelVO;
import com.unis.quality.server.service.CheckstandardItemLevelService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.BindingResult;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

//import org.springframework.web.bind.annotation.GetMapping;

/**
 * CHECKSTANDARD_ITEMLEVEL-标准详情规则
 * @author lipenghe at 2020-08-20 22:44:51
 */
@RestController
@RequestMapping("/manager/standard")
@Api( tags = "标准详情规则---标准详情规则")
public class StandardItemLevelController {

    @Autowired
    private CheckstandardItemLevelService checkstandardItemLevelService;

    @ApiOperation(value = "标准详情规则---标准详情规则---选择性保存,包含新增和修改", notes = "标准详情规则")
    @PostMapping("/checkstandardItemLevel/saveEntitySelective")
    public ResponseWrapper saveEntitySelective(
        @RequestBody CheckstandardItemLevelVO itemLevelVO) {
        return checkstandardItemLevelService.saveEntitySelectiveResult(itemLevelVO);
    }

    @ApiOperation(value = "标准详情规则---标准详情规则---选择性插入字段", notes = "标准详情规则")
    @PostMapping("/checkstandardItemLevel/insertEntitySelective")
    public ResponseWrapper insertEntitySelective(
        @Validated({InsertGroup.class}) @RequestBody CheckstandardItemLevelVO itemLevelVO
        , BindingResult bindingResult) {
        if(bindingResult.hasErrors()){
            return ResponseWrapper.validateFail(bindingResult.getAllErrors());
        }else{
            return checkstandardItemLevelService.insertEntitySelectiveResult(itemLevelVO);
        }
    }

    @ApiOperation(value = "标准详情规则---标准详情规则----根据实体不为空的属性,选择性更新字段", notes = "标准详情规则")
    @PostMapping("/checkstandardItemLevel/updateByEntitySelective")
    public ResponseWrapper updateByEntitySelective(
        @Validated({UpdateGroup.class}) @RequestBody CheckstandardItemLevelVO itemLevelVO
        , BindingResult bindingResult) {
        if(bindingResult.hasErrors()){
            return ResponseWrapper.validateFail(bindingResult.getAllErrors());
        }else{
            return checkstandardItemLevelService.updateByEntitySelectiveResult(itemLevelVO,null);
        }
    }

    @ApiOperation(value = "标准详情规则---标准详情规则---更改状态", notes = "标准详情规则")
    @PostMapping("/checkstandardItemLevel/updateStatusByEntity")
    public ResponseWrapper updateStatusByEntity(
        @RequestBody CheckstandardItemLevelVO itemLevelVO) {
        if(itemLevelVO!=null){
            return checkstandardItemLevelService.updateStatusByEntityResult(itemLevelVO,null);
        }else{
            return ResponseWrapper.invalid();
        }
    }

    @ApiOperation(value = "标准详情规则---标准详情规则---[真删除]根据实体的某些属性进行单条或者批量删除", notes = "标准详情规则")
    @ApiImplicitParams({
        @ApiImplicitParam(name = "levelId", value = "标准详情规则id#<主键><唯一><非空>", dataType = "String", paramType = "header")
    })
    @PostMapping("/checkstandardItemLevel/deleteByEntity")
    public ResponseWrapper deleteByEntity(
        @RequestBody CheckstandardItemLevelShowVO itemLevelShowVO){
        if(itemLevelShowVO!=null){
            CheckstandardItemLevelVO itemLevelVO= JsonUtils.parse(
                JsonUtils.serialize(itemLevelShowVO), CheckstandardItemLevelVO.class);
            itemLevelVO.setStatus(Integer.valueOf(BaseStatusConstant.STATUS_DELETED));
            return checkstandardItemLevelService.deleteByEntityResult(itemLevelVO,null);
        }else{
            return ResponseWrapper.invalid();
        }
    }

    @ApiOperation(value = "标准详情规则---标准详情规则---根据实体(唯一标示)查询一条数据", notes = "标准详情规则")
    @ApiImplicitParams({
        @ApiImplicitParam(name = "levelId", value = "标准详情规则id#<主键><唯一><非空>", dataType = "String", paramType = "header")
    })
    @PostMapping("/checkstandardItemLevel/selectById")
    public ResponseWrapper selectById(
        @RequestBody CheckstandardItemLevelShowVO itemLevelShowVO){
        if(itemLevelShowVO!=null){
            CheckstandardItemLevelVO itemLevelVO= JsonUtils.parse(
                JsonUtils.serialize(itemLevelShowVO), CheckstandardItemLevelVO.class);
            return checkstandardItemLevelService.selectByIdResult(itemLevelVO);
        }else{
            return ResponseWrapper.invalid();
        }
    }

    @ApiOperation(value = "标准详情规则---标准详情规则---根据实体的某些属性查询分页数据,pageSize,pageNum从url传", notes = "标准详情规则")
    @ApiImplicitParams({
        @ApiImplicitParam(name = "pageSize", value = "分页大小", dataType = "int", paramType = "query")
        ,@ApiImplicitParam(name = "pageNum", value = "当前页", dataType = "int", paramType = "query")
    })
    @PostMapping("/checkstandardItemLevel/selectPageByEntity")
    public ResponseWrapper selectPageByEntity(
        @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
        ,@RequestParam(value = "pageSize", defaultValue = "10") int pageSize
        ,@RequestBody CheckstandardItemLevelListVO itemLevelListVO) {
        CheckstandardItemLevelVO itemLevelVO= JsonUtils.parse(
            JsonUtils.serialize(itemLevelListVO), CheckstandardItemLevelVO.class);
        return checkstandardItemLevelService.selectPageByEntityResult(pageNum,pageSize
            , itemLevelVO,"LEVEL_ID DESC");
    }

    @ApiOperation(value = "标准详情规则---标准详情规则---根据实体的某些属性查询列表", notes = "标准详情规则")
    @ApiImplicitParams({
        @ApiImplicitParam(name = "pageSize", value = "分页大小", dataType = "int", paramType = "query")
        ,@ApiImplicitParam(name = "pageNum", value = "当前页", dataType = "int", paramType = "query")
    })
    @PostMapping("/checkstandardItemLevel/selectByEntity")
    public ResponseWrapper selectByEntity(
        @RequestBody CheckstandardItemLevelListVO itemLevelListVO) {
        CheckstandardItemLevelVO itemLevelVO= JsonUtils.parse(
            JsonUtils.serialize(itemLevelListVO), CheckstandardItemLevelVO.class);
        return checkstandardItemLevelService.selectByEntityResult(itemLevelVO);
    }

    @ApiOperation(value = "标准详情规则---标准详情规则---初始化数据", notes = "标准详情规则")
    @PostMapping("/checkstandardItemLevel/selectInitData")
    public ResponseWrapper selectInitData(
        @RequestBody CheckstandardItemLevelVO itemLevelVO){
        if(itemLevelVO!=null){
            return checkstandardItemLevelService.selectInitDataResult(itemLevelVO);
        }else{
            return ResponseWrapper.invalid();
        }
    }
}
