/*
 * AbnormalDao.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-05-12 16:19:04 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.server.dao;

import com.github.pagehelper.Page;
import com.unis.quality.common.vo.abnormal.AbnormalVO;
import com.unis.quality.server.entity.abnormal.AbnormalDO;
import tk.mybatis.mapper.common.Mapper;
import java.util.List;

/**
 * TY_YCQKZGTZ-异常情况整改通知
 * @author lipenghe at 2020-05-12 16:19:04
 */
public interface AbnormalDao extends Mapper<AbnormalDO> {
    /**
     * <TY_YCQKZGTZ-异常情况整改通知>更改状态
     * @param entity    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateStatusByEntity(AbnormalDO entity);

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>根据实体某些属性更新全部字段,会覆盖数据库默认值)
     * @param entity    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntity(AbnormalDO entity);

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>根据实体不为空的属性,选择性更新字段,只更新非空的属性对应的字段
     * @param entity    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntitySelective(AbnormalDO entity);

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>[真删除]根据实体的某些属性进行单条或者批量删除
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(AbnormalVO abnormalVO);

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>[真删除]根据实体的某些属性进行单条或者批量删除
     * @param entity    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(AbnormalDO entity);

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>[假删除]根据实体的某些属性进行单条或者批量删除,根据实体属性单条
     *      或批量删除只是改变了状态不在页面显示,数据仍存在
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteShamByEntity(AbnormalVO abnormalVO);

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>根据实体的某些属性查询数量
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectCountByEntity(AbnormalVO abnormalVO);

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>根据实体的某些属性判断是否存在
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectExistsByEntity(AbnormalVO abnormalVO);

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>根据实体(唯一标示)查询一条数据
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    AbnormalVO selectById(AbnormalVO abnormalVO);

    /**
    * <TY_YCQKZGTZ-异常情况整改通知>根据实体(唯一标示)查询一条数据
    * @param entity    <异常情况整改通知>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    AbnormalVO selectById(AbnormalDO entity);

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>根据实体的某些属性查询分页数据
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    Page<AbnormalVO> selectPageByEntity(AbnormalVO abnormalVO);

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>根据实体的某些属性查询列表
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    List<AbnormalVO> selectByEntity(AbnormalVO abnormalVO);

    /**
    * <TY_YCQKZGTZ-异常情况整改通知>根据实体的某些属性查询列表
    * @param entity     <异常情况整改通知>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    List<AbnormalVO> selectByEntity(AbnormalDO entity);
}