/*
 * AbnormalDetailDao.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-05-12 16:19:04 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.server.dao;

import com.github.pagehelper.Page;
import com.unis.quality.common.vo.abnormal.AbnormalDetailVO;
import com.unis.quality.server.entity.abnormal.AbnormalDetailDO;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * TY_YCQKZGTZMX-异常情况整改通知明细
 * @author lipenghe at 2020-05-12 16:19:04
 */
public interface AbnormalDetailDao extends Mapper<AbnormalDetailDO> {
    /**
     * <TY_YCQKZGTZMX-异常情况整改通知明细>更改状态
     * @param entity    <异常情况整改通知明细>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateStatusByEntity(AbnormalDetailDO entity);

    /**
     * <TY_YCQKZGTZMX-异常情况整改通知明细>根据实体某些属性更新全部字段,会覆盖数据库默认值)
     * @param entity    <异常情况整改通知明细>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntity(AbnormalDetailDO entity);

    /**
     * <TY_YCQKZGTZMX-异常情况整改通知明细>根据实体不为空的属性,选择性更新字段,只更新非空的属性对应的字段
     * @param entity    <异常情况整改通知明细>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntitySelective(AbnormalDetailDO entity);

    /**
     * <TY_YCQKZGTZMX-异常情况整改通知明细>[真删除]根据实体的某些属性进行单条或者批量删除
     * @param abnormalDetailVO    <异常情况整改通知明细>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(AbnormalDetailVO abnormalDetailVO);

    /**
     * <TY_YCQKZGTZMX-异常情况整改通知明细>[真删除]根据实体的某些属性进行单条或者批量删除
     * @param entity    <异常情况整改通知明细>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(AbnormalDetailDO entity);

    /**
     * <TY_YCQKZGTZMX-异常情况整改通知明细>[假删除]根据实体的某些属性进行单条或者批量删除,根据实体属性单条
     *      或批量删除只是改变了状态不在页面显示,数据仍存在
     * @param abnormalDetailVO    <异常情况整改通知明细>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteShamByEntity(AbnormalDetailVO abnormalDetailVO);

    /**
     * <TY_YCQKZGTZMX-异常情况整改通知明细>根据实体的某些属性查询数量
     * @param abnormalDetailVO    <异常情况整改通知明细>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectCountByEntity(AbnormalDetailVO abnormalDetailVO);

    /**
     * <TY_YCQKZGTZMX-异常情况整改通知明细>根据实体的某些属性判断是否存在
     * @param abnormalDetailVO    <异常情况整改通知明细>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectExistsByEntity(AbnormalDetailVO abnormalDetailVO);

    /**
     * <TY_YCQKZGTZMX-异常情况整改通知明细>根据实体(唯一标示)查询一条数据
     * @param abnormalDetailVO    <异常情况整改通知明细>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    AbnormalDetailVO selectById(AbnormalDetailVO abnormalDetailVO);

    /**
    * <TY_YCQKZGTZMX-异常情况整改通知明细>根据实体(唯一标示)查询一条数据
    * @param entity    <异常情况整改通知明细>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    AbnormalDetailVO selectById(AbnormalDetailDO entity);

    /**
     * <TY_YCQKZGTZMX-异常情况整改通知明细>根据实体的某些属性查询分页数据
     * @param abnormalDetailVO    <异常情况整改通知明细>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    Page<AbnormalDetailVO> selectPageByEntity(AbnormalDetailVO abnormalDetailVO);

    /**
     * <TY_YCQKZGTZMX-异常情况整改通知明细>根据实体的某些属性查询列表
     * @param abnormalDetailVO    <异常情况整改通知明细>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    List<AbnormalDetailVO> selectByEntity(AbnormalDetailVO abnormalDetailVO);

    /**
    * <TY_YCQKZGTZMX-异常情况整改通知明细>根据实体的某些属性查询列表
    * @param entity     <异常情况整改通知明细>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    List<AbnormalDetailVO> selectByEntity(AbnormalDetailDO entity);
}