package com.unis.quality.server.dao;

import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Component;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import java.text.NumberFormat;
import java.util.function.Supplier;


@Component
@Slf4j
public class BaseRepository {

	@PersistenceContext //注入的是实体管理器,执行持久化操作
    EntityManager entityManager;

	/**
	 * @param tableName传入数据表名
	 * @param tableFiled传入要获取最大id的字段
	 * @param preStr传入拼接字符的前缀
	 * @param length传入需要在后缀拼接的最大长度
	 * @return
	 */
	public  String selectByTableNameAndAttr(String tableName,String tableFiled,String preStr,int length){
		//根据表名及字段，字段前缀获取最大值
		String sql="select MAX("+tableFiled+") from "+tableName + " where "+tableFiled+" like '%"+preStr+ "%' and length("+tableFiled+")<="+(preStr.length()+length);
        //String sql="select MAX("+tableFiled+") from "+tableName + " where "+tableFiled+" like '"+preStr+ "%' and length("+tableFiled+")<="+(preStr.length()+length);
        Object object = entityManager.createNativeQuery(sql).getSingleResult();
        //获取本字段最大值
        String maxCode = String.valueOf(object);
        //定义id后缀
        String serialNumberStr = "";
		if (StringUtils.isEmpty(maxCode)||maxCode.length()<(preStr.length()+length)) {
			maxCode = "0000000000000000000";
		}
		int serialNumber = 0;
		int maxSerialNumber = Integer.valueOf(maxCode.substring(maxCode.length() - length, maxCode.length()));
		serialNumber = maxSerialNumber + 1;

		NumberFormat nf = NumberFormat.getInstance();
        // 设置是否使用分组
        nf.setGroupingUsed(false);
        // 设置最大整数位数
        nf.setMaximumIntegerDigits(length);
        // 设置最小整数位数
        nf.setMinimumIntegerDigits(length);
        // 输出测试语句
        serialNumberStr = nf.format(serialNumber);
        return new StringBuilder(preStr).append(serialNumberStr).toString();
    }

    public String selectByTableNameAndAttr(String tableName, String tableFiled, String preStr, int length, Supplier<String> callback) {
        String sql_where = callback.get();
        //根据表名及字段，字段前缀获取最大值
        String sql = "select MAX(" + tableFiled + ") from "
                + tableName
                + " where " + tableFiled + " like '%" + preStr + "%' and length(" + tableFiled + ") = (length('" + preStr + "') + " + length + ")";
        if (StringUtils.isNotBlank(sql_where)) {

        }
        //String sql="select MAX("+tableFiled+") from "+tableName + " where "+tableFiled+" like '"+preStr+ "%' and length("+tableFiled+")<="+(preStr.length()+length);
        Object object = entityManager.createNativeQuery(sql).getSingleResult();
        //获取本字段最大值
        String maxCode = String.valueOf(object);
        //定义id后缀
        String serialNumberStr = "";
        if (StringUtils.isEmpty(maxCode)||maxCode.length()<(preStr.length()+length)) {
            maxCode = "0000000000000000000";
        }
        int serialNumber = 0;
        int maxSerialNumber = Integer.parseInt(maxCode.substring(maxCode.length() - length, maxCode.length()));
        serialNumber = maxSerialNumber + 1;

        NumberFormat nf = NumberFormat.getInstance();
        // 设置是否使用分组
        nf.setGroupingUsed(false);
        // 设置最大整数位数
        nf.setMaximumIntegerDigits(length);
        // 设置最小整数位数
        nf.setMinimumIntegerDigits(length);
        // 输出测试语句
        serialNumberStr = nf.format(serialNumber);
        return preStr + serialNumberStr;
    }
}
