/*
 * CheckstandardInfoDao.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-08-20 22:44:51 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.server.dao;

import com.github.pagehelper.Page;
import com.unis.quality.common.vo.standard.CheckstandardInfoVO;
import com.unis.quality.server.entity.standard.CheckstandardInfoDO;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * CHECKSTANDARD_INFO-标准信息
 * @author lipenghe at 2020-08-20 22:44:51
 */
public interface CheckstandardInfoDao extends Mapper<CheckstandardInfoDO> {
    /**
     * <CHECKSTANDARD_INFO-标准信息>根据实体的某些属性查询列表,会覆盖数据库默认值
     * @param entity    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int insertEntity(CheckstandardInfoDO entity);

    /**
     * <CHECKSTANDARD_INFO-标准信息>选择性插入字段,只插入非空的属性对应的字段
     * @param entity    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int insertEntitySelective(CheckstandardInfoDO entity);

    /**
     * <CHECKSTANDARD_INFO-标准信息>更改状态
     * @param entity    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateStatusByEntity(CheckstandardInfoDO entity);

    /**
     * <CHECKSTANDARD_INFO-标准信息>根据实体某些属性更新全部字段,会覆盖数据库默认值)
     * @param entity    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntity(CheckstandardInfoDO entity);

    /**
     * <CHECKSTANDARD_INFO-标准信息>根据实体不为空的属性,选择性更新字段,只更新非空的属性对应的字段
     * @param entity    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntitySelective(CheckstandardInfoDO entity);

    /**
     * <CHECKSTANDARD_INFO-标准信息>[真删除]根据实体的某些属性进行单条或者批量删除
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(CheckstandardInfoVO checkstandardInfoVO);

    /**
     * <CHECKSTANDARD_INFO-标准信息>[真删除]根据实体的某些属性进行单条或者批量删除
     * @param entity    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(CheckstandardInfoDO entity);

    /**
     * <CHECKSTANDARD_INFO-标准信息>[假删除]根据实体的某些属性进行单条或者批量删除,根据实体属性单条
     *      或批量删除只是改变了状态不在页面显示,数据仍存在
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteShamByEntity(CheckstandardInfoVO checkstandardInfoVO);

    /**
     * <CHECKSTANDARD_INFO-标准信息>根据实体的某些属性查询数量
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectCountByEntity(CheckstandardInfoVO checkstandardInfoVO);

    /**
     * <CHECKSTANDARD_INFO-标准信息>根据实体的业务唯一属性(且非指定主键数据)判断是否存在
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectExistsByEntity(CheckstandardInfoVO checkstandardInfoVO);

    /**
     * <CHECKSTANDARD_INFO-标准信息>根据实体(唯一标示)查询一条数据
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    CheckstandardInfoVO selectById(CheckstandardInfoVO checkstandardInfoVO);

    /**
    * <CHECKSTANDARD_INFO-标准信息>根据实体(唯一标示)查询一条数据
    * @param entity    <标准信息>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    CheckstandardInfoVO selectById(CheckstandardInfoDO entity);

    /**
     * <CHECKSTANDARD_INFO-标准信息>根据实体的某些属性查询分页数据
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    Page<CheckstandardInfoVO> selectPageByEntity(CheckstandardInfoVO checkstandardInfoVO);

    /**
     * <CHECKSTANDARD_INFO-标准信息>根据实体的某些属性查询列表
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    List<CheckstandardInfoVO> selectByEntity(CheckstandardInfoVO checkstandardInfoVO);

    /**
    * <CHECKSTANDARD_INFO-标准信息>根据实体的某些属性查询列表
    * @param entity     <标准信息>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    List<CheckstandardInfoVO> selectByEntity(CheckstandardInfoDO entity);
}