package com.unis.quality.server.dao;

import com.unis.quality.server.entity.quality.TbCheckstandardItemDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.io.Serializable;
import java.util.List;

@Repository
@Transactional(propagation = Propagation.NESTED, rollbackFor = Exception.class)
public interface CheckstandardItemRepository  extends JpaRepository<TbCheckstandardItemDO,Serializable>,JpaSpecificationExecutor <TbCheckstandardItemDO>{

	/**
	 * @param itemId
	 * @param i
	 * @return根据id获取监测项目id
	 */
	TbCheckstandardItemDO findByItemIdAndStatus(String itemId, int i);

	/**
	 * @param itemId
	 * @param string
	 * @param string2
	 */
	@Modifying
	@Query(value="update tb_checkstandard_item "
			+ "set REFRESHER = ?2,"
			+ "REFRESHER_CODE = ?3,"
			+ "status = 0,"
			+ "REFRESH_TIME = sysdate"
			+ " where item_id in ?1",nativeQuery = true)
	void deleteitemId(String[] itemId, String string, String string2);

	/**
	 * @param checkstandardId
	 * @return获取检测项目信息
	 */
	List<TbCheckstandardItemDO> findByCheckstandardIdInAndStatus(String[] checkstandardId, Integer status);

	/**
	 * @param status
	 * @return获取检测项目信息
	 */
	List<TbCheckstandardItemDO> findByStatus(Integer status);


}
