package com.unis.quality.server.dao;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.quality.common.vo.QualityPredictionAduitVO;
import com.unis.quality.server.entity.quality.GradeTestResultsItemsDO;

import tk.mybatis.mapper.common.Mapper;

/**
 * @ClassName FoodStockDao
 * @Description 品质测报-库存粮食质量检测品登统表
 * @author lfx
 * @date 2019年7月24日17:26:44
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface GradeTestResultsItemsDao extends Mapper<GradeTestResultsItemsDO>{

	/**
	 * 移动端-按企业、企业总数
	 * @date 2019-1-15 13:31:55
	 * @author lifx
	 * @version v1.0
	 *
	 * @param yearear
	 * @return
	 */
	List<Map> companyTotal();

	/**
	 * 移动端-按企业、合格率
	 *
	 * @date 2019-1-15 13:31:55
	 * @author lifx
	 * @version v1.0
	 *
	 * @param yearear
	 * @return
	 */
	List<Map> companyPassRate();

	/**
	 * 移动端-按品种、企业总数
	 *
	 * @date 2019-1-15 13:31:55
	 * @author lifx
	 * @version v1.0
	 *
	 * @param yearear
	 * @return
	 */
	List<Map> varietiesTotal(String varieties);

	/**
	 * 移动端-按品种、合格率
	 *
	 * @date 2019-1-15 13:31:55
	 * @author lifx
	 * @version v1.0
	 *
	 * @param yearear
	 * @return
	 */
	List<Map> varietiesPassRate(String varieties);
}
