package com.unis.quality.server.dao;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.quality.common.vo.QualityPredictionPlannedVO;
import com.unis.quality.server.entity.quality.QualityPredictionAduitDO;
import com.unis.quality.server.entity.quality.QualityPredictionPlannedDO;

import tk.mybatis.mapper.common.Mapper;

/**
 * @ClassName QualityPredictionPlannedService
 * @Description 品质测报-计划下发
 * @author lfx
 * @date 2019年7月10日11:22:22
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface QualityPredictionPlannedDao extends Mapper<QualityPredictionPlannedDO>{

	/**
	 * @Description 根据id查询详情
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/24
	 * @param id
	 * @return
	 * @throws Exception
	 */
	public QualityPredictionPlannedVO findByIdAndIsDeleted(String id) throws Exception;
	
	public QualityPredictionPlannedDO findByIdAndIsDeleted(String id, int isDelete) throws Exception ;

	/**
	 * @Description 查询
	 * @version v1.0
	 * @author lfx
	 * @param page
	 * @param size
	 * @date 2018/10/19
	 * @return java.util.List
	 * @throws Exception
	 */
	public Map<String, Object> findByPage(QualityPredictionPlannedVO qualityPredictionPlannedVO, Integer page, Integer size) throws Exception;

	/**
	 * @Description 多选删除
	 * @version v1.0
	 * @author lfx
	 * @param ids
	 * @date 2018/10/24
	 * @return boolean
	 * @throws Exception
	 */
	public boolean deletes(QualityPredictionPlannedVO qualityVO) throws Exception;

	/**
	 * @Description 保存品质测报计划下发
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月10日11:25:58
	 * @return boolean
	 * @throws Exception
	 */
	public boolean save(QualityPredictionPlannedVO resultsVO) throws Exception;

	/**
	 * @Description 更新品质测报
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月10日15:02:41
	 * @return boolean
	 * @throws Exception
	 */
	public boolean update(QualityPredictionPlannedVO resultsVO) throws Exception;
	
	/**
	 * @Description 查询计划文件名称
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月10日15:02:41
	 * @return boolean
	 * @throws Exception
	 */
	public List getFlieName(QualityPredictionPlannedVO vo) throws Exception;
	

	/**
	 * @Description 品质测报-计划下发
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月10日15:02:41
	 * @return boolean
	 * @throws Exception
	 */
	public boolean updateState(QualityPredictionPlannedVO vo) throws Exception;
	
}
