/*
 * RainDao.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-08-11 17:08:12 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.server.dao;

import com.github.pagehelper.Page;
import com.unis.quality.common.vo.weather.RainVO;
import com.unis.quality.server.entity.quality.weather.RainDO;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * PLUG_WEATHER_RAIN-降雨量表
 * @author lipenghe at 2020-08-11 17:08:12
 */
public interface RainDao extends Mapper<RainDO> {
    /**
     * <PLUG_WEATHER_RAIN-降雨量表>根据实体的某些属性查询列表,会覆盖数据库默认值
     * @param entity    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int insertEntity(RainDO entity);

    /**
     * <PLUG_WEATHER_RAIN-降雨量表>选择性插入字段,只插入非空的属性对应的字段
     * @param entity    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int insertEntitySelective(RainDO entity);

    /**
     * <PLUG_WEATHER_RAIN-降雨量表>更改状态
     * @param entity    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateStatusByEntity(RainDO entity);

    /**
     * <PLUG_WEATHER_RAIN-降雨量表>根据实体某些属性更新全部字段,会覆盖数据库默认值)
     * @param entity    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntity(RainDO entity);

    /**
     * <PLUG_WEATHER_RAIN-降雨量表>根据实体不为空的属性,选择性更新字段,只更新非空的属性对应的字段
     * @param entity    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntitySelective(RainDO entity);

    /**
     * <PLUG_WEATHER_RAIN-降雨量表>[真删除]根据实体的某些属性进行单条或者批量删除
     * @param rainVO    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(RainVO rainVO);

    /**
     * <PLUG_WEATHER_RAIN-降雨量表>[真删除]根据实体的某些属性进行单条或者批量删除
     * @param entity    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(RainDO entity);

    /**
     * <PLUG_WEATHER_RAIN-降雨量表>[假删除]根据实体的某些属性进行单条或者批量删除,根据实体属性单条
     *      或批量删除只是改变了状态不在页面显示,数据仍存在
     * @param rainVO    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteShamByEntity(RainVO rainVO);

    /**
     * <PLUG_WEATHER_RAIN-降雨量表>根据实体的某些属性查询数量
     * @param rainVO    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectCountByEntity(RainVO rainVO);

    /**
     * <PLUG_WEATHER_RAIN-降雨量表>根据实体的业务唯一属性(且非指定主键数据)判断是否存在
     * @param rainVO    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectExistsByEntity(RainVO rainVO);

    /**
     * <PLUG_WEATHER_RAIN-降雨量表>根据实体(唯一标示)查询一条数据
     * @param rainVO    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    RainVO selectById(RainVO rainVO);

    /**
    * <PLUG_WEATHER_RAIN-降雨量表>根据实体(唯一标示)查询一条数据
    * @param entity    <降雨量表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    RainVO selectById(RainDO entity);

    /**
     * <PLUG_WEATHER_RAIN-降雨量表>根据实体的某些属性查询分页数据
     * @param rainVO    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    Page<RainVO> selectPageByEntity(RainVO rainVO);

    /**
     * <PLUG_WEATHER_RAIN-降雨量表>根据实体的某些属性查询列表
     * @param rainVO    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    List<RainVO> selectByEntity(RainVO rainVO);

    /**
    * <PLUG_WEATHER_RAIN-降雨量表>根据实体的某些属性查询列表
    * @param entity     <降雨量表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    List<RainVO> selectByEntity(RainDO entity);
}