package com.unis.quality.server.dao;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.quality.common.vo.EquipmentVO;
import com.unis.quality.common.vo.TestParametersVO;
import com.unis.quality.server.entity.quality.TestParametersDO;

import tk.mybatis.mapper.common.Mapper;

/**
 * @Description  质检机构管理--检验参数
 * @ClassName TestParametersService
 * @version v1.0
 * @author lfx
 * @date 2018年10月26日 下午3:50:01
 *
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface TestParametersDao extends Mapper<TestParametersDO>{
	

	/**
	 * @Description 根据id查询详情
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @param Id
	 * @return
	 * @throws Exception
	 */
	public List<TestParametersVO> findByIdAndIsDeleted(String organizationId) throws Exception;

	/**
	 * @Description 根据标题、创建人查询机构信息
	 * @version v1.0
	 * @author lfx
	 * @param TestParametersVO
	 * @date 2018/10/19
	 * @return java.util.List
	 * @throws Exception
	 */
	public Map<String, Object> findByPage(TestParametersVO testParametersVO, Integer page, Integer size) throws Exception;

	/**
	 * @Description 多选删除
	 * @version v1.0
	 * @author lfx
	 * @param Ids
	 * @date 2018/10/29
	 * @return boolean
	 * @throws Exception
	 */
	public boolean deletes(String[] ids,TestParametersVO vo) throws Exception;

	/**
	 * @Description 保存检验参数
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @param TestParametersVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean save(Map<String, Object>  tParametersList,TestParametersVO vo) throws Exception;

	/**
	 * @Description 更新检验参数
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @param TestParametersVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean update(Map<String, Object> testParametersVOlist,TestParametersVO vo) throws Exception;
}
