package com.unis.quality.server.dao;

import java.util.List;
import java.util.Map;

import com.github.pagehelper.Page;
import com.unis.quality.common.vo.EntrustCheckVO;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.quality.common.vo.EntrustQueryVO;
import com.unis.quality.common.vo.EntrustVO;
import com.unis.quality.server.entity.quality.EntrustDO;
import org.springframework.web.bind.annotation.RequestParam;

/**
 *功能描述 质检强检委托
 * @author wangqiang
 * @date 2019/8/21 0021
 * @param
 * @return
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface WTDao {

	int deleteByPrimaryKey(EntrustDO entrustDO);

	int insert(EntrustDO record);

	String insertBackId(EntrustDO record);

	EntrustDO selectByPrimaryKey(EntrustVO vo);

	EntrustDO selectById(EntrustVO vo);

	int updateByPrimaryKeySelective(EntrustDO record);

	Integer selectCountZjbg(EntrustDO record);

	int updateByPrimaryKey(EntrustDO record);

	List<EntrustDO> getDataByPage(EntrustQueryVO entrustQueryVO);
	
	//状态查询
	Page<EntrustDO> getDataByPageZt(EntrustQueryVO entrustQueryVO);
	
	//其它质检
	List<EntrustDO> getDataByPageQT(EntrustQueryVO entrustQueryVO);
	
	
	
	//强检仓号查询
	List<EntrustDO> getDataChByPage(EntrustVO entrustVO);

    int delete(String str);

    int deleteByJybh(EntrustVO vo);

    //通过id查询质检报告编号
    String selectZjbgByWtId(@RequestParam(name="id") String id);
    
    //查询质检报告编号和委托id
	public List<Map> selectWtIdBh(EntrustQueryVO entrustQueryVO);

	//查询委托
	public EntrustDO selectByZjbgbh(@RequestParam(name="zjbgbh") String zjbgbh);

	//查询质检报告编号和委托id
	public List<Map> selectByZj(EntrustQueryVO entrustQueryVO);
	
	//查询质检报告编号和委托id库存
	public List<Map> selectWtIdBhKc(EntrustQueryVO entrustQueryVO);

	//查询质检报告编号和委托id库存
	public List<EntrustCheckVO> echartsZjjgqs(EntrustQueryVO entrustQueryVO);

	//根据wtbh查询 jybh 为空的表格数据
	List<Map> findByWtbhQT(EntrustVO entrustVO);
	
	//根据交易编号修改状态
	int updateLcId(EntrustDO record);
	
	String getWtbh(EntrustQueryVO vo);
}

