package com.unis.quality.server.dao.tianjin;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.quality.common.dto.CheckSchemeDTO;
import com.unis.quality.common.vo.tianjin.QualityHarvestCornVO;
import com.unis.quality.server.entity.quality.tianjin.QualityHarvestCornDO;

import tk.mybatis.mapper.common.Mapper;

/**
 * @ClassName QualityHarvestCornDao
 * @Description 新收获粮-抽查方案Dao
 * @Author lfx
 * @Date 2019年8月20日17:57:40
 * @Version 0.0.1
 **/
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface QualityHarvestCornDao extends Mapper<QualityHarvestCornDO>{
	//拼接一条完整的数据展示给前台
	public List<CheckSchemeDTO> allCheckScheme(CheckSchemeDTO dto);
	
	//拼接一条完整的抽查方案数据展示给前台
    public List<CheckSchemeDTO> allHarvestCorn(CheckSchemeDTO vo);
    
    //通过抽查方案id查询库点--库存检查
    public List<CheckSchemeDTO> allHarvestCornDd(CheckSchemeDTO vo);
	
}
