package com.unis.quality.server.domain.tianjin;

import java.text.SimpleDateFormat;
import java.util.*;

import com.unis.common.utils.JsonUtils;
import com.unis.quality.common.constant.EntrustConstant;
import com.unis.quality.common.dto.OrgainzeDTO;
import org.apache.commons.lang.ObjectUtils;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.unis.common.utils.DateUtil;
import com.unis.common.utils.LsBeanUtils;
import com.unis.common.utils.UUIDUtils;
import com.unis.quality.common.dto.CheckSchemeDTO;
import com.unis.quality.common.vo.EntrustVO;
import com.unis.quality.common.vo.SysOrgVO;
import com.unis.quality.common.vo.ZjbgbhVO;
import com.unis.quality.common.vo.tianjin.CcfackVO;
import com.unis.quality.server.dao.SysOrgDao;
import com.unis.quality.server.dao.WTDao;
import com.unis.quality.server.dao.tianjin.CcfackDao;
import com.unis.quality.server.dao.tianjin.PointPlanDao;
import com.unis.quality.server.dao.tianjin.QualityHarvestCornDao;
import com.unis.quality.server.dao.tianjin.ZjbgDao;
import com.unis.quality.server.domain.EntrustDomain;
import com.unis.quality.server.entity.quality.EntrustDO;
import com.unis.quality.server.entity.quality.FoodStockDO;
import com.unis.quality.server.entity.quality.SysOrgDO;
import com.unis.quality.server.entity.quality.ZjbgbhDO;
import com.unis.quality.server.entity.quality.tianjin.CcfackDO;
import com.unis.quality.server.entity.quality.tianjin.PointPlanDO;
import com.unis.quality.server.entity.quality.tianjin.SamplingVarietiesDO;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import tk.mybatis.mapper.entity.Example;
import tk.mybatis.mapper.entity.Example.Criteria;

/**
 *
 * @ClassName: PointPlanDomain
 * @Description: 品质测报-布点计划
 * @author lfx
 * @date 2019年7月10日15:01:34
 *
 * @version v1.0
 */
@Getter
@Setter
@ToString
@Component
public class PointPlanDomain {
	@Autowired
	private PointPlanDao mapper;

	@Autowired
	private QualityHarvestCornDomain varietiesMapper;

	@Autowired
	private QualityHarvestCornDao qMapper;
	@Autowired
	private WTDao WTDao;

	@Autowired
	private EntrustDomain entrustDomain;

	@Autowired
	private ZjbgDao zjbgDao;

	@Autowired
	private CcfackDao ccfackDao;

	@Autowired
	private SysOrgDao sysOrgDao;

	 /**
		 * @Description 根据采样地查询相关的迁移地数据-详情
		 * @version v1.0
		 * @author lfx
		 * @date 2018/10/24
		 * @param id
		 * @return
		 * @throws Exception
		 */
	  public List<CheckSchemeDTO> findPointPlan(String id) throws Exception {
	    	CheckSchemeDTO dto=new CheckSchemeDTO();
	    	dto.setQydId(id);
	    	List<CheckSchemeDTO>  ListMap  =  mapper.allPointPlan(dto);
	    	if(null!=ListMap) {
	    		for(int i=0;i<ListMap.size();i++) {
	    			ListMap.get(i).setQydd(ListMap.get(i).getDd()+ListMap.get(i).getXxdz());
	    		}
	    	}
			return ListMap;
		}


	    /**
		 * @Description <!-- 抽样检测结果查看 关联质检编号的数据库表 -->
		 * @version v1.0
		 * @author lfx
		 * @date 2018/10/24
		 * @param id
		 * @return
		 * @throws Exception
		 */
	    public List<CheckSchemeDTO> samplingById(CheckSchemeDTO dto) throws Exception {
	    	//根据扦样地id
	    	List<CheckSchemeDTO>  ListMap  =  mapper.allSampling(dto);
	    	if(null!=ListMap) {
	    		for(int i=0;i<ListMap.size();i++) {
	    			ListMap.get(i).setQydd(ListMap.get(i).getDd()+ListMap.get(i).getXxdz());
	    		}
	    	}
			return ListMap;
		}

	    /**
		 * @Description <!-- 抽样检测结果查看 关联质检编号的数据库表 -->
		 * @version v1.0
		 * @author lfx
		 * @date 2018/10/24
		 * @param id
		 * @return
		 * @throws Exception
		 */
	    public Map<String,  Object> allSampling(CheckSchemeDTO dto,  Integer  page,  Integer  size) throws Exception {
	    	List<CheckSchemeDTO>  ListMap  =  mapper.allSampling(dto);
	    	if(null!=ListMap) {
	    		for(int i=0;i<ListMap.size();i++) {
	    			ListMap.get(i).setQydd(ListMap.get(i).getDd()+ListMap.get(i).getXxdz());
	    		}
	    	}
	    	PageInfo<CheckSchemeDTO>  pageInfo  =  new  PageInfo<CheckSchemeDTO>(ListMap);
			Map<String,  Object>  resultMap  =  new  HashMap<String,  Object>();
			resultMap.put("total",  pageInfo.getTotal());
			resultMap.put("resultList",  ListMap);
			return  resultMap;
		}

	    /**
		 * @Description <!-- 抽样检测结果查看 关联质检编号的数据库表 -->
		 * @version v1.0
		 * @author lfx
		 * @date 2018/10/24
		 * @param id
		 * @return
		 * @throws Exception
		 */
	    public Map<String,  Object> kucunliangshiList(CheckSchemeDTO dto,  Integer  page,  Integer  size) throws Exception {
			PageHelper.startPage(page, size, "TY_ZJXXZB.CREATE_DATE DESC");
	    	List<CheckSchemeDTO>  ListMap  =  mapper.kucunliangshiList(dto);
	    	if(null!=ListMap) {
	    		String xxdz=null;
	    		for(int i=0;i<ListMap.size();i++) {
					xxdz=ListMap.get(i).getXxdz();
	    			ListMap.get(i).setQydd(ListMap.get(i).getDd()+StringUtils.defaultString(xxdz,""));
	    		}
	    	}
	    	PageInfo<CheckSchemeDTO>  pageInfo  =  new  PageInfo<CheckSchemeDTO>(ListMap);
			Map<String,  Object>  resultMap  =  new  HashMap<String,  Object>();
			resultMap.put("total",  pageInfo.getTotal());
			resultMap.put("resultList",  ListMap);
			return  resultMap;
		}


	/**
	 * @Description 查询
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/19
	 * @return java.util.List
	 * @throws Exception
	 */
	public  Map<String,  Object>  findByPage(CheckSchemeDTO dto,  Integer  page,  Integer  size)  throws  Exception  {
		PageHelper.startPage(page, size);
		List<CheckSchemeDTO>  ListMap  =  mapper.allPointPlan(dto);
		PageInfo<CheckSchemeDTO>  pageInfo  =  new  PageInfo<CheckSchemeDTO>(ListMap);
		Map<String,  Object>  resultMap  =  new  HashMap<String,  Object>();
		if(null!=ListMap) {
			for(int i=0;i<ListMap.size();i++) {
				ListMap.get(i).setQydd(ListMap.get(i).getDd()+ListMap.get(i).getXxdz());
				if(ListMap.get(i).getLcId().equals("已委托")) {
					ListMap.get(i).setZtmc("已发布");
					ListMap.get(i).setZt(1);
				}if(ListMap.get(i).getLcId().equals("待委托")) {
					ListMap.get(i).setZtmc("待发布");
					ListMap.get(i).setZt(0);
				}
			}
		}

		resultMap.put("total",  pageInfo.getTotal());
		resultMap.put("resultList",  ListMap);
		return  resultMap;
		}

	/**
	 * @Description 多选删除扦样地
	 * @version v1.0
	 * @author lfx
	 * @param ids
	 * @date 2018/10/24
	 * @return boolean
	 * @throws Exception
	 */
	public boolean deletesPointPlan(String[] ids) throws Exception {
		for (String id : ids) {
			Example example = new Example(PointPlanDO.class);
			CheckSchemeDTO dto=new CheckSchemeDTO();
			dto.setCyfaId(id);
			List<CheckSchemeDTO> arrList = qMapper.allHarvestCorn(dto);
			Criteria criteria = example.createCriteria();
			for(int i=0;i<arrList.size();i++) {
				criteria.andEqualTo("id", arrList.get(i).getQydId());
				PointPlanDO qDO = mapper.selectOneByExample(example);
				if (ObjectUtils.notEqual(qDO, null)) {
					qDO.setDeleteTime(DateUtil.getNowDate());
					mapper.updateByPrimaryKey(qDO);
				}
			}
		}
		return true;
	}


	/**
	 * @Description 多选删除扦样地
	 * @version v1.0
	 * @author lfx
	 * @param ids
	 * @date 2018/10/24
	 * @return boolean
	 * @throws Exception
	 */
	public boolean deletesPoint(String[] ids) throws Exception {
		for (String id : ids) {
			Example example = new Example(PointPlanDO.class);
			Criteria criteria = example.createCriteria();
		    criteria.andEqualTo("id", id);
			PointPlanDO qDO = mapper.selectOneByExample(example);
			if (ObjectUtils.notEqual(qDO, null)) {
				qDO.setDeleteTime(DateUtil.getNowDate());
				mapper.updateByPrimaryKey(qDO);
			}
		}
		return true;
	}
	/**
	 * @Description 保存信息
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @return boolean
	 * @throws Exception
	 */
	public boolean save(CheckSchemeDTO dto) throws Exception {
		boolean bool=false;
		CheckSchemeDTO checkdto=new CheckSchemeDTO();
		checkdto.setFabt(dto.getFabt());
		checkdto.setNd(dto.getNd());
		checkdto.setXzqhbm(dto.getXzqhbm());
		checkdto.setCypzmc(dto.getCypzmc());
		checkdto.setWtlx(dto.getWtlx());
		List<CheckSchemeDTO>  ListMap  =qMapper.allCheckScheme(checkdto);
		PointPlanDO planDo = new PointPlanDO();
		if(ListMap.size()>0) {
			for(int i=0;i<ListMap.size();i++) {
				EntrustDO entrustDO =new EntrustDO();
				entrustDO.setId(UUIDUtils.uuid());
				entrustDO.setWtlx(dto.getWtlx());
				entrustDO.setNd(dto.getNd());
				entrustDO.setWtsj(DateUtil.getNowDate());
				SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
				Date fqsj=ListMap.get(i).getFqsj();
			    Date jssj=ListMap.get(i).getJssj();
				entrustDO.setFqsj(fqsj);
				entrustDO.setJssj(jssj);
				entrustDO.setLcid(dto.getLcId());
				entrustDO.setCreateTime(new Date());
				if(StringUtils.isEmpty(entrustDO.getLcid())){
					entrustDO.setLcid("待委托");
				}
				int insert = WTDao.insert(entrustDO);
				if(insert>0) {
                    EntrustVO entrustVO=JsonUtils.parse(JsonUtils.serialize(entrustDO),EntrustVO.class);
					if("已委托".equals(dto.getLcId())) {
						entrustVO.setWtId(entrustDO.getId());
                        entrustVO.setLcid(dto.getLcId());
                        entrustVO.setCcdw(dto.getDd());
						System.out.println("收获粮食:"+JsonUtils.serialize(entrustVO));
						bool=entrustDomain.submitEntrust(entrustVO);
                       entrustVO.setChsl("1");
                       entrustVO.setWtlx(EntrustConstant.XinShouHuoLiang.getName());
						entrustDomain.sendWt(entrustVO);//向质检中心推送委托
					}
					String cypzId=ListMap.get(i).getCypzId()+"";
					SamplingVarietiesDO varietiesDO =new SamplingVarietiesDO();//采样品种
					varietiesDO.setId(cypzId);
					varietiesDO.setYpjbmc(dto.getYpjbmc());
					varietiesDO.setYpjbbm(dto.getYpjbbm());
					varietiesDO.setCyjhId(ListMap.get(0).getCyjhId()+"");
					varietiesDO.setCypzmc(dto.getCypzmc());
					bool=varietiesMapper.updateVarieties(varietiesDO);//样品级别字段修改
					String cydId=ListMap.get(i).getCydId()+"";
					String wtId=entrustDO.getId();
					planDo.setCydId(cydId);
					planDo.setWtId(wtId);
					planDo.setBz(dto.getBz());
					planDo.setLxdh(dto.getLxdh());
					planDo.setLxr(dto.getLxr());
					planDo.setDd(dto.getDd());
					planDo.setXxdz(dto.getXxdz());
					planDo.setCreateTime(DateUtil.getNowDate());
					if (mapper.insert(planDo) < 1) {
						throw new RuntimeException( "无法保存成功，请检查数据。");
					}
				}
			}

		}
		else {
			throw new RuntimeException( "该方案中不存在此品种，请检查数据。");
		}

		return true;
	}

	/**
	 * @Description 更新信息
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @return boolean
	 * @throws Exception
	 */
	public boolean update(CheckSchemeDTO dto) throws Exception {
		boolean bool=false;
		List<CheckSchemeDTO> list=findPointPlan(dto.getQydId());
		if(null==list) {
			throw new RuntimeException("此数据未存储到数据库中。");
		}
		EntrustVO entrustVO =new EntrustVO();
		entrustVO.setId(dto.getWtId());
		entrustVO.setWtId(dto.getWtId());
		entrustVO.setWtlx(dto.getWtlx());
		entrustVO.setWtsj(DateUtil.getNowDate());
		entrustVO.setNd(dto.getNd());
		entrustVO.setWtbt(dto.getFabt());
		entrustVO.setWtnr(dto.getFaxq());
		entrustVO.setFjid(dto.getFjid());
		entrustVO.setWtr(dto.getUpdateBy());
		entrustVO.setQyd(dto.getDd());
		entrustVO.setXxdz(dto.getXxdz());

		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
	/*	String fqsj=list.get(0).getFqsj()+"";
	    String jssj=list.get(0).getJssj()+"";
	    if(!"".equals(fqsj)) {
	    	entrustVO.setFqsj(sdf.parse(fqsj));
	    }
	    if(!"".equals(jssj) ) {
	    	entrustVO.setJssj(sdf.parse(jssj));
	    }*/
		Object fqsj=list.get(0).getFqsj();
		Object jssj=list.get(0).getJssj();
		if(fqsj!=null && fqsj instanceof Date){
			entrustVO.setFqsj((Date)fqsj);
		}
		if(jssj!=null && jssj instanceof Date ) {
			entrustVO.setJssj((Date)jssj);
		}
	    if("已委托".equals(dto.getLcId())) {
	    	entrustVO.setLcid(dto.getLcId());
	    	entrustVO.setCcdw(dto.getDd());
			System.out.println("收获粮食:"+JsonUtils.serialize(entrustVO));
			bool=entrustDomain.submitEntrust(entrustVO);
			entrustVO.setChsl("1");
			entrustVO.setWtlx(EntrustConstant.XinShouHuoLiang.getName());
			entrustDomain.sendWt(entrustVO);//向质检中心推送委托

	    }
		SamplingVarietiesDO varietiesDO =new SamplingVarietiesDO();//采样品种
		String cypzId=list.get(0).getCypzId()+"";
		varietiesDO.setId(cypzId);
		varietiesDO.setYpjbmc(dto.getYpjbmc());
		varietiesDO.setYpjbbm(dto.getYpjbbm());
		varietiesDO.setCyjhId(list.get(0).getCyjhId()+"");
		varietiesDO.setCypzmc(dto.getCypzmc());
		bool=varietiesMapper.updateVarieties(varietiesDO);//样品级别字段修改


		//扦样地
		PointPlanDO planDo = new PointPlanDO();
		String cydId=list.get(0).getCydId()+"";
		String wtId=list.get(0).getWtId()+"";
		planDo.setCydId(cydId);
		planDo.setWtId(wtId);
		planDo.setBz(dto.getBz());
		planDo.setLxdh(dto.getLxdh());
		planDo.setLxr(dto.getLxr());
		planDo.setDd(dto.getDd());
		planDo.setXxdz(dto.getXxdz());
		planDo.setId(list.get(0).getQydId()+"");
		planDo.setUpdateTime(DateUtil.getNowDate());
		if (mapper.updateByPrimaryKeySelective(planDo) < 1) {
			throw new RuntimeException("更新失败，请检查数据格式。");
		}
		return true;
	}


	/**
	 * @Description 质检中心推送质检编号
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/20
	 * @param QualityPredictionPlannedVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean saveZjbg(ZjbgbhVO resultsVO) throws Exception {
		Example example = new Example(ZjbgbhDO.class);
		Criteria criteria = example.createCriteria();

		ZjbgbhDO resultsDO=new ZjbgbhDO();
		LsBeanUtils.copyPropertiesIgnoreNull(resultsVO, resultsDO);

		String zjbgbh=WTDao.selectZjbgByWtId(resultsVO.getWtId());
		if(zjbgbh==null){
			if (zjbgDao.insert(resultsDO) < 1) {
				throw new RuntimeException("无法保存成功，请检查数据。");
			}else{
				EntrustDO entrustDO=new EntrustDO();
				entrustDO.setId(resultsVO.getWtId());
				entrustDO.setJssj(new Date());
				entrustDO.setLcid("已完成");
				WTDao.updateByPrimaryKeySelective(entrustDO);
			}
		}else{
			if (zjbgDao.updateByPrimaryKey(resultsDO) < 1) {
				throw new RuntimeException("无法更新成功，请检查数据。");
			}else{
				EntrustDO entrustDO=new EntrustDO();
				entrustDO.setId(resultsVO.getWtId());
				entrustDO.setJssj(new Date());
				entrustDO.setLcid("已完成");
				WTDao.updateByPrimaryKeySelective(entrustDO);
			}
		}
		return true;
	}

	//查询区粮办+质检中心
	public List<SysOrgVO> findAllOrg() throws Exception{
		Example example = new Example(SysOrgDO.class);
		Criteria criteria = example.createCriteria();

		List<SysOrgDO> list = sysOrgDao.selectByExample(example);
		List<SysOrgVO> resultVOList = new ArrayList<>();
		if (!list.isEmpty()) {
			for (SysOrgDO resultDO : list) {
				SysOrgVO resultVO = LsBeanUtils.copyProperties(resultDO, SysOrgVO.class);
				resultVOList.add(resultVO);
			}
		}
		return resultVOList;
	}



	/**
	 * @Description 抽查方案查看记录初始化
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/20
	 * @param CcfackVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean saveCkjl(CcfackVO resultsVO,List<OrgainzeDTO> orgList) throws Exception {
		if(null!=orgList && orgList.size()>0) {
			for(OrgainzeDTO vo:orgList) {
				CcfackDO resultsDO=new CcfackDO();
				resultsDO.setCcfaid(resultsVO.getCcfaid());
				resultsDO.setCcfalx(resultsVO.getCcfalx());
				resultsDO.setJsdw(vo.getOrgName());
				resultsDO.setDeptId(vo.getOrgCode());
				resultsDO.setSfck("否");
				if (ccfackDao.insert(resultsDO) < 1) {
					throw new RuntimeException("无法保存成功，请检查数据。");
				}
			}
		}
		return true;
	}


	/**
	 * @Description 抽查方案查看记录保存
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/20
	 * @param CcfackVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean updateCkjl(CcfackVO resultsVO) throws Exception {
		Example example = new Example(CcfackDO.class);
		Criteria criteria = example.createCriteria();

		if (!"".equals(resultsVO.getCcfaid()) && null != resultsVO.getCcfaid()) {
			criteria.andEqualTo("ccfaid", resultsVO.getCcfaid());
		}
		if (!"".equals(resultsVO.getCcfalx()) && null != resultsVO.getCcfalx()) {
			criteria.andEqualTo("ccfalx", resultsVO.getCcfalx());
		}
//		if (!"".equals(resultsVO.getJsdw()) && null != resultsVO.getJsdw()) {
//			criteria.andEqualTo("jsdw", resultsVO.getJsdw());
//		}
		if (!"".equals(resultsVO.getOrgCode()) && null != resultsVO.getOrgCode()) {
			criteria.andEqualTo("deptId", resultsVO.getOrgCode());
		}
		if (!"".equals(resultsVO.getSfck()) && null != resultsVO.getSfck()) {
			criteria.andEqualTo("sfck", resultsVO.getSfck());
		}
		criteria.andIsNull("deleteTime");
		if (ccfackDao.selectCountByExample(example) > 0) {
			throw new RuntimeException(resultsVO.getJsdw()+ "已确认查看!");
		}
		CcfackDO resultsDO=new CcfackDO();
		resultsVO.setDeptId(resultsVO.getOrgCode());
		LsBeanUtils.copyPropertiesIgnoreNull(resultsVO, resultsDO);
		if (ccfackDao.updateCkZt(resultsDO) < 1) {
			throw new RuntimeException("无法保存成功，请检查数据。");
		}
		return true;
	}

	/**
	 * @Description 抽查方案查看记录列表
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/19
	 * @return java.util.List
	 * @throws Exception
	 */
	public List<CcfackVO> findCcfa(CcfackVO organizationVO) throws Exception {

		Example example = new Example(CcfackDO.class);
		Criteria criteria = example.createCriteria();

		criteria.andEqualTo("ccfaid", organizationVO.getCcfaid());
		// 未删除的
		criteria.andIsNull("deleteTime");
		// 按时间排序
		example.setOrderByClause("CREATE_TIME  DESC");
		List<CcfackDO> resultOrganizationDOList = ccfackDao.selectByExample(example);

		List<CcfackVO> resulOrganizationVOList = new ArrayList<>();
		if (!resultOrganizationDOList.isEmpty()) {
			for (CcfackDO resultDO : resultOrganizationDOList) {
				CcfackVO resultVO = LsBeanUtils.copyProperties(resultDO, CcfackVO.class);
				resulOrganizationVOList.add(resultVO);
			}
		}
		return resulOrganizationVOList;
	}

}
