package com.unis.quality.server.domain.tianjin;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.unis.quality.common.dto.OrgainzeDTO;
import com.unis.quality.common.utils.IdsWorker;
import org.apache.commons.lang.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.unis.common.utils.DateUtil;
import com.unis.common.utils.LsBeanUtils;
import com.unis.quality.common.dto.CheckSchemeDTO;
import com.unis.quality.common.vo.EntrustVO;
import com.unis.quality.common.vo.tianjin.CcfackVO;
import com.unis.quality.common.vo.tianjin.QualityHarvestCornVO;
import com.unis.quality.server.dao.WTDao;
import com.unis.quality.server.dao.tianjin.PointPlanDao;
import com.unis.quality.server.dao.tianjin.QualityHarvestCornDao;
import com.unis.quality.server.dao.tianjin.SamplingPlanDao;
import com.unis.quality.server.dao.tianjin.SamplingSitesDao;
import com.unis.quality.server.dao.tianjin.SamplingVarietiesDao;
import com.unis.quality.server.dao.tianjin.ViewSituationDao;
import com.unis.quality.server.domain.EntrustDomain;
import com.unis.quality.server.entity.quality.EntrustDO;
import com.unis.quality.server.entity.quality.tianjin.PointPlanDO;
import com.unis.quality.server.entity.quality.tianjin.QualityHarvestCornDO;
import com.unis.quality.server.entity.quality.tianjin.SamplingPlanDO;
import com.unis.quality.server.entity.quality.tianjin.SamplingSitesDO;
import com.unis.quality.server.entity.quality.tianjin.SamplingVarietiesDO;
import com.unis.quality.server.entity.quality.tianjin.ViewSituationDO;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import tk.mybatis.mapper.entity.Example;
import tk.mybatis.mapper.entity.Example.Criteria;

/**
 *
 * @ClassName: QualityHarvestCornDomain
 * @Description: -抽样方案
 * @author lfx
 * @date 2019年7月10日15:01:34
 *
 * @version v1.0
 */
@Getter
@Setter
@ToString
@Component
public class QualityHarvestCornDomain {
	@Autowired
	private QualityHarvestCornDao mapper;

	@Autowired
	private SamplingPlanDao planMapper;

	@Autowired
	private SamplingSitesDao sitesMapper;

	@Autowired
	private SamplingVarietiesDao varietiesMapper;

	@Autowired
	private PointPlanDomain pointPlanDomain;

	@Autowired
	private WTDao WTDao;

	@Autowired
	private IdsWorker idsWorker;

	@Autowired
	private PointPlanDao pMapper;

	@Autowired
	private StockDomain stockDomain;

	@Autowired
	private EntrustDomain entrustDomain;

//	@Autowired
//	private ViewSituationDao viewSituationDao;
    /**
	 * @Description 根据id查询详情
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/24
	 * @param id
	 * @return
	 * @throws Exception
	 */
	public Map<String, Object>  findById(CheckSchemeDTO dto) throws Exception {
    	Map<String, Object> resultMap = new HashMap<String, Object>();
    	QualityHarvestCornDO qualityResultsDO = findByIdAndIsDeleted(dto.getId());

    	QualityHarvestCornVO aduitData=LsBeanUtils.copyProperties(qualityResultsDO, QualityHarvestCornVO.class);
    	List<Map> itemsData=null;
    	if("放心粮油".equals(dto.getWtlx())) {
    		itemsData=findItemsPlan(dto);
    	}else if("库存检查".equals(dto.getWtlx())) {
    	/*	Map<String, Object> aduitList=dto.getAduitList();
    		List<Map> itemsData1=(List<Map>) aduitList.get("itemsData");*/
    		itemsData=stockDomain.findItemsStock( dto);
    	}else {
    		itemsData=findItemsByIdAndIsDeleted(dto);
    	}

    	//查看情況
    	ViewSituationDO viewSituationDO = new ViewSituationDO();
    	viewSituationDO.setCcfaId(dto.getId());
//    	List<ViewSituationDO> viewsData = findViewSituationList(viewSituationDO);

    	resultMap.put("aduitData", aduitData);
    	resultMap.put("itemsData", itemsData);
//		resultMap.put("viewsData", viewsData);

		return resultMap;
	}
	/**
	 * @Description 根据id查询详情
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/24
	 * @param id
	 * @return
	 * @throws Exception
	 */
	public QualityHarvestCornDO findByIdAndIsDeleted(String id) throws Exception {
		Example example = new Example(QualityHarvestCornDO.class);
		Criteria criteria = example.createCriteria();
		criteria.andIsNull("deleteTime");
		criteria.andEqualTo("id", id);
		QualityHarvestCornDO qualityResultsDO = mapper.selectOneByExample(example);
		if (ObjectUtils.equals(qualityResultsDO, null)) {
			return null;
		}
		return qualityResultsDO;
	}


    /**
	 * @Description 根据新收获粮抽查方案id查询采样相关数据
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/24
	 * @param id
	 * @return
	 * @throws Exception
	 */
    public List findItemsByIdAndIsDeleted(CheckSchemeDTO dto) throws Exception {
    	//数据过滤
		CheckSchemeDTO dto1=new CheckSchemeDTO();
		if(!"".equals(dto.getId())) {
			dto1.setCyfaId(dto.getId());
		}
		if(!"".equals(dto.getXzqhbm())) {
			dto1.setXzqhbm(dto.getXzqhbm());
		}
		 List<CheckSchemeDTO> arrList = mapper.allCheckScheme(dto1);
		 if(arrList.size()>0) {
			 for(int i=0;i<arrList.size();i++){
				 String w=arrList.get(i).getXzqhbm()+"";
					if(!"".equals(w)) {
						 String str2 = w.replaceAll(" ", "");
						 String xzqhbm=str2.substring(1,str2.length()-1);
						String[] q=xzqhbm.split(",");
        				arrList.get(i).setXzqhbms(q);
					}
			 }
		 }
		return arrList;
	}


    /**
	 * @Description 放心粮油详情数据
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/24
	 * @param id
	 * @return
	 * @throws Exception
	 */
    public List findItemsPlan(CheckSchemeDTO dto) throws Exception {
    	//数据过滤
		CheckSchemeDTO dto1=new CheckSchemeDTO();
		if(!"".equals(dto.getId())) {
			dto1.setCyfaId(dto.getId());
		}
		 List<CheckSchemeDTO> arrList = mapper.allHarvestCorn(dto1);
		return arrList;
	}


	/**
	 * @Description 查询
	 * @version v1.0
	 * @author lfx
	 * @param page
	 * @param size
	 * @date 2018/10/19
	 * @return java.util.List
	 * @throws Exception
	 */
	public Map<String, Object> findByPage(CheckSchemeDTO qualityVO, Integer page, Integer size) throws Exception {
		/*List<Map>  ls  = mapper.allHarvestCorn(qualityVO);
		PageInfo<Map>  pageInfo  =  new  PageInfo<Map>(ls);*/
		Map<String, Object> resultMap = new HashMap<String, Object>();
		Example example = new Example(QualityHarvestCornDO.class);
		Criteria criteria = example.createCriteria();
		// 方案标题
		if (!"".equals(qualityVO.getFabt()) && null != qualityVO.getFabt()) {
			if("%%".equals(qualityVO.getFabt())) {
				criteria.andLike("fabt", "% [" + qualityVO.getFabt() + "] %");
			}else {
				criteria.andLike("fabt", "%" + qualityVO.getFabt() + "%");
			}
		}
		// 年度
		if (!"".equals(qualityVO.getNd()) && null != qualityVO.getNd()) {
			criteria.andLike("nd", "%" + qualityVO.getNd() + "%");
		}

		if (null != qualityVO.getZt()) {
			criteria.andEqualTo("zt", qualityVO.getZt() );
		}
		if (!"".equals(qualityVO.getWtlx()) && null != qualityVO.getWtlx()) {
			criteria.andEqualTo("wtlx", qualityVO.getWtlx() );
		}
		// 未删除的收购资格
		criteria.andIsNull("deleteTime");
		// 按时间排序
		example.setOrderByClause("CREATE_TIME DESC");
		PageHelper.startPage(page, size, "CREATE_TIME DESC");

		List<QualityHarvestCornDO> resultEquipmentDOList = mapper.selectByExample(example);
		PageInfo<QualityHarvestCornDO> pageInfo = new PageInfo<QualityHarvestCornDO>(resultEquipmentDOList);
		List<QualityHarvestCornVO> resulEquipmentVOList = new ArrayList<>();
		if (!resultEquipmentDOList.isEmpty()) {
			for (QualityHarvestCornDO resultDO : resultEquipmentDOList) {
				QualityHarvestCornVO resultVO = LsBeanUtils.copyProperties(resultDO, QualityHarvestCornVO.class);
				if(resultVO.getZt()!=null && 1==resultVO.getZt()) {
					resultVO.setZtmc("已发布");
				}else{
					resultVO.setZtmc("待发布");
				}

				//判断用户是否接收
				String deptId = qualityVO.getOrgCode();
				if(deptId != null) {
					String faid = resultVO.getId();

					CcfackVO organizationVO = new CcfackVO();

					organizationVO.setCcfaid(faid);

					List<CcfackVO> ccfackList = pointPlanDomain.findCcfa(organizationVO);

					resultVO.setJszt(0);
					resultVO.setJsztmc("待接收");

					for (CcfackVO fack : ccfackList) {
						if(fack.getDeptId().contentEquals(deptId)) {
							if(fack.getSfck().contentEquals("是")) {
								resultVO.setJszt(1);
								resultVO.setJsztmc("已接收");
							}/*else {
								resultVO.setJszt(0);
								resultVO.setJsztmc("待接收");
							}*/
						}
					}
				}

				resulEquipmentVOList.add(resultVO);
			}
		}
		resultMap.put("total",  pageInfo.getTotal());
		resultMap.put("resultList",  resulEquipmentVOList);
		return  resultMap;
	}



	/**
	 * @Description 多选删除采样地
	 * @version v1.0
	 * @author lfx
	 * @param ids
	 * @date 2018/10/24
	 * @return boolean
	 * @throws Exception
	 */
	public boolean deletesSites(String[] ids) throws Exception {
		for (String id : ids) {
			Example example = new Example(SamplingSitesDO.class);
			CheckSchemeDTO dto=new CheckSchemeDTO();
			dto.setId(id);
			List<CheckSchemeDTO> arrList = findItemsByIdAndIsDeleted(dto);
			Criteria criteria = example.createCriteria();
			for(int i=0;i<arrList.size();i++) {
				List<CheckSchemeDTO> pointList=pointPlanDomain.findPointPlan(arrList.get(i).getCydId());
				if(pointList.size()>0) {
					throw new RuntimeException(arrList.get(i).getFabt()+"已发布，不能删除!");
				}else {
					criteria.andEqualTo("id", arrList.get(i).getCydId());
					SamplingSitesDO qDO = sitesMapper.selectOneByExample(example);
					if (ObjectUtils.notEqual(qDO, null)) {
						sitesMapper.updateByPrimaryKey(qDO);
					}
				}
			}
		}
		return true;
	}

	/**
	 * @Description 多选删除采样品种
	 * @version v1.0
	 * @author lfx
	 * @param ids
	 * @date 2018/10/24
	 * @return boolean
	 * @throws Exception
	 */
	public boolean deletesVarieties(String[] ids) throws Exception {
		for (String id : ids) {
			Example example = new Example(SamplingVarietiesDO.class);
			CheckSchemeDTO dto=new CheckSchemeDTO();
			dto.setId(id);
			List<CheckSchemeDTO> arrList = findItemsByIdAndIsDeleted(dto);
			Criteria criteria = example.createCriteria();
			for(int i=0;i<arrList.size();i++) {
				criteria.andEqualTo("id", arrList.get(i).getCypzId());
				SamplingVarietiesDO qDO = varietiesMapper.selectOneByExample(example);
				if (ObjectUtils.notEqual(qDO, null)) {
					varietiesMapper.updateByPrimaryKey(qDO);
				}
			}
		}
		return true;
	}

	/**
	 * @Description 多选删除采样计划
	 * @version v1.0
	 * @author lfx
	 * @param ids
	 * @date 2018/10/24
	 * @return boolean
	 * @throws Exception
	 */
	public boolean deletesPlan(String[] ids) throws Exception {
		for (String id : ids) {
			Example example = new Example(SamplingPlanDO.class);
			CheckSchemeDTO dto=new CheckSchemeDTO();
			dto.setId(id);
			List<CheckSchemeDTO> arrList = findItemsByIdAndIsDeleted(dto);
			Criteria criteria = example.createCriteria();
			for(int i=0;i<arrList.size();i++) {
				criteria.andEqualTo("id", arrList.get(i).getCyjhId());
				SamplingPlanDO qDO = planMapper.selectOneByExample(example);
				if (ObjectUtils.notEqual(qDO, null)) {
					planMapper.updateByPrimaryKey(qDO);
				}
			}
		}
		return true;
	}

	/**
	 * @Description 多选删除抽样方案
	 * @version v1.0
	 * @author lfx
	 * @param ids
	 * @date 2018/10/24
	 * @return boolean
	 * @throws Exception
	 */
	public boolean deletesHarvest(String[] ids) throws Exception {
		for (String id : ids) {
			Example example = new Example(QualityHarvestCornDO.class);
			Criteria criteria = example.createCriteria();
			criteria.andEqualTo("id", id);
			QualityHarvestCornDO qDO = mapper.selectOneByExample(example);
			if (ObjectUtils.notEqual(qDO, null)) {
				qDO.setDeleteTime(DateUtil.getNowDate());
				mapper.updateByPrimaryKey(qDO);
			}
		}
		return true;
	}
	  //判断字符串是否为空
    public String isNull(String key) {
    	String str="";
    	if("null".equals(key)) {
    		str="";
    	}else {
    		str=key;
    	}
    	return  str;
    }


	/**
	 * @Description 保存抽查方案
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/20
	 * @param QualityHarvestCornVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean saveAduit(Map<String, Object> aduitData, QualityHarvestCornDO qdo, List<OrgainzeDTO> orgList) throws Exception {
		Example example = new Example(QualityHarvestCornDO.class);
		Criteria criteria = example.createCriteria();
		String areaCode=qdo.getAreaCode();
		criteria.andLike("areaCode",  areaCode + "%");
    	if (!"".equals(aduitData.get("fabt")) && null != aduitData.get("fabt")) {
			criteria.andEqualTo("fabt", aduitData.get("fabt"));
		}
    	if (!"".equals(aduitData.get("wtlx")) && null != aduitData.get("wtlx")) {
			criteria.andEqualTo("wtlx", aduitData.get("wtlx"));
		}
		// 未删除
		criteria.andIsNull("deleteTime");
		if (mapper.selectCountByExample(example) > 0) {
			throw new RuntimeException("方案标题为："+aduitData.get("fabt") + "已存在!");
		}
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
	    String fqsj=aduitData.get("fqsj")+"";
	    String jssj=aduitData.get("jssj")+"";
	    if(!"".equals(fqsj)) {
	    	qdo.setFqsj(sdf.parse(fqsj));
	    }
	    if(!"".equals(jssj) ) {
	    	qdo.setJssj(sdf.parse(jssj));
	    }
		qdo.setFabt(isNull(aduitData.get("fabt")+""));
		//qdo.setFabh();方案编号
		qdo.setNd(isNull(aduitData.get("nd")+""));
		qdo.setFaxq(isNull(aduitData.get("faxq")+""));
		qdo.setFjid(isNull(aduitData.get("fjid")+""));
		qdo.setFjmc(isNull(aduitData.get("fjmc")+""));
		qdo.setWtlx(isNull(aduitData.get("wtlx")+""));
		//状态  未发布0 、已发布1
		if("放心粮油".equals(aduitData.get("wtlx")) || "库存检查".equals(aduitData.get("wtlx"))) {
			if("1".equals(aduitData.get("lcId")) || "已委托".equals(aduitData.get("lcId"))) {
				qdo.setZt(1);
			}else{
				qdo.setZt(0);
			}
		}
		qdo.setCreateTime(DateUtil.getNowDate());
		if (mapper.insert(qdo) < 1) {
			throw new RuntimeException(qdo.getFabt() + "无法保存成功，请检查数据。");
		}
		//初始化查看记录表
		CcfackVO resultsVO=new CcfackVO();
		resultsVO.setCcfaid(qdo.getId());
		resultsVO.setCcfalx(qdo.getWtlx());
		pointPlanDomain.saveCkjl(resultsVO,orgList);
		return true;
	}
	/**
	 * @Description 保存采样计划
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/20
	 * @param QualityHarvestCornVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean savePlan(List<Map> itemsData ,QualityHarvestCornDO qdo) throws Exception {
		boolean bool=false;
		int i=0;
		for (int t = 0; t < itemsData.size(); t++) {
			if (itemsData.get(t) != null) {
				if(null==itemsData.get(t).get("cyjhId")) {
					SamplingPlanDO planDo=new SamplingPlanDO();//采样计划
					planDo.setCyfaId(qdo.getId());
					if (planMapper.insert(planDo) < 1) {
						throw new RuntimeException("无法保存成功，请检查数据。");
					}
					bool=true;
					if(true==bool) {
						 SamplingVarietiesDO varietiesDO =new SamplingVarietiesDO();//采样品种
                        varietiesDO.setId(String.valueOf(idsWorker.nextId()));
						 varietiesDO.setCyjhId(planDo.getId());
						 varietiesDO.setYpjbbm(isNull(itemsData.get(t).get("ypjbbm")+""));
						 varietiesDO.setYpjbmc(isNull(itemsData.get(t).get("ypjbmc")+""));
						 varietiesDO.setCypzlxbm(isNull(itemsData.get(t).get("cypzlxbm")+""));
						 varietiesDO.setCypzlxmc(isNull(itemsData.get(t).get("cypzlxmc")+""));
						 varietiesDO.setCypzbm(isNull(itemsData.get(t).get("cypzbm")+""));
						 varietiesDO.setCypzmc(isNull(itemsData.get(t).get("cypzmc")+""));
						 if (varietiesMapper.insert(varietiesDO) < 1) {
								throw new RuntimeException("无法保存成功，请检查数据。");
						 }
						 bool=true;
						 if(bool==true) {
							 SamplingSitesDO sitesDO=new SamplingSitesDO();//采样地
                             sitesDO.setId(String.valueOf(idsWorker.nextId()));
							 sitesDO.setCypzId(varietiesDO.getId());
							 sitesDO.setXzqhbm(isNull(itemsData.get(t).get("xzqhbms")+""));
							 sitesDO.setXzqhmc(isNull(itemsData.get(t).get("xzqhmc")+""));
							 String gjcys=isNull(itemsData.get(t).get("gjcys")+"");
							 String sjcys=isNull(itemsData.get(t).get("sjcys")+"");
							 if(!"".equals(gjcys)) {
								sitesDO.setGjcys(Integer.parseInt(gjcys));
							 }
							 if(!"".equals(sjcys)) {
								sitesDO.setSjcys(Integer.parseInt(sjcys));
							 }
							 sitesDO.setDataOrder(++ i);
							 if (sitesMapper.insert(sitesDO) < 1) {
								throw new RuntimeException("无法保存成功，请检查数据。");
							 }
							 bool=true;
							 if("放心粮油".equals(qdo.getWtlx())){
								 if(bool==true) {
									EntrustDO entrustDO =new EntrustDO();
									entrustDO.setId(String.valueOf(idsWorker.nextId()));
									entrustDO.setWtlx(qdo.getWtlx());
									entrustDO.setWtsj(DateUtil.getNowDate());
									entrustDO.setFqsj(qdo.getFqsj());
									entrustDO.setJssj(qdo.getJssj());
									entrustDO.setNd(qdo.getNd());
									entrustDO.setLcid("待委托");
									int insert = WTDao.insert(entrustDO);
									if(insert>0) {
										PointPlanDO planDO=new PointPlanDO();
                                        planDO.setId(String.valueOf(idsWorker.nextId()));
										 planDO.setCydId(sitesDO.getId());
										 planDO.setDd(itemsData.get(t).get("dd")+"");
										 planDO.setWtId(entrustDO.getId());
										 planDO.setAreaCode(qdo.getAreaCode());
										 planDO.setCreateTime(DateUtil.getNowDate());
										 if (pMapper.insert(planDO) < 1) {
											throw new RuntimeException("无法保存成功，请检查数据。");
										 }
										 bool=true;
									}
								 }
							 }
						 }

					}

				}
			}
		}
		return bool;
	}

	/**
	 * @Description 更新抽样方案
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月10日15:03:46
	 * @param QualityPredictionPlannedVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean updateAduit(Map<String, Object> aduitData,QualityHarvestCornDO qhdo) throws Exception {
		QualityHarvestCornDO qdo = findByIdAndIsDeleted(aduitData.get("id")+"");
		if (ObjectUtils.equals(qdo, null)) {
			throw new RuntimeException("此数据未存储到数据库中。");
		}
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
	    String fqsj=aduitData.get("fqsj")+"";
	    String jssj=aduitData.get("jssj")+"";
	    if(!"".equals(fqsj) ) {
	    	qhdo.setFqsj(sdf.parse(fqsj));
	    }
	    if(!"".equals(jssj)) {
	    	qhdo.setJssj(sdf.parse(jssj));
	    }
	    qhdo.setWtlx(isNull(aduitData.get("wtlx")+""));//委托类型
	    qhdo.setFabt(isNull(aduitData.get("fabt")+""));
		//qhdo.setFabh();方案编号
	    qhdo.setNd(isNull(aduitData.get("nd")+""));
	    qhdo.setFaxq(isNull(aduitData.get("faxq")+""));
	    qhdo.setFjid(isNull(aduitData.get("fjid")+""));
	    qhdo.setFjmc(isNull(aduitData.get("fjmc")+""));
	    qhdo.setId(isNull(aduitData.get("id")+""));
	    qhdo.setZt(0);//状态  未发布0 、已发布1
	    qhdo.setAreaCode(qdo.getAreaCode());
	    qhdo.setCreateTime(qdo.getCreateTime());
		qhdo.setUpdateTime(DateUtil.getNowDate());
		if("放心粮油".equals(aduitData.get("wtlx")) || "库存检查".equals(aduitData.get("wtlx"))) {
			 if("已委托".equals(aduitData.get("lcId")) || "1".equals(aduitData.get("lcId"))) {
				 qhdo.setZt(1);
			 }
		}
		if (mapper.updateByPrimaryKey(qhdo) < 1) {
			throw new RuntimeException("更新失败，请检查数据格式。");
		}

		return true;
	}

	//修改登统表详细信息
    public boolean updateItems(List<Map> itemsData,CheckSchemeDTO dto) throws Exception {
    	boolean bool=false;
    	CheckSchemeDTO dto1=new CheckSchemeDTO();
		dto1.setId(dto.getId());
    	List<Map> oldList = findItemsByIdAndIsDeleted(dto1);
    	if(null==oldList) {
    		throw new RuntimeException("此数据未存储到数据库中。");
    	}
		int num = itemsData.size();
		if(itemsData != null&&itemsData.size() > 0){
	        //检查页面的信息是否有修改，然后更新到数据库
	        for(int t = 0; t<num; t++){
	        	if(null==itemsData.get(t).get("cyjhId")) {
	        		QualityHarvestCornDO resultsDO=new QualityHarvestCornDO();
	        		resultsDO.setId(dto.getId());
	        		resultsDO.setAreaCode(dto.getAreaCode());
	        		savePlan(itemsData,resultsDO);
	        	}else {
	        		SamplingPlanDO planDo = new SamplingPlanDO();
	        		planDo.setCyfaId(dto.getId());
	        		planDo.setId(itemsData.get(t).get("cyjhId")+"");
					if (planMapper.updateByPrimaryKey(planDo) < 1) {
						throw new RuntimeException("更新失败，请检查数据格式。");
					}
					bool=true;
					if(true==bool) {
						 SamplingVarietiesDO varietiesDO =new SamplingVarietiesDO();//采样品种
						 varietiesDO.setId(itemsData.get(t).get("cypzId")+"");
						 varietiesDO.setCyjhId(itemsData.get(t).get("cyjhId")+"");
						 varietiesDO.setYpjbbm(isNull(itemsData.get(t).get("ypjbbm")+""));
						 varietiesDO.setYpjbmc(isNull(itemsData.get(t).get("ypjbmc")+""));
						 varietiesDO.setCypzlxbm(isNull(itemsData.get(t).get("cypzlxbm")+""));
						 varietiesDO.setCypzlxmc(isNull(itemsData.get(t).get("cypzlxmc")+""));
						 varietiesDO.setCypzbm(isNull(itemsData.get(t).get("cypzbm")+""));
						 varietiesDO.setCypzmc(isNull(itemsData.get(t).get("cypzmc")+""));
						 if (varietiesMapper.updateByPrimaryKey(varietiesDO) < 1) {
								throw new RuntimeException("更新失败，请检查数据格式。");
						 }
						 bool=true;
						 if(bool==true) {
							 SamplingSitesDO sitesDO=new SamplingSitesDO();//采样地
							 sitesDO.setId(itemsData.get(t).get("cydId")+"");
							 sitesDO.setCypzId(itemsData.get(t).get("cypzId")+"");
							 sitesDO.setXzqhbm(isNull(itemsData.get(t).get("xzqhbms")+""));
							 sitesDO.setXzqhmc(isNull(itemsData.get(t).get("xzqhmc")+""));
							 String gjcys=isNull(itemsData.get(t).get("gjcys")+"");
							 String sjcys=isNull(itemsData.get(t).get("sjcys")+"");
							 if(!"".equals(gjcys)) {
								sitesDO.setGjcys(Integer.parseInt(gjcys));
							 }
							 if(!"".equals(sjcys)) {
								sitesDO.setSjcys(Integer.parseInt(sjcys));
							 }
							 if (sitesMapper.updateByPrimaryKey(sitesDO) < 1) {
								throw new RuntimeException("更新失败，请检查数据格式。");
							 }
							 bool=true;
						 }
					}
	        	}
			}
		}
    	return true;
    }


  //修改放心粮油详细信息
    public boolean updateItemsPlan(List<Map> itemsData,CheckSchemeDTO dto) throws Exception {
    	boolean bool=false;
    	int u=0;
    	CheckSchemeDTO dto1=new CheckSchemeDTO();
		dto1.setCyfaId(dto.getId());
    	List<CheckSchemeDTO> oldList = mapper.allHarvestCorn(dto1);
    	if(null==oldList) {
    		throw new RuntimeException("此数据未存储到数据库中。");
    	}
		int num = itemsData.size();
		if(itemsData != null&&itemsData.size() > 0){
	        //检查页面的信息是否有修改，然后更新到数据库
	        for(int t = 0; t<num; t++){
	        	if(null==itemsData.get(t).get("cyjhId")) {
	        		QualityHarvestCornDO resultsDO=new QualityHarvestCornDO();
	        		resultsDO.setId(dto.getId());
	        		resultsDO.setAreaCode(dto.getAreaCode());
	        		resultsDO.setWtlx(dto.getWtlx());
	        		savePlan(itemsData,resultsDO);
	        	}else {
	        		SamplingPlanDO planDo = new SamplingPlanDO();
	        		planDo.setCyfaId(dto.getId());
	        		planDo.setId(itemsData.get(t).get("cyjhId")+"");
					if (planMapper.updateByPrimaryKey(planDo) < 1) {
						throw new RuntimeException("更新失败，请检查数据格式。");
					}
					bool=true;
					if(true==bool) {
						 SamplingVarietiesDO varietiesDO =new SamplingVarietiesDO();//采样品种
						 varietiesDO.setId(itemsData.get(t).get("cypzId")+"");
						 varietiesDO.setCyjhId(itemsData.get(t).get("cyjhId")+"");
						 varietiesDO.setYpjbbm(isNull(itemsData.get(t).get("ypjbbm")+""));
						 varietiesDO.setYpjbmc(isNull(itemsData.get(t).get("ypjbmc")+""));
						 varietiesDO.setCypzlxbm(isNull(itemsData.get(t).get("cypzlxbm")+""));
						 varietiesDO.setCypzlxmc(isNull(itemsData.get(t).get("cypzlxmc")+""));
						 varietiesDO.setCypzbm(isNull(itemsData.get(t).get("cypzbm")+""));
						 varietiesDO.setCypzmc(isNull(itemsData.get(t).get("cypzmc")+""));
						 if (varietiesMapper.updateByPrimaryKey(varietiesDO) < 1) {
								throw new RuntimeException("更新失败，请检查数据格式。");
						 }
						 bool=true;
						 if(bool==true) {
							 SamplingSitesDO sitesDO=new SamplingSitesDO();//采样地
							 sitesDO.setId(itemsData.get(t).get("cydId")+"");
							 sitesDO.setCypzId(itemsData.get(t).get("cypzId")+"");
							 sitesDO.setXzqhbm(isNull(itemsData.get(t).get("xzqhbms")+""));
							 sitesDO.setXzqhmc(isNull(itemsData.get(t).get("xzqhmc")+""));
							 String gjcys=isNull(itemsData.get(t).get("gjcys")+"");
							 String sjcys=isNull(itemsData.get(t).get("sjcys")+"");
							 if(!"".equals(gjcys)) {
								sitesDO.setGjcys(Integer.parseInt(gjcys));
							 }
							 if(!"".equals(sjcys)) {
								sitesDO.setSjcys(Integer.parseInt(sjcys));
							 }
							 if (sitesMapper.updateByPrimaryKey(sitesDO) < 1) {
								throw new RuntimeException("更新失败，请检查数据格式。");
							 }
							 bool=true;
							   // int update = WTDao.updateByPrimaryKey(entrustDO);
								if(bool==true) {
									PointPlanDO planDO=new PointPlanDO();
									planDO.setId(itemsData.get(t).get("qydId")+"");
									 planDO.setCydId(sitesDO.getId());
									 planDO.setDd(itemsData.get(t).get("dd")+"");
									 planDO.setWtId(itemsData.get(t).get("wtId")+"");
									 planDO.setAreaCode(dto.getAreaCode());
									 planDO.setUpdateTime(DateUtil.getNowDate());
									 if (pMapper.updateByPrimaryKey(planDO) < 1) {
										throw new RuntimeException("更新失败，请检查数据格式。");
									 }
									 bool=true;
								}
								if(1==dto.getZt()) {
									EntrustVO entrustDO =new EntrustVO();
									entrustDO.setId(isNull(itemsData.get(t).get("wtId")+""));
									entrustDO.setWtbh(isNull(itemsData.get(t).get("wtId")+""));
									entrustDO.setWtId(isNull(itemsData.get(t).get("wtId")+""));
									entrustDO.setWtlx(dto.getWtlx());
									entrustDO.setWtsj(DateUtil.getNowDate());
									entrustDO.setFqsj(dto.getFqsj());
									entrustDO.setJssj(dto.getJssj());
									entrustDO.setLcid(dto.getLcId());
									entrustDO.setNd(dto.getNd());
									entrustDO.setWtbt(dto.getFabt());
									entrustDO.setWtnr(dto.getFaxq());
									entrustDO.setFjid(dto.getFjid());
									entrustDO.setWtr(dto.getUpdateBy());
									entrustDO.setQyd(itemsData.get(t).get("dd")+"");
									entrustDO.setXxdz(itemsData.get(t).get("xxdz")+"");
									entrustDO.setChsl(itemsData.get(t).get("sjcys")+"");
									entrustDO.setPz(itemsData.get(t).get("cypzmc")+"");
									bool=entrustDomain.submitEntrust(entrustDO);
									entrustDomain.sendWt(entrustDO);//向质检中心推送委托
								}
						 }
					}
	        	}
			}
		}
    	return true;
    }


    //修改采样品种样品级别字段
    public boolean updateVarieties(SamplingVarietiesDO varietiesDO) throws Exception {
    	boolean bool=false;
    	if (varietiesMapper.updateByPrimaryKey(varietiesDO) < 1) {
			throw new RuntimeException("更新失败，请检查数据格式。");
		}
    	return bool;
    }


    /**
	 * @Description -发布
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月19日15:12:44
	 * @return boolean
	 * @throws Exception
	 */
	public boolean updateState(String id) throws Exception{
		Example example = new Example(QualityHarvestCornDO.class);
		Criteria criteria = example.createCriteria();
		criteria.andEqualTo("id",id);
		// 未删除的
		criteria.andIsNull("deleteTime");
		QualityHarvestCornDO qDO = mapper.selectOneByExample(example);
		if (ObjectUtils.notEqual(qDO, null)) {
			//状态改为1已发布
			qDO.setZt(1);
			mapper.updateByPrimaryKey(qDO);
		}
		return true;
    }

	/**
	 * @Description 查询抽查方案标题  在布点计划的时候前端返回数据为：
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月10日15:02:41
	 * @return boolean
	 * @throws Exception
	 */
	public List<QualityHarvestCornDO> getFlieName() throws Exception{
		//状态为已发布的
		//dto.setXzqhbm(xzqhbm);
	/*	CheckSchemeDTO dto=new CheckSchemeDTO();
		dto.setZt(1);
		dto.setWtlx("新收获粮");
		List<Map> list = mapper.allCheckScheme(dto);*/
		Example example = new Example(QualityHarvestCornDO.class);
		Criteria criteria = example.createCriteria();
		criteria.andIsNull("deleteTime");
		criteria.andEqualTo("zt", 1);
		criteria.andEqualTo("wtlx", "新收获粮");
		example.orderBy("createTime").desc();
		List<QualityHarvestCornDO>   list = mapper.selectByExample(example);
		if (ObjectUtils.equals(list, null)) {
			return null;
		}
		return list;
	}

	/**
	 * @Description 根据名称查询id
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @param organizationName
	 * @return
	 * @throws Exception
	 */
	public String queryFabt(String fabt,String wtlx) throws Exception{
		Example example = new Example(QualityHarvestCornDO.class);
		Criteria criteria = example.createCriteria();
		criteria.andIsNull("deleteTime");
		criteria.andEqualTo("fabt", fabt);
		if(!"".equals(wtlx)) {
			criteria.andEqualTo("wtlx", wtlx);
		}
		QualityHarvestCornDO reportManagementDO = mapper.selectOneByExample(example);
		if (ObjectUtils.equals(reportManagementDO, null)) {
			return null;
		}
		return reportManagementDO.getId();
	}

	/**
	 * @Author lidiaoquan
	 * @version V1.0
	 * @Description 抽样方案查看情况保存-----暂不用
	 * @Date 2019年12月10日 上午10:24:36
	 * @param list 查看情况数据			新增修改必填
	 * @param ccfaId 抽样方案id 			删除必填
	 * @param operatorType				操作类型 0新增 1修改 2删除
	 * @param ViewSituationDTO 			修改必填
	 * @param vo
	 * @return boolean
	 */
//	public boolean saveViewSituation(List<ViewSituationDO> list, String ccfaId, int operatorType, ViewSituationDTO vo)  throws Exception{
//		boolean flag = true;
//		switch (operatorType) {
//		case 0:
//			for (ViewSituationDO viewSituationDO : list) {
//				viewSituationDao.insertSelective(viewSituationDO);
//			}
//			break;
//		case 1:
//			Example example = new Example(ViewSituationDO.class);
//			Criteria crit = example.createCriteria();
//			crit.andEqualTo("xzqhbm", vo.getXzqhbm());
//			crit.andEqualTo("ccfa_id", ccfaId);
//			viewSituationDao.updateByExample(JsonUtils.parse(JsonUtils.serialize(vo), ViewSituationDO.class), example);
//			break;
//		case 2:
//			Example example2 = new Example(ViewSituationDO.class);
//			Criteria crit2 = example2.createCriteria();
//			crit2.andEqualTo("ccfa_id", ccfaId);
//			viewSituationDao.deleteByExample(example2);
//			break;
//		default:
//			break;
//		}
//		return flag;
//	}

	/**
	 * @Author lidiaoquan
	 * @version V1.0
	 * @Description 根据抽样方案id 查询查看情况--暂时不用
	 * @Date 2019年12月10日 上午10:36:50
	 * @param viewSituationDO
	 * @return
	 * @throws Exception List<ViewSituationDO>
	 */
//	public List<ViewSituationDO> findViewSituationList(ViewSituationDO viewSituationDO) throws Exception{
//		Example example = new Example(ViewSituationDO.class);
//		Criteria crit = example.createCriteria();
//		crit.andEqualTo("ccfaId", viewSituationDO.getCcfaId());
//		List<ViewSituationDO> list = viewSituationDao.selectByExample(example);
//		return list;
//	}
}
