package com.unis.quality.server.domain.tianjin;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.unis.quality.common.utils.IdsWorker;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.unis.common.utils.DateUtil;
import com.unis.common.utils.UUIDUtils;
import com.unis.quality.common.dto.CheckSchemeDTO;
import com.unis.quality.common.vo.EntrustVO;
import com.unis.quality.server.dao.WTDao;
import com.unis.quality.server.dao.tianjin.PointPlanDao;
import com.unis.quality.server.dao.tianjin.QualityHarvestCornDao;
import com.unis.quality.server.dao.tianjin.SamplingPlanDao;
import com.unis.quality.server.dao.tianjin.SamplingSitesDao;
import com.unis.quality.server.dao.tianjin.SamplingVarietiesDao;
import com.unis.quality.server.domain.EntrustDomain;
import com.unis.quality.server.entity.quality.EntrustDO;
import com.unis.quality.server.entity.quality.tianjin.PointPlanDO;
import com.unis.quality.server.entity.quality.tianjin.QualityHarvestCornDO;
import com.unis.quality.server.entity.quality.tianjin.SamplingPlanDO;
import com.unis.quality.server.entity.quality.tianjin.SamplingSitesDO;
import com.unis.quality.server.entity.quality.tianjin.SamplingVarietiesDO;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.util.ObjectUtils;

/**
 * 
 * @ClassName: StockDomain
 * @Description: -抽样方案
 * @author lfx
 * @date 2019年7月10日15:01:34
 * 
 * @version v1.0
 */
@Getter
@Setter
@ToString
@Component
public class StockDomain {
	@Autowired
	private QualityHarvestCornDao qualityHarvestCornDao;
	
	@Autowired
	private SamplingPlanDao samplingPlanDao;
	
	@Autowired
	private SamplingSitesDao sitesMapper;
	
	@Autowired
	private SamplingVarietiesDao varietiesMapper;
	
	@Autowired
	private PointPlanDomain pointPlanDomain;
	
	@Autowired
	private WTDao WTDao;
	
	@Autowired
	private PointPlanDao pointPlanDao;
	
	@Autowired
	private EntrustDomain entrustDomain;

	@Autowired
	private IdsWorker idsWorker;
	
	
	  //判断字符串是否为空
    public String isNull(String key) {
    	String str="";
    	if("null".equals(key)) {
    		str="";
    	}else {
    		str=key;
    	}
    	return  str;
    }
	
    /**
   	 * @Description 库存检查详情数据-返给前台
   	 * @version v1.0
   	 * @author lfx
   	 * @date 2018/10/24
   	 * @param id
   	 * @return
   	 * @throws Exception
   	 */
       public List<Map> findItemsStock(CheckSchemeDTO dto) throws Exception {
       	//数据过滤
   		if(!"".equals(dto.getId())) {
   			dto.setCyfaId(dto.getId());
   		}
   		List<Map> listFinal = new ArrayList<Map>();
   		List<CheckSchemeDTO> allArrList = qualityHarvestCornDao.allHarvestCornDd(dto);
   		List<Map<String, Object>> list = new ArrayList<>();
   		 if(allArrList.size()>0) {
   			 for(int i = 0; i < allArrList.size(); i++) {
   				 String dd=allArrList.get(i).getDd()+"";
   				 dto.setXzqhbm(dd);
   				 List<CheckSchemeDTO> arrList = qualityHarvestCornDao.allHarvestCorn(dto);
   				 Map<String,Object> map=new HashMap<>();

				 //LPH修改,很关键不能动,为了兼容下面人的奇怪的写法,数据用于推送数据
				 map.put("entity",arrList);

   				 for(int t = 0; t < arrList.size(); t++) {
   					 if(dd.equals(arrList.get(t).getDd())) {
   						if("地方储备粮(原粮)".equals(arrList.get(t).getCypzlxmc())) {
   	   						if(arrList.get(t).getCypzmc().equals("小麦")) {
   	   	   						map.put("cyjhIdYlXm", isNull(arrList.get(t).getCyjhId()+""));
   	   	   						map.put("cypzIdYlXm", isNull(arrList.get(t).getCypzId()+""));
   	   	   						map.put("cydIdYlXm", isNull(arrList.get(t).getCydId()+""));
   	   	   						map.put("wtIdYlXm", isNull(arrList.get(t).getWtId()+""));
   	   	   						map.put("qydIdYlXm", isNull(arrList.get(t).getQydId()+""));
   	   	   					    map.put("dwmc", isNull(arrList.get(t).getDd()+""));
   	   	   				        map.put("cypzlxmcYL", isNull(arrList.get(t).getCypzlxmc()+""));
   	   	   				        map.put("pzmcYlXm", isNull(arrList.get(t).getCypzmc()+""));
   	   	   				        map.put("dfcblYlXm", isNull(arrList.get(t).getSjcys()+""));
   	   	   					}
   	   						if("稻谷".equals(arrList.get(t).getCypzmc())) {
   	   	   						map.put("cyjhIdYlDg", isNull(arrList.get(t).getCyjhId()+""));
   	   	   						map.put("cypzIdYlDg", isNull(arrList.get(t).getCypzId()+""));
   	   	   						map.put("cydIdYlDg", isNull(arrList.get(t).getCydId()+""));
   	   	   						map.put("wtIdYlDg", isNull(arrList.get(t).getWtId()+""));
   	   	   						map.put("qydIdYlDg", isNull(arrList.get(t).getQydId()+""));
   	   	   					    map.put("dwmc", isNull(arrList.get(t).getDd()+""));
   	   	   					    map.put("cypzlxmcYL", isNull(arrList.get(t).getCypzlxmc()+""));
   	   	   				        map.put("pzmcYlDg", isNull(arrList.get(t).getCypzmc()+""));
   	   	   					    map.put("dfcblYlDg", arrList.get(t).getSjcys()+"");
   	   	   					}
   	   						if("玉米".equals(arrList.get(t).getCypzmc())) {
   	   	   						map.put("cyjhIdYlYm", isNull(arrList.get(t).getCyjhId()+""));
   	   	   						map.put("cypzIdYlYm", isNull(arrList.get(t).getCypzId()+""));
   	   	   						map.put("cydIdYlYm", isNull(arrList.get(t).getCydId()+""));
   	   	   						map.put("wtIdYlYm", isNull(arrList.get(t).getWtId()+""));
   	   	   						map.put("qydIdYlYm", isNull(arrList.get(t).getQydId()+""));
   	   	   					    map.put("dwmc", isNull(arrList.get(t).getDd()+""));
   	   	   					    map.put("cypzlxmcYL", isNull(arrList.get(t).getCypzlxmc()+""));
   	   	   				        map.put("pzmcYlYm", isNull(arrList.get(t).getCypzmc()+""));
   	   	   					    map.put("dfcblYlYm", isNull(arrList.get(t).getSjcys()+""));
   	   	   					}
   	   						if("My1".equals(arrList.get(t).getCypzbm())) {
								map.put("cyjhIdYlMy1", isNull(arrList.get(t).getCyjhId()+""));
								map.put("cypzIdYlMy1", isNull(arrList.get(t).getCypzId()+""));
								map.put("cydIdYlMy1", isNull(arrList.get(t).getCydId()+""));
								map.put("wtIdYlMy1", isNull(arrList.get(t).getWtId()+""));
								map.put("qydIdYlMy1", isNull(arrList.get(t).getQydId()+""));
								map.put("dwmc", isNull(arrList.get(t).getDd()+""));
								map.put("cypzlxmcYL", isNull(arrList.get(t).getCypzlxmc()+""));
								map.put("pzmcYlMy1", isNull(arrList.get(t).getCypzmc()+""));
								map.put("dfcblYlMy1", isNull(arrList.get(t).getSjcys()+""));
							}
   	   						if("My2".equals(arrList.get(t).getCypzbm())) {
								map.put("cyjhIdYlMy2", isNull(arrList.get(t).getCyjhId()+""));
								map.put("cypzIdYlMy2", isNull(arrList.get(t).getCypzId()+""));
								map.put("cydIdYlMy2", isNull(arrList.get(t).getCydId()+""));
								map.put("wtIdYlMy2", isNull(arrList.get(t).getWtId()+""));
								map.put("qydIdYlMy2", isNull(arrList.get(t).getQydId()+""));
								map.put("dwmc", isNull(arrList.get(t).getDd()+""));
								map.put("cypzlxmcYL", isNull(arrList.get(t).getCypzlxmc()+""));
								map.put("pzmcYlMy2", isNull(arrList.get(t).getCypzmc()+""));
								map.put("dfcblYlMy2", isNull(arrList.get(t).getSjcys()+""));
							}

   	   					}
   						if("地方储备粮(成品粮)".equals(arrList.get(t).getCypzlxmc())) {
   	   						if(arrList.get(t).getCypzmc().equals("大米")) {
	   	   						map.put("cyjhIdCplDm", isNull(arrList.get(t).getCyjhId()+""));
	   	   						map.put("cypzIdCplDm", isNull(arrList.get(t).getCypzId()+""));
	   	   						map.put("cydIdCplDm", isNull(arrList.get(t).getCydId()+""));
	   	   						map.put("wtIdCplDm", isNull(arrList.get(t).getWtId()+""));
	   	   						map.put("qydIdCplDm", isNull(arrList.get(t).getQydId()+""));
	   	   					    map.put("dwmc", isNull(arrList.get(t).getDd()+""));
	   	   				        map.put("cypzlxmcCpl", isNull(arrList.get(t).getCypzlxmc()+""));
	   	   				        map.put("pzmcCplDm", isNull(arrList.get(t).getCypzmc()+""));
	   	   				        map.put("dfcblCplDm", isNull(arrList.get(t).getSjcys()+""));
	   	   					}
   	   						if("面粉".equals(arrList.get(t).getCypzmc())) {
	   	   						map.put("cyjhIdCplMf", isNull(arrList.get(t).getCyjhId()+""));
	   	   						map.put("cypzIdCplMf", isNull(arrList.get(t).getCypzId()+""));
	   	   						map.put("cydIdCplMf",isNull( arrList.get(t).getCydId()+""));
	   	   						map.put("wtIdCplMf", isNull(arrList.get(t).getWtId()+""));
	   	   						map.put("qydIdCplMf", isNull(arrList.get(t).getQydId()+""));
	   	   					    map.put("dd", isNull(arrList.get(t).getDd()+""));
	   	   					    map.put("cypzlxmcCpl",isNull( arrList.get(t).getCypzlxmc()+""));
	   	   				        map.put("pzmcCplMf", isNull(arrList.get(t).getCypzmc()+""));
	   	   					    map.put("dfcblCplMf", isNull(arrList.get(t).getSjcys()+""));
	   	   					}
   	   						if("My1".equals(arrList.get(t).getCypzbm())) {
								map.put("cyjhIdCplMy1", isNull(arrList.get(t).getCyjhId()+""));
								map.put("cypzIdCplMy1", isNull(arrList.get(t).getCypzId()+""));
								map.put("cydIdCplMy1", isNull(arrList.get(t).getCydId()+""));
								map.put("wtIdCplMy1", isNull(arrList.get(t).getWtId()+""));
								map.put("qydIdCplMy1", isNull(arrList.get(t).getQydId()+""));
								 map.put("dwmc", isNull(arrList.get(t).getDd()+""));
								 map.put("cypzlxmcCpl", isNull(arrList.get(t).getCypzlxmc()+""));
								 map.put("pzmcCplMy1", isNull(arrList.get(t).getCypzmc()+""));
								 map.put("dfcblCplMy1", isNull(arrList.get(t).getSjcys()+""));
							 }
   	   						if("My2".equals(arrList.get(t).getCypzbm())) {
								map.put("cyjhIdCplMy2", isNull(arrList.get(t).getCyjhId()+""));
								map.put("cypzIdCplMy2", isNull(arrList.get(t).getCypzId()+""));
								map.put("cydIdCplMy2", isNull(arrList.get(t).getCydId()+""));
								map.put("wtIdCplMy2", isNull(arrList.get(t).getWtId()+""));
								map.put("qydIdCplMy2", isNull(arrList.get(t).getQydId()+""));
								 map.put("dwmc", isNull(arrList.get(t).getDd()+""));
								 map.put("cypzlxmcCpl", isNull(arrList.get(t).getCypzlxmc()+""));
								 map.put("pzmcCplMy2", isNull(arrList.get(t).getCypzmc()+""));
								 map.put("dfcblCplMy2", isNull(arrList.get(t).getSjcys()+""));
							 }
   	   					}
   						if("商品粮".equals(arrList.get(t).getCypzlxmc())) {
   	   						if(arrList.get(t).getCypzmc().equals("小麦")) {
	   	   						map.put("cyjhIdSplXm", isNull(arrList.get(t).getCyjhId()+""));
	   	   						map.put("cypzIdSplXm", isNull(arrList.get(t).getCypzId()+""));
	   	   						map.put("cydIdSplXm", isNull(arrList.get(t).getCydId()+""));
	   	   						map.put("wtIdSplXm", isNull(arrList.get(t).getWtId()+""));
	   	   						map.put("qydIdSplXm", isNull(arrList.get(t).getQydId()+""));
	   	   					    map.put("dd", isNull(arrList.get(t).getDd()+""));
	   	   				        map.put("cypzlxmcSpl", isNull(arrList.get(t).getCypzlxmc()+""));
	   	   				        map.put("pzmcSplXm", isNull(arrList.get(t).getCypzmc()+""));
	   	   				        map.put("splXm", isNull(arrList.get(t).getSjcys()+""));
	   	   					}
   	   						if("稻谷".equals(arrList.get(t).getCypzmc())) {
	   	   						map.put("cyjhIdSplDg", isNull(arrList.get(t).getCyjhId()+""));
	   	   						map.put("cypzIdSplDg", isNull(arrList.get(t).getCypzId()+""));
	   	   						map.put("cydIdSplDg", isNull(arrList.get(t).getCydId()+""));
	   	   						map.put("wtIdSplDg", isNull(arrList.get(t).getWtId()+""));
	   	   						map.put("qydIdSplDg", isNull(arrList.get(t).getQydId()+""));
	   	   					    map.put("dwmc", isNull(arrList.get(t).getDd()+""));
	   	   					    map.put("cypzlxmcSpl", isNull(arrList.get(t).getCypzlxmc()+""));
	   	   				        map.put("pzmcSplDg",isNull( arrList.get(t).getCypzmc()+""));
	   	   					    map.put("splDg",isNull( arrList.get(t).getSjcys()+""));
	   	   					}
   	   						if("My1".equals(arrList.get(t).getCypzbm())) {
								map.put("cyjhIdSplMy1", isNull(arrList.get(t).getCyjhId()+""));
								map.put("cypzIdSplMy1", isNull(arrList.get(t).getCypzId()+""));
								map.put("cydIdSplMy1", isNull(arrList.get(t).getCydId()+""));
								map.put("wtIdSplMy1", isNull(arrList.get(t).getWtId()+""));
								map.put("qydIdSplMy1", isNull(arrList.get(t).getQydId()+""));
								 map.put("dwmc", isNull(arrList.get(t).getDd()+""));
								 map.put("cypzlxmcSpl", isNull(arrList.get(t).getCypzlxmc()+""));
								 map.put("pzmcSplMy1", isNull(arrList.get(t).getCypzmc()+""));
								 map.put("dfcblSplMy1", isNull(arrList.get(t).getSjcys()+""));
							 }
   	   						if("My2".equals(arrList.get(t).getCypzbm())) {
								map.put("cyjhIdSplMy2", isNull(arrList.get(t).getCyjhId()+""));
								map.put("cypzIdSplMy2", isNull(arrList.get(t).getCypzId()+""));
								map.put("cydIdSplMy2", isNull(arrList.get(t).getCydId()+""));
								map.put("wtIdSplMy2", isNull(arrList.get(t).getWtId()+""));
								map.put("qydIdSplMy2", isNull(arrList.get(t).getQydId()+""));
								 map.put("dwmc", isNull(arrList.get(t).getDd()+""));
								 map.put("cypzlxmcSpl", isNull(arrList.get(t).getCypzlxmc()+""));
								 map.put("pzmcSplMy2", isNull(arrList.get(t).getCypzmc()+""));
								 map.put("dfcblSplMy2", isNull(arrList.get(t).getSjcys()+""));
							 }
   	   					}
   						if("军供粮".equals(arrList.get(t).getCypzlxmc())) {
   	   						if(arrList.get(t).getCypzmc().equals("大米")) {
	   	   						map.put("cyjhIdJglDm", isNull(arrList.get(t).getCyjhId()+""));
	   	   						map.put("cypzIdJglDm", isNull(arrList.get(t).getCypzId()+""));
	   	   						map.put("cydIdJglDm", isNull(arrList.get(t).getCydId()+""));
	   	   						map.put("wtIdJglDm", isNull(arrList.get(t).getWtId()+""));
	   	   						map.put("qydIdJglDm", isNull(arrList.get(t).getQydId()+""));
	   	   					    map.put("dwmc", isNull(arrList.get(t).getDd()+""));
	   	   				        map.put("cypzlxmcJgl",isNull( arrList.get(t).getCypzlxmc()+""));
	   	   				        map.put("pzmcJglDm", isNull(arrList.get(t).getCypzmc()+""));
	   	   				        map.put("jglDm", isNull(arrList.get(t).getSjcys()+""));
	   	   					}if("面粉".equals(arrList.get(t).getCypzmc())) {
	   	   						map.put("cyjhIdJglMf",isNull( arrList.get(t).getCyjhId()+""));
	   	   						map.put("cypzIdJglMf", isNull(arrList.get(t).getCypzId()+""));
	   	   						map.put("cydIdJglMf", isNull(arrList.get(t).getCydId()+""));
	   	   						map.put("wtIdJglMf", isNull(arrList.get(t).getWtId()+""));
	   	   						map.put("qydIdJglMf",isNull( arrList.get(t).getQydId()+""));
	   	   					    map.put("dwmc", isNull(arrList.get(t).getDd()+""));
	   	   					    map.put("cypzlxmcJgl", isNull(arrList.get(t).getCypzlxmc()+""));
	   	   				        map.put("pzmcJglMf", isNull(arrList.get(t).getCypzmc()+""));
	   	   					    map.put("jglMf", isNull(arrList.get(t).getSjcys()+""));
	   	   					}if("My1".equals(arrList.get(t).getCypzbm())) {
								map.put("cyjhIdJglMy1", isNull(arrList.get(t).getCyjhId()+""));
								map.put("cypzIdJglMy1", isNull(arrList.get(t).getCypzId()+""));
								map.put("cydIdJglMy1", isNull(arrList.get(t).getCydId()+""));
								map.put("wtIdJglMy1", isNull(arrList.get(t).getWtId()+""));
								map.put("qydIdJglMy1", isNull(arrList.get(t).getQydId()+""));
								 map.put("dwmc", isNull(arrList.get(t).getDd()+""));
								 map.put("cypzlxmcJgl", isNull(arrList.get(t).getCypzlxmc()+""));
								 map.put("pzmcJglMy1", isNull(arrList.get(t).getCypzmc()+""));
								 map.put("dfcblJglMy1", isNull(arrList.get(t).getSjcys()+""));
							 }if("My2".equals(arrList.get(t).getCypzbm())) {
								map.put("cyjhIdJglMy2", isNull(arrList.get(t).getCyjhId()+""));
								map.put("cypzIdJglMy2", isNull(arrList.get(t).getCypzId()+""));
								map.put("cydIdJglMy2", isNull(arrList.get(t).getCydId()+""));
								map.put("wtIdJglMy2", isNull(arrList.get(t).getWtId()+""));
								map.put("qydIdJglMy2", isNull(arrList.get(t).getQydId()+""));
								 map.put("dwmc", isNull(arrList.get(t).getDd()+""));
								 map.put("cypzlxmcJgl", isNull(arrList.get(t).getCypzlxmc()+""));
								 map.put("pzmcJglMy2", isNull(arrList.get(t).getCypzmc()+""));
								 map.put("dfcblJglMy2", isNull(arrList.get(t).getSjcys()+""));
							 }
   	   					}if("放心粮油".equals(arrList.get(t).getCypzlxmc())) {
   	   						if(arrList.get(t).getCypzmc().equals("大米")) {
	   	   						map.put("cyjhIdFxlyDm", isNull(arrList.get(t).getCyjhId()+""));
	   	   						map.put("cypzIdFxlyDm", isNull(arrList.get(t).getCypzId()+""));
	   	   						map.put("cydIdFxlyDm", isNull(arrList.get(t).getCydId()+""));
	   	   						map.put("wtIdFxlyDm", isNull(arrList.get(t).getWtId()+""));
	   	   						map.put("qydIdFxlyDm", isNull(arrList.get(t).getQydId()+""));
	   	   					    map.put("dwmc", isNull(arrList.get(t).getDd()+""));
	   	   				        map.put("cypzlxmcFxly", isNull(arrList.get(t).getCypzlxmc()+""));
	   	   				        map.put("pzmcFxlyDm", isNull(arrList.get(t).getCypzmc()+""));
	   	   				        map.put("fxlyDm", isNull(arrList.get(t).getSjcys()+""));
	   	   					}if("面粉".equals(arrList.get(t).getCypzmc())) {
	   	   						map.put("cyjhIdFxlyMf", isNull(arrList.get(t).getCyjhId()+""));
	   	   						map.put("cypzIdFxlyMf", isNull(arrList.get(t).getCypzId()+""));
	   	   						map.put("cydIdFxlyMf", isNull(arrList.get(t).getCydId()+""));
	   	   						map.put("wtIdFxlyMf", isNull(arrList.get(t).getWtId()+""));
	   	   						map.put("qydIdFxlyMf", isNull(arrList.get(t).getQydId()+""));
	   	   					    map.put("dwmc", isNull(arrList.get(t).getDd()+""));
	   	   					    map.put("cypzlxmcFxly", isNull(arrList.get(t).getCypzlxmc()+""));
	   	   				        map.put("pzmcFxlyMf", isNull(arrList.get(t).getCypzmc()+""));
	   	   					    map.put("fxlyMf", isNull(arrList.get(t).getSjcys()+""));
	   	   					}
   	   						if("My1".equals(arrList.get(t).getCypzbm())) {
								map.put("cyjhIdFxlyMy1", isNull(arrList.get(t).getCyjhId()+""));
								map.put("cypzIdFxlyMy1", isNull(arrList.get(t).getCypzId()+""));
								map.put("cydIdFxlyMy1", isNull(arrList.get(t).getCydId()+""));
								map.put("wtIdFxlyMy1", isNull(arrList.get(t).getWtId()+""));
								map.put("qydIdFxlyMy1", isNull(arrList.get(t).getQydId()+""));
								 map.put("dwmc", isNull(arrList.get(t).getDd()+""));
								 map.put("cypzlxmcFxly", isNull(arrList.get(t).getCypzlxmc()+""));
								 map.put("pzmcFxlyMy1", isNull(arrList.get(t).getCypzmc()+""));
								 map.put("dfcblFxlyMy1", isNull(arrList.get(t).getSjcys()+""));
							 }
   	   						if("My2".equals(arrList.get(t).getCypzbm())) {
								map.put("cyjhIdFxlyMy2", isNull(arrList.get(t).getCyjhId()+""));
								map.put("cypzIdFxlyMy2", isNull(arrList.get(t).getCypzId()+""));
								map.put("cydIdFxlyMy2", isNull(arrList.get(t).getCydId()+""));
								map.put("wtIdFxlyMy2", isNull(arrList.get(t).getWtId()+""));
								map.put("qydIdFxlyMy2", isNull(arrList.get(t).getQydId()+""));
								 map.put("dwmc", isNull(arrList.get(t).getDd()+""));
								 map.put("cypzlxmcFxly", isNull(arrList.get(t).getCypzlxmc()+""));
								 map.put("pzmcFxlyMy2", isNull(arrList.get(t).getCypzmc()+""));
								 map.put("dfcblFxlyMy2", isNull(arrList.get(t).getSjcys()+""));
							 }
   	   					}
   					 }
   				 }
   				list.add(map);
   			 }
   			listFinal.addAll(list);
   		 }
   		return listFinal;
   	}
    
	
	/**
	 * @Description 库存检查数据处理-前台过来的数据
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/20
	 * @param QualityHarvestCornVO
	 * @return boolean
	 * @throws Exception
	 */
       
       /*
        *   dwmc=1111111,
		    dfcblYlXm=2,
		    dfcblYlDg=1,
		    dfcblYlYm=12,
		    
		    dfcblCplDm=1,
		    dfcblCplMf=1,
		    
		    splXm=23,
		    splDg=2,
		    
		    jglDm=4,
		    jglMf=3,
		    
		    fxlyDm=4,
		    fxlyMf=3
        */
	public List<Map> processingData(List<Map> itemsData) throws Exception {
		boolean bool=false;
		List<Map<String, String>> list = new ArrayList<Map<String, String>>();
		for (int t = 0; t < itemsData.size(); t++) {
			if (itemsData.get(t) != null) {
				if(StringUtils.isNotEmpty((String)(itemsData.get(t).get("dfcblYlXm")))) {
					Map<String,String> map=new HashMap<String,String>();
					map.put("cyjhId", itemsData.get(t).get("cyjhIdYlXm")+"");
					map.put("cypzId", itemsData.get(t).get("cypzIdYlXm")+"");
					map.put("cydId", itemsData.get(t).get("cydIdYlXm")+"");
					map.put("wtId",itemsData.get(t).get("wtIdYlXm")+"");
					map.put("qydId", itemsData.get(t).get("qydIdYlXm")+"");
					map.put("cypzlxmc", "地方储备粮(原粮)");
					map.put("cypzmc", "小麦");
					map.put("sjcys", itemsData.get(t).get("dfcblYlXm")+"");
					map.put("dd", itemsData.get(t).get("dwmc")+"");
					map.put("order",String.valueOf(t));
					list.add(map);
				}
				if(StringUtils.isNotEmpty((String)(itemsData.get(t).get("dfcblYlDg")))) {
					Map<String,String> map1=new HashMap<String,String>();
					map1.put("cyjhId", itemsData.get(t).get("cyjhIdYlDg")+"");
					map1.put("cypzId", itemsData.get(t).get("cypzIdYlDg")+"");
					map1.put("cydId", itemsData.get(t).get("cydIdYlDg")+"");
					map1.put("wtId", itemsData.get(t).get("wtIdYlDg")+"");
					map1.put("qydId", itemsData.get(t).get("qydIdYlDg")+"");
					map1.put("cypzlxmc", "地方储备粮(原粮)");
					map1.put("cypzmc", "稻谷");
					map1.put("sjcys", itemsData.get(t).get("dfcblYlDg")+"");
					map1.put("dd", itemsData.get(t).get("dwmc")+"");
					map1.put("order",String.valueOf(t));
					list.add(map1);
				}
				if(StringUtils.isNotEmpty((String)(itemsData.get(t).get("dfcblYlYm")))) {
					Map<String, String> map2 = new HashMap<String, String>();
					map2.put("cyjhId", itemsData.get(t).get("cyjhIdYlYm") + "");
					map2.put("cypzId", itemsData.get(t).get("cypzIdYlYm") + "");
					map2.put("cydId", itemsData.get(t).get("cydIdYlYm") + "");
					map2.put("wtId", itemsData.get(t).get("wtIdYlYm") + "");
					map2.put("qydId", itemsData.get(t).get("qydIdYlYm") + "");
					map2.put("cypzlxmc", "地方储备粮(原粮)");
					map2.put("cypzmc", "玉米");
					map2.put("sjcys", itemsData.get(t).get("dfcblYlYm") + "");
					map2.put("dd", itemsData.get(t).get("dwmc") + "");
					map2.put("order",String.valueOf(t));
					list.add(map2);
				}

					//地方储备粮(原粮)自定义1,懒得改了就这样吧
				if(StringUtils.isNotEmpty((String)(itemsData.get(t).get("dfcblYlMy1")))){
					Map<String,String> map11=new HashMap<String,String>();
					map11.put("cyjhId", itemsData.get(t).get("cyjhIdYlMy1")+"");
					map11.put("cypzId", itemsData.get(t).get("cypzIdYlMy1")+"");
					map11.put("cydId", itemsData.get(t).get("cydIdYlMy1")+"");
					map11.put("wtId", itemsData.get(t).get("wtIdYlMy1")+"");
					map11.put("qydId", itemsData.get(t).get("qydIdYlMy1")+"");
					map11.put("cypzlxmc", "地方储备粮(原粮)");
					//自定义名称1
					map11.put("cypzmc",  itemsData.get(t).get("pzmcYlMy1")+"");
					map11.put("cypzbm",  "My1");
					map11.put("sjcys", itemsData.get(t).get("dfcblYlMy1")+"");
					map11.put("dd", itemsData.get(t).get("dwmc")+"");
					map11.put("order",String.valueOf(t));
					list.add(map11);
				}

				if(StringUtils.isNotEmpty((String)(itemsData.get(t).get("dfcblYlMy2")))){
					//地方储备粮(原粮)自定义2,懒得改了就这样吧
					Map<String,String> map111=new HashMap<String,String>();
					map111.put("cyjhId", itemsData.get(t).get("cyjhIdYlMy2")+"");
					map111.put("cypzId", itemsData.get(t).get("cypzIdYlMy2")+"");
					map111.put("cydId", itemsData.get(t).get("cydIdYlMy2")+"");
					map111.put("wtId", itemsData.get(t).get("wtIdYlMy2")+"");
					map111.put("qydId", itemsData.get(t).get("qydIdYlMy2")+"");
					map111.put("cypzlxmc", "地方储备粮(原粮)");
					//自定义名称2
					map111.put("cypzmc",  itemsData.get(t).get("pzmcYlMy2")+"");
					map111.put("cypzbm",  "My2");
					map111.put("sjcys", itemsData.get(t).get("dfcblYlMy2")+"");
					map111.put("dd", itemsData.get(t).get("dwmc")+"");
					map111.put("order",String.valueOf(t));
					list.add(map111);
				}

				if(StringUtils.isNotEmpty((String)(itemsData.get(t).get("dfcblCplDm")))) {
					Map<String,String> map3=new HashMap<String,String>();
					map3.put("cyjhId", itemsData.get(t).get("cyjhIdCplDm")+"");
					map3.put("cypzId", itemsData.get(t).get("cypzIdCplDm")+"");
					map3.put("cydId", itemsData.get(t).get("cydIdCplDm")+"");
					map3.put("wtId", itemsData.get(t).get("wtIdCplDm")+"");
					map3.put("qydId", itemsData.get(t).get("qydIdCplDm")+"");
					map3.put("cypzlxmc", "地方储备粮(成品粮)");
					map3.put("cypzmc", "大米");
					map3.put("sjcys", itemsData.get(t).get("dfcblCplDm")+"");
					map3.put("dd", itemsData.get(t).get("dwmc")+"");
					map3.put("order",String.valueOf(t));
					list.add(map3);
				}
				if(StringUtils.isNotEmpty((String)(itemsData.get(t).get("dfcblCplMf")))) {
					Map<String, String> map4 = new HashMap<String, String>();
					map4.put("cyjhId", itemsData.get(t).get("cyjhIdCplMf") + "");
					map4.put("cypzId", itemsData.get(t).get("cypzIdCplMf") + "");
					map4.put("cydId", itemsData.get(t).get("cydIdCplMf") + "");
					map4.put("wtId", itemsData.get(t).get("wtIdCplMf") + "");
					map4.put("qydId", itemsData.get(t).get("qydIdCplMf") + "");
					map4.put("cypzlxmc", "地方储备粮(成品粮)");
					map4.put("cypzmc", "面粉");
					map4.put("sjcys", itemsData.get(t).get("dfcblCplMf") + "");
					map4.put("dd", itemsData.get(t).get("dwmc") + "");
					map4.put("order",String.valueOf(t));
					list.add(map4);
				}

				if(StringUtils.isNotEmpty((String)(itemsData.get(t).get("dfcblCplMy1")))) {
					//地方储备粮(成品粮)自定义1,懒得改了就这样吧
					Map<String,String> map22=new HashMap<String,String>();
					map22.put("cyjhId", itemsData.get(t).get("cyjhIdCplMy1")+"");
					map22.put("cypzId", itemsData.get(t).get("cypzIdCplMy1")+"");
					map22.put("cydId", itemsData.get(t).get("cydIdCplMy1")+"");
					map22.put("wtId", itemsData.get(t).get("wtIdCplMy1")+"");
					map22.put("qydId", itemsData.get(t).get("qydIdCplMy1")+"");
					map22.put("cypzlxmc", "地方储备粮(成品粮)");
					//自定义名称1
					map22.put("cypzmc",  itemsData.get(t).get("pzmcCplMy1")+"");
					map22.put("cypzbm",  "My1");
					map22.put("sjcys", itemsData.get(t).get("dfcblCplMy1")+"");
					map22.put("dd", itemsData.get(t).get("dwmc")+"");
					map22.put("order",String.valueOf(t));
					list.add(map22);
				}

				if(StringUtils.isNotEmpty((String)(itemsData.get(t).get("dfcblCplMy2")))) {
					//地方储备粮(成品粮)自定义2,懒得改了就这样吧
					Map<String,String> map222=new HashMap<String,String>();
					map222.put("cyjhId", itemsData.get(t).get("cyjhIdCplMy2")+"");
					map222.put("cypzId", itemsData.get(t).get("cypzIdCplMy2")+"");
					map222.put("cydId", itemsData.get(t).get("cydIdCplMy2")+"");
					map222.put("wtId", itemsData.get(t).get("wtIdCplMy2")+"");
					map222.put("qydId", itemsData.get(t).get("qydIdCplMy2")+"");
					map222.put("cypzlxmc", "地方储备粮(成品粮)");
					//自定义名称2
					map222.put("cypzmc",  itemsData.get(t).get("pzmcCplMy2")+"");
					map222.put("cypzbm",  "My2");
					map222.put("sjcys", itemsData.get(t).get("dfcblCplMy2")+"");
					map222.put("dd", itemsData.get(t).get("dwmc")+"");
					map222.put("order",String.valueOf(t));
					list.add(map222);
				}


				if(StringUtils.isNotEmpty((String)(itemsData.get(t).get("splXm")))) {
					Map<String,String> map5=new HashMap<String,String>();
					map5.put("cyjhId", itemsData.get(t).get("cyjhIdSplXm")+"");
					map5.put("cypzId", itemsData.get(t).get("cypzIdSplXm")+"");
					map5.put("cydId", itemsData.get(t).get("cydIdSplXm")+"");
					map5.put("wtId", itemsData.get(t).get("wtIdSplXm")+"");
					map5.put("qydId", itemsData.get(t).get("qydIdSplXm")+"");
					map5.put("cypzlxmc", "商品粮");
					map5.put("cypzmc", "小麦");
					map5.put("sjcys", itemsData.get(t).get("splXm")+"");
					map5.put("dd", itemsData.get(t).get("dwmc")+"");
					map5.put("order",String.valueOf(t));
					list.add(map5);
				}
				if(StringUtils.isNotEmpty((String)(itemsData.get(t).get("splDg")))) {
					Map<String, String> map6 = new HashMap<String, String>();
					map6.put("cyjhId", itemsData.get(t).get("cyjhIdSplDg") + "");
					map6.put("cypzId", itemsData.get(t).get("cypzIdSplDg") + "");
					map6.put("cydId", itemsData.get(t).get("cydIdSplDg") + "");
					map6.put("wtId", itemsData.get(t).get("wtIdSplDg") + "");
					map6.put("qydId", itemsData.get(t).get("qydIdSplDg") + "");
					map6.put("cypzlxmc", "商品粮");
					map6.put("cypzmc", "稻谷");
					map6.put("sjcys", itemsData.get(t).get("splDg") + "");
					map6.put("dd", itemsData.get(t).get("dwmc") + "");
					map6.put("order",String.valueOf(t));
					list.add(map6);
				}

				if(StringUtils.isNotEmpty((String)(itemsData.get(t).get("dfcblSplMy1")))) {
					//商品粮自定义1,懒得改了就这样吧
					Map<String,String> map33=new HashMap<String,String>();
					map33.put("cyjhId", itemsData.get(t).get("cyjhIdSplMy1")+"");
					map33.put("cypzId", itemsData.get(t).get("cypzIdSplMy1")+"");
					map33.put("cydId", itemsData.get(t).get("cydIdSplMy1")+"");
					map33.put("wtId", itemsData.get(t).get("wtIdSplMy1")+"");
					map33.put("qydId", itemsData.get(t).get("qydIdSplMy1")+"");
					map33.put("cypzlxmc", "商品粮");
					//自定义名称1
					map33.put("cypzmc",  itemsData.get(t).get("pzmcSplMy1")+"");
					map33.put("cypzbm",  "My1");
					map33.put("sjcys", itemsData.get(t).get("dfcblSplMy1")+"");
					map33.put("dd", itemsData.get(t).get("dwmc")+"");
					map33.put("order",String.valueOf(t));
					list.add(map33);
				}

				if(StringUtils.isNotEmpty((String)(itemsData.get(t).get("dfcblSplMy2")))) {
					//商品粮自定义2,懒得改了就这样吧
					Map<String,String> map333=new HashMap<String,String>();
					map333.put("cyjhId", itemsData.get(t).get("cyjhIdSplMy2")+"");
					map333.put("cypzId", itemsData.get(t).get("cypzIdSplMy2")+"");
					map333.put("cydId", itemsData.get(t).get("cydIdSplMy2")+"");
					map333.put("wtId", itemsData.get(t).get("wtIdSplMy2")+"");
					map333.put("qydId", itemsData.get(t).get("qydIdSplMy2")+"");
					map333.put("cypzlxmc", "商品粮");
					//自定义名称2
					map333.put("cypzmc",  itemsData.get(t).get("pzmcSplMy2")+"");
					map333.put("cypzbm",  "My2");
					map333.put("sjcys", itemsData.get(t).get("dfcblSplMy2")+"");
					map333.put("dd", itemsData.get(t).get("dwmc")+"");
					map333.put("order",String.valueOf(t));
					list.add(map333);
				}


				if(StringUtils.isNotEmpty((String)(itemsData.get(t).get("jglDm")))) {
					Map<String,String> map7=new HashMap<String,String>();
					map7.put("cyjhId", itemsData.get(t).get("cyjhIdJglDm")+"");
					map7.put("cypzId", itemsData.get(t).get("cypzIdJglDm")+"");
					map7.put("cydId", itemsData.get(t).get("cydIdJglDm")+"");
					map7.put("wtId", itemsData.get(t).get("wtIdJglDm")+"");
					map7.put("qydId",itemsData.get(t).get("qydIdJglDm")+"");
					map7.put("cypzlxmc", "军供粮");
					map7.put("cypzmc", "大米");
					map7.put("sjcys", itemsData.get(t).get("jglDm")+"");
					map7.put("dd", itemsData.get(t).get("dwmc")+"");
					map7.put("order",String.valueOf(t));
					list.add(map7);
				}
				if(StringUtils.isNotEmpty((String)(itemsData.get(t).get("jglMf")))) {
					Map<String, String> map8 = new HashMap<String, String>();
					map8.put("cyjhId", itemsData.get(t).get("cyjhIdJglMf") + "");
					map8.put("cypzId", itemsData.get(t).get("cypzIdJglMf") + "");
					map8.put("cydId", itemsData.get(t).get("cydIdJglMf") + "");
					map8.put("wtId", itemsData.get(t).get("wtIdJglMf") + "");
					map8.put("qydId", itemsData.get(t).get("qydIdJglMf") + "");
					map8.put("cypzlxmc", "军供粮");
					map8.put("cypzmc", "面粉");
					map8.put("sjcys", itemsData.get(t).get("jglMf") + "");
					map8.put("dd", itemsData.get(t).get("dwmc") + "");
					map8.put("order",String.valueOf(t));
					list.add(map8);
				}

				if(StringUtils.isNotEmpty((String)(itemsData.get(t).get("dfcblJglMy1")))) {
					//军供粮自定义1,懒得改了就这样吧
					Map<String,String> map44=new HashMap<String,String>();
					map44.put("cyjhId", itemsData.get(t).get("cyjhIdJglMy1")+"");
					map44.put("cypzId", itemsData.get(t).get("cypzIdJglMy1")+"");
					map44.put("cydId", itemsData.get(t).get("cydIdJglMy1")+"");
					map44.put("wtId", itemsData.get(t).get("wtIdJglMy1")+"");
					map44.put("qydId", itemsData.get(t).get("qydIdJglMy1")+"");
					map44.put("cypzlxmc", "军供粮");
					//自定义名称1
					map44.put("cypzmc",  itemsData.get(t).get("pzmcJglMy1")+"");
					map44.put("cypzbm",  "My1");
					map44.put("sjcys", itemsData.get(t).get("dfcblJglMy1")+"");
					map44.put("dd", itemsData.get(t).get("dwmc")+"");
					map44.put("order",String.valueOf(t));
					list.add(map44);
				}

				if(StringUtils.isNotEmpty((String)(itemsData.get(t).get("dfcblJglMy2")))) {
					//军供粮自定义2,懒得改了就这样吧
					Map<String,String> map444=new HashMap<String,String>();
					map444.put("cyjhId", itemsData.get(t).get("cyjhIdJglMy2")+"");
					map444.put("cypzId", itemsData.get(t).get("cypzIdJglMy2")+"");
					map444.put("cydId", itemsData.get(t).get("cydIdJglMy2")+"");
					map444.put("wtId", itemsData.get(t).get("wtIdJglMy2")+"");
					map444.put("qydId", itemsData.get(t).get("qydIdJglMy2")+"");
					map444.put("cypzlxmc", "军供粮");
					//自定义名称2
					map444.put("cypzmc",  itemsData.get(t).get("pzmcJglMy2")+"");
					map444.put("cypzbm",  "My2");
					map444.put("sjcys", itemsData.get(t).get("dfcblJglMy2")+"");
					map444.put("dd", itemsData.get(t).get("dwmc")+"");
					map444.put("order",String.valueOf(t));
					list.add(map444);
				}

				if(StringUtils.isNotEmpty((String)(itemsData.get(t).get("fxlyDm")))) {
					Map<String,String> map9=new HashMap<String,String>();
					map9.put("cyjhId", itemsData.get(t).get("cyjhIdFxlyDm")+"");
					map9.put("cypzId", itemsData.get(t).get("cypzIdFxlyDm")+"");
					map9.put("cydId", itemsData.get(t).get("cydIdFxlyDm")+"");
					map9.put("wtId", itemsData.get(t).get("wtIdFxlyDm")+"");
					map9.put("qydId", itemsData.get(t).get("qydIdFxlyDm")+"");
					map9.put("cypzlxmc", "放心粮油");
					map9.put("cypzmc", "大米");
					map9.put("sjcys", itemsData.get(t).get("fxlyDm")+"");
					map9.put("dd", itemsData.get(t).get("dwmc")+"");
					map9.put("order",String.valueOf(t));
					list.add(map9);
				}
				if(StringUtils.isNotEmpty((String)(itemsData.get(t).get("fxlyMf")))) {
					Map<String, String> map10 = new HashMap<String, String>();
					map10.put("cyjhId", itemsData.get(t).get("cyjhIdFxlyMf") + "");
					map10.put("cypzId", itemsData.get(t).get("cypzIdFxlyMf") + "");
					map10.put("cydId", itemsData.get(t).get("cydIdFxlyMf") + "");
					map10.put("wtId", itemsData.get(t).get("wtIdFxlyMf") + "");
					map10.put("qydId", itemsData.get(t).get("qydIdFxlyMf") + "");
					map10.put("cypzlxmc", "放心粮油");
					map10.put("cypzmc", "面粉");
					map10.put("sjcys", itemsData.get(t).get("fxlyMf") + "");
					map10.put("dd", itemsData.get(t).get("dwmc") + "");
					map10.put("order",String.valueOf(t));
					list.add(map10);
				}
				if(StringUtils.isNotEmpty((String)(itemsData.get(t).get("dfcblFxlyMy1")))) {
					//放心粮油自定义1,懒得改了就这样吧
					Map<String,String> map55=new HashMap<String,String>();
					map55.put("cyjhId", itemsData.get(t).get("cyjhIdFxlyMy1")+"");
					map55.put("cypzId", itemsData.get(t).get("cypzIdFxlyMy1")+"");
					map55.put("cydId", itemsData.get(t).get("cydIdFxlyMy1")+"");
					map55.put("wtId", itemsData.get(t).get("wtIdFxlyMy1")+"");
					map55.put("qydId", itemsData.get(t).get("qydIdFxlyMy1")+"");
					map55.put("cypzlxmc", "放心粮油");
					//自定义名称1
					map55.put("cypzmc",  itemsData.get(t).get("pzmcFxlyMy1")+"");
					map55.put("cypzbm",  "My1");
					map55.put("sjcys", itemsData.get(t).get("dfcblFxlyMy1")+"");
					map55.put("dd", itemsData.get(t).get("dwmc")+"");
					map55.put("order",String.valueOf(t));
					list.add(map55);
				}
				if(StringUtils.isNotEmpty((String)(itemsData.get(t).get("dfcblFxlyMy2")))) {
					//放心粮油自定义2,懒得改了就这样吧
					Map<String,String> map555=new HashMap<String,String>();
					map555.put("cyjhId", itemsData.get(t).get("cyjhIdFxlyMy2")+"");
					map555.put("cypzId", itemsData.get(t).get("cypzIdFxlyMy2")+"");
					map555.put("cydId", itemsData.get(t).get("cydIdFxlyMy2")+"");
					map555.put("wtId", itemsData.get(t).get("wtIdFxlyMy2")+"");
					map555.put("qydId", itemsData.get(t).get("qydIdFxlyMy2")+"");
					map555.put("cypzlxmc", "放心粮油");
					//自定义名称2
					map555.put("cypzmc",  itemsData.get(t).get("pzmcFxlyMy2")+"");
					map555.put("cypzbm",  "My2");
					map555.put("sjcys", itemsData.get(t).get("dfcblFxlyMy2")+"");
					map555.put("dd", itemsData.get(t).get("dwmc")+"");
					map555.put("order",String.valueOf(t));
					list.add(map555);
				}
			}
		}
		List<Map> listFinal = new ArrayList<Map>();
		listFinal.addAll(list);
		System.out.println(listFinal);
		return listFinal;
	}
	
	/**
	 * @Description 保存库存检查采样计划
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/20
	 * @param QualityHarvestCornVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean savePlan(List<Map> itemsData1 ,QualityHarvestCornDO qdo) throws Exception {
		boolean bool=false;
		List<Map> itemsData =processingData(itemsData1);
		for (int t = 0; t < itemsData.size(); t++) {
			if (itemsData.get(t) != null) {
				Object cyjhid=itemsData.get(t).get("cyjhId");
				if(cyjhid==null || "null".equals(cyjhid)) {
					SamplingPlanDO planDo=new SamplingPlanDO();//采样计划
					planDo.setCyfaId(qdo.getId());
					if (samplingPlanDao.insert(planDo) < 1) {
						throw new RuntimeException("无法保存成功，请检查数据。");
					}
					bool=true;
					if(true==bool) {
						 SamplingVarietiesDO varietiesDO =new SamplingVarietiesDO();//采样品种
						 varietiesDO.setId(String.valueOf(idsWorker.nextId()));
						 varietiesDO.setCyjhId(planDo.getId());
						 varietiesDO.setYpjbbm(isNull(itemsData.get(t).get("ypjbbm")+""));
						 varietiesDO.setYpjbmc(isNull(itemsData.get(t).get("ypjbmc")+""));
						 varietiesDO.setCypzlxbm(isNull(itemsData.get(t).get("cypzlxbm")+""));
						 varietiesDO.setCypzlxmc(isNull(itemsData.get(t).get("cypzlxmc")+""));
						 varietiesDO.setCypzbm(isNull(itemsData.get(t).get("cypzbm")+""));
						 varietiesDO.setCypzmc(isNull(itemsData.get(t).get("cypzmc")+""));
						 if (varietiesMapper.insert(varietiesDO) < 1) {
								throw new RuntimeException("无法保存成功，请检查数据。");
						 }
						 bool=true;
						 if(bool==true) {
							 SamplingSitesDO sitesDO=new SamplingSitesDO();//采样地
							 sitesDO.setCypzId(varietiesDO.getId());
							 sitesDO.setXzqhbm(isNull(itemsData.get(t).get("xzqhbm")+""));
							 sitesDO.setXzqhmc(isNull(itemsData.get(t).get("xzqhmc")+""));
							 String gjcys=isNull(itemsData.get(t).get("gjcys")+"");
							 String sjcys=isNull(itemsData.get(t).get("sjcys")+"");
							 if(!"".equals(gjcys)) {
								sitesDO.setGjcys(Integer.parseInt(gjcys));
							 }
							 if(!"".equals(sjcys)) {
								sitesDO.setSjcys(Integer.parseInt(sjcys));
							 }
							 if (sitesMapper.insert(sitesDO) < 1) {
								throw new RuntimeException("无法保存成功，请检查数据。");
							 }
							 bool=true;
							 if("库存检查".equals(qdo.getWtlx())){
								 if(bool==true) {
									EntrustDO entrustDO =new EntrustDO();
									entrustDO.setId(UUIDUtils.uuid());
									entrustDO.setWtlx(qdo.getWtlx());
									entrustDO.setWtsj(DateUtil.getNowDate());
									entrustDO.setFqsj(qdo.getFqsj());
									entrustDO.setJssj(qdo.getJssj());
									entrustDO.setNd(qdo.getNd());
									entrustDO.setWtbt(qdo.getFabt());
									entrustDO.setWtr(qdo.getCreateBy());
									entrustDO.setWtnr(qdo.getFaxq());
									entrustDO.setLcid("待委托");
									int insert = WTDao.insert(entrustDO);
									if(insert>0) {
										PointPlanDO planDO=new PointPlanDO();
										 planDO.setCydId(sitesDO.getId());
										 planDO.setDd(isNull(itemsData.get(t).get("dd")+""));
										 planDO.setWtId(entrustDO.getId());
										 planDO.setAreaCode(qdo.getAreaCode());
										 planDO.setCreateTime(DateUtil.getNowDate());
										 if (pointPlanDao.insert(planDO) < 1) {
											throw new RuntimeException("无法保存成功，请检查数据。");
										 }
										 bool=true;
									}
								 }
							 }
						 }
						
					}
					
				}
			}
		}
		return bool;
	}
	

    
    
  //修改库存检查详细信息
    public boolean updateItemsStockPlan(List<Map> itemsData1,CheckSchemeDTO dto) throws Exception {
    	boolean bool=false;
    	
    	List<Map> itemsData =processingData(itemsData1);
    	CheckSchemeDTO dto1=new CheckSchemeDTO();
		dto1.setCyfaId(dto.getId());
    	List<CheckSchemeDTO> oldList = qualityHarvestCornDao.allHarvestCorn(dto1); 
    	if(null==oldList) {
    		throw new RuntimeException("此数据未存储到数据库中。");
    	}
		int num = itemsData.size(); 
		if(itemsData != null&&itemsData.size() > 0){ 
	        //检查页面的信息是否有修改，然后更新到数据库 
	        for(int t = 0; t<num; t++){
	        	int u=0;
				Map map=itemsData.get(t);
				if(t>42){
					System.out.println(111);
				}
	        	if("null".equals(itemsData.get(t).get("cyjhId")) || ObjectUtils.isEmpty(itemsData.get(t).get("cyjhId"))) {
	        		QualityHarvestCornDO resultsDO=new QualityHarvestCornDO();
	        		resultsDO.setId(dto.getId());
	        		resultsDO.setAreaCode(dto.getAreaCode());
	        		resultsDO.setWtlx(dto.getWtlx());
	        		savePlan(itemsData1,resultsDO);
	        	}else {
	        		SamplingPlanDO planDo = new SamplingPlanDO();
	        		planDo.setCyfaId(dto.getId());
	        		planDo.setId(isNull(itemsData.get(t).get("cyjhId")+""));
					if (samplingPlanDao.updateByPrimaryKey(planDo) < 1) {
						throw new RuntimeException("更新失败，请检查数据格式。");
					}
					bool=true;
					if(true==bool) {
						 SamplingVarietiesDO varietiesDO =new SamplingVarietiesDO();//采样品种
						 varietiesDO.setId(isNull(itemsData.get(t).get("cypzId")+""));
						 varietiesDO.setCyjhId(itemsData.get(t).get("cyjhId")+"");
						 varietiesDO.setCypzlxmc(isNull(itemsData.get(t).get("cypzlxmc")+""));
						 varietiesDO.setCypzmc(isNull(itemsData.get(t).get("cypzmc")+""));
						 varietiesDO.setCypzbm(itemsData.get(t).get("cypzbm")+"");
						 if (varietiesMapper.updateByPrimaryKey(varietiesDO) < 1) {
								throw new RuntimeException("更新失败，请检查数据格式。");
						 }
						 bool=true;
						 if(bool==true) {
							 SamplingSitesDO sitesDO=new SamplingSitesDO();//采样地
							 sitesDO.setId(isNull(itemsData.get(t).get("cydId")+""));
							 sitesDO.setCypzId(isNull(itemsData.get(t).get("cypzId")+""));
							 String sjcys=isNull(itemsData.get(t).get("sjcys")+"");
							 if(!"".equals(sjcys)) {
								sitesDO.setSjcys(Integer.parseInt(sjcys));
							 }
							 if (sitesMapper.updateByPrimaryKey(sitesDO) < 1) {
								throw new RuntimeException("更新失败，请检查数据格式。");
							 }
							 bool=true;
							 //if(bool==true) {
								
							    //int update = WTDao.updateByPrimaryKey(entrustDO);
								if(bool==true) {
									PointPlanDO planDO=new PointPlanDO();
									planDO.setId(isNull(itemsData.get(t).get("qydId")+""));
									 planDO.setCydId(sitesDO.getId());
									 planDO.setDd(isNull(itemsData.get(t).get("dd")+""));
									 planDO.setWtId(isNull(itemsData.get(t).get("wtId")+""));
									 planDO.setAreaCode(dto.getAreaCode());
									 planDO.setUpdateTime(DateUtil.getNowDate());
									 if (pointPlanDao.updateByPrimaryKey(planDO) < 1) {
										throw new RuntimeException("更新失败，请检查数据格式。");
									 }
									 bool=true;
								}
							 //}
								if(1==dto.getZt()) {
									EntrustVO entrustDO =new EntrustVO();
									entrustDO.setId(isNull(itemsData.get(t).get("wtId")+""));
									entrustDO.setWtbh(isNull(itemsData.get(t).get("wtId")+""));
									entrustDO.setWtId(isNull(itemsData.get(t).get("wtId")+""));
									entrustDO.setWtlx(dto.getWtlx());
									entrustDO.setWtsj(DateUtil.getNowDate());
									entrustDO.setFqsj(dto.getFqsj());
									entrustDO.setJssj(dto.getJssj());
									entrustDO.setLcid(dto.getLcId());
									entrustDO.setNd(dto.getNd());
									entrustDO.setWtbt(dto.getFabt());
									entrustDO.setWtnr(dto.getFaxq());
									entrustDO.setFjid(dto.getFjid());
									entrustDO.setWtr(dto.getUpdateBy());
									entrustDO.setQyd(itemsData.get(t).get("dd")+"");
									entrustDO.setJckd(itemsData.get(t).get("dd")+"");
									entrustDO.setXxdz(itemsData.get(t).get("xxdz")+"");
									entrustDO.setChsl(itemsData.get(t).get("sjcys")+"");
									entrustDO.setPz(itemsData.get(t).get("cypzmc")+"");
									entrustDO.setCllx(itemsData.get(t).get("cypzlxmc")+"");
									bool=entrustDomain.submitEntrust(entrustDO);
									entrustDomain.sendWt(entrustDO);//向质检中心推送委托
								}
								
						 }
					}
	        	}
			}
		}
    	return true;
    }
	
}
