package com.unis.quality.server.domain.tianjin;

import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.TyZjxxzbQueryVO;
import com.unis.base.common.vo.TyZjxxzbVO;
import com.unis.common.utils.LsBeanUtils;
import com.unis.quality.common.utils.IdsWorker;
import com.unis.quality.common.vo.tianjin.TyZjxxAbnormalVO;
import com.unis.quality.common.vo.tianjin.TyZjxxzbAbnormalQueryVO;
import com.unis.quality.server.dao.tianjin.TyZjxxzbDao;
import com.unis.quality.server.domain.BaseDomain;
import com.unis.quality.server.entity.quality.tianjin.TyZjxxzbDO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;

/**
 * @author huangxing
 * @version 1.0
 * @Title TyZjxxmxbDomain
 * @ProjectName 持久化
 * @date 2019/07/22 17点26分
 */
@Component
@Slf4j
public class TyZjxxzbDomain extends BaseDomain {

	@Autowired
	private TyZjxxzbDao tyZjxxzbMapper;

	@Autowired
	private IdsWorker idsWorker;

	/**
	 *
	 * @param tyZjxxzbQueryVO
	 * @return
	 */
	public List<TyZjxxzbVO> getTyZjxxzbList(TyZjxxzbQueryVO tyZjxxzbQueryVO) {
		return tyZjxxzbMapper.getTyZjxxzbList(tyZjxxzbQueryVO);
	}

	/**
	 *
	 * @param tyZjxxzbQueryVO
	 * @return
	 */
	public List<TyZjxxAbnormalVO > getZjxxzbAbnormalList(TyZjxxzbAbnormalQueryVO tyZjxxzbQueryVO) {
		return tyZjxxzbMapper.getZjxxzbAbnormalList(tyZjxxzbQueryVO);
	}

	/**
	 *
	 * @param tyZjxxzbVO
	 * @return
	 */
	public int insert(TyZjxxzbVO tyZjxxzbVO) {
		//进行传递参数copy
		TyZjxxzbDO tyZjxxzbDO = new TyZjxxzbDO();
		LsBeanUtils.copyAllProperties(tyZjxxzbVO, tyZjxxzbDO);
		return tyZjxxzbMapper.insert(tyZjxxzbDO);
	}

	/**
	 *
	 * @param zjxxid
	 * @return
	 */
	public TyZjxxzbVO getTyZjxxzbById(String zjxxid) {
		TyZjxxzbVO tyZjxxzbVO = new TyZjxxzbVO();
		LsBeanUtils.copyAllProperties(tyZjxxzbMapper.selectByKey(zjxxid), tyZjxxzbVO);
		return tyZjxxzbVO;
	}

	/**
	 *
	 * @param tyZjxxzbVO
	 * @return
	 */
	public int update(TyZjxxzbVO tyZjxxzbVO) {
		//进行传递参数copy
		TyZjxxzbDO tyZjxxzbDO = new TyZjxxzbDO();
		LsBeanUtils.copyAllProperties(tyZjxxzbVO, tyZjxxzbDO);
		return tyZjxxzbMapper.updateByPrimaryKey(tyZjxxzbDO);
	}

	/**
	 *
	 * @param tyZjxxzbVO
	 * @return
	 */
	public int updateByPrimaryKeySelective(TyZjxxzbVO tyZjxxzbVO) {
		//进行传递参数copy
		TyZjxxzbDO tyZjxxzbDO = new TyZjxxzbDO();
		LsBeanUtils.copyAllProperties(tyZjxxzbVO, tyZjxxzbDO);
		return tyZjxxzbMapper.updateByPrimaryKeySelective(tyZjxxzbDO);
	}


	/**
	 * 获取所有列表不分页
	 * @return
	 */
	public PageInfo<TyZjxxzbVO> getAllList() {
		List<TyZjxxzbDO> list = tyZjxxzbMapper.selectAllList();
		PageInfo<TyZjxxzbDO> page = new PageInfo<TyZjxxzbDO>(list);

		PageInfo<TyZjxxzbVO> pageList = new PageInfo<TyZjxxzbVO>();
		LsBeanUtils.copyAllProperties(page, pageList);


		return pageList;
	}

	/**
	 *
	 * @param tyZjxxzbVO 批量新增
	 * @return
	 */
	public int batchInserts(List<TyZjxxzbVO> tyZjxxzbVO) {
		int i=0;
		for (int t = 0; t < tyZjxxzbVO.size(); t++) {
			//进行传递参数copy
			TyZjxxzbDO tyZjxxzbDO = new TyZjxxzbDO();
			tyZjxxzbDO.setZjxxid(tyZjxxzbVO.get(t).getZjxxid());
			if(tyZjxxzbMapper.selectCount(tyZjxxzbDO)==0){
				LsBeanUtils.copyAllProperties(tyZjxxzbVO.get(t), tyZjxxzbDO);
				tyZjxxzbDO.setCreateDate(new Date());
				tyZjxxzbDO.setRefreshTime(tyZjxxzbDO.getCreateDate());
				tyZjxxzbDO.setDataorder(idsWorker.nextId());
				i+=tyZjxxzbMapper.insert(tyZjxxzbDO);
			}else{
				LsBeanUtils.copyAllProperties(tyZjxxzbVO.get(t), tyZjxxzbDO);
				tyZjxxzbDO.setRefreshTime(new Date());
				i+=tyZjxxzbMapper.updateByEntitySelective(tyZjxxzbDO);
			}
		}
		return i;
	}

}
