package com.unis.quality.server.entity;

import com.unis.common.utils.CurrentUtil;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import java.io.Serializable;
import java.util.Date;

/**
 * @author by PIG
 * 2023/9/20 15
 */
@Getter
@Setter
public class BasePO implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 创建时间 */
    @Column(name="create_date")
    private Date createDate;

    /** 创建人id */
    @Column(name="creator")
    private String creator;
    @Column(name="creator_code")
    private String creatorCode;

    /** 修改时间 */
    @Column(name="refresh_time")
    private Date refreshTime;

    /** 修改人 */
    @Column(name="refresher")
    private String refresher;
    @Column(name="refresher_code")
    private String refresherCode;

    /**
     * 状态默认为1
     */
    @ApiModelProperty(value = "数据状态")
    @Column(name="status")
    private Integer status;

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getCreateBy() {
        return creator;
    }

    public void setCreateBy(String createBy) {
        this.creator = createBy;
    }

    public Date getRefreshTime() {
        return refreshTime;
    }

    public void setRefreshTime(Date refreshTime) {
        this.refreshTime = refreshTime;
    }

    public String getRefresher() {
        return refresher;
    }

    public void setRefresher(String refresher) {
        this.refresher = refresher;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public void buildInsertData() {
        this.creator = CurrentUtil.getUserAccount();
        this.createDate = new Date();
        this.creatorCode = CurrentUtil.getUserId();
    }

    public void buildInsertData(Integer status) {
        this.status = status;
        buildInsertData();
    }

    public void buildUpdateData() {
        this.refresher = CurrentUtil.getUserAccount();
        this.refreshTime = new Date();
        this.refresherCode = CurrentUtil.getUserId();
    }


}
