/*
 * AbnormalDO.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-05-14 19:31:14 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.server.entity.abnormal;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.common.entity.base.BaseDO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * TY_YCQKZGTZ
 * @author lipenghe with LAPTOP-IJQ2SDFV at 2020-05-14 19:31:14
 */
@ApiModel(value = "TY_YCQKZGTZ:异常情况整改通知")
@Data
@Table(name="TY_YCQKZGTZ")
public class AbnormalDO extends BaseDO {
    @ApiModelProperty(value = "异常情况id#<主键><唯一><非空>", notes ="异常情况id")
    @Id
    @Column(name="YCQKID")
    private String ycqkid;

    @ApiModelProperty(value = "委托编号#<非空>", notes ="委托编号")
    @Column(name="WTBH")
    private String wtbh;

    @ApiModelProperty(value = "承储/受检单位", notes ="承储/受检单位")
    @Column(name="CCDW")
    private String ccdw;

    @ApiModelProperty(value = "委托时间", notes ="委托时间")
    @Column(name="WTSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date wtsj;

    @ApiModelProperty(value = "委托人", notes ="委托人")
    @Column(name="WTR")
    private String wtr;

    @ApiModelProperty(value = "仓号编码聚合数据", notes ="仓号编码聚合数据")
    @Column(name="CH")
    private String ch;

    @ApiModelProperty(value = "仓号名称聚合数据", notes ="仓号名称聚合数据")
    @Column(name="CHMCS")
    private String chmcs;

    @ApiModelProperty(value = "已归纳的异常#只添加不删除", notes ="已归纳的异常")
    @Column(name="YCS")
    private String ycs;

    @ApiModelProperty(value = "异常位置聚合数据#会添加和删除", notes ="异常位置聚合数据")
    @Column(name="YCWZS")
    private String ycwzs;

    @ApiModelProperty(value = "异常状态#草稿10,", notes ="异常状态")
    @Column(name="YCZT")
    private String yczt;

    @ApiModelProperty(value = "异常状态名称", notes ="异常状态名称")
    @Column(name="YCZTMC")
    private String ycztmc;

    @ApiModelProperty(value = "整改检查人", notes ="整改检查人")
    @Column(name="ZGJCR")
    private String zgjcr;

    @ApiModelProperty(value = "整改检查时间", notes ="整改检查时间")
    @Column(name="ZGJCSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date zgjcsj;

    @ApiModelProperty(value = "异常情况盖章", notes ="异常情况盖章")
    @Column(name="YCQKGZ")
    private String ycqkgz;

    @ApiModelProperty(value = "整改要求", notes ="整改要求")
    @Column(name="ZGYQ")
    private String zgyq;

    @ApiModelProperty(value = "整改开始时间", notes ="整改开始时间")
    @Column(name="ZGKSSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date zgkssj;

    @ApiModelProperty(value = "整改结束时间", notes ="整改结束时间")
    @Column(name="ZGJSSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date zgjssj;

    @ApiModelProperty(value = "整改承储企业负责人", notes ="整改承储企业负责人")
    @Column(name="ZGCCQYFZR")
    private String zgccqyfzr;

    @ApiModelProperty(value = "整改承储企业盖章", notes ="整改承储企业盖章")
    @Column(name="ZGCCQYGZ")
    private String zgccqygz;

    @ApiModelProperty(value = "验收结果", notes ="验收结果")
    @Column(name="YSJG")
    private String ysjg;

    @ApiModelProperty(value = "验收情况", notes ="验收情况")
    @Column(name="YSQK")
    private String ysqk;

    @ApiModelProperty(value = "验收附件", notes ="验收附件")
    @Column(name="YSFJ")
    private String ysfj;

    @ApiModelProperty(value = "验收检查人", notes ="验收检查人")
    @Column(name="YSJCR")
    private String ysjcr;

    @ApiModelProperty(value = "验收检查时间", notes ="验收检查时间")
    @Column(name="YSJCSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date ysjcsj;

    @ApiModelProperty(value = "验收承储企业负责人", notes ="验收承储企业负责人")
    @Column(name="YSCCQYFZR")
    private String ysccqyfzr;

    @ApiModelProperty(value = "整改验收盖章", notes ="整改验收盖章")
    @Column(name="ZGYSGZ")
    private String zgysgz;

    @ApiModelProperty(value = "整改确认盖章", notes ="整改确认盖章")
    @Column(name="ZGQRYSGZ")
    private String zgqrysgz;

    public AbnormalDO() {
        super();
    }
}