package com.unis.quality.server.entity.quality;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.quality.server.entity.BasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * 委托检验申请
 * @author by PIG
 * 2023/9/20 15
 */
@ApiModel(value = "委托检验申请")
@Data
@EqualsAndHashCode(callSuper = true)
@Table(name = "t_entrust_inspect_apply")
public class EntrustInspectApplyDO extends BasePO {

    @Id
    private Long fid;

    @Column(name = "node_id")
    private String nodeId;

    @Column(name = "node_name")
    private String nodeName;

    @Column(name = "action_type")
    private String actionType;

    @Column(name = "apply_number")
    private String applyNumber;

    @Column(name = "apply_date")
    private Date applyDate;
    @Column(name = "apply_org")
    private String applyOrg;
    @Column(name = "apply_org_name")
    private String applyOrgName;
    @Column(name = "link_man")
    private String linkMan;
    @Column(name = "apply_address")
    private String applyAddress;
    @Column(name = "link_phone")
    private String linkPhone;
    /** 申请类型 e.g:出库质检、入库质检、移入质检、移出质检*/
    @Column(name = "entrust_apply_type")
    private Integer entrustApplyType;
    /** 申请类型 e.g:出库质检、入库质检、移入质检、移出质检*/
    @Column(name = "entrust_apply_type_name")
    private String entrustApplyTypeName;

    /** 品种*/
    @Column(name = "apply_sub_type")
    private String applySubType;
    @Column(name = "apply_sub_type_name")
    private String applySubTypeName;

    /** 经办人*/
    @Column(name = "operator")
    private String operator;
    /** 负责人*/
    @Column(name = "principal")
    private String principal;

    @Column(name = "apply_user")
    private String applyUser;

    @ApiModelProperty(value = "签章信息")
    @Column(name = "signature")
    private String signature;

    /** 签章日期*/
    @ApiModelProperty(value = "签章日期")
    @DateTimeFormat(pattern = "yyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "signature_date")
    private Date signatureDate;

    @ApiModelProperty(value = "接收状态")
    @Column(name = "accept_status")
    private Integer acceptStatus;
    @ApiModelProperty(value = "接收人")
    @Column(name = "accept_username")
    private String acceptUsername;
    @ApiModelProperty(value = "接收意见")
    @Column(name = "accept_desc")
    private String acceptDesc;
    @ApiModelProperty(value = "接收时间")
    @Column(name = "accept_date")
    private Date acceptDate;

    @Column(name = "rotate_apply_code")
    private String rotateApplyCode;

}
