package com.unis.quality.server.entity.quality;


import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.quality.common.constant.DataReceiveConstant;
import com.unis.quality.server.entity.BaseEntity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 机构设备管理
 * @author lifx
 * @data 2019年7月8日14:55:25
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Table(name = "BIZ_EQUIPMENT")
public class EquipmentDO extends BaseEntity {

	// 机构ID
	@Column(name = "ORGANIZATION_ID")
	private String organizationId;
  
	//仪器设备名称
	@Column(name = "EQUIPMENT_NAME")
	private String equipmentName;
	
	//设备编码
	@Column(name = "DEVICE_CODING")
	private String deviceCoding;
	
	//使用状态
	@Column(name = "USING_STATE")
	private String usingState;
	
	// 生产厂家名称
	@Column(name = "MANUFACTURER")
	private String manufacturer;
	
	// 生产日期
	@Column(name = "PRODUCTION_DATE")
	private String productionDate;
	
	// 负责人姓名
	@Column(name = "CONTACT_PERSON")
	private String contactPerson;
		
	// 联系方式
	@Column(name = "PHONE")
	private String phone;
	
	// 设备数量
	@Column(name = "NUMBER_EQUIPMENT")
	private String numberEquipment;
	
	
	/**=======天津=========**/
	//所在单位
	@Column(name = "UNIT")
	private String unit;
	
	// 型号
	@Column(name = "MODEL")
	private String model;

	// 价值
	@Column(name = "VALUE")
	private String value;

	// 国产、进口
	@Column(name = "DOMESTIC_IMPORT")
	private String domesticImport;
	
	//出厂编码
	@Column(name = "FACTORY_CODE")
	private String factoryCode;
	//收货日期
	@DateTimeFormat( pattern = "yyyy-MM-dd")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
	@Column(name = "RECEIPT_DATE")
	private Date receiptDate;
	//启用日期
	@Column(name = "ENABLE_DATE")
	private Date enableDate;
	//接收状态
	@Column(name = "RECEIVING_STATE")
	private String receivingState;
	
	//放置点
	@Column(name = "PLACE_POINT")
	private String placePoint;
	
	//软件名称
	@Column(name = "SOFTWARE_NAME")
	private String softwareName;
	//技术参数
	@Column(name = "TECHNICAL_PARAMETER")
	private String technicalParameter;
		
	// 是否造册
	@Column(name = "WHETHER_CERTIFY")
	private String whetherCertify;

	public void buildKjPush() {
		this.setCreateBy(DataReceiveConstant.KJTS);
		this.setCreateTime(new Date());
	}
}
