package com.unis.quality.server.entity.quality;

import javax.persistence.Column;
import javax.persistence.Table;

import com.unis.quality.server.entity.BaseEntity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 安全监测-库存粮食质量检测品登统表
 * @author lifx
 * @data 2019年7月24日15:58:12
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Table(name = "BIZ_FOOD_STOCK_ITEMS")
public class FoodStockItemsDO extends BaseEntity {
	
	//登统表id
	@Column(name = "FOOD_STOCK_ID")
	private String foodStockId;
	
	//样品编号
	@Column(name = "SAMPLE_NUMBER")
	private String sampleNumber;
	
	//检查库点
	@Column(name = "CHECK_LIBRARY_POINTS")
	private String checkLibraryPoints;
	
	//扦样处所（仓库或堆垛号码）
	@Column(name = "WAREHOUSE")
	private String warehouse;
	
	//储粮性质
	@Column(name = "NATURE")
	private String nature;
	
	//样品名称
	@Column(name = "VARIETIES")
	private String varieties;
	
	//代表数量（吨）
	@Column(name = "BEHALF_NUMBER")
	private Integer behalfNumber;
	
	//入库等级
	@Column(name = "STORAGE_GRADE")
	private String storageGrade;
	
	//产地
	@Column(name = "PLACE_ORIGIN")
	private String placeOrigin;
	
	//收获年度
	@Column(name = "YEARS")
	private String years;
	
	//入库时间
	@Column(name = "STORAGE_TIME")
	private String storageTime;
	
	//包装或散装
	@Column(name = "PACKAGING_OR_BULK_PACKING")
	private String packagingOrBulkPacking;
	
	
	//当地安全储存水分
	@Column(name = "LOCAL_SAFE_STORAGE_OF_WATER")
	private String localSafeStorageOfWater;
	
	//粮温
	@Column(name = "GRAIN_TEMPERATURE")
	private String grainTemperature;
	
	//使用的储粮技术
	@Column(name = "STORAGE_TECHNOLOGY")
	private String storageTechnology;
	
	//备注
	@Column(name = "REMARKS")
	private String remarks;
	//批次
	@Column(name = "BATCH")
	private String batch;
}
