package com.unis.quality.server.entity.quality;

import javax.persistence.Column;
import javax.persistence.Table;

import com.unis.quality.server.entity.BaseEntity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 安全监测-检验结果等级表-明细
 * @author lifx
 * @data 2019年7月24日15:58:12
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Table(name = "BIZ_GRADE_TEST_RESULTS_ITEMS")
public class GradeTestResultsItemsDO extends BaseEntity {
	
	// 库存粮食质量检测品登统表ID
	@Column(name = "FOOD_STOCK_ID")
	private String foodStockId;
	// 登记表ID
	@Column(name = "GRADE_TEST_RESULTS_ID")
	private String gradeTestResultsId;
	//样品编号
	@Column(name = "SAMPLE_NUMBER")
	private String sampleNumber;
	
	//类型
	@Column(name = "TYPE")
	private String type;
	
	//检查库点
	@Column(name = "CHECK_LIBRARY_POINTS")
	private String checkLibraryPoints;
	
	//扦样处所（仓库或堆垛号码）
	@Column(name = "WAREHOUSE")
	private String warehouse;
	
	//储粮性质
	@Column(name = "NATURE")
	private String nature;
	
	//样品名称
	@Column(name = "VARIETIES")
	private String varieties;
	
	//代表数量（吨）
	@Column(name = "BEHALF_NUMBER")
	private String behalfNumber;
	
	//入库等级
	@Column(name = "STORAGE_GRADE")
	private String storageGrade;
	
	//产地
	@Column(name = "PLACE_ORIGIN")
	private String placeOrigin;
	
	//收获年度
	@Column(name = "YEARS")
	private String years;
	
	//入库时间
	@Column(name = "STORAGE_TIME")
	private String storageTime;

	// 水分
	@Column(name = "WATER_CONTENT")
	private Integer waterContent;
	
	//杂质
	@Column(name = "IMPURITY")
	private String impurity;
	
	//不完善粒
	@Column(name = "IMPERFECT_GRAIN")
	private String imperfectGrain;
	
	//容重
	@Column(name = "BULK_DENSITY")
	private String bulkDensity;
	
	//色泽气味
	@Column(name = "COLOUR_SMELL")
	private String colourSmell;
	
	//生霉粒
	@Column(name = "MOLDY_KERNEL")
	private String moldyKernel;
	
	//品尝评分值
	@Column(name = "TASTE_SCORE")
	private String tasteScore;
	
	//脂肪酸值
	@Column(name = "FATTY_ACID_VALUE")
	private String fattyAcidValue;
	
	//检验等级
	@Column(name = "INSPECTION_GRADE")
	private String inspectionGrade;
	
	//结果判定
	@Column(name = "RESULT_JUDGMENT")
	private String resultJudgment;
	
	//完整率粒
	@Column(name = "INTEGRITY_RATE_GRANULE")
	private String integrityRateGranule;
	
	
	//损伤率粒
	@Column(name = "DAMAGE_RATE_GRANULE")
	private String damageRateGranule;
	
	//出糙率
	@Column(name = "ROUGHNESS")
	private String roughness;
	
	//谷外糙米
	@Column(name = "BROWN_RICE")
	private String brownRice;
	
	//整精米率
	@Column(name = "HEAD_RICE_RATE")
	private String headRiceRate;
	
	//互混率
	@Column(name = "MIXING_RATE")
	private String mixingRate;
	
	//黄粒米
	@Column(name = "YELLOW_GRAINED_RICE")
	private String yellowGrainedRice;
	
	//脂肪酸值-储存品质
	@Column(name = "FATTY_ACID_VALUE_STORAGE")
	private String fattyAcidValueStorage;
	
	//粘度
	@Column(name = "VISCOSITY")
	private String viscosity;
	
	//品尝评分值-储存品质
	@Column(name = "TASTE_SCORE_STORAGE")
	private String tasteScoreStorage;
	
	//色泽气味-储存品质
	@Column(name = "COLOUR_SMELL_STORAGE")
	private String colourSmellStorage;
	
	//结果判定-储存品质
	@Column(name = "RESULT_JUDGMENT_STORAGE")
	private String resultJudgmentStorage;
	
	//面筋吸水量
	@Column(name = "GLUTEN_WATER_ABSORPTION")
	private String glutenWaterAbsorption;
	
	//蛋白质溶解比较率
	@Column(name = "PROTEIN_SOLUBILITY_RATIO")
	private String proteinSolubilityRatio;
	//批次
	@Column(name = "BATCH")
	private String batch;
}
