package com.unis.quality.server.entity.quality;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;

import com.unis.quality.common.constant.DataReceiveConstant;
import com.unis.quality.server.entity.BaseEntity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 机构信息
 * @author lifx
 * @data 2019年7月8日14:40:54
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Table(name = "BIZ_ORGANIZATION")
public class OrganizationDO extends BaseEntity {
	
	// 机构名称
	@Column(name = "ORGANIZATION_NAME")
	private String organizationName;
	
	// 机构类别
	@Column(name = "INSTITUTIONAL_CATEGORIES")
	private String institutionalCategories;

	// 所属地区
	@Column(name = "AFFILIATING_AREA")
	private String affiliatingArea;
	 
	// 详细地址
	@Column(name = "DETAILED_ADDRESS")
	private String detailedAddress;
	 
	// 注册时间
	@Column(name = "REGISTRATION_TIME")
	private String registrationTime;

	// 组织机构代码
	@Column(name = "ORGANIZATION_CODE")
	private String organizationCode;

	// 法定代表人
	@Column(name = "LEGAL_REPRESENTATIVE")
	private String legalRepresentative;
	
	// 联系电话
	@Column(name = "PHONE")
	private String phone;
  
	// 员工人数
	@Column(name = "EMPLOYEES_NUMBER")
	private String employeesNumber;
  
	// 设备数量
	@Column(name = "EQUIPMENT_NUMBER")
	private String equipmentNumber;

	// 办公及实验室面积（㎡）
	@Column(name = "LABORATORY_AREA")
	private String laboratoryArea;
	
	//是否通过计量认证
	@Column(name = "METROLOGICAL_AUTHENTICATION")
	private String metrologicalAuthentication;
	
	//是否为国家粮食质量监测机构
	@Column(name = "MONITORING_BODIES")
	private String monitoringBodies;
	
	
	/**==============天津===========**/
	// 机构性质
	@Column(name = "INSTITUTIONAL")
	private String institutional;
	
	// 所属单位
	@Column(name = "UNIT")
	private String unit;

	// 经费来源
	@Column(name = "FUND_SOURCES")
	private String fundSources;
	
	// 职责权限
	@Column(name = "REMIT")
	private String remit;
  
	// 单位地址
	@Column(name = "UNIT_ADDRESS")
	private String unitAddress;
  
	// 联系人
	@Column(name = "LINK_MAN")
	private String linkMan;

	// 联系方式
	@Column(name = "CONTACT_INFORMATION")
	private String contactInformation;
		
	
	public void buildKjPush() {
		this.setCreateBy(DataReceiveConstant.KJTS);
		this.setCreateTime(new Date());
	}
}
