package com.unis.quality.server.entity.quality;

import com.unis.quality.common.vo.QualityInspectionDetailVO;
import com.unis.quality.server.entity.BasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;

/**
 * 质检报告
 * @author by PIG
 * @see QualityInspectionDetailVO
 * @Date 2023/9/21 18
 */
@ApiModel(value = "质检报告")
@Data
@EqualsAndHashCode(callSuper = true)
@Table(name = "t_quality_inspection")
public class QualityInspectionDO extends BasePO {

    @Id
    @Column(name = "fid")
    private Long fid;
    /**  entrust_inspect.fid
     * @see EntrustInspectDO
     * */
    @Column(name = "entrust_inspect_fid")
    private Long entrustInspectFid;

    /** 质检报告标题*/
    @Column(name = "choose_title")
    private String chooseTitle;

    /** 检测机构*/
    @Column(name = "choose_org_name")
    private String chooseOrgName;
    /**被检单位*/
    @Column(name = "be_inspect_org")
    private String beInspectOrg;

    @Column(name = "be_inspect_org_name")
    private String beInspectOrgName;
    /** 产品名称*/
    @Column(name = "sub_type_detailed")
    private String subTypeDetailed;
    /** 产品名称*/
    @Column(name = "sub_type_detailed_name")
    private String subTypeDetailedName;
    /** 抽样基数*/
    @Column(name = "sample_basic_num")
    private String sampleBasicNum;
    /** 样品数量*/
    @Column(name = "sample_num")
    private String sampleNum;
    /** 抽样地点*/
    @Column(name = "sample_address")
    private String sampleAddress;
    /** 抽样日期*/
    @Column(name = "choose_date")
    private String chooseDate;
    /** 抽样编号*/
    @Column(name = "choose_number")
    private String chooseNumber;
    /** 入库日期*/
    @Column(name = "input_date")
    private String inputDate;
    /** 样品送达日期*/
    @Column(name = "delivery_date")
    private String deliveryDate;
    /** 检验日期*/
    @Column(name = "inspect_date")
    private String inspectDate;
    /** 签发日期*/
    @Column(name = "issue_date")
    private String issueDate;

    /** 检验结论*/
    @ApiModelProperty(name = "检验结论")
    @Column(name = "conclusion")
    private String conclusion;

    /** 品种*/
    @Column(name = "apply_sub_type")
    private String applySubType;

    @Column(name = "remark")
    private String remark;
}
