package com.unis.quality.server.entity.quality;

import com.unis.quality.common.vo.QualityOpinionOutVO;
import com.unis.quality.server.entity.BasePO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 出库质检意见
 * @author by PIG
 * 2023/10/26 10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(name = "t_quality_opinion_out")
public class QualityOpinionOutDO extends BasePO {

    @Id
    @Column(name = "fid")
    private Long fid;

    @Column(name = "node_id")
    private String nodeId;

    @Column(name = "node_name")
    private String nodeName;

    @Column(name = "action_type")
    private String actionType;

    @Column(name = "quality_opinion")
    private String qualityOpinion;
    @Column(name = "rkdwbm")
    private String rkdwbm;
    @Column(name = "rkdwmc")
    private String rkdwmc;
    @Column(name = "ysbgbh")
    private String ysbgbh;
    @Column(name = "yssl")
    private BigDecimal yssl;
    @Column(name = "house_id")
    private String houseId;
    @Column(name = "house_name")
    private String houseName;
    @Column(name = "basic_num")
    private BigDecimal basicNum;
    /** 合格|不合格*/
    @Column(name = "conclusion")
    private String conclusion;
    @Column(name = "commit_user")
    private String commitUser;
    @Column(name = "commit_date")
    private Date commitDate;
    @Column(name = "signature")
    private String signature;
    @Column(name = "signature_date")
    private Date signatureDate;
    @Column(name = "accept")
    private String accept;
    @Column(name = "accept_date")
    private Date acceptDate;
    @Column(name = "remark")
    private String remark;

    @ApiModelProperty(name = "轮换申请编号")
    @Column(name = "contract_number")
    private String contractNumber;

    /**
     * 申请编号
     * t_entrust_inspect_apply.apply_number
     * */
    @Column(name = "apply_number")
    private String applyNumber;

    public void initNode(Long fid) {
        this.fid = fid;
        this.nodeId = QualityOpinionOutVO.NODE_INFO.COMMIT_PEND.getValue();
        this.nodeName = QualityOpinionOutVO.NODE_INFO.COMMIT_PEND.getName();
    }
}
