package com.unis.quality.server.entity.quality;

import javax.persistence.Column;
import javax.persistence.Table;

import com.unis.quality.server.entity.BaseEntity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 安全监测-粮食储存品质检验结果汇总表
 * @author lifx
 * @data 2019年7月24日15:58:12
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Table(name = "BIZ_SUMMARY_INSPECTION_RESULT")
public class SummaryInspectionResultDO extends BaseEntity {
	
	// 计划文件名称
	@Column(name = "PLAN_FILE_NAME")
	private String planFileName;
	
	// 计划id
	@Column(name = "PLAN_ID")
	private String planId;

	
	// 检验结果上报 5、粮食储存品质检验结果汇总表
	@Column(name = "TYPE")
	private String type;
	
	// 盟市
	@Column(name = "CITY")
	private String city;
  
	// 填报单位
	@Column(name = "FILLING_UNIT")
	private String fillingUnit;
  
	// 粮食性质
	@Column(name = "FOOD_NATURE")
	private String foodNature;

	// 检查时点
	@Column(name = "CHECK_POINT")
	private String checkPoint;
	
	// 检查地区
	@Column(name = "INSPECTION_AREA")
	private String inspectionArea;
	
	// 检查企业个数
	@Column(name = "COMPANY_NUMBER")
	private String companyNumber;
	
	// 样品总数
	@Column(name = "SAMPLES_TOTAL")
	private String samplesTotal;
	
	// 代表数量
	@Column(name = "REPRESENTATIVES_NUMBER")
	private String representativesNumber;
	
	// 宜存率
	@Column(name = "SURVIVABILITY_RATE")
	private String survivabilityRate;
	
	// 轻度不宜存
	@Column(name = "MILD_UNSUITABLE_STORAGE")
	private String mildUnsuitableStorage;
	
	// 重度不宜存
	@Column(name = "SEVERE_INAPPROPRIATE_SURVIVAL")
	private String severeInappropriateSurvival;
	
	// 稻谷-样品数
	@Column(name = "PADDY_SAMPLES_NUMBER")
	private String paddySamplesNumber;
	
	// 稻谷-宜存率
	@Column(name = "PADDY_SURVIVABILITY_RATE")
	private String paddySurvivabilityRate;
	
	// 稻谷-轻度不宜存率
	@Column(name = "PADDY_MILD_UNSUITABLE_STORAGE")
	private String paddyMildUnsuitableStorage;
	
	// 稻谷-重度不宜存率
	@Column(name = "PADDY_SEVERE_INAPPROPRIATE_SUR")
	private String paddySevereInappropriateSur;
	
	// 小麦-样品数
	@Column(name = "WHEAT_SAMPLES_NUMBER")
	private String wheatSamplesNumber;
	
	// 小麦-宜存率
	@Column(name = "WHEAT_SURVIVABILITY_RATE")
	private String wheatSurvivabilityRate;
	
	// 小麦-轻度不宜存率
	@Column(name = "WHEAT_MILD_UNSUITABLE_STORAGE")
	private String wheatMildUnsuitableStorage;
	
	// 小麦-重度不宜存率
	@Column(name = "WHEAT_SEVERE_INAPPROPRIATE_SUR")
	private String wheatSevereInappropriateSur;
	
	// 玉米-样品数
	@Column(name = "CORN_SAMPLES_NUMBER")
	private String cornSamplesNumber;
	
	// 玉米-宜存率
	@Column(name = "CORN_SURVIVABILITY_RATE")
	private String cornSurvivabilityRate;
	
	// 玉米-轻度不宜存率
	@Column(name = "CORN_MILD_UNSUITABLE_STORAGE")
	private String cornMildUnsuitableStorage;
	
	// 玉米-重度不宜存率
	@Column(name = "CORN_SEVERE_INAPPROPRIATE_SURV")
	private String cornSevereInappropriateSurv;
	
	// 大豆-样品数
	@Column(name = "SOYBEAN_SAMPLES_NUMBER")
	private String soybeanSamplesSumber;
	
	// 大豆宜存率
	@Column(name = "SOYBEAN_SURVIVABILITY_RATE")
	private String soybeanSurvivabilityRate;
	
	// 大豆-轻度不宜存率
	@Column(name = "SOYBEAN_MILD_UNSUITABLE_STORAG")
	private String soybeanMildUnsuitableStorag;
	
	// 大豆-重度不宜存率
	@Column(name = "SOYBEAN_SEVERE_INAPPROPRIATE_S")
	private String soybeanSevereInappropriates;
		
	//流程id
	@Column(name = "PROCESS_ID")
	private String processId;
	
	//状态名称
	@Column(name = "STATE_NAME")
	private String stateName;
	
	//审核意见
	@Column(name = "AUDIT_OPINIONS")
	private String auditOpinions;
	
	//审核结果
	@Column(name = "FINDINGS_AUDIT")
	private String findingsAudit;
	//批次
	@Column(name = "BATCH")
	private String batch;
}
