package com.unis.quality.server.entity.quality;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import java.util.Date;

/**
 * @ClassName: TbCheckstandardInfoDO
 * @Description: 检测标准
 * @date 2019年7月17日 上午9:39:45 
 * 
 * @version v1.0
 */

@SuppressWarnings("serial")
@Getter
@Setter
@Entity
@Table(name = "tb_checkstandard_info")
public class TbCheckstandardInfoDO {

	@Id
	@Column(name="checkstandard_id")
	private String checkstandardId;
	
	/**
	 * 标准编号
	 */
	@Column(name="STANDARD_CODE")
	private String standardCode;
	
	/**
	 *  标准名称
	 */
	@Column(name="Standard_name")
	private String standardName;
	/**
	 *  标准类型
	 */
	@Column(name="Standard_type")
	private String standardType;
	
	/**
	 *  标准文件
	 */
	@Column(name="Standard_file")
	private String standardFile;

	@Column(name="STANDARD_ID")
	@ApiModelProperty(value="质检系统的标准id")
	private String standardId;

	/**
	 *  0:禁用;1:启用
	 */
	@JsonIgnore
	private String isUsed;

	/**
	 * 组织编号
	 */
	@JsonIgnore
	private String orgCode;
	/**
	 * -- 状态，1：正常，0：已作废
	 */
	@JsonIgnore
	private Integer status =1;
	/**
	 * 创建时间
	 */
	@JsonIgnore
	private Date createDate = new Date();
	/**
	 * 创建人编码
	 */
	@JsonIgnore
	private String creatorCode;
	/**
	 * 创建人
	 */
	@JsonIgnore
	private String creator;
	/**
	 * 更新时间
	 */
	@JsonIgnore
	private Date refreshTime = new Date();
	/**
	 * 更新人
	 */
	@JsonIgnore
	private String refresher;

	/**
	 * 更新人编码
	 */
	@JsonIgnore
	private String refresherCode;

	/**
	 * 备注
	 */
	@JsonIgnore
	private String remark;

	/**
	 * 实施时间
	 */
	@JsonIgnore
	private Date doTime = new Date();

	/**
	 * 发布时间
	 */
	@JsonIgnore
	private Date pubTime = new Date();

	/**
	 * 有效时间
	 */
	@JsonIgnore
	private Date validTime = new Date();
}
