package com.unis.quality.server.entity.quality;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import java.util.Date;

/**
 * @ClassName: CheckstandardItemController 
 * @Description: 检验流程管理---检测项目
 * @date 2019年7月17日 下午2:37:41 
 * 
 * @version v1.0
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Entity
@Table(name = "tb_checkstandard_item")
public class TbCheckstandardItemDO {

	/**
	 * 项目id
	 */
	@Id
	@Column(name="item_id")
	private String itemId;
	
	/**
	 * 标准id
	 */
	@Column(name="checkstandard_id")
	private String checkstandardId;
	
	/**
	 * 标准分类
	 */
	@Column(name="Standard_type")
	private String standardType;
	
	/**
	 * 项目明细
	 */
	@Column(name="project_Details")
	private String projectDetails;
	
	/**
	 * 标准编号
	 */
	@Column(name="Standard_code")
	private String standardCode;
	
	/**
	 * 标准名称
	 */
	@Column(name="standard_name")
	private String standardName;
	
	/**
	 *  检测结果
	 */
	@Column(name="itemcheck_Rnum")
	private String itemcheckRnum;
	
	/**
	 *  单向判断
	 */
	@Column(name="itemcheck_Rlevel")
	private String itemcheckRlevel;
	
	/**
	 *  检测人
	 */
	@Column(name="itemcheck_Man")
	private String itemcheckMan;

	@Column(name="STANDARD_ID")
	@ApiModelProperty(value="质检系统的标准id")
	private String standardId;

	@Column(name="STAND_ITEM_ID")
	@ApiModelProperty(value="质检系统的详细标准id")
	private String standItemId;

	/**
	 * 组织编号
	 */
	@JSONField(serialize = false)
	private String orgCode;
	/**
	 * -- 状态，1：正常，0：已作废
	 */
	@JSONField(serialize = false)
	private Integer status = 1;
	/**
	 * 创建时间
	 */
	@Temporal(TemporalType.TIMESTAMP)
	@JSONField(serialize = false)
	private Date createDate = new Date();
	/**
	 * 创建人编码
	 */
	@JSONField(serialize = false)
	private String creatorCode;
	/**
	 * 创建人
	 */
	@JSONField(serialize = false)
	private String creator;
	/**
	 * 更新时间
	 */
	@Temporal(TemporalType.TIMESTAMP)
	@JSONField(serialize = false)
	private Date refreshTime = new Date();
	/**
	 * 更新人
	 */
	@JSONField(serialize = false)
	private String refresher;

	/**
	 * 更新人编码
	 */
	@JSONField(serialize = false)
	private String refresherCode;

	/**
	 * 备注
	 */
	private String remark;
}
