package com.unis.quality.server.entity.quality;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import java.util.Date;

/**
 * @ClassName: GudgeRulesBO 
 * @Description: 检验流程管理---检验流程管理---判断规则
 * @date 2019年7月17日 下午2:50:07 
 * 
 * @version v1.0
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Entity
@Table(name = "TB_CHECKSTANDARD_ITEMLEVEL")
public class TbCheckstandardItemlevelDO {

	/**
	 *规则id
	 */
	@Id
	@Column(name="level_Id")
	private String levelId;
	
	/**
	 * 检测项目id
	 */
	@Column(name="item_Id")
	private String itemId;
	
	/**
	 * 检测标准id
	 */
	@Column(name="checkstandard_Id")
	private String checkstandardId;
	
	/**
	 * 等级
	 */
	@Column(name="grade")
	private String grade;
	
	/**
	 * 判断规则 
	 */
	@Column(name="rule")
	private String rule;
	
	/**
	 * 判断值
	 */
	@Column(name="judge_Value")
	private String judgeValue;


	/**
	 * 组织编号
	 */
	@JSONField(serialize = false)
	private String orgCode;
	/**
	 * -- 状态，1：正常，0：已作废
	 */
	@JSONField(serialize = false)
	private Integer status = 1;
	/**
	 * 创建时间
	 */
	@Temporal(TemporalType.TIMESTAMP)
	@JSONField(serialize = false)
	private Date createDate = new Date();
	/**
	 * 创建人编码
	 */
	@JSONField(serialize = false)
	private String creatorCode;
	/**
	 * 创建人
	 */
	@JSONField(serialize = false)
	private String creator;
	/**
	 * 更新时间
	 */
	@Temporal(TemporalType.TIMESTAMP)
	@JSONField(serialize = false)
	private Date refreshTime = new Date();
	/**
	 * 更新人
	 */
	@JSONField(serialize = false)
	private String refresher;

	/**
	 * 更新人编码
	 */
	@JSONField(serialize = false)
	private String refresherCode;

	/**
	 * 备注
	 */
	private String remark;
}
