package com.unis.quality.server.entity.quality.tianjin;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.quality.server.entity.BaseEntity;

import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @ClassName QualityHarvestCornDO
 * @Description 新收获粮-抽查方案DO
 * @Author lfx
 * @Date 2019年8月20日17:57:40
 * @Version 0.0.1
 **/
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Table(name = "CCFA")
@ApiModel(value = "新收获粮-抽查方案Model")
public class QualityHarvestCornDO extends BaseEntity {
	
	// 委托id
	@Column(name = "WTID")
	private String wtId;
	
	// 方案编号
	@Column(name = "FABH")
	private String fabh;
	
	// 方案标题
	@Column(name = "FABT")
	private String fabt;
	
	// 年度
	@Column(name = "ND")
	private String nd;
	
	// 发起时间
	@DateTimeFormat( pattern = "yyyy-MM-dd")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
	@Column(name = "FQSJ")
	private Date fqsj;
	
	// 结束时间
	@DateTimeFormat( pattern = "yyyy-MM-dd")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
	@Column(name = "JSSJ")
	private Date jssj;
	
	// 附件ID
	@Column(name = "FJID")
	private String fjid;
	
	// 方案详情
	@Column(name = "FAXQ")
	private String faxq;
	
	//状态
	@Column(name="ZT")
	private Integer zt;
	
	// 附件名称
	@Column(name = "FJMC")
	private String fjmc;
	
	// 委托类型
	@Column(name = "WTLX")
	private String wtlx;
	
}
