/*
 * RainDO.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-08-11 17:08:13 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.server.entity.quality.weather;

import com.unis.common.entity.base.BaseDO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * PLUG_WEATHER_RAIN
 * @author lipenghe with LAPTOP-IJQ2SDFV at 2020-08-11 17:08:13
 */
@ApiModel(value = "PLUG_WEATHER_RAIN:降雨量表")
@Data
@Table(name="PLUG_WEATHER_RAIN")
public class RainDO extends BaseDO {
    @ApiModelProperty(value = "降雨量表主键#<主键><唯一><非空>", notes ="降雨量表主键")
    @Id
    @Column(name="RAIN_ID")
    private Long rainId;

    @ApiModelProperty(value = "id#<唯一>", notes ="id")
    @Column(name="ID")
    private Long id;

    @ApiModelProperty(value = "id字符串", notes ="id字符串")
    @Column(name="ID_STR")
    private String idStr;

    @ApiModelProperty(value = "外部id字符串", notes ="外部id字符串")
    @Column(name="OUT_ID")
    private String outId;

    @ApiModelProperty(value = "外部id来源", notes ="外部id来源")
    @Column(name="OUT_FROM")
    private String outFrom;

    @ApiModelProperty(value = "父级id#<唯一>", notes ="父级id")
    @Column(name="PARENT_ID")
    private String parentId;

    @ApiModelProperty(value = "城市拼音或者英文名", notes ="城市拼音或者英文名")
    @Column(name="NAMEEN")
    private String nameen;

    @ApiModelProperty(value = "城市/地区/企业中文名字", notes ="城市/地区/企业中文名字")
    @Column(name="CITYNAME")
    private String cityname;

    @ApiModelProperty(value = "城市/地区/企业编码", notes ="城市/地区/企业编码")
    @Column(name="CITY")
    private String city;

    @ApiModelProperty(value = "当前温度", notes ="当前温度")
    @Column(name="TEMP")
    private String temp;

    @ApiModelProperty(value = "华氏温度", notes ="华氏温度")
    @Column(name="TEMPF")
    private String tempf;

    @ApiModelProperty(value = "风向及等级", notes ="风向及等级")
    @Column(name="WD")
    private String wd;

    @ApiModelProperty(value = "风向英文缩写", notes ="风向英文缩写")
    @Column(name="WDE")
    private String wde;

    @ApiModelProperty(value = "风速等级", notes ="风速等级")
    @Column(name="WS")
    private String ws;

    @ApiModelProperty(value = "风速", notes ="风速")
    @Column(name="WSE")
    private String wse;

    @ApiModelProperty(value = "空气湿度", notes ="空气湿度")
    @Column(name="SD")
    private String sd;

    @ApiModelProperty(value = "天气", notes ="天气")
    @Column(name="WEATHER")
    private String weather;

    @ApiModelProperty(value = "天气英文", notes ="天气英文")
    @Column(name="WEATHERE")
    private String weathere;

    @ApiModelProperty(value = "天气代码", notes ="天气代码")
    @Column(name="WEATHERCODE")
    private String weathercode;

    @ApiModelProperty(value = "气压", notes ="气压")
    @Column(name="QY")
    private String qy;

    @ApiModelProperty(value = "能见度", notes ="能见度")
    @Column(name="NJD")
    private String njd;

    @ApiModelProperty(value = "当前降雨量(毫米)", notes ="当前降雨量(毫米)")
    @Column(name="RAIN")
    private String rain;

    @ApiModelProperty(value = "24h降雨量(毫米)", notes ="24h降雨量(毫米)")
    @Column(name="RAIN24")
    private String rain24;

    @ApiModelProperty(value = "空气质量指数", notes ="空气质量指数")
    @Column(name="AQI")
    private String aqi;

    @ApiModelProperty(value = "汽车限号", notes ="汽车限号")
    @Column(name="LIMITNUMBER")
    private String limitnumber;

    @ApiModelProperty(value = "空气质量指数(PM)", notes ="空气质量指数(PM)")
    @Column(name="AQI_PM25")
    private String aqiPm25;

    @ApiModelProperty(value = "日期标示", notes ="日期标示")
    @Column(name="DATE_STAMP")
    private String dateStamp;

    @ApiModelProperty(value = "时间标示#<唯一>", notes ="时间标示")
    @Column(name="TIME_STAMP")
    private String timeStamp;

    @ApiModelProperty(value = "降雨等级", notes ="降雨等级")
    @Column(name="RAIN_LEVEL")
    private String rainLevel;

    @ApiModelProperty(value = "降雨量(毫米)", notes ="降雨量(毫米)")
    @Column(name="RAIN_VALUE")
    private String rainValue;

    @ApiModelProperty(value = "降雨消息", notes ="降雨消息")
    @Column(name="RAIN_MSG")
    private String rainMsg;

    @ApiModelProperty(value = "排序", notes ="排序")
    @Column(name="DATA_ORDER")
    private Integer dataOrder;

    @ApiModelProperty(value = "数据版本号", notes ="数据版本号")
    @Column(name="VERSION", updatable = false)
    private String version;

    @ApiModelProperty(value = "数据uuid值", notes ="数据uuid值")
    @Column(name="DATA_UUID")
    private String dataUuid;

    @ApiModelProperty(value = "数据md5值", notes ="数据md5值")
    @Column(name="DATA_MD5")
    private String dataMd5;

    @ApiModelProperty(value = "数据时间戳", notes ="数据时间戳")
    @Column(name="DATA_STAMP")
    private String dataStamp;

    @ApiModelProperty(value = "数据类型", notes ="数据类型")
    @Column(name="DATA_TYPE")
    private String dataType;

    public RainDO() {
        super();
    }
}