/*
 * CheckstandardInfoDO.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-08-20 22:44:52 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.server.entity.standard;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.common.entity.base.BaseDO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * CHECKSTANDARD_INFO
 * @author lipenghe with LAPTOP-IJQ2SDFV at 2020-08-20 22:44:52
 */
@ApiModel(value = "CHECKSTANDARD_INFO:标准信息")
@Data
@Table(name="CHECKSTANDARD_INFO")
public class CheckstandardInfoDO extends BaseDO {
    @ApiModelProperty(value = "标准id#<主键><唯一><非空>", notes ="标准id")
    @Id
    @Column(name="CHECKSTANDARD_ID")
    private String checkstandardId;

    @ApiModelProperty(value = "是否使用", notes ="是否使用")
    @Column(name="IS_USED")
    private String isUsed;

    @ApiModelProperty(value = "组织id", notes ="组织id")
    @Column(name="ORG_CODE")
    private String orgCode;

    @ApiModelProperty(value = "标准编码", notes ="标准编码")
    @Column(name="STANDARD_CODE")
    private String standardCode;

    @ApiModelProperty(value = "标准附件id", notes ="标准附件id")
    @Column(name="STANDARD_FILE")
    private String standardFile;

    @ApiModelProperty(value = "标准名", notes ="标准名")
    @Column(name="STANDARD_NAME")
    private String standardName;

    @ApiModelProperty(value = "标准类型", notes ="标准类型")
    @Column(name="STANDARD_TYPE")
    private String standardType;

    @ApiModelProperty(value = "执行时间", notes ="执行时间")
    @Column(name="DO_TIME")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date doTime;

    @ApiModelProperty(value = "发布时间", notes ="发布时间")
    @Column(name="PUB_TIME")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date pubTime;

    @ApiModelProperty(value = "有效时间", notes ="有效时间")
    @Column(name="VALID_TIME")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date validTime;

    @ApiModelProperty(value = "质检系统标准id", notes ="质检系统标准id")
    @Column(name="STANDARD_ID")
    private String standardId;

    public CheckstandardInfoDO() {
        super();
    }
}