/*
 * AbnormalService.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-05-12 16:19:04 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.server.service;

import com.unis.common.utils.ResponseWrapper;
import com.unis.quality.common.vo.abnormal.AbnormalVO;
import com.unis.quality.server.entity.abnormal.AbnormalDO;

/**
 * TY_YCQKZGTZ-异常情况整改通知
 * @author lipenghe at 2020-05-12 16:19:04
 */
public interface AbnormalService {
    /**
     * <TY_YCQKZGTZ-异常情况整改通知>
     * 插入全部字段
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper insertEntityResult(AbnormalVO abnormalVO);

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>
     * 选择性插入字段
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper insertEntitySelectiveResult(AbnormalVO abnormalVO);

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>
     * 更改状态
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateStatusByEntityResult(AbnormalVO abnormalVO, String limit);

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>
     * 根据实体某些属性更新全部字段
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntityResult(AbnormalVO abnormalVO, String limit);

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>
     * 根据实体不为空的属性,选择性更新字段
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntitySelectiveResult(AbnormalVO abnormalVO, String limit);

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>
     * 根据实体不为空的属性,选择性更新字段,只更新主表,不更新子表
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateSingleByEntitySelectiveResult(AbnormalVO abnormalVO, String limit);

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>
     * 根据实体不为空的属性,选择性更新字段
     * @param entity    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntitySelectiveResult(AbnormalDO entity, String limit);

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>
     * [真删除]根据实体的某些属性进行单条或者批量删除
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper deleteByEntityResult(AbnormalVO abnormalVO, String limit);

    /**
    * <TY_YCQKZGTZ-异常情况整改通知>
    * 根据实体(唯一标示)查询一条数据
    * @param abnormalVO    <异常情况整改通知>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    ResponseWrapper selectByIdResult(AbnormalVO abnormalVO);

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>
     * 根据实体(唯一标示)查询一条数据
     * @param entity    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByIdResult(AbnormalDO entity);

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>
     * 根据实体的某些属性查询分页数据,带限制条件
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectPageByEntityResult(int pageNo, int pageSize
            , AbnormalVO abnormalVO, String order);

    /**
    * <TY_YCQKZGTZ-异常情况整改通知>
    * 根据实体的某些属性查询列表
    * @param abnormalVO    <异常情况整改通知>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    ResponseWrapper selectByEntityResult(AbnormalVO abnormalVO);

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>
     * 根据实体的某些属性查询列表
     * @param entity    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByEntityResult(AbnormalDO entity);

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>
     * 根据实体查询初始化数据
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectInitDataResult(AbnormalVO abnormalVO);

}