package com.unis.quality.server.service;


import com.unis.quality.common.vo.backlog.ReceiverCollectionVO;

import java.util.List;

/**
 * 
 * @Description：待办服务
 * @author：王帅
 * @date: 2020年2月27日
 */
public interface BacklogMQService {

	/**
	 * 
	 * @Description: 简单消息发送
	 * @author: 王帅
	 * @param: @param obj
	 * @param: @param type 参数
	 * @return: void 返回类型
	 */
	public void sendMsg(Object obj, String type);
	
	/**
	 * @Author lidiaoquan
	 * @version V1.0
	 * @Description 加待办-储备粮
	 * @Date 2020年4月14日 下午4:27:53
	 * @param id
	 * @param title
	 * @param status
	 * @param statusName
	 * @param itemUrl
	 * @param itemQuery
	 * @param itemQueryHaveDone
	 * @param userList void
	 */
	public void addNeedToDeals(String id, String title, String status, String statusName, String itemUrl, String itemQuery,
                               String itemQueryHaveDone,
                               String itemUrlHaveDone,
                               List<ReceiverCollectionVO> userList);

	/**
	 * @Author lidiaoquan
	 * @version V1.0
	 * @Description 加待办-信息备案审核
	 * @Date 2020年4月14日 下午4:28:08
	 * @param id
	 * @param title
	 * @param status
	 * @param statusName
	 * @param itemUrl
	 * @param itemQuery
	 * @param itemQueryHaveDone
	 * @param userList void
	 */
	public void addInfoCheckNeedToDeals(String id, String title, String status, String statusName, String itemUrl, String itemQuery,
                                        String itemQueryHaveDone,
                                        String itemUrlHaveDone,
                                        List<ReceiverCollectionVO> userList);

	/**
	 * @Author lidiaoquan
	 * @version V1.0
	 * @Description 加已办
	 * @Date 2020年3月30日 上午10:11:21
	 * @param itemId
	 * @param itemName
	 * @param status
	 * @param statusName void
	 */
	void addDeals(String itemId, String itemName, String status, String statusName);
	
	/**
	 * @Author lidiaoquan
	 * @version V1.0
	 * @Description 加已办
	 * @Date 2020年3月30日 上午10:11:21
	 * @param itemId
	 * @param itemName
	 * @param status
	 * @param statusName void
	 */
	void addInfoCheckDeals(String itemId, String itemName, String status, String statusName);
}
