/*
 * CheckstandardInfoService.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-08-20 22:44:51 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.server.service;

import com.unis.common.utils.ResponseWrapper;
import com.unis.quality.common.vo.standard.CheckstandardInfoVO;
import com.unis.quality.server.entity.standard.CheckstandardInfoDO;

/**
 * CHECKSTANDARD_INFO-标准信息
 * @author lipenghe at 2020-08-20 22:44:51
 */
public interface CheckstandardInfoService {
    /**
    * <CHECKSTANDARD_INFO-标准信息>
    * 选择性保存,包含新增和修改
    * @param checkstandardInfoVO    <标准信息>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    public ResponseWrapper saveEntitySelectiveResult(CheckstandardInfoVO checkstandardInfoVO);

    /**
     * <CHECKSTANDARD_INFO-标准信息>
     * 插入全部字段
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper insertEntityResult(CheckstandardInfoVO checkstandardInfoVO);

    /**
     * <CHECKSTANDARD_INFO-标准信息>
     * 选择性插入字段
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper insertEntitySelectiveResult(CheckstandardInfoVO checkstandardInfoVO);

    /**
     * <CHECKSTANDARD_INFO-标准信息>
     * 更改状态
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateStatusByEntityResult(CheckstandardInfoVO checkstandardInfoVO, String limit);

    /**
     * <CHECKSTANDARD_INFO-标准信息>
     * 根据实体某些属性更新全部字段
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntityResult(CheckstandardInfoVO checkstandardInfoVO, String limit);

    /**
     * <CHECKSTANDARD_INFO-标准信息>
     * 根据实体不为空的属性,选择性更新字段
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntitySelectiveResult(CheckstandardInfoVO checkstandardInfoVO, String limit);

    /**
     * <CHECKSTANDARD_INFO-标准信息>
     * 根据实体不为空的属性,选择性更新字段,只更新主表,不更新子表
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateSingleByEntitySelectiveResult(CheckstandardInfoVO checkstandardInfoVO, String limit);

    /**
     * <CHECKSTANDARD_INFO-标准信息>
     * 根据实体不为空的属性,选择性更新字段
     * @param entity    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntitySelectiveResult(CheckstandardInfoDO entity, String limit);

    /**
     * <CHECKSTANDARD_INFO-标准信息>
     * [真删除]根据实体的某些属性进行单条或者批量删除
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper deleteByEntityResult(CheckstandardInfoVO checkstandardInfoVO, String limit);

    /**
    * <CHECKSTANDARD_INFO-标准信息>
    * 根据实体(唯一标示)查询一条数据
    * @param checkstandardInfoVO    <标准信息>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    ResponseWrapper selectByIdResult(CheckstandardInfoVO checkstandardInfoVO);

    /**
     * <CHECKSTANDARD_INFO-标准信息>
     * 根据实体(唯一标示)查询一条数据
     * @param entity    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByIdResult(CheckstandardInfoDO entity);

    /**
     * <CHECKSTANDARD_INFO-标准信息>
     * 根据实体的某些属性查询分页数据,带限制条件
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectPageByEntityResult(int pageNo, int pageSize
            , CheckstandardInfoVO checkstandardInfoVO, String order);

    /**
    * <CHECKSTANDARD_INFO-标准信息>
    * 根据实体的某些属性查询列表
    * @param checkstandardInfoVO    <标准信息>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    ResponseWrapper selectByEntityResult(CheckstandardInfoVO checkstandardInfoVO);

    /**
     * <CHECKSTANDARD_INFO-标准信息>
     * 根据实体的某些属性查询列表
     * @param entity    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByEntityResult(CheckstandardInfoDO entity);

    /**
     * <CHECKSTANDARD_INFO-标准信息>
     * 根据实体查询初始化数据
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectInitDataResult(CheckstandardInfoVO checkstandardInfoVO);

}