/*
 * CheckstandardItemLevelService.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-08-20 22:44:51 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.server.service;

import com.unis.common.utils.ResponseWrapper;
import com.unis.quality.common.vo.standard.CheckstandardItemLevelVO;
import com.unis.quality.server.entity.standard.CheckstandardItemLevelDO;

/**
 * CHECKSTANDARD_ITEMLEVEL-标准详情规则
 * @author lipenghe at 2020-08-20 22:44:51
 */
public interface CheckstandardItemLevelService {
    /**
    * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
    * 选择性保存,包含新增和修改
    * @param itemLevelVO    <标准详情规则>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    public ResponseWrapper saveEntitySelectiveResult(CheckstandardItemLevelVO itemLevelVO);

    /**
     * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
     * 插入全部字段
     * @param itemLevelVO    <标准详情规则>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper insertEntityResult(CheckstandardItemLevelVO itemLevelVO);

    /**
     * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
     * 选择性插入字段
     * @param itemLevelVO    <标准详情规则>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper insertEntitySelectiveResult(CheckstandardItemLevelVO itemLevelVO);

    /**
     * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
     * 更改状态
     * @param itemLevelVO    <标准详情规则>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateStatusByEntityResult(CheckstandardItemLevelVO itemLevelVO, String limit);

    /**
     * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
     * 根据实体某些属性更新全部字段
     * @param itemLevelVO    <标准详情规则>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntityResult(CheckstandardItemLevelVO itemLevelVO, String limit);

    /**
     * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
     * 根据实体不为空的属性,选择性更新字段
     * @param itemLevelVO    <标准详情规则>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntitySelectiveResult(CheckstandardItemLevelVO itemLevelVO, String limit);

    /**
     * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
     * 根据实体不为空的属性,选择性更新字段
     * @param entity    <标准详情规则>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntitySelectiveResult(CheckstandardItemLevelDO entity, String limit);

    /**
     * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
     * [真删除]根据实体的某些属性进行单条或者批量删除
     * @param itemLevelVO    <标准详情规则>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper deleteByEntityResult(CheckstandardItemLevelVO itemLevelVO, String limit);

    /**
    * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
    * 根据实体(唯一标示)查询一条数据
    * @param itemLevelVO    <标准详情规则>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    ResponseWrapper selectByIdResult(CheckstandardItemLevelVO itemLevelVO);

    /**
     * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
     * 根据实体(唯一标示)查询一条数据
     * @param entity    <标准详情规则>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByIdResult(CheckstandardItemLevelDO entity);

    /**
     * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
     * 根据实体的某些属性查询分页数据,带限制条件
     * @param itemLevelVO    <标准详情规则>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectPageByEntityResult(int pageNo, int pageSize
            , CheckstandardItemLevelVO itemLevelVO, String order);

    /**
    * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
    * 根据实体的某些属性查询列表
    * @param itemLevelVO    <标准详情规则>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    ResponseWrapper selectByEntityResult(CheckstandardItemLevelVO itemLevelVO);

    /**
     * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
     * 根据实体的某些属性查询列表
     * @param entity    <标准详情规则>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByEntityResult(CheckstandardItemLevelDO entity);

    /**
     * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
     * 根据实体查询初始化数据
     * @param itemLevelVO    <标准详情规则>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectInitDataResult(CheckstandardItemLevelVO itemLevelVO);

}