/*
 * CheckstandardItemService.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-08-20 22:44:51 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.server.service;

import com.unis.common.utils.ResponseWrapper;
import com.unis.quality.common.vo.standard.CheckstandardItemVO;
import com.unis.quality.server.entity.standard.CheckstandardItemDO;

/**
 * CHECKSTANDARD_ITEM-标准详情
 * @author lipenghe at 2020-08-20 22:44:51
 */
public interface CheckstandardItemService {
    /**
    * <CHECKSTANDARD_ITEM-标准详情>
    * 选择性保存,包含新增和修改
    * @param checkstandardItemVO    <标准详情>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    public ResponseWrapper saveEntitySelectiveResult(CheckstandardItemVO checkstandardItemVO);

    /**
     * <CHECKSTANDARD_ITEM-标准详情>
     * 插入全部字段
     * @param checkstandardItemVO    <标准详情>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper insertEntityResult(CheckstandardItemVO checkstandardItemVO);

    /**
     * <CHECKSTANDARD_ITEM-标准详情>
     * 选择性插入字段
     * @param checkstandardItemVO    <标准详情>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper insertEntitySelectiveResult(CheckstandardItemVO checkstandardItemVO);

    /**
     * <CHECKSTANDARD_ITEM-标准详情>
     * 更改状态
     * @param checkstandardItemVO    <标准详情>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateStatusByEntityResult(CheckstandardItemVO checkstandardItemVO, String limit);

    /**
     * <CHECKSTANDARD_ITEM-标准详情>
     * 根据实体某些属性更新全部字段
     * @param checkstandardItemVO    <标准详情>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntityResult(CheckstandardItemVO checkstandardItemVO, String limit);

    /**
     * <CHECKSTANDARD_ITEM-标准详情>
     * 根据实体不为空的属性,选择性更新字段
     * @param checkstandardItemVO    <标准详情>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntitySelectiveResult(CheckstandardItemVO checkstandardItemVO, String limit);

    /**
     * <CHECKSTANDARD_ITEM-标准详情>
     * 根据实体不为空的属性,选择性更新字段,只更新主表,不更新子表
     * @param checkstandardItemVO    <标准详情>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateSingleByEntitySelectiveResult(CheckstandardItemVO checkstandardItemVO, String limit);

    /**
     * <CHECKSTANDARD_ITEM-标准详情>
     * 根据实体不为空的属性,选择性更新字段
     * @param entity    <标准详情>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntitySelectiveResult(CheckstandardItemDO entity, String limit);

    /**
     * <CHECKSTANDARD_ITEM-标准详情>
     * [真删除]根据实体的某些属性进行单条或者批量删除
     * @param checkstandardItemVO    <标准详情>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper deleteByEntityResult(CheckstandardItemVO checkstandardItemVO, String limit);

    /**
    * <CHECKSTANDARD_ITEM-标准详情>
    * 根据实体(唯一标示)查询一条数据
    * @param checkstandardItemVO    <标准详情>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    ResponseWrapper selectByIdResult(CheckstandardItemVO checkstandardItemVO);

    /**
     * <CHECKSTANDARD_ITEM-标准详情>
     * 根据实体(唯一标示)查询一条数据
     * @param entity    <标准详情>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByIdResult(CheckstandardItemDO entity);

    /**
     * <CHECKSTANDARD_ITEM-标准详情>
     * 根据实体的某些属性查询分页数据,带限制条件
     * @param checkstandardItemVO    <标准详情>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectPageByEntityResult(int pageNo, int pageSize
            , CheckstandardItemVO checkstandardItemVO, String order);

    /**
    * <CHECKSTANDARD_ITEM-标准详情>
    * 根据实体的某些属性查询列表
    * @param checkstandardItemVO    <标准详情>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    ResponseWrapper selectByEntityResult(CheckstandardItemVO checkstandardItemVO);

    /**
     * <CHECKSTANDARD_ITEM-标准详情>
     * 根据实体的某些属性查询列表
     * @param entity    <标准详情>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByEntityResult(CheckstandardItemDO entity);

    /**
     * <CHECKSTANDARD_ITEM-标准详情>
     * 根据实体查询初始化数据
     * @param checkstandardItemVO    <标准详情>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectInitDataResult(CheckstandardItemVO checkstandardItemVO);

}