package com.unis.quality.server.service;

import com.alibaba.fastjson.JSONObject;
import com.unis.common.utils.ResponseWrapper;
import com.unis.common.vo.base.PageResult;
import com.unis.quality.common.vo.*;

import java.util.Map;

/**
 * @author by PIG
 * 2023/10/10 10
 */
public interface EntrustInspectService {

    PageResult<EntrustInspectApplyVO> selectApplyPageByEntity(int pageNum, int pageSize, int pageType, JSONObject queryParams);

    EntrustInspectApplyVO selectEntrustInspectApplyById(Long fid);

    int insertEntrustInspectApply(EntrustInspectApplyVO entity);

    /**
     * 创建出库质检申请
     * @param entity
     * @return
     */
    int saveEntrustInspectApplyOut(EntrustInspectApplyVO entity);

    int updateEntrustInspectApply(EntrustInspectApplyVO entity);

    int removeEntrustInspectApplyById(Long fid);

    // 委托

    /**
     * 质检委托分页
     * @param pageNum
     * @param pageSize
     * @param pageType
     * @param queryParams
     * @return
     */
    PageResult<EntrustInspectVO> selectPageByEntity(int pageNum, int pageSize, int pageType, JSONObject queryParams);

    EntrustInspectVO getEntrustInspectById(Long fid);
    Map<String, Object> createEntrustInspect(EntrustInspectVO entity);

    /**
     * 更新委托书
     * @param entity 委托书
     * @return 更新条数
     */
    int updateEntrustInspect(EntrustInspectVO entity);

    // 质检报告

    PageResult<QualityInspectionVO> selectQualityInspectionPageByEntity(int pageNum, int pageSize, int pageType, JSONObject queryParams);

    QualityInspectionVO selectQualityInspectionById(Long fid);

    /**
     * 委托书上传质检报告
     * @param entrustInspectFid 委托书fid
     * @param inspectAttachment 质检报告附件id
     * @param fileData 质检报告解析的数据
     * @return
     */
    int uploadQualityInspection(Long entrustInspectFid, String inspectAttachment, QualityInspectionVO fileData);

    /**
     * 检查委托是是否完成
     * @param xybh 协议编号
     * @param houseId 仓房编号
     * @return complete: 1/0
     */
    ResponseWrapper checkFinish(String xybh, String houseId);
}
