package com.unis.quality.server.service;

import com.github.pagehelper.PageInfo;
import com.unis.common.utils.ResponseWrapper;
import com.unis.quality.common.vo.EntrustQueryVO;
import com.unis.quality.common.vo.EntrustVO;

import java.util.List;
import java.util.Map;

/**
 *功能描述  质检委托业务接口
 * @author wangqiang
 * @date 2019/8/21 0021
 * @param
 * @return
 */
public interface EntrustService {
	/**
	 *功能描述 根据交易编号修改lcId
	 * @author lfx
	 * @date 2019/8/21 0021
	 * @param :[EntrustVOlist, vo]
	 * @return boolean
	 */
	public boolean updateLcId(EntrustVO vo) throws Exception;
	
	
	public Map<String,  Object> selectWtIdBhKctb(EntrustQueryVO entrustQueryVO)throws Exception;

	public ResponseWrapper echartsZjjgqs(EntrustQueryVO entrustQueryVO);

	public Map<String,  Object> selectWtIdBhKc(EntrustQueryVO entrustQueryVO,Integer  page,  Integer  size)throws Exception;
	
	public Map<String,  Object> selectWtIdBh(EntrustQueryVO entrustQueryVO,Integer  page,  Integer  size)throws Exception;
	
	//通过委托id查询质检报告编号
	public String selectZjbgByWtId(String wtId)throws Exception;

	/**
	 *功能描述  根据委托编号查询
	 * @author wangqiang
	 * @date 2019/8/21 0021
	 * @param :[id]
	 * @return com.unis.quality.common.vo.EntrustVO
	 */
	public EntrustVO findById(String wtbh) throws Exception;

	public ResponseWrapper selectById(EntrustVO vo);

	/**
	 *功能描述 状态查询
	 * @author 
	 * @date 2019/8/21 0021
	 * @param :[entrustQueryVO]
	 * @return java.util.List<com.unis.quality.common.vo.EntrustVO>
	 */
	public List<EntrustVO> findByPageZt(EntrustQueryVO entrustQueryVO) throws Exception;
	
	/**
	 *功能描述  根据交易编号查询  其他质检
	 * @author 
	 * @date 2019/8/21 0021
	 * @param :[id]
	 * @return com.unis.quality.common.vo.EntrustVO
	 */
	 public EntrustVO findByIdQt(EntrustVO vo) throws Exception;
	 
	 /**
	     *功能描述 分页获取交易质检
	     * @author 
	     * @date 2019/8/21 0021
	     * @param :[entrustQueryVO]
	     * @return java.util.List<com.unis.quality.common.vo.EntrustVO>
	     */
	    public Map<String,  Object> findJyzjByPage(EntrustQueryVO entrustQueryVO, Integer page, Integer size) throws Exception ;
	/**
	 *功能描述  根据交易编号查询
	 * @author wangqiang
	 * @date 2019/8/21 0021
	 * @param :[id]
	 * @return com.unis.quality.common.vo.EntrustVO
	 */
	public EntrustVO findByJybh(String jybh) throws Exception ;
	/**
	 *功能描述 分页获取委托信息
	 * @author wangqiang
	 * @date 2019/8/21 0021
	 * @param :[entrustQueryVO]
	 * @return java.util.List<com.unis.quality.common.vo.EntrustVO>
	 */
	public PageInfo<List<Map>> findByPage(EntrustQueryVO entrustQueryVO, Integer page, Integer size) throws Exception;

	
	/**
	 *功能描述 强检仓号查询
	 * @author wangqiang
	 * @date 2019/8/21 0021
	 * @param :[entrustQueryVO]
	 * @return java.util.List<com.unis.quality.common.vo.EntrustVO>
	 */
	public PageInfo<List<Map>> findChByPage(EntrustVO entrustVO, Integer page, Integer size) throws Exception;

	/**
	 *功能描述  逻辑删除委托信息
	 * @author wangqiang
	 * @date 2019/8/21 0021
	 * @param :[id]
	 * @return boolean
	 */
	public boolean delete(EntrustVO vo) throws Exception;

	/**
	 *功能描述  物理删除粮库导入数据
	 * @author wangqiang
	 * @date 2019/8/21 0021
	 * @param :[id]
	 * @return boolean
	 */
	public boolean delete() throws Exception;

	public boolean deleteByJybh(EntrustVO vo) throws Exception;


	/**
	 *功能描述 保存质检委托信息
	 * @author wangqiang
	 * @date 2019/8/21 0021
	 * @param :[vo]
	 * @return boolean
	 */
	public boolean save( EntrustVO vo) throws Exception;

	/**
	 *  保存交易质检信息
	 * @author wangqiang
	 * @date 2019/8/21 0021
	 * @param :[vo]
	 * @return boolean
	 */
	public boolean insertEntityJiaoYi( EntrustVO vo) throws Exception;


	/**
	 *功能描述 修改质检委托信息
	 * @author wangqiang
	 * @date 2019/8/21 0021
	 * @param :[EntrustVOlist, vo]
	 * @return boolean
	 */
	public boolean update( EntrustVO vo) throws Exception;

	public boolean  submitEntrust(EntrustVO vo)throws Exception;
	
	//推送委托
	public String sendWt(EntrustVO vo)throws Exception;
	
	
	/**
	 *功能描述  根据wtbh查询
	 * @author 
	 * @date 2019/8/21 0021
	 * @param :[id]
	 * @return com.unis.quality.common.vo.EntrustVO
	 */
	public List<Map> findByWtbhQT(EntrustVO vo) throws Exception;
	
	//拼接
	public String queryMAXWtbh(String zjbh) throws Exception;
}
