package com.unis.quality.server.service;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.JSONArray;
import com.unis.quality.common.vo.EquipmentVO;

/**
 * @Description 粮食质量安全检测体系-机构设备信息
 * @ClassName EquipmentService
 * @author lfx
 * @date 2018年10月30日14:09:15
 * @version v1.0
 */
public interface EquipmentService {
	

	/**
	 * @Description 根据id查询设备详情
	 * @version v1.0
	 * @author lfx
	 * @date 2018年10月30日14:21:43
	 * @param id
	 * @return EquipmentDO
	 * @throws Exception
	 */
	public List<EquipmentVO> findByIdAndIsDeleted(String id) throws Exception;
	

	/**
	 * @Description 查询设备信息、分页
	 * @version v1.0
	 * @author lfx
	 * @param EquipmentVO
	 * @date 2018年10月30日15:01:37
	 * @return java.util.List
	 * @throws Exception
	 */
	public Map<String, Object> findByPage(EquipmentVO equipmentVO, Integer page, Integer size) throws Exception;

	/**
	 * @Description 多选删除
	 * @version v1.0
	 * @author lfx
	 * @param ids
	 * @date 2018年10月30日10:41:56
	 * @return boolean
	 * @throws Exception
	 */
	public boolean deletes(String[] ids,EquipmentVO vo) throws Exception;

	/**
	 * @Description 保存信息
	 * @version v1.0
	 * @author lfx
	 * @date 2018年10月30日10:43:55
	 * @param EquipmentVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean save(Map<String, Object> equipmentList,EquipmentVO vo) throws Exception;

	/**
	 * @Description 更新设备信息
	 * @version v1.0
	 * @author lfx
	 * @date 2018年10月30日10:45:49
	 * @param EquipmentVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean update(Map<String, Object> EquipmentVOlist,EquipmentVO vo) throws Exception;


	/**
	 * @Author lidiaoquan
	 * @version V1.0
	 * @Description 同步base-server中的设备--检验化验仪器设备
	 * @Date 2020年3月10日 下午3:51:43
	 * @param contentJsonArr
	 * @return boolean
	 */
	public boolean synBaseServerEquipment(JSONArray contentJsonArr);
}
