package com.unis.quality.server.service;

import java.util.List;
import java.util.Map;

import com.unis.quality.common.dto.FoodStockDTO;
import com.unis.quality.common.vo.FoodStockItemsVO;
import com.unis.quality.server.entity.quality.FoodStockDO;

/**
 * @ClassName FoodStockDao
 * @Description 品质测报-库存粮食质量检测品登统表
 * @author lfx
 * @date 2019年7月24日17:26:44
 * @version v1.0
 */

public interface FoodStockService {

	/**
	 * @Description 根据id查询审核详情
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/24
	 * @param id
	 * @return
	 * @throws Exception
	 */
	public Map<String, Object>  findByIdAndIsDeleted(FoodStockDTO fdto1) throws Exception;
	
	/**
	 * @Description 查询
	 * @version v1.0
	 * @author lfx
	 * @param page
	 * @param size
	 * @date 2018/10/19
	 * @return java.util.List
	 * @throws Exception
	 */
	public Map<String, Object> findByPage(FoodStockDTO aduitVO, Integer page, Integer size) throws Exception;

	/**
	 * @Description 多选删除
	 * @version v1.0
	 * @author lfx
	 * @param ids
	 * @date 2018/10/24
	 * @return boolean
	 * @throws Exception
	 */
	public boolean deletes(String[] ids,String batch,String areaCode,String deptName) throws Exception;

	/**
	 * @Description 保存品质测报-结果审核
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月10日11:25:58
	 * @return boolean
	 * @throws Exception
	 */
	public boolean save(Map<String, Object> aduitList,FoodStockDTO fDto) throws Exception;

	/**
	 * @Description 更新品质测报-结果审核
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月10日15:02:41
	 * @return boolean
	 * @throws Exception
	 */
	public boolean update(Map<String, Object> aduitList,FoodStockDTO fDto) throws Exception;
	
	
	/**
	 * @Description 品质测报-结果上报
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月19日15:12:44
	 * @return boolean
	 * @throws Exception
	 */
	public boolean updateState(FoodStockDTO fDto) throws Exception;
	
	
	/**
	 * @Description 样品信息同步
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月27日15:29:45
	 * @return boolean
	 * @throws Exception
	 */
	public List<Map> getSampleInformation(FoodStockDTO fDto) throws Exception;
	
	
	/**
	 * @Description 盟市、旗县、自治区汇总
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月27日15:29:45
	 * @return boolean
	 * @throws Exception
	 */
	public Map<String,Object> getAll(String type,String areaCode) throws Exception;
	
	/**
	 * @Description 盟市、旗县、自治区质检档案
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月27日15:29:45
	 * @return boolean
	 * @throws Exception
	 */
	public Map<String,Object> allInformation(FoodStockDTO fDto) throws Exception;
	
	
	/**
	 * @Description  检测业务查询统计     饼图-样品份数
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月27日15:29:45
	 * @return boolean
	 * @throws Exception
	 */
	public List<Map> sampleNumber(String years) throws Exception;
	
	/**
	 * @Description 检测业务查询统计     柱状图-储存品质总代表数量
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月27日15:29:45
	 * @return boolean
	 * @throws Exception
	 */
	public List<Map> natureNumber(String years) throws Exception;
	
	/**
	 * @Description 检测业务查询统计     柱状图-宜存率 
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月27日15:29:45
	 * @return boolean
	 * @throws Exception
	 */
	public List<Map> suitableDeposit(String years) throws Exception;
	
}
