package com.unis.quality.server.service;

import java.util.List;
import java.util.Map;

import org.springframework.web.multipart.MultipartFile;

import com.unis.quality.common.vo.FxlyCompanyVO;
import com.unis.quality.common.vo.OrganizationVO;
import com.unis.quality.server.entity.quality.OrganizationDO;

/**
 * @Description 放心粮油企业
 * @ClassName FxlyCompanyService
 * @version v1.0
 * @author lfx
 * @date 2018年10月26日 下午3:50:01
 *
 */

public interface FxlyCompanyService {
	
	//放心粮油导入
	public boolean importExcel(MultipartFile file) throws Exception;
	
	/**
	 * @Description 根据id查询详情
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @return
	 * @throws Exception
	 */
	public FxlyCompanyVO findByIdAndIsDeleted(String qyxydm) throws Exception;
	
	
	public  Map<String,  Object>  findByPage(FxlyCompanyVO  organizationVO,  Integer  page,  Integer  size)  throws  Exception;
	
	/**
	 * @Description 保存
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @return boolean
	 * @throws Exception
	 */
	public boolean save(FxlyCompanyVO vo) throws Exception;
	
	/**
	 * @Description 更新
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @return boolean
	 * @throws Exception
	 */
	public boolean update(FxlyCompanyVO organizationVO) throws Exception;

	/**
	 * @Author lidiaoquan
	 * @version V1.0
	 * @Description 获取列表
	 * @Date 2019年12月6日 下午5:33:01
	 * @param organizationVO
	 * @return
	 * @throws Exception List<FxlyCompanyVO>
	 */
	public  List<FxlyCompanyVO>  findList(FxlyCompanyVO  organizationVO)  throws  Exception;
}
