package com.unis.quality.server.service;

import java.util.Map;

import com.alibaba.fastjson.JSONArray;
import com.unis.quality.common.vo.OrganizationVO;
import com.unis.quality.server.entity.quality.OrganizationDO;

/**
 * @Description 粮食质量安全检测体系-机构信息
 * @ClassName OrganizationService
 * @version v1.0
 * @author lfx
 * @date 2018年10月26日 下午3:50:01
 *
 */

public interface OrganizationService {
	
	/**
	 * @Description 根据id查询详情
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @param organizationId
	 * @return
	 * @throws Exception
	 */
	public OrganizationVO findByIdAndIsDeleted(String organizationId) throws Exception;

	public OrganizationDO findByIdAndIsDeleted(String id, int isDelete) throws Exception;
	/**
	 * @Description 根据标题、创建人查询机构信息
	 * @version v1.0
	 * @author lfx
	 * @param OrganizationVO
	 * @date 2018/10/19
	 * @return java.util.List
	 * @throws Exception
	 */
	public Map<String, Object> findByPage(OrganizationVO organizationVO, Integer page, Integer size) throws Exception;

	/**
	 * @Description 多选删除
	 * @version v1.0
	 * @author lfx
	 * @param organizationIds
	 * @date 2018/10/29
	 * @return boolean
	 * @throws Exception
	 */
	public boolean deletes(String[] ids,OrganizationVO organizationVO) throws Exception;

	/**
	 * @Description 保存机构信息
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @param OrganizationVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean save(OrganizationVO OrganizationVO) throws Exception;

	/**
	 * @Description 更新机构信息
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @param OrganizationVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean update(OrganizationVO organizationVO) throws Exception;
	
	/**
	 * @Description 根据名称查询id
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @param organizationName
	 * @return
	 * @throws Exception
	 */
	public String findByName(String organizationName) throws Exception;

	/**
	 * @Author lidiaoquan
	 * @version V1.0
	 * @Description 同步用户中心机构
	 * @Date 2020年3月10日 上午10:11:33
	 * @param contentJsonArr 
	 * @return boolean
	 * @throws Exception 
	 */
	public boolean synMyuserOrg(JSONArray contentJsonArr) throws Exception;
}
