package com.unis.quality.server.service;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.JSONArray;
import com.unis.quality.common.vo.PersonnelManagementVO;

/**
 * @Description 粮食质量安全检测体系-人员信息
 * @ClassName PersonnelManagementService
 * @author lfx
 * @date 2018年10月30日10:17:43
 * @version v1.0
 *
 */

public interface PersonnelManagementService {
	

	/**
	 * @Description 根据id查询人员详情
	 * @version v1.0
	 * @author lfx
	 * @date 2018年10月30日10:18:35
	 * @param id
	 * @return
	 * @throws Exception
	 */
	public List<PersonnelManagementVO> findByIdAndIsDeleted(String id) throws Exception;

	/**
	 * @Description 查询人员信息、分页
	 * @version v1.0
	 * @author lfx
	 * @param PersonnelManagementVO
	 * @date 2018年10月30日10:38:06
	 * @return java.util.List
	 * @throws Exception
	 */
	public Map<String, Object> findByPage(PersonnelManagementVO personnelManagementVO, Integer page, Integer size) throws Exception;

	/**
	 * @Description 多选删除
	 * @version v1.0
	 * @author lfx
	 * @param ids
	 * @date 2018年10月30日10:41:45
	 * @return boolean
	 * @throws Exception
	 */
	public boolean deletes(String[] ids,PersonnelManagementVO vo) throws Exception;

	/**
	 * @Description 保存信息
	 * @version v1.0
	 * @author lfx
	 * @date 2018年10月30日10:43:43
	 * @param PersonnelManagementVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean save(Map<String, Object> pManagementList,PersonnelManagementVO vo) throws Exception;

	/**
	 * @Description 更新信息
	 * @version v1.0
	 * @author lfx
	 * @date 2018年10月30日10:45:37
	 * @param PersonnelManagementVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean update(Map<String, Object> personnelManagementVOlist,PersonnelManagementVO vo) throws Exception;

	/**
	 * @Author lidiaoquan
	 * @version V1.0
	 * @Description 步base-server中的人员--化验
	 * @Date 2020年3月10日 下午3:49:55
	 * @param contentJsonArr
	 * @return boolean
	 */
	public boolean synBaseServerPerson(JSONArray contentJsonArr);
}
