/*
 * RainService.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-08-11 17:08:12 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.server.service;

import com.unis.common.utils.ResponseWrapper;
import com.unis.common.vo.base.PageResult;
import com.unis.quality.common.vo.weather.RainVO;
import com.unis.quality.common.vo.weather.TianQiResult;
import com.unis.quality.server.entity.quality.weather.RainDO;

import java.util.List;

/**
 * PLUG_WEATHER_RAIN-降雨量表
 * @author lipenghe at 2020-08-11 17:08:12
 */
public interface RainService {
    /**
     * <PLUG_WEATHER_RAIN-降雨量表>
     * 插入全部字段
     * @param rainVO    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper insertEntityResult(RainVO rainVO);

    /**
     * <PLUG_WEATHER_RAIN-降雨量表>
     * 选择性插入字段
     * @param rainVO    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper insertEntitySelectiveResult(RainVO rainVO);

    /**
     * <PLUG_WEATHER_RAIN-降雨量表>
     * 选择性插入字段
     * @param tianQiResultList    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper saveSelective(List<TianQiResult> tianQiResultList);

    /**
     * <PLUG_WEATHER_RAIN-降雨量表>
     * 更改状态
     * @param rainVO    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateStatusByEntityResult(RainVO rainVO, String limit);

    /**
     * <PLUG_WEATHER_RAIN-降雨量表>
     * 根据实体某些属性更新全部字段
     * @param rainVO    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntityResult(RainVO rainVO, String limit);

    /**
     * <PLUG_WEATHER_RAIN-降雨量表>
     * 根据实体不为空的属性,选择性更新字段
     * @param rainVO    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntitySelectiveResult(RainVO rainVO, String limit);

    /**
     * <PLUG_WEATHER_RAIN-降雨量表>
     * 根据实体不为空的属性,选择性更新字段
     * @param entity    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntitySelectiveResult(RainDO entity, String limit);

    /**
     * <PLUG_WEATHER_RAIN-降雨量表>
     * [真删除]根据实体的某些属性进行单条或者批量删除
     * @param rainVO    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper deleteByEntityResult(RainVO rainVO, String limit);

    /**
    * <PLUG_WEATHER_RAIN-降雨量表>
    * 根据实体(唯一标示)查询一条数据
    * @param rainVO    <降雨量表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    ResponseWrapper selectByIdResult(RainVO rainVO);

    /**
     * <PLUG_WEATHER_RAIN-降雨量表>
     * 根据实体(唯一标示)查询一条数据
     * @param entity    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByIdResult(RainDO entity);

    /**
     * <PLUG_WEATHER_RAIN-降雨量表>
     * 根据实体的某些属性查询分页数据,带限制条件
     * @param rainVO    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectPageByEntityResult(int pageNo, int pageSize
            , RainVO rainVO, String order);

    /**
    * <PLUG_WEATHER_RAIN-降雨量表>
    * 根据实体的某些属性查询列表
    * @param rainVO    <降雨量表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    ResponseWrapper selectByEntityResult(RainVO rainVO);

    /**
     * <PLUG_WEATHER_RAIN-降雨量表>
     * 根据实体的某些属性查询列表
     * @param entity    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByEntityResult(RainDO entity);

    /**
     * <PLUG_WEATHER_RAIN-降雨量表>
     * 根据实体查询初始化数据
     * @param rainVO    <降雨量表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectInitDataResult(RainVO rainVO);

}