package com.unis.quality.server.service;

import java.util.List;
import java.util.Map;

import com.unis.quality.common.vo.TestParametersVO;

/**
 * @Description  质检机构管理--检验参数
 * @ClassName TestParametersService
 * @version v1.0
 * @author lfx
 * @date 2018年10月26日 下午3:50:01
 *
 */
public interface TestParametersService {
	

	/**
	 * @Description 根据id查询详情
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @param Id
	 * @return
	 * @throws Exception
	 */
	public List<TestParametersVO> findByIdAndIsDeleted(String organizationId) throws Exception;

	/**
	 * @Description 根据标题、创建人查询机构信息
	 * @version v1.0
	 * @author lfx
	 * @param TestParametersVO
	 * @date 2018/10/19
	 * @return java.util.List
	 * @throws Exception
	 */
	public Map<String, Object> findByPage(TestParametersVO testParametersVO, Integer page, Integer size) throws Exception;

	/**
	 * @Description 多选删除
	 * @version v1.0
	 * @author lfx
	 * @param Ids
	 * @date 2018/10/29
	 * @return boolean
	 * @throws Exception
	 */
	public boolean deletes(String[] ids,TestParametersVO vo) throws Exception;

	/**
	 * @Description 保存检验参数
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @param TestParametersVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean save(Map<String, Object>  tParametersList,TestParametersVO vo) throws Exception;

	/**
	 * @Description 更新检验参数
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @param TestParametersVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean update(Map<String, Object> testParametersVOlist,TestParametersVO vo) throws Exception;
}
