/*
 * AbnormalServiceImpl.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-05-12 16:19:04 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.server.service.impl;

import com.github.pagehelper.Page;
import com.unis.cbl.common.constant.TransferDepotConstant;
import com.unis.common.utils.JsonUtils;
import com.unis.common.utils.ResponseWrapper;
import com.unis.common.vo.base.PageResult;
import com.unis.quality.common.constant.AbnormalStatusConstant;
import com.unis.quality.common.vo.abnormal.AbnormalListVO;
import com.unis.quality.common.vo.abnormal.AbnormalShowVO;
import com.unis.quality.common.vo.abnormal.AbnormalVO;
import com.unis.quality.common.vo.backlog.ReceiverCollectionVO;
import com.unis.quality.server.domain.abnormal.AbnormalDomain;
import com.unis.quality.server.entity.abnormal.AbnormalDO;
import com.unis.quality.server.service.AbnormalService;
import com.unis.quality.server.service.BacklogMQService;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

import static com.unis.quality.common.constant.AbnormalStatusConstant.TongZhiDaiGaiZhang;

/**
 * TY_YCQKZGTZ-异常情况整改通知
 * @author lipenghe at 2020-05-12 16:19:04
 */
@Component
@Transactional
public class AbnormalServiceImpl implements AbnormalService {

    @Autowired
    AbnormalDomain abnormalDomain;

    //加待办
    @Autowired
    private BacklogMQService mqService;

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>
     * 插入全部字段
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper insertEntityResult(AbnormalVO abnormalVO) {
        return abnormalDomain.insertEntity(abnormalVO);
    }

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>
     * 选择性插入字段
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper insertEntitySelectiveResult(AbnormalVO abnormalVO) {
        return abnormalDomain.insertEntitySelective(abnormalVO);
    }

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>
     * 更改状态
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateStatusByEntityResult(AbnormalVO abnormalVO, String limit) {
        ResponseWrapper responseWrapper= abnormalDomain.updateStatusByEntity(abnormalVO);
        daiban(responseWrapper,abnormalVO);
        return responseWrapper;
    }

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>
     * 根据实体某些属性更新全部字段
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateByEntityResult(AbnormalVO abnormalVO, String limit) {
        return abnormalDomain.updateByEntity(abnormalVO);
    }

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>
     * 根据实体不为空的属性,选择性更新字段
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateByEntitySelectiveResult(AbnormalVO abnormalVO, String limit) {
        ResponseWrapper responseWrapper= abnormalDomain.updateByEntitySelective(abnormalVO);
        daiban(responseWrapper,abnormalVO);
        return responseWrapper;
    }

    public void daiban(ResponseWrapper responseWrapper,AbnormalVO abnormalVO){
        if(responseWrapper.isSuccess()){
            System.out.println("user:"+JsonUtils.serialize(abnormalVO.getUserList()));
            //添加待办
            String statusName="";
            String statusCode="";

            //完成待办
            String donestatusName="";
            String doneStatusCode="";
            if(AbnormalStatusConstant.TongZhiDaiGaiZhang.getValue().equals(abnormalVO.getYczt())){
                //管理端盖章
                statusName = AbnormalStatusConstant.TongZhiDaiGaiZhang.getName();
                statusCode=AbnormalStatusConstant.TongZhiDaiGaiZhang.getValue();
            }else if(AbnormalStatusConstant.TongZhiYiXiaFa.getValue().equals(abnormalVO.getYczt())){
                //管理端盖章--完成待办
                donestatusName = AbnormalStatusConstant.TongZhiDaiGaiZhang.getName();
                doneStatusCode=AbnormalStatusConstant.TongZhiDaiGaiZhang.getValue();
                //企业端整改
                statusName = AbnormalStatusConstant.TongZhiYiXiaFa.getName();
                statusCode=AbnormalStatusConstant.TongZhiYiXiaFa.getValue();
            }else if(AbnormalStatusConstant.CuoShiDaiGaiZhang.getValue().equals(abnormalVO.getYczt())){
                //企业端 盖章
                statusName = AbnormalStatusConstant.CuoShiDaiGaiZhang.getName();
                statusCode=AbnormalStatusConstant.CuoShiDaiGaiZhang.getValue();
                //企业端待整改--完成待办
                donestatusName = AbnormalStatusConstant.TongZhiYiXiaFa.getName();
                doneStatusCode=AbnormalStatusConstant.TongZhiYiXiaFa.getValue();
            }else if(AbnormalStatusConstant.CuoShiYiTiJiao.getValue().equals(abnormalVO.getYczt())){
                //企业端 盖章--完成待办
                donestatusName = AbnormalStatusConstant.CuoShiDaiGaiZhang.getName();
                doneStatusCode=AbnormalStatusConstant.CuoShiDaiGaiZhang.getValue();
                //管理端-待验收
                statusName = AbnormalStatusConstant.CuoShiYiTiJiao.getName();
                statusCode=AbnormalStatusConstant.CuoShiYiTiJiao.getValue();
            }else if(AbnormalStatusConstant.YanShouDaiGaiZhang.getValue().equals(abnormalVO.getYczt())){
                //验收盖章
                statusName = AbnormalStatusConstant.YanShouDaiGaiZhang.getName();
                statusCode=AbnormalStatusConstant.YanShouDaiGaiZhang.getValue();

                //企业端 盖章--待验收
                donestatusName = AbnormalStatusConstant.CuoShiYiTiJiao.getName();
                doneStatusCode=AbnormalStatusConstant.CuoShiYiTiJiao.getValue();
            }else if(AbnormalStatusConstant.YanShouYiXiaFa.getValue().equals(abnormalVO.getYczt())){
                //管理端-验收盖章--完成待办
                donestatusName = AbnormalStatusConstant.YanShouDaiGaiZhang.getName();
                doneStatusCode=AbnormalStatusConstant.YanShouDaiGaiZhang.getValue();

                //企业端-验收盖章
                statusName = AbnormalStatusConstant.YanShouYiXiaFa.getName();
                statusCode=AbnormalStatusConstant.YanShouYiXiaFa.getValue();
            }else if(AbnormalStatusConstant.YanShouTongGuo.getValue().equals(abnormalVO.getYczt()) || AbnormalStatusConstant.YanShouBuTongGuo.getValue().equals(abnormalVO.getYczt())){
                //管理端-待验收--完成待办
                donestatusName = AbnormalStatusConstant.YanShouYiXiaFa.getName();
                doneStatusCode=AbnormalStatusConstant.YanShouYiXiaFa.getValue();
            }
            if(StringUtils.isNotEmpty(statusCode)){
                String title =  abnormalVO.getYcqkid() + "异常情况进度通知-"+statusName;
                String itemUrl = abnormalVO.getItemUrl();
                String itemQuery = abnormalVO.getItemQuery();
                List<ReceiverCollectionVO> userList = abnormalVO.getUserList();
                String itemQueryHaveDone = abnormalVO.getItemQueryHaveDone();
                String itemUrlHaveDone = abnormalVO.getItemUrlHaveDone();
                mqService.addNeedToDeals(abnormalVO.getYcqkid()+"-"+statusCode, title, abnormalVO.getYczt(), statusName, itemUrl, itemQuery, itemQueryHaveDone, itemUrlHaveDone, userList);
            }
            if(StringUtils.isNotEmpty(doneStatusCode)){
                //加已办-下发移库通知单
                String dealItemName = "异常情况进度通知-" +donestatusName ;
                mqService.addDeals(abnormalVO.getYcqkid()+"-"+doneStatusCode, dealItemName , doneStatusCode, donestatusName);
            }
        }
    }

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>
     * 根据实体不为空的属性,选择性更新字段,只更新主表,不更新子表
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateSingleByEntitySelectiveResult(AbnormalVO abnormalVO, String limit) {
        AbnormalDO entity= JsonUtils.parse(
            JsonUtils.serialize(abnormalVO), AbnormalDO.class);
        int num=  abnormalDomain.updateByEntitySelective(entity);
        return ResponseWrapper.choose(num);
    }

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>
     * 根据实体不为空的属性,选择性更新字段
     * @param entity    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateByEntitySelectiveResult(AbnormalDO entity, String limit) {
        int num= abnormalDomain.updateByEntitySelective(entity);
        return ResponseWrapper.choose(num);
    }

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>
     * [真删除]根据实体的某些属性进行单条或者批量删除
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper deleteByEntityResult(AbnormalVO abnormalVO, String limit) {
        return abnormalDomain.deleteShamByEntity(abnormalVO);
    }

    /**
    * <TY_YCQKZGTZ-异常情况整改通知>
    * 根据实体(唯一标示)查询一条数据
    * @param abnormalVO    <异常情况整改通知>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    @Override
    public ResponseWrapper selectByIdResult(AbnormalVO abnormalVO) {
        AbnormalVO abnormalVODb=abnormalDomain.selectById(abnormalVO);
        if(abnormalVODb!=null){
            AbnormalShowVO abnormalShowVO= JsonUtils.parse(
                JsonUtils.serialize(abnormalVODb), AbnormalShowVO.class);
            return ResponseWrapper.success(abnormalShowVO);
        }
        return ResponseWrapper.notFound();
    }

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>
     * 根据实体(唯一标示)查询一条数据
     * @param entity    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper selectByIdResult(AbnormalDO entity) {
        AbnormalVO abnormalVO=abnormalDomain.selectById(entity);
        if(abnormalVO!=null){
            AbnormalShowVO abnormalShowVO= JsonUtils.parse(
                JsonUtils.serialize(abnormalVO), AbnormalShowVO.class);
            return ResponseWrapper.success(abnormalShowVO);
        }
        return ResponseWrapper.notFound();
    }

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>
     * 根据实体的某些属性查询分页数据
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper selectPageByEntityResult(int pageNo, int pageSize
        , AbnormalVO abnormalVO, String order) {
        Page<AbnormalVO> abnormalVOPage=abnormalDomain.selectPageByEntity(pageNo,pageSize,abnormalVO,order);
        PageResult<AbnormalVO> abnormalVOPageResult=new PageResult<>(abnormalVOPage);
        PageResult<AbnormalListVO> abnormalListVOPageResult= JsonUtils.parseEntity(
            JsonUtils.serialize(abnormalVOPageResult), PageResult.class, AbnormalListVO.class);
        return ResponseWrapper.success(abnormalListVOPageResult);
    }

    /**
    * <TY_YCQKZGTZ-异常情况整改通知>
    * 根据实体的某些属性查询列表
    * @param abnormalVO    <异常情况整改通知>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    @Override
    public ResponseWrapper selectByEntityResult(AbnormalVO abnormalVO) {
        List<AbnormalVO> abnormalVOList=abnormalDomain.selectByEntity(abnormalVO);
        List<AbnormalListVO> abnormalListVOList= JsonUtils.parseList(
            JsonUtils.serialize(abnormalVOList), AbnormalListVO.class);
        return ResponseWrapper.success(abnormalListVOList);
    }

    /**
    * <TY_YCQKZGTZ-异常情况整改通知>
    * 根据实体的某些属性查询列表
    * @param entity    <异常情况整改通知>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    @Override
    public ResponseWrapper selectByEntityResult(AbnormalDO entity) {
        List<AbnormalVO> abnormalVOList=abnormalDomain.selectByEntity(entity);
        List<AbnormalListVO> abnormalListVOList= JsonUtils.parseList(
            JsonUtils.serialize(abnormalVOList), AbnormalListVO.class);
        return ResponseWrapper.success(abnormalListVOList);
    }

    /**
     * <TY_YCQKZGTZ-异常情况整改通知>
     * 根据实体查询初始化数据
     * @param abnormalVO    <异常情况整改通知>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper selectInitDataResult(AbnormalVO abnormalVO) {
        return ResponseWrapper.success(abnormalVO);
    }

}
