package com.unis.quality.server.service.impl;

import java.util.*;

import javax.persistence.criteria.CriteriaBuilder;
import javax.persistence.criteria.CriteriaQuery;
import javax.persistence.criteria.Predicate;
import javax.persistence.criteria.Root;

import com.github.pagehelper.PageHelper;
import com.unis.quality.server.dao.TbCheckstandardInfoDao;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Sort;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.stereotype.Service;

import com.unis.common.utils.DateUtil;
import com.unis.common.utils.LsBeanUtils;
import com.unis.common.utils.MapUtil;
import com.unis.quality.common.vo.TbCheckstandardInfoVO;
import com.unis.quality.server.dao.BaseRepository;
import com.unis.quality.server.dao.CheckstandardInfoRepository;
import com.unis.quality.server.entity.quality.TbCheckstandardInfoDO;

/**
 * @ClassName: CheckstandardInfoServer 
 * @Description: 检测标准
 * @date 2019年7月24日 下午1:43:38 
 * @version v1.0
 */
@Service
public class CheckstandardInfoServer {

	@Autowired
	private CheckstandardInfoRepository checkstandardInfoRepository;

	@Autowired
	private BaseRepository baseRepository;

	@Autowired
	private TbCheckstandardInfoDao tbCheckstandardInfoDao;

	public Map<Object, Object> findByPage(TbCheckstandardInfoVO checkstandardInfoBO, Integer page,
										  Integer size) {
		/*PageRequest pageable = PageRequest.of((page - 1), size, Sort.Direction.DESC, "createDate");
		@SuppressWarnings("serial")
		Specification<TbCheckstandardInfoDO> specification = new Specification<TbCheckstandardInfoDO>() {
			@Override
			public Predicate toPredicate(Root<TbCheckstandardInfoDO> root, CriteriaQuery<?> query, CriteriaBuilder cb) {
				List<Predicate> list = new ArrayList<Predicate>();
				// 标准编号
				if (StringUtils.isNotBlank(checkstandardInfoBO.getStandardName())) {
					if("%%".equals(checkstandardInfoBO.getStandardName())) {
						list.add(cb.like(root.get("standardName").as(String.class),
								"% [" + checkstandardInfoBO.getStandardName() + "] %"));
					}else {
						list.add(cb.like(root.get("standardName").as(String.class),
								"%" + checkstandardInfoBO.getStandardName() + "%"));
					}
				}
				// 创建时间搜索
				if (StringUtils.isNotBlank(checkstandardInfoBO.getCreateDateStart())
						&& StringUtils.isNotBlank(checkstandardInfoBO.getCreateDateEnd())) {
					list.add(cb.between(root.get("createDate").as(Date.class), DateUtil.toDate(checkstandardInfoBO.getCreateDateStart()),
							dateAddOne(DateUtil.toDate(checkstandardInfoBO.getCreateDateEnd()))));
					System.out.println(DateUtil.toDate(checkstandardInfoBO.getCreateDateEnd()));
					System.out.println(dateAddOne(DateUtil.toDate(checkstandardInfoBO.getCreateDateEnd())));
			*//*		list.add(cb.greaterThanOrEqualTo(root.get("createDate").as(Date.class), DateUtil.toDate
							(checkstandardInfoBO.getCreateDateStart())));
					list.add(cb.lessThanOrEqualTo(root.get("createDate").as(Date.class), DateUtil.toDate(checkstandardInfoBO.getCreateDateEnd())));*//*
				}
				if (StringUtils.isNotBlank(checkstandardInfoBO.getIsUsed())) {
					list.add(cb.equal(root.get("isUsed").as(String.class), checkstandardInfoBO.getIsUsed()));
				}
				return cb.and(list.toArray(new Predicate[list.size()]));
			}
		};
		Page<TbCheckstandardInfoDO> findAll = checkstandardInfoRepository.findAll(specification, pageable);
		List<TbCheckstandardInfoDO> content = findAll.getContent();
		List<TbCheckstandardInfoVO> arrayList = new ArrayList<>();
//		List<DictDO> lisDt = DataDictUtils.beanCodeTo1(Constant.TYPE);
		for (TbCheckstandardInfoDO tbPO : content) {
			TbCheckstandardInfoVO infoBO = LsBeanUtils.copyProperties(tbPO, TbCheckstandardInfoVO.class);
//			//字典表转换
//			for (DictDO dictDO : lisDt) {
//				if(dictDO.getDictCode().equals(infoBO.getStandardType())) {
//					infoBO.setStandardType(dictDO.getDictName());
//				}
//			}
			arrayList.add(infoBO);
		}
		Map<Object, Object> map = new HashMap<>();
		map.put("content", arrayList);
		map.put("totalElements", findAll.getTotalElements());
		return map;*/

		PageHelper.startPage(page,size,"CREATE_DATE DESC");
		com.github.pagehelper.Page<TbCheckstandardInfoVO> findAll=tbCheckstandardInfoDao.selectPageByEntity(checkstandardInfoBO);

		List<TbCheckstandardInfoVO> content = findAll.getResult();
		Map<Object, Object> map = new HashMap<>();
		map.put("content", content);
		map.put("totalElements", findAll.getTotal());
		return map;



	}
	public Date dateAddOne(Date date){
		Calendar c = Calendar.getInstance();
		c.setTime(date);
		c.add(Calendar.DAY_OF_MONTH, 1);
		return c.getTime();
	}

	public int save(TbCheckstandardInfoVO checkstandardInfoBO) {

		TbCheckstandardInfoDO entity=new TbCheckstandardInfoDO();
		entity.setCreateDate(null);
		entity.setRefreshTime(null);
		entity.setDoTime(null);
		entity.setPubTime(null);
		entity.setValidTime(null);
		entity.setStandardCode(checkstandardInfoBO.getStandardCode());
		entity.setStandardName(checkstandardInfoBO.getStandardName());
		entity.setStandardType(checkstandardInfoBO.getStandardType());
		Integer num = tbCheckstandardInfoDao.selectCount(entity);

		if(num==0){
			if (StringUtils.isEmpty(checkstandardInfoBO.getCheckstandardId())) {// 表示不存在id进行id自动生成
				checkstandardInfoBO.setCheckstandardId(baseRepository.selectByTableNameAndAttr("tb_checkstandard_info",
						"checkstandard_id", "CS" + DateUtil.getDate(), 5));
			}
			checkstandardInfoBO.setIsUsed("1");
			StringBuffer sb = new StringBuffer();
			if (null != checkstandardInfoBO.getStandardFile()) {
				List<String> attachment = checkstandardInfoBO.getStandardFileList();
				if (attachment.size() > 0) {
					for (Object obj : attachment) {
						String str = obj.toString();
						sb.append(str + ",");
					}
				}
			}
			TbCheckstandardInfoDO checkstandardInfoPO = LsBeanUtils.copyProperties(checkstandardInfoBO,
					TbCheckstandardInfoDO.class);
			checkstandardInfoPO.setStandardId(checkstandardInfoBO.getStandardId());
			// 附件
			checkstandardInfoPO.setStandardFile(sb.toString());
			// 创建人
//		checkstandardInfoPO.setCreator(currentUtils.getUserName());
			checkstandardInfoPO.setCreateDate(new Date());

			TbCheckstandardInfoDO infoPO =
					checkstandardInfoRepository.findByCheckstandardIdAndStatus(checkstandardInfoBO.getCheckstandardId(),1);
			if (infoPO != null) {// 如果存在验收信息，复制属性
				LsBeanUtils.copyPropertiesIgnoreNull(checkstandardInfoPO,infoPO);
			}
			// 保存检测标准信息
			checkstandardInfoRepository.save(checkstandardInfoPO);
		}
		return 1;
	}

	/**
	 * 修改
	 */
	public int update(TbCheckstandardInfoVO checkstandardInfoBO) {
		TbCheckstandardInfoDO infoPO = findById(checkstandardInfoBO.getCheckstandardId());
		if (infoPO == null) {
			return 0;
		}
		LsBeanUtils.copyPropertiesIgnoreNull(checkstandardInfoBO, infoPO);
		checkstandardInfoRepository.save(infoPO);
		return 1;
	}

	/**
	 * 详情信息
	 */
	public TbCheckstandardInfoDO findById(String checkstandardId) {
		return checkstandardInfoRepository.findByCheckstandardIdAndStatus(checkstandardId, 1);
	}
	
	
	public int delete(String[] checkstandardId) {
		checkstandardInfoRepository.deletecheckstandard(checkstandardId, "test", "test");
		return 1;
	}

	/**
	 * 获取所有标准分类
	 */
	public List<Map<String,Object>> getAllInfo() {
		List<Map<String,Object>> lis = checkstandardInfoRepository.selectall("1");
		List<Map<String,Object>> result=MapUtil.convertKeyList2LowerCase(lis);
		/*List<TbCheckstandardInfoVO> arrayList = new ArrayList<>();
		for (TbCheckstandardInfoDO tbPO : lis) {
			TbCheckstandardInfoVO infoBO = LsBeanUtils.copyProperties(tbPO, TbCheckstandardInfoVO.class);
//			String beanCodeTo = DataDictUtils.beanCodeTo(infoBO.getStandardType(), Constant.TYPE);
////			//赋值汉字
//			infoBO.setStandardTypeHz(beanCodeTo);
			arrayList.add(infoBO);
		}*/
		return result;
	}
	
	//启用、禁用
	public int updateIsUsed(String id,String isUsed) {
		/*TbCheckstandardInfoDO infoPO = findById(id);
		if (infoPO == null) {
			return 0;
		}*/
		int t=checkstandardInfoRepository.updateIsUsed(id,isUsed);
		return t;
	}
	
	
	/**
	 * 根据标准分类获取标准编码
	 */
	public List<Map<String,Object>> getAllstandardCode(String standardType) {
		List<Map<String,Object>> lis = checkstandardInfoRepository.findAllByType(standardType);
		List<Map<String,Object>> result=MapUtil.convertKeyList2LowerCase(lis);
		return result;
	}
	
	/**
	 * 根据标准编码获取标准名称
	 */
	public List<Map<String,Object>> getAllstandardName(String standardType) {
		List<Map<String,Object>> lis = checkstandardInfoRepository.findAllByCode(standardType);
		List<Map<String,Object>> result=MapUtil.convertKeyList2LowerCase(lis);
		return result;
	}

}
