/*
 * CheckstandardInfoServiceImpl.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-08-20 22:44:51 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.server.service.impl;

import com.github.pagehelper.Page;
import com.unis.common.utils.JsonUtils;
import com.unis.common.utils.ResponseWrapper;
import com.unis.common.vo.base.PageResult;
import com.unis.quality.common.vo.standard.CheckstandardInfoVO;
import com.unis.quality.server.domain.standard.CheckstandardInfoDomain;
import com.unis.quality.server.entity.standard.CheckstandardInfoDO;
import com.unis.quality.server.service.CheckstandardInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * CHECKSTANDARD_INFO-标准信息
 * @author lipenghe at 2020-08-20 22:44:51
 */
@Component
@Transactional
public class CheckstandardInfoServiceImpl implements CheckstandardInfoService {

    @Autowired
    CheckstandardInfoDomain checkstandardInfoDomain;

    /**
    * <CHECKSTANDARD_INFO-标准信息>
    * 选择性保存,包含新增和修改
    * @param checkstandardInfoVO    <标准信息>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    public ResponseWrapper saveEntitySelectiveResult(CheckstandardInfoVO checkstandardInfoVO) {
        return checkstandardInfoDomain.saveEntitySelective(checkstandardInfoVO);
    }

    /**
     * <CHECKSTANDARD_INFO-标准信息>
     * 插入全部字段
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper insertEntityResult(CheckstandardInfoVO checkstandardInfoVO) {
        return checkstandardInfoDomain.insertEntity(checkstandardInfoVO);
    }

    /**
     * <CHECKSTANDARD_INFO-标准信息>
     * 选择性插入字段
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper insertEntitySelectiveResult(CheckstandardInfoVO checkstandardInfoVO) {
        return checkstandardInfoDomain.insertEntitySelective(checkstandardInfoVO);
    }

    /**
     * <CHECKSTANDARD_INFO-标准信息>
     * 更改状态
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateStatusByEntityResult(CheckstandardInfoVO checkstandardInfoVO, String limit) {
        return checkstandardInfoDomain.updateStatusByEntity(checkstandardInfoVO);
    }

    /**
     * <CHECKSTANDARD_INFO-标准信息>
     * 根据实体某些属性更新全部字段
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateByEntityResult(CheckstandardInfoVO checkstandardInfoVO, String limit) {
        return checkstandardInfoDomain.updateByEntity(checkstandardInfoVO);
    }

    /**
     * <CHECKSTANDARD_INFO-标准信息>
     * 根据实体不为空的属性,选择性更新字段
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateByEntitySelectiveResult(CheckstandardInfoVO checkstandardInfoVO, String limit) {
        return checkstandardInfoDomain.updateByEntitySelective(checkstandardInfoVO);
    }

    /**
     * <CHECKSTANDARD_INFO-标准信息>
     * 根据实体不为空的属性,选择性更新字段,只更新主表,不更新子表
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateSingleByEntitySelectiveResult(CheckstandardInfoVO checkstandardInfoVO, String limit) {
        CheckstandardInfoDO entity= JsonUtils.parse(
            JsonUtils.serialize(checkstandardInfoVO),CheckstandardInfoDO.class);
        int num=  checkstandardInfoDomain.updateByEntitySelective(entity);
        return ResponseWrapper.choose(num);
    }

    /**
     * <CHECKSTANDARD_INFO-标准信息>
     * 根据实体不为空的属性,选择性更新字段
     * @param entity    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateByEntitySelectiveResult(CheckstandardInfoDO entity, String limit) {
        int num= checkstandardInfoDomain.updateByEntitySelective(entity);
        return ResponseWrapper.choose(num);
    }

    /**
     * <CHECKSTANDARD_INFO-标准信息>
     * [真删除]根据实体的某些属性进行单条或者批量删除
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper deleteByEntityResult(CheckstandardInfoVO checkstandardInfoVO, String limit) {
        return checkstandardInfoDomain.deleteShamByEntity(checkstandardInfoVO);
    }

    /**
    * <CHECKSTANDARD_INFO-标准信息>
    * 根据实体(唯一标示)查询一条数据
    * @param checkstandardInfoVO    <标准信息>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    @Override
    public ResponseWrapper selectByIdResult(CheckstandardInfoVO checkstandardInfoVO) {
        CheckstandardInfoVO checkstandardInfoVODb=checkstandardInfoDomain.selectById(checkstandardInfoVO);
        if(checkstandardInfoVODb!=null){
            return ResponseWrapper.success(checkstandardInfoVODb);
        }
        return ResponseWrapper.notFound();
    }

    /**
     * <CHECKSTANDARD_INFO-标准信息>
     * 根据实体(唯一标示)查询一条数据
     * @param entity    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper selectByIdResult(CheckstandardInfoDO entity) {
        CheckstandardInfoVO checkstandardInfoVO=checkstandardInfoDomain.selectById(entity);
        if(checkstandardInfoVO!=null){
            return ResponseWrapper.success(checkstandardInfoVO);
        }
        return ResponseWrapper.notFound();
    }

    /**
     * <CHECKSTANDARD_INFO-标准信息>
     * 根据实体的某些属性查询分页数据
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper selectPageByEntityResult(int pageNo, int pageSize
        , CheckstandardInfoVO checkstandardInfoVO, String order) {
        Page<CheckstandardInfoVO> checkstandardInfoVOPage=checkstandardInfoDomain.selectPageByEntity(pageNo,pageSize,checkstandardInfoVO,order);
        PageResult<CheckstandardInfoVO> checkstandardInfoVOPageResult=new PageResult<>(checkstandardInfoVOPage);
        return ResponseWrapper.success(checkstandardInfoVOPageResult);
    }

    /**
    * <CHECKSTANDARD_INFO-标准信息>
    * 根据实体的某些属性查询列表
    * @param checkstandardInfoVO    <标准信息>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    @Override
    public ResponseWrapper selectByEntityResult(CheckstandardInfoVO checkstandardInfoVO) {
        List<CheckstandardInfoVO> checkstandardInfoVOList=checkstandardInfoDomain.selectByEntity(checkstandardInfoVO);
        return ResponseWrapper.success(checkstandardInfoVOList);
    }

    /**
    * <CHECKSTANDARD_INFO-标准信息>
    * 根据实体的某些属性查询列表
    * @param entity    <标准信息>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    @Override
    public ResponseWrapper selectByEntityResult(CheckstandardInfoDO entity) {
        List<CheckstandardInfoVO> checkstandardInfoVOList=checkstandardInfoDomain.selectByEntity(entity);
        return ResponseWrapper.success(checkstandardInfoVOList);
    }

    /**
     * <CHECKSTANDARD_INFO-标准信息>
     * 根据实体查询初始化数据
     * @param checkstandardInfoVO    <标准信息>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper selectInitDataResult(CheckstandardInfoVO checkstandardInfoVO) {
        return ResponseWrapper.success(checkstandardInfoVO);
    }

}
