/*
 * CheckstandardItemLevelServiceImpl.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-08-20 22:44:51 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.server.service.impl;

import com.github.pagehelper.Page;
import com.unis.common.utils.ResponseWrapper;
import com.unis.common.vo.base.PageResult;
import com.unis.quality.common.vo.standard.CheckstandardItemLevelVO;
import com.unis.quality.server.domain.standard.CheckstandardItemLevelDomain;
import com.unis.quality.server.entity.standard.CheckstandardItemLevelDO;
import com.unis.quality.server.service.CheckstandardItemLevelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * CHECKSTANDARD_ITEMLEVEL-标准详情规则
 * @author lipenghe at 2020-08-20 22:44:51
 */
@Component
@Transactional
public class CheckstandardItemLevelServiceImpl implements CheckstandardItemLevelService {

    @Autowired
    CheckstandardItemLevelDomain checkstandardItemLevelDomain;

    /**
    * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
    * 选择性保存,包含新增和修改
    * @param itemLevelVO    <标准详情规则>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    public ResponseWrapper saveEntitySelectiveResult(CheckstandardItemLevelVO itemLevelVO) {
        return checkstandardItemLevelDomain.saveEntitySelective(itemLevelVO);
    }

    /**
     * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
     * 插入全部字段
     * @param itemLevelVO    <标准详情规则>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper insertEntityResult(CheckstandardItemLevelVO itemLevelVO) {
        return checkstandardItemLevelDomain.insertEntity(itemLevelVO);
    }

    /**
     * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
     * 选择性插入字段
     * @param itemLevelVO    <标准详情规则>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper insertEntitySelectiveResult(CheckstandardItemLevelVO itemLevelVO) {
        return checkstandardItemLevelDomain.insertEntitySelective(itemLevelVO);
    }

    /**
     * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
     * 更改状态
     * @param itemLevelVO    <标准详情规则>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateStatusByEntityResult(CheckstandardItemLevelVO itemLevelVO, String limit) {
        return checkstandardItemLevelDomain.updateStatusByEntity(itemLevelVO);
    }

    /**
     * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
     * 根据实体某些属性更新全部字段
     * @param itemLevelVO    <标准详情规则>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateByEntityResult(CheckstandardItemLevelVO itemLevelVO, String limit) {
        return checkstandardItemLevelDomain.updateByEntity(itemLevelVO);
    }

    /**
     * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
     * 根据实体不为空的属性,选择性更新字段
     * @param itemLevelVO    <标准详情规则>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateByEntitySelectiveResult(CheckstandardItemLevelVO itemLevelVO, String limit) {
        return checkstandardItemLevelDomain.updateByEntitySelective(itemLevelVO);
    }

    /**
     * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
     * 根据实体不为空的属性,选择性更新字段
     * @param entity    <标准详情规则>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateByEntitySelectiveResult(CheckstandardItemLevelDO entity, String limit) {
        int num= checkstandardItemLevelDomain.updateByEntitySelective(entity);
        return ResponseWrapper.choose(num);
    }

    /**
     * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
     * [真删除]根据实体的某些属性进行单条或者批量删除
     * @param itemLevelVO    <标准详情规则>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper deleteByEntityResult(CheckstandardItemLevelVO itemLevelVO, String limit) {
        return checkstandardItemLevelDomain.deleteShamByEntity(itemLevelVO);
    }

    /**
    * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
    * 根据实体(唯一标示)查询一条数据
    * @param itemLevelVO    <标准详情规则>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    @Override
    public ResponseWrapper selectByIdResult(CheckstandardItemLevelVO itemLevelVO) {
        CheckstandardItemLevelVO itemLevelVODb=checkstandardItemLevelDomain.selectById(itemLevelVO);
        if(itemLevelVODb!=null){
            return ResponseWrapper.success(itemLevelVODb);
        }
        return ResponseWrapper.notFound();
    }

    /**
     * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
     * 根据实体(唯一标示)查询一条数据
     * @param entity    <标准详情规则>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper selectByIdResult(CheckstandardItemLevelDO entity) {
        CheckstandardItemLevelVO itemLevelVO=checkstandardItemLevelDomain.selectById(entity);
        if(itemLevelVO!=null){
            return ResponseWrapper.success(itemLevelVO);
        }
        return ResponseWrapper.notFound();
    }

    /**
     * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
     * 根据实体的某些属性查询分页数据
     * @param itemLevelVO    <标准详情规则>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper selectPageByEntityResult(int pageNo, int pageSize
        , CheckstandardItemLevelVO itemLevelVO, String order) {
        Page<CheckstandardItemLevelVO> itemLevelVOPage=checkstandardItemLevelDomain.selectPageByEntity(pageNo,pageSize,itemLevelVO,order);
        PageResult<CheckstandardItemLevelVO> itemLevelVOPageResult=new PageResult<>(itemLevelVOPage);
        return ResponseWrapper.success(itemLevelVOPageResult);
    }

    /**
    * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
    * 根据实体的某些属性查询列表
    * @param itemLevelVO    <标准详情规则>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    @Override
    public ResponseWrapper selectByEntityResult(CheckstandardItemLevelVO itemLevelVO) {
        List<CheckstandardItemLevelVO> itemLevelVOList=checkstandardItemLevelDomain.selectByEntity(itemLevelVO);
        return ResponseWrapper.success(itemLevelVOList);
    }

    /**
    * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
    * 根据实体的某些属性查询列表
    * @param entity    <标准详情规则>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    @Override
    public ResponseWrapper selectByEntityResult(CheckstandardItemLevelDO entity) {
        List<CheckstandardItemLevelVO> itemLevelVOList=checkstandardItemLevelDomain.selectByEntity(entity);
        return ResponseWrapper.success(itemLevelVOList);
    }

    /**
     * <CHECKSTANDARD_ITEMLEVEL-标准详情规则>
     * 根据实体查询初始化数据
     * @param itemLevelVO    <标准详情规则>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper selectInitDataResult(CheckstandardItemLevelVO itemLevelVO) {
        return ResponseWrapper.success(itemLevelVO);
    }

}
