/*
 * CheckstandardItemServiceImpl.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-08-20 22:44:51 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.server.service.impl;

import com.github.pagehelper.Page;
import com.unis.common.utils.JsonUtils;
import com.unis.common.utils.ResponseWrapper;
import com.unis.common.vo.base.PageResult;
import com.unis.quality.common.vo.standard.CheckstandardItemVO;
import com.unis.quality.server.domain.standard.CheckstandardItemDomain;
import com.unis.quality.server.entity.standard.CheckstandardItemDO;
import com.unis.quality.server.service.CheckstandardItemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * CHECKSTANDARD_ITEM-标准详情
 * @author lipenghe at 2020-08-20 22:44:51
 */
@Component
@Transactional
public class CheckstandardItemServiceImpl implements CheckstandardItemService {

    @Autowired
    CheckstandardItemDomain checkstandardItemDomain;

    /**
    * <CHECKSTANDARD_ITEM-标准详情>
    * 选择性保存,包含新增和修改
    * @param checkstandardItemVO    <标准详情>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    public ResponseWrapper saveEntitySelectiveResult(CheckstandardItemVO checkstandardItemVO) {
        return checkstandardItemDomain.saveEntitySelective(checkstandardItemVO);
    }

    /**
     * <CHECKSTANDARD_ITEM-标准详情>
     * 插入全部字段
     * @param checkstandardItemVO    <标准详情>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper insertEntityResult(CheckstandardItemVO checkstandardItemVO) {
        return checkstandardItemDomain.insertEntity(checkstandardItemVO);
    }

    /**
     * <CHECKSTANDARD_ITEM-标准详情>
     * 选择性插入字段
     * @param checkstandardItemVO    <标准详情>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper insertEntitySelectiveResult(CheckstandardItemVO checkstandardItemVO) {
        return checkstandardItemDomain.insertEntitySelective(checkstandardItemVO);
    }

    /**
     * <CHECKSTANDARD_ITEM-标准详情>
     * 更改状态
     * @param checkstandardItemVO    <标准详情>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateStatusByEntityResult(CheckstandardItemVO checkstandardItemVO, String limit) {
        return checkstandardItemDomain.updateStatusByEntity(checkstandardItemVO);
    }

    /**
     * <CHECKSTANDARD_ITEM-标准详情>
     * 根据实体某些属性更新全部字段
     * @param checkstandardItemVO    <标准详情>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateByEntityResult(CheckstandardItemVO checkstandardItemVO, String limit) {
        return checkstandardItemDomain.updateByEntity(checkstandardItemVO);
    }

    /**
     * <CHECKSTANDARD_ITEM-标准详情>
     * 根据实体不为空的属性,选择性更新字段
     * @param checkstandardItemVO    <标准详情>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateByEntitySelectiveResult(CheckstandardItemVO checkstandardItemVO, String limit) {
        return checkstandardItemDomain.updateByEntitySelective(checkstandardItemVO);
    }

    /**
     * <CHECKSTANDARD_ITEM-标准详情>
     * 根据实体不为空的属性,选择性更新字段,只更新主表,不更新子表
     * @param checkstandardItemVO    <标准详情>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateSingleByEntitySelectiveResult(CheckstandardItemVO checkstandardItemVO, String limit) {
        CheckstandardItemDO entity= JsonUtils.parse(
            JsonUtils.serialize(checkstandardItemVO),CheckstandardItemDO.class);
        int num=  checkstandardItemDomain.updateByEntitySelective(entity);
        return ResponseWrapper.choose(num);
    }

    /**
     * <CHECKSTANDARD_ITEM-标准详情>
     * 根据实体不为空的属性,选择性更新字段
     * @param entity    <标准详情>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateByEntitySelectiveResult(CheckstandardItemDO entity, String limit) {
        int num= checkstandardItemDomain.updateByEntitySelective(entity);
        return ResponseWrapper.choose(num);
    }

    /**
     * <CHECKSTANDARD_ITEM-标准详情>
     * [真删除]根据实体的某些属性进行单条或者批量删除
     * @param checkstandardItemVO    <标准详情>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper deleteByEntityResult(CheckstandardItemVO checkstandardItemVO, String limit) {
        return checkstandardItemDomain.deleteShamByEntity(checkstandardItemVO);
    }

    /**
    * <CHECKSTANDARD_ITEM-标准详情>
    * 根据实体(唯一标示)查询一条数据
    * @param checkstandardItemVO    <标准详情>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    @Override
    public ResponseWrapper selectByIdResult(CheckstandardItemVO checkstandardItemVO) {
        CheckstandardItemVO checkstandardItemVODb=checkstandardItemDomain.selectById(checkstandardItemVO);
        if(checkstandardItemVODb!=null){
            return ResponseWrapper.success(checkstandardItemVODb);
        }
        return ResponseWrapper.notFound();
    }

    /**
     * <CHECKSTANDARD_ITEM-标准详情>
     * 根据实体(唯一标示)查询一条数据
     * @param entity    <标准详情>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper selectByIdResult(CheckstandardItemDO entity) {
        CheckstandardItemVO checkstandardItemVO=checkstandardItemDomain.selectById(entity);
        if(checkstandardItemVO!=null){
            return ResponseWrapper.success(checkstandardItemVO);
        }
        return ResponseWrapper.notFound();
    }

    /**
     * <CHECKSTANDARD_ITEM-标准详情>
     * 根据实体的某些属性查询分页数据
     * @param checkstandardItemVO    <标准详情>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper selectPageByEntityResult(int pageNo, int pageSize
        , CheckstandardItemVO checkstandardItemVO, String order) {
        Page<CheckstandardItemVO> checkstandardItemVOPage=checkstandardItemDomain.selectPageByEntity(pageNo,pageSize,checkstandardItemVO,order);
        PageResult<CheckstandardItemVO> checkstandardItemVOPageResult=new PageResult<>(checkstandardItemVOPage);
        return ResponseWrapper.success(checkstandardItemVOPageResult);
    }

    /**
    * <CHECKSTANDARD_ITEM-标准详情>
    * 根据实体的某些属性查询列表
    * @param checkstandardItemVO    <标准详情>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    @Override
    public ResponseWrapper selectByEntityResult(CheckstandardItemVO checkstandardItemVO) {
        List<CheckstandardItemVO> checkstandardItemVOList=checkstandardItemDomain.selectByEntity(checkstandardItemVO);
        return ResponseWrapper.success(checkstandardItemVOList);
    }

    /**
    * <CHECKSTANDARD_ITEM-标准详情>
    * 根据实体的某些属性查询列表
    * @param entity    <标准详情>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    @Override
    public ResponseWrapper selectByEntityResult(CheckstandardItemDO entity) {
        List<CheckstandardItemVO> checkstandardItemVOList=checkstandardItemDomain.selectByEntity(entity);
        return ResponseWrapper.success(checkstandardItemVOList);
    }

    /**
     * <CHECKSTANDARD_ITEM-标准详情>
     * 根据实体查询初始化数据
     * @param checkstandardItemVO    <标准详情>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper selectInitDataResult(CheckstandardItemVO checkstandardItemVO) {
        return ResponseWrapper.success(checkstandardItemVO);
    }

}
