package com.unis.quality.server.service.impl;

import com.alibaba.druid.util.StringUtils;
import com.unis.common.utils.DateUtil;
import com.unis.common.utils.LsBeanUtils;
import com.unis.quality.common.constant.Constant;
import com.unis.quality.common.vo.TbCheckstandardItemlevelVO;
import com.unis.quality.server.dao.BaseRepository;
import com.unis.quality.server.dao.CheckstandandItemLevelDao;
import com.unis.quality.server.dao.CheckstandardItemlevelRepository;
import com.unis.quality.server.entity.quality.TbCheckstandardItemlevelDO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @ClassName: CheckstandardItemlevelServer
 * @Description: 项目规则
 * @date 2019年7月18日 下午3:50:16
 *
 * @version v1.0
 */
@Service
public class CheckstandardItemlevelServer {
	@Autowired
	private CheckstandardItemlevelRepository itemlevelRepository;
	@Autowired
	private BaseRepository baseRepository;

	@Autowired
	private CheckstandandItemLevelDao checkstandandItemLevelDao;

	/**
	 *
	 *
	 * @date 2019年7月22日,上午11:19:37
	 * @author huangshuai
	 * @version v1.0
	 *
	 * @param tbBO
	 *            规则BO
	 * @param checkstandardId
	 *            标准id
	 * @param itemId
	 *            项目id
	 * @return
	 */
	public int save(List<TbCheckstandardItemlevelVO> tbBO, String checkstandardId, String itemId) {
		for (TbCheckstandardItemlevelVO tB : tbBO) {
			if(StringUtils.isEmpty(tB.getLevelId())) {
				tB.setLevelId(baseRepository.selectByTableNameAndAttr("tb_checkstandard_itemlevel", "level_id",
						"LE" + DateUtil.getDate(), 5));
			}
			TbCheckstandardItemlevelDO tbPO = LsBeanUtils.copyProperties(tB, TbCheckstandardItemlevelDO.class);
			tbPO.setCheckstandardId(checkstandardId);
			tbPO.setItemId(itemId);
			// 保存检测标准信息
			try {
				itemlevelRepository.save(tbPO);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}
		return 1;
	}

	/**
	 * 根据项目id 删除下面的规则
	 */
	public int delete(String itemId) {
		itemlevelRepository.deleteByItemId(itemId);
		return 1;
	}

	/**
	 * @Description:根据项目id 获取项目下的规则
	 * @param itemId
	 * @return
	 */
	public List<TbCheckstandardItemlevelVO> findByItemId(String itemId)  {
		List<TbCheckstandardItemlevelDO> pOList = itemlevelRepository.findByItemIdAndStatus(itemId,1);
		List<TbCheckstandardItemlevelVO> arrayList = new ArrayList();
		for (TbCheckstandardItemlevelDO po : pOList) {
			TbCheckstandardItemlevelVO infoBO = LsBeanUtils.copyProperties(po, TbCheckstandardItemlevelVO.class);
			//字典表转码
//			String beanCodeTo = DataDictUtils.beanCodeTo(infoBO.getGrade(), Constant.GRADE);
//			infoBO.setGradeHz(beanCodeTo);
//			String codeTo = DataDictUtils.beanCodeTo(infoBO.getRule(), Constant.RULE);
//			infoBO.setRuleHz(codeTo);
			arrayList.add(infoBO);
		}
		return arrayList;
	}

	/**
	 * @Description:根据项目id 获取项目下的规则
	 * @param itemId
	 * @return
	 */
	public List<TbCheckstandardItemlevelVO> selectByEntity(String itemId)  {
		TbCheckstandardItemlevelDO tbCheckstandardItemlevelDO=new TbCheckstandardItemlevelDO();
		tbCheckstandardItemlevelDO.setItemId(itemId);
		tbCheckstandardItemlevelDO.setStatus(1);
		List<TbCheckstandardItemlevelDO> pOList = checkstandandItemLevelDao.select(tbCheckstandardItemlevelDO);
		List<TbCheckstandardItemlevelVO> arrayList = new ArrayList();
		for (TbCheckstandardItemlevelDO po : pOList) {
			TbCheckstandardItemlevelVO infoBO = LsBeanUtils.copyProperties(po, TbCheckstandardItemlevelVO.class);
			arrayList.add(infoBO);
		}
		return arrayList;
	}

}
