package com.unis.quality.server.service.impl;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.unis.common.utils.ResponseWrapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.unis.quality.common.vo.EntrustQueryVO;
import com.unis.quality.common.vo.EntrustVO;
import com.unis.quality.server.domain.EntrustDomain;
import com.unis.quality.server.service.EntrustService;

/**
 * @ClassNameEntrustServiceImpl
 * @Description
 * @Author wangqiang
 * @Date2019/8/21 0021 17:23
 * @Version V1.0
 **/
@Service
public class EntrustServiceImpl implements EntrustService {
    @Autowired
    private EntrustDomain entrustDomain;
    
    /**
	 *功能描述 根据交易编号修改lcId
	 * @author lfx
	 * @date 2019/8/21 0021
	 * @param :[EntrustVOlist, vo]
	 * @return boolean
	 */
    @Override
	public boolean updateLcId(EntrustVO vo) throws Exception{
    	return  entrustDomain.updateLcId(vo);
	}
    
    @Override
    public Map<String,  Object> selectWtIdBhKctb(EntrustQueryVO entrustQueryVO)throws Exception{
    	return  entrustDomain.selectWtIdBhKctb( entrustQueryVO);
    }

	public ResponseWrapper echartsZjjgqs(EntrustQueryVO entrustQueryVO){
		return  entrustDomain.echartsZjjgqs( entrustQueryVO);
	}


	@Override
    public Map<String,  Object> selectWtIdBhKc(EntrustQueryVO entrustQueryVO,Integer  page,  Integer  size)throws Exception{
    	return  entrustDomain.selectWtIdBhKc( entrustQueryVO,page,size);
    }
    
    @Override
    public Map<String,  Object> selectWtIdBh(EntrustQueryVO entrustQueryVO,Integer  page,  Integer  size)throws Exception{
    	return  entrustDomain.selectWtIdBh( entrustQueryVO,page,size);
    }
    
  //通过委托id查询质检报告编号
    @Override
  	public String selectZjbgByWtId(String wtId)throws Exception{
  		return  entrustDomain.selectZjbgByWtId(wtId);
  	}
    /**
     *功能描述  根据委托编号查询
     * @author wangqiang
     * @date 2019/8/21 0021
     * @param :[id]
     * @return com.unis.quality.common.vo.EntrustVO
     */
    @Override
    public EntrustVO findById(String wtbh) throws Exception {
    	return entrustDomain.findById(wtbh); 
    }

	@Override
    public ResponseWrapper selectById(EntrustVO vo){
		EntrustVO vo1 = entrustDomain.selectById(vo);
		if(vo1!=null){
			return ResponseWrapper.success(vo1);
		}else{
			return ResponseWrapper.fail();
		}
    }

/**
 *功能描述  根据交易编号查询
 * @author 
 * @date 2019/8/21 0021
 * @param :[id]
 * @return com.unis.quality.common.vo.EntrustVO
 */
    @Override
    public EntrustVO findByIdQt(EntrustVO vo) throws Exception {
    	return entrustDomain.findByIdQt(vo);
    }
    /**
	 *功能描述  根据交易编号查询
	 * @author wangqiang
	 * @date 2019/8/21 0021
	 * @param :[id]
	 * @return com.unis.quality.common.vo.EntrustVO
	 */
    @Override
	public EntrustVO findByJybh(String jybh) throws Exception {
    	return entrustDomain.findByJybh(jybh);
    }

    /**
	 *功能描述 状态查询
	 * @author 
	 * @date 2019/8/21 0021
	 * @param :[entrustQueryVO]
	 * @return java.util.List<com.unis.quality.common.vo.EntrustVO>
	 */
	public List<EntrustVO> findByPageZt(EntrustQueryVO entrustQueryVO) throws Exception{
		return entrustDomain.findByPageZt(entrustQueryVO);
	}
	
	 /**
     *功能描述 分页获取交易质检
     * @author 
     * @date 2019/8/21 0021
     * @param :[entrustQueryVO]
     * @return java.util.List<com.unis.quality.common.vo.EntrustVO>
     */
    @Override
    public Map<String,  Object> findJyzjByPage(EntrustQueryVO entrustQueryVO, Integer page, Integer size) throws Exception {
    	PageHelper.startPage(page, size);
		Page<EntrustVO>   ListMap  =  entrustDomain.findByPageZt(entrustQueryVO);
    	PageInfo<EntrustVO>  pageInfo  =  new  PageInfo<EntrustVO>(ListMap);
		Map<String,  Object>  resultMap  =  new  HashMap<String,  Object>();
		resultMap.put("total",  ListMap.getTotal());
		resultMap.put("items",  ListMap);
		return  resultMap;
    }
    
    
    /**
     *功能描述 分页获取委托信息
     * @author wangqiang
     * @date 2019/8/21 0021
     * @param :[entrustQueryVO]
     * @return java.util.List<com.unis.quality.common.vo.EntrustVO>
     */
    @Override
    public PageInfo<List<Map>> findByPage(EntrustQueryVO entrustQueryVO, Integer page, Integer size) throws Exception {
        Page<List<Map>> listPage = PageHelper.startPage(page, size);
        List<EntrustVO> byPage=new ArrayList<EntrustVO>();
        if("强检".equals(entrustQueryVO.getZjbh())) {
        	 byPage = entrustDomain.findByPage(entrustQueryVO);
        }else {
        	byPage = entrustDomain.findByPageQT(entrustQueryVO);
        }
       
        return listPage.toPageInfo();
    }
    
    /**
	 *功能描述 强检仓号查询
	 * @author wangqiang
	 * @date 2019/8/21 0021
	 * @param :[entrustQueryVO]
	 * @return java.util.List<com.unis.quality.common.vo.EntrustVO>
	 */
    @Override
	public PageInfo<List<Map>> findChByPage(EntrustVO entrustVO, Integer page, Integer size) throws Exception{
		 Page<List<Map>> listPage = PageHelper.startPage(page, size);
	     List<EntrustVO> byPage = entrustDomain.findChByPage(entrustVO);
	     return listPage.toPageInfo();
	}
    /**
     *功能描述  逻辑删除委托信息
     * @author wangqiang
     * @date 2019/8/21 0021
     * @param :[id]
     * @return boolean
     */
    @Override
    public boolean delete(EntrustVO vo) throws Exception { return entrustDomain.delete(vo); }

    @Override
    public boolean delete( ) throws Exception { return entrustDomain.delete(); }

	@Override
    public boolean deleteByJybh(EntrustVO vo ) throws Exception {
    	return entrustDomain.deleteByJybh(vo);
    }

    /**
     *功能描述 保存质检委托信息
     * @author wangqiang
     * @date 2019/8/21 0021
     * @param :[vo]
     * @return boolean
     */
    @Override
    public boolean save(EntrustVO vo) throws Exception { 
    	boolean bool=false;
    	if("其它".equals(vo.getZjbh())) {
    		bool=entrustDomain.saveQt(vo);
    	}else {
    		bool=entrustDomain.save(vo);
    	}
    	return bool; 
    }

	/**
	 *  保存交易质检信息
	 * @author wangqiang
	 * @date 2019/8/21 0021
	 * @param :[vo]
	 * @return boolean
	 */
    public boolean insertEntityJiaoYi(EntrustVO vo) throws Exception {
    	boolean bool=false;
		bool=entrustDomain.insertEntityJiaoYi(vo);
    	return bool;
    }


    /**
     *功能描述 修改质检委托信息
     * @author wangqiang
     * @date 2019/8/21 0021
     * @param :[EntrustVOlist, vo]
     * @return boolean
     */
    @Override
    public boolean update(EntrustVO vo) throws Exception {
    	boolean bool=false;
    	if("强检".equals(vo.getZjbh())) {
    		bool=entrustDomain.update(vo); 
    	}else {
    		bool=entrustDomain.updateQt(vo); 
    	}
    	return bool;
    }

    @Override
    public boolean submitEntrust(EntrustVO vo) throws Exception {
        return entrustDomain.submitEntrust(vo);
    }
    
    //推送委托
    @Override
  	public String sendWt(EntrustVO vo)throws Exception{
  		return entrustDomain.sendWt(vo);
  	}
    /**
	 *功能描述  根据wtbh查询
	 * @author 
	 * @date 2019/8/21 0021
	 * @param :[id]
	 * @return com.unis.quality.common.vo.EntrustVO
	 */
    @Override
	public List<Map> findByWtbhQT(EntrustVO vo) throws Exception {
		return entrustDomain.findByWtbhQT(vo);
	}
	
	//拼接
    @Override
	public String queryMAXWtbh(String zjbh) throws Exception{
		return entrustDomain.queryMAXWtbh(zjbh);
	}
}

