package com.unis.quality.server.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.alibaba.fastjson.JSONArray;
import com.unis.quality.common.vo.EquipmentVO;
import com.unis.quality.server.domain.EquipmentDomain;
import com.unis.quality.server.service.EquipmentService;
/**
 * @Description: 质检机构管理--设备信息
 * @ClassName: OrganizationService
 * @author lfx
 * @date 2018年10月30日14:12:47
 * 
 * @version v1.0
 */
@Service
public class EquipmentServiceImpl implements EquipmentService {
	
	@Autowired
	private EquipmentDomain equipmentDomain;
	
	/**
	 * @Description 根据id查询设备详情
	 * @version v1.0
	 * @author lfx
	 * @date 2018年10月30日14:17:21
	 * @param id
	 * @return
	 * @throws Exception
	 */
	@Override
	public List<EquipmentVO> findByIdAndIsDeleted(String id) throws Exception {
		return equipmentDomain.findByIdAndIsDeleted(id);
	}


	/**
	 * @Description 查询设备信息、分页
	 * @version v1.0
	 * @author lfx
	 * @date 2018年10月30日15:01:37
	 * @return java.util.List
	 * @throws Exception
	 */
	@Override
	public Map<String, Object> findByPage(EquipmentVO equipmentVO, Integer page, Integer size) throws Exception {
		Map<String, Object> resultMap=equipmentDomain.findByPage(equipmentVO, page, size);
		return resultMap;
	}

	/**
	 * @Description 多选删除
	 * @version v1.0
	 * @author lfx
	 * @param ids
	 * @date 2018年10月30日10:41:56
	 * @return boolean
	 * @throws Exception
	 */
	@Override
	public boolean deletes(String[] ids,EquipmentVO vo) throws Exception {
		return equipmentDomain.deletes(ids,vo);
	}

	/**
	 * @Description 保存信息--批量
	 * @version v1.0
	 * @author lfx
	 * @date 2018年10月30日10:43:55
	 * @return boolean
	 * @throws Exception
	 */
	@Override
	public boolean save(Map<String, Object>  equipmentList,EquipmentVO vo) throws Exception {
		return equipmentDomain.save(equipmentList,vo);
	}

	/**
	 * @Description 更新设备信息
	 * @version v1.0
	 * @author lfx
	 * @date 2018年10月30日10:45:49
	 * @return boolean
	 * @throws Exception
	 */
	@Override
	public boolean update(Map<String, Object> EquipmentVOlist,EquipmentVO vo) throws Exception {
	    return equipmentDomain.update(EquipmentVOlist,vo);
	}

	/**
	 * @Author lidiaoquan
	 * @version V1.0
	 * @Description 同步base-server中的设备--检验化验仪器设备
	 * @Date 2020年3月10日 下午3:51:43
	 * @param contentJsonArr
	 * @return boolean
	 */
	@Override
	public boolean synBaseServerEquipment(JSONArray contentJsonArr) {
		return equipmentDomain.synBaseServerEquipment(contentJsonArr);
	}
}
