package com.unis.quality.server.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import com.unis.quality.common.vo.FxlyCompanyVO;
import com.unis.quality.server.domain.FxlyCompanyDomain;
import com.unis.quality.server.service.FxlyCompanyService;

/**
 * @Description 放心粮油企业
 * @ClassName FxlyCompanyService
 * @version v1.0
 * @author lfx
 * @date 2018年10月26日 下午3:50:01
 *
 */
@Service
public class FxlyCompanyServiceImpl implements FxlyCompanyService{
	
	@Autowired
	private FxlyCompanyDomain domain;
	
	//放心粮油导入
	public boolean importExcel(MultipartFile file) throws Exception{
		return domain.importExcel(file);
	}
	
	/**
	 * @Description 根据id查询详情
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @return
	 * @throws Exception
	 */
	public FxlyCompanyVO findByIdAndIsDeleted(String qyxydm) throws Exception {
		return domain.findByIdAndIsDeleted(qyxydm);
	}
	
	/**
	 * @Description 保存
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @return boolean
	 * @throws Exception
	 */
	public boolean save(FxlyCompanyVO vo) throws Exception {
		return domain.save(vo);
	}
	
	public  Map<String,  Object>  findByPage(FxlyCompanyVO  organizationVO,  Integer  page,  Integer  size)  throws  Exception{
		return domain.findByPage(organizationVO, page, size);
	}
	
	/**
	 * @Description 更新
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @return boolean
	 * @throws Exception
	 */
	public boolean update(FxlyCompanyVO organizationVO) throws Exception{
		return domain.update(organizationVO);
	}

	/**
	 * @Description 获取列表
	 * @version v1.0
	 * @author ldq
	 * @date 2018/10/29
	 * @return List<FxlyCompanyVO>
	 * @throws Exception
	 */
	public  List<FxlyCompanyVO>  findList(FxlyCompanyVO  organizationVO)  throws  Exception{
		return domain.findList(organizationVO);
	}
}
