package com.unis.quality.server.service.impl;

import java.util.Map;

import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.unis.quality.common.vo.OrganizationVO;
import com.unis.quality.server.domain.OrganizationDomain;
import com.unis.quality.server.entity.quality.OrganizationDO;
import com.unis.quality.server.service.OrganizationService;

/**
 * @Description 粮食质量安全检测体系-机构信息
 * @ClassName OrganizationService
 * @version v1.0
 * @author lfx
 * @date 2018年10月26日 下午3:50:01
 *
 */
@Service
public class OrganizationServiceImpl implements OrganizationService{

	@Autowired
	private OrganizationDomain organizationDomain;
	/**
	 * @Description 根据id查询详情
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @param organizationId
	 * @return
	 * @throws Exception
	 */
	@Override
	public OrganizationVO findByIdAndIsDeleted(String organizationId) throws Exception{
		return organizationDomain.findByIdAndIsDeleted(organizationId);
	}
	
	@Override
	public OrganizationDO findByIdAndIsDeleted(String id, int isDelete) throws Exception{
		return organizationDomain.findByIdAndIsDeleted(id, isDelete);
	}
	/**
	 * @Description 根据标题、创建人查询机构信息
	 * @version v1.0
	 * @author lfx
	 * @param OrganizationVO
	 * @date 2018/10/19
	 * @return java.util.List
	 * @throws Exception
	 */
	@Override
	public Map<String, Object> findByPage(OrganizationVO organizationVO, Integer page, Integer size) throws Exception{
		return organizationDomain.findByPage(organizationVO, page, size);
	}

	/**
	 * @Description 多选删除
	 * @version v1.0
	 * @author lfx
	 * @param organizationIds
	 * @date 2018/10/29
	 * @return boolean
	 * @throws Exception
	 */
	@Override
	public boolean deletes(String[] ids,OrganizationVO organizationVO) throws Exception{
		return organizationDomain.deletes(ids,organizationVO);
	}

	/**
	 * @Description 保存机构信息
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @param OrganizationVO
	 * @return boolean
	 * @throws Exception
	 */
	@Override
	public boolean save(OrganizationVO OrganizationVO) throws Exception{
		return organizationDomain.save(OrganizationVO);
	}

	/**
	 * @Description 更新机构信息
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @param OrganizationVO
	 * @return boolean
	 * @throws Exception
	 */
	@Override
	public boolean update(OrganizationVO organizationVO) throws Exception{
		return organizationDomain.update(organizationVO);
	}
	
	/**
	 * @Description 根据名称查询id
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @param organizationName
	 * @return
	 * @throws Exception
	 */
	@Override
	public String findByName(String organizationName) throws Exception{
		return organizationDomain.findByName(organizationName);
	}

	/**
	 * @Author lidiaoquan
	 * @version V1.0
	 * @Description 同步用户中心机构
	 * @Date 2020年3月10日 上午10:11:33
	 * @param contentJsonArr 
	 * @return boolean
	 * @throws Exception 
	 */
	@Override
	public boolean synMyuserOrg(JSONArray contentJsonArr) throws Exception {
		return organizationDomain.synMyuserOrg(contentJsonArr);
	}
}
