package com.unis.quality.server.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.unis.quality.common.vo.OrganizationVO;
import com.unis.quality.common.vo.PersonnelManagementVO;
import com.unis.quality.server.domain.PersonnelManagementDomain;
import com.unis.quality.server.service.PersonnelManagementService;

/**
 * @Description 粮食质量安全检测体系-人员信息
 * @ClassName PersonnelManagementService
 * @author lfx
 * @date 2018年10月30日10:17:43
 * @version v1.0
 *
 */
@Service
public class PersonnelManagementServiceImpl implements PersonnelManagementService{
	@Autowired
	private PersonnelManagementDomain domain;

	/**
	 * @Description 根据id查询人员详情
	 * @version v1.0
	 * @author lfx
	 * @date 2018年10月30日10:18:35
	 * @param id
	 * @return
	 * @throws Exception
	 */
	public List<PersonnelManagementVO> findByIdAndIsDeleted(String id) throws Exception{
		return domain.findByIdAndIsDeleted(id);
	}

	/**
	 * @Description 查询人员信息、分页
	 * @version v1.0
	 * @author lfx
	 * @param PersonnelManagementVO
	 * @date 2018年10月30日10:38:06
	 * @return java.util.List
	 * @throws Exception
	 */
	public Map<String, Object> findByPage(PersonnelManagementVO personnelManagementVO, Integer page, Integer size) throws Exception{
		return domain.findByPage(personnelManagementVO, page, size);
	}

	/**
	 * @Description 多选删除
	 * @version v1.0
	 * @author lfx
	 * @param ids
	 * @date 2018年10月30日10:41:45
	 * @return boolean
	 * @throws Exception
	 */
	public boolean deletes(String[] ids,PersonnelManagementVO vo) throws Exception{
		return domain.deletes(ids,vo);
	}

	/**
	 * @Description 保存信息
	 * @version v1.0
	 * @author lfx
	 * @date 2018年10月30日10:43:43
	 * @param PersonnelManagementVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean save(Map<String, Object> pManagementList,PersonnelManagementVO vo) throws Exception{
		return domain.save(pManagementList,vo);
	}

	/**
	 * @Description 更新信息
	 * @version v1.0
	 * @author lfx
	 * @date 2018年10月30日10:45:37
	 * @param PersonnelManagementVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean update(Map<String, Object> personnelManagementVOlist,PersonnelManagementVO vo) throws Exception{
		return domain.update(personnelManagementVOlist,vo);
	}
	
	/**
	 * @Author lidiaoquan
	 * @version V1.0
	 * @Description 步base-server中的人员--化验
	 * @Date 2020年3月10日 下午3:49:55
	 * @param contentJsonArr
	 * @return boolean
	 */
	@Override 
	public boolean synBaseServerPerson(JSONArray contentJsonArr) {
		return domain.synBaseServerPerson(contentJsonArr);
	}
}
