package com.unis.quality.server.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.unis.quality.common.vo.QualityPredictionAduitVO;
import com.unis.quality.common.vo.QualityPredictionItemsVO;
import com.unis.quality.server.domain.QualityPredictionAduitDomain;
import com.unis.quality.server.entity.quality.QualityPredictionAduitDO;
import com.unis.quality.server.service.QualityPredictionAduitService;

/**
 * @ClassName QualityPredictionAduitService
 * @Description 品质测报-审核结果
 * @author lfx
 * @date 2019年7月10日11:22:22
 * @version v1.0
 */
@Service
public class QualityPredictionAduitServiceImpl implements  QualityPredictionAduitService{
	@Autowired
	private QualityPredictionAduitDomain domain;

	/**
	 * @Description 根据id查询审核详情
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/24
	 * @param id
	 * @return
	 * @throws Exception
	 */
	public Map<String, Object>  findByIdAndIsDeleted(String id,String batch) throws Exception{
		return domain.findByIdAndIsDeleted(id,batch);
	}
	
	public QualityPredictionAduitDO findByIdAndIsDeleted(String id, int isDelete,String batch) throws Exception {
		return domain.findByIdAndIsDeleted(id, isDelete,batch);
	}
	
	/**
	 * @Description 根据id查询检查项目详情
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/24
	 * @param id
	 * @return
	 * @throws Exception
	 */
	 public List<QualityPredictionItemsVO> findItemsByIdAndIsDeleted(String id,String batch) throws Exception{
		 return domain.findItemsByIdAndIsDeleted(id,batch);
	 }
	/**
	 * @Description 查询
	 * @version v1.0
	 * @author lfx
	 * @param page
	 * @param size
	 * @date 2018/10/19
	 * @return java.util.List
	 * @throws Exception
	 */
	public Map<String, Object> findByPage(QualityPredictionAduitVO aduitVO, Integer page, Integer size) throws Exception{
		return domain.findByPage(aduitVO, page, size);
	}

	/**
	 * @Description 多选删除
	 * @version v1.0
	 * @author lfx
	 * @param ids
	 * @date 2018/10/24
	 * @return boolean
	 * @throws Exception
	 */
	public boolean deletes(String[] ids,QualityPredictionAduitVO vo) throws Exception{
		return domain.deletes(ids, vo);
	}

	/**
	 * @Description 保存品质测报-结果审核
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月10日11:25:58
	 * @return boolean
	 * @throws Exception
	 */
	public boolean save(Map<String, Object> aduitList,QualityPredictionAduitVO vo) throws Exception{
		return domain.save(aduitList, vo);
	}

	/**
	 * @Description 更新品质测报-结果审核
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月10日15:02:41
	 * @return boolean
	 * @throws Exception
	 */
	public boolean update(Map<String, Object> aduitList,QualityPredictionAduitVO vo) throws Exception{
		return domain.update(aduitList, vo);
	}
	
	
	/**
	 * @Description 品质测报-结果上报
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月19日15:12:44
	 * @return boolean
	 * @throws Exception
	 */
	public boolean updateState(QualityPredictionAduitVO vo) throws Exception{
		return domain.updateState(vo);
	}
	
	
	/**
	 * @Description 移动端-新收获粮分类汇总统计
	 * @version v1.0
	 * @author lfx
	 * @param page
	 * @param size
	 * @date 2018/10/19
	 * @return java.util.List
	 * @throws Exception
	 */
	public Map<String, Object> qualityHarvestCorn(String years) throws Exception {
		return domain.qualityHarvestCorn(years);
	}
	
	/**
	 * @Description 移动端-按企业、企业总数、合格率
	 * @version v1.0
	 * @author lfx
	 * @param page
	 * @param size
	 * @date 2018/10/19
	 * @return java.util.List
	 * @throws Exception
	 */
	public Map<String, Object> company() throws Exception{
		return domain.company();
	}
	
	/**
	 * @Description 移动端-按品种、企业总数、合格率
	 * @version v1.0
	 * @author lfx
	 * @param page
	 * @param size
	 * @date 2018/10/19
	 * @return java.util.List
	 * @throws Exception
	 */
	public Map<String, Object> varieties(String varieties) throws Exception {
		return domain.varieties(varieties);
	}
}
