package com.unis.quality.server.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.unis.quality.common.vo.QualityPredictionPlannedVO;
import com.unis.quality.server.domain.QualityPredictionPlannedDomain;
import com.unis.quality.server.entity.quality.QualityPredictionPlannedDO;
import com.unis.quality.server.service.QualityPredictionPlannedService;

/**
 * @ClassName QualityPredictionPlannedService
 * @Description 品质测报-计划下发
 * @author lfx
 * @date 2019年7月10日11:22:22
 * @version v1.0
 */
@Service
public class QualityPredictionPlanneServiceImpl implements QualityPredictionPlannedService{

	@Autowired
	private QualityPredictionPlannedDomain domain;
	/**
	 * @Description 根据id查询详情
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/24
	 * @param id
	 * @return
	 * @throws Exception
	 */
	public QualityPredictionPlannedVO findByIdAndIsDeleted(String id) throws Exception{
		return domain.findByIdAndIsDeleted(id);
	}
	
	public QualityPredictionPlannedDO findByIdAndIsDeleted(String id, int isDelete) throws Exception{
		return domain.findByIdAndIsDeleted(id, isDelete);
	}

	/**
	 * @Description 查询
	 * @version v1.0
	 * @author lfx
	 * @param page
	 * @param size
	 * @date 2018/10/19
	 * @return java.util.List
	 * @throws Exception
	 */
	public Map<String, Object> findByPage(QualityPredictionPlannedVO vo, Integer page, Integer size) throws Exception{
		return domain.findByPage(vo, page, size);
	}

	/**
	 * @Description 多选删除
	 * @version v1.0
	 * @author lfx
	 * @param ids
	 * @date 2018/10/24
	 * @return boolean
	 * @throws Exception
	 */
	public boolean deletes(QualityPredictionPlannedVO qualityVO) throws Exception{
		return domain.deletes(qualityVO);
	}

	/**
	 * @Description 保存品质测报计划下发
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月10日11:25:58
	 * @return boolean
	 * @throws Exception
	 */
	public String save(QualityPredictionPlannedVO resultsVO) throws Exception{
		return domain.save(resultsVO);
	}

	/**
	 * @Description 更新品质测报
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月10日15:02:41
	 * @return boolean
	 * @throws Exception
	 */
	public boolean update(QualityPredictionPlannedVO resultsVO) throws Exception{
		return domain.update(resultsVO);
	}
	
	/**
	 * @Description 查询计划文件名称
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月10日15:02:41
	 * @return boolean
	 * @throws Exception
	 */
	public List getFlieName(QualityPredictionPlannedVO vo) throws Exception{
		return domain.getFlieName(vo);
	}
	

	/**
	 * @Description 品质测报-计划下发
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月10日15:02:41
	 * @return boolean
	 * @throws Exception
	 */
	public boolean updateState(QualityPredictionPlannedVO vo) throws Exception{
		return domain.updateState(vo);
	}
	
}
