package com.unis.quality.server.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.unis.quality.common.vo.TestParametersVO;
import com.unis.quality.server.domain.TestParametersDomain;
import com.unis.quality.server.service.TestParametersService;

/**
 * @Description  质检机构管理--检验参数
 * @ClassName TestParametersService
 * @version v1.0
 * @author lfx
 * @date 2018年10月26日 下午3:50:01
 *
 */
@Service
public class TestParametersServiceImpl implements TestParametersService{
	
	@Autowired
	private  TestParametersDomain domain;
	/**
	 * @Description 根据id查询详情
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @param Id
	 * @return
	 * @throws Exception
	 */
	public List<TestParametersVO> findByIdAndIsDeleted(String organizationId) throws Exception{
		return domain.findByIdAndIsDeleted(organizationId);
	}

	/**
	 * @Description 根据标题、创建人查询机构信息
	 * @version v1.0
	 * @author lfx
	 * @param TestParametersVO
	 * @date 2018/10/19
	 * @return java.util.List
	 * @throws Exception
	 */
	public Map<String, Object> findByPage(TestParametersVO testParametersVO, Integer page, Integer size) throws Exception{
		return domain.findByPage(testParametersVO, page, size);
	}

	/**
	 * @Description 多选删除
	 * @version v1.0
	 * @author lfx
	 * @param Ids
	 * @date 2018/10/29
	 * @return boolean
	 * @throws Exception
	 */
	public boolean deletes(String[] ids,TestParametersVO vo) throws Exception{
		return domain.deletes(ids,vo);
	}

	/**
	 * @Description 保存检验参数
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @param TestParametersVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean save(Map<String, Object>  tParametersList,TestParametersVO vo) throws Exception{
		return domain.save(tParametersList,vo);
	}

	/**
	 * @Description 更新检验参数
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @param TestParametersVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean update(Map<String, Object> testParametersVOlist,TestParametersVO vo) throws Exception{
		return domain.update(testParametersVOlist,vo);
	}
}
