package com.unis.quality.server.service.impl.tianjin;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.unis.quality.server.service.BacklogMQService;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.unis.quality.common.dto.CheckSchemeDTO;
import com.unis.quality.common.vo.ZjbgbhVO;
import com.unis.quality.common.vo.tianjin.CcfackVO;
import com.unis.quality.common.vo.tianjin.PointPlanVO;
import com.unis.quality.server.domain.tianjin.PointPlanDomain;
import com.unis.quality.server.domain.tianjin.QualityHarvestCornDomain;
import com.unis.quality.server.service.tianjin.PointPlanService;

/**
 * 
 * @ClassName: PointPlanServiceImpl
 * @Description: 品质测报-布点计划
 * @author lfx
 * @date 2019年7月10日15:01:34
 * 
 * @version v1.0
 */
@Service
public class PointPlanServiceImpl implements PointPlanService{
	
	@Autowired
	private PointPlanDomain domain;
	

	@Autowired
	private QualityHarvestCornDomain mapper;

	//加待办
	@Autowired
	private BacklogMQService mqService;

	/**
	 * @Description 根据id查询详情
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @return
	 * @throws Exception
	 */
	   public List<CheckSchemeDTO> findPointPlan(String id) throws Exception {
		return domain.findPointPlan(id);
	}
	/**
	 * @Description 查询
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/19
	 * @return java.util.List
	 * @throws Exception
	 */
	public  Map<String,  Object>  findByPage(CheckSchemeDTO dto,  Integer  page,  Integer  size)  throws  Exception{
		return domain.findByPage(dto, page, size);
	}

	/**
	 * @Description 多选删除(布点计划和放心粮油公用)
	 * @version v1.0
	 * @author lfx
	 * @param ids
	 * @date 2018/10/29
	 * @return boolean
	 * @throws Exception
	 */

	public boolean deletes(CheckSchemeDTO dto) throws Exception {
		boolean bool=false;
		if("放心粮油".equals(dto.getWtlx()) || "库存检查".equals(dto.getWtlx())) {
			bool=domain.deletesPointPlan(dto.getIds());
			if(bool==true) {
				bool=mapper.deletesSites(dto.getIds());
				if(bool==true) {
					bool=mapper.deletesVarieties(dto.getIds());
					if(bool==true) {
						bool=mapper.deletesPlan(dto.getIds());
						if(bool==true) {
							bool=mapper.deletesHarvest(dto.getIds());
						}
					}
				}
			}
		}else {
			bool=domain.deletesPoint(dto.getIds());
		}
		
		return bool;
	}
	
	/**
	 * @Description 保存信息
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @return boolean
	 * @throws Exception
	 */
	public boolean save(CheckSchemeDTO dto) throws Exception{
		return domain.save(dto);
	}

	/**
	 * @Description 更新信息
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @return boolean
	 * @throws Exception
	 */
	public boolean update(CheckSchemeDTO dto) throws Exception{
		return domain.update(dto);
	}
	
	/**
	 * @Description <!-- 抽样检测结果查看 关联质检编号的数据库表 -->
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/24
	 * @param id
	 * @return
	 * @throws Exception
	 */
    public Map<String,  Object> allSampling(CheckSchemeDTO dto,  Integer  page,  Integer  size) throws Exception {
    	return domain.allSampling(dto, page, size);
    }

	/**
	 * @Description <!-- 抽样检测结果查看 关联质检编号的数据库表 -->
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/24
	 * @param id
	 * @return
	 * @throws Exception
	 */
    public Map<String,  Object> kucunliangshiList(CheckSchemeDTO dto,  Integer  page,  Integer  size) throws Exception {
    	return domain.kucunliangshiList(dto, page, size);
    }

    /**
	 * @Description 抽样检测结果详情
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @return
	 * @throws Exception
	 */
	   public List<CheckSchemeDTO> samplingById(CheckSchemeDTO dto) throws Exception{
		   return domain.samplingById(dto);
	   }
	
	   /**
		 * @Description 质检中心推送质检编号
		 * @version v1.0
		 * @author lfx
		 * @date 2018/10/20
		 * @param QualityPredictionPlannedVO
		 * @return boolean
		 * @throws Exception
		 */
		public boolean saveZjbg(ZjbgbhVO resultsVO) throws Exception {
			return domain.saveZjbg(resultsVO);
		}
		
		/**
		 * @Description 抽查方案查看记录保存
		 * @version v1.0
		 * @author lfx
		 * @date 2018/10/20
		 * @param CcfackVO
		 * @return boolean
		 * @throws Exception
		 */
		public boolean updateCkjl(CcfackVO resultsVO) throws Exception {
			boolean bool= domain.updateCkjl(resultsVO);
			if(bool){
				String donestatusName="已接收";
				//加已办-下发移库通知单
				String dealItemName = "抽样方案-" +donestatusName ;
				mqService.addDeals(resultsVO.getCcfaid(), dealItemName , "20", donestatusName);
			}
			return bool;
		}
		/**
		 * @Description 抽查方案查看记录列表
		 * @version v1.0
		 * @author lfx
		 * @date 2018/10/19
		 * @return java.util.List
		 * @throws Exception
		 */
		public  Map<String,  Object>  findCcfa(CcfackVO  organizationVO)  throws  Exception  {
			Map<String,  Object>  resultMap  =  new  HashMap<String,  Object>();
			resultMap.put("resultList",  domain.findCcfa(organizationVO));
			return  resultMap;
		}
}
