package com.unis.quality.server.service.impl.tianjin;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.TyZjxxmxbVO;
import com.unis.base.common.vo.TyZjxxzbQueryVO;
import com.unis.base.common.vo.TyZjxxzbVO;
import com.unis.base.common.vo.TyZjxxzbycVO;
import com.unis.common.utils.DateUtil;
import com.unis.common.utils.ResponseWrapper;
import com.unis.quality.common.constant.AbnormalConstant;
import com.unis.quality.common.constant.AbnormalStatusConstant;
import com.unis.quality.common.constant.Constant;
import com.unis.quality.common.constant.OperateConstant;
import com.unis.quality.common.vo.TbCheckstandardItemVO;
import com.unis.quality.common.vo.TbCheckstandardItemlevelVO;
import com.unis.quality.common.vo.abnormal.AbnormalDetailVO;
import com.unis.quality.common.vo.abnormal.AbnormalVO;
import com.unis.quality.common.vo.tianjin.TyZjxxAbnormalVO;
import com.unis.quality.common.vo.tianjin.TyZjxxzbAbnormalQueryVO;
import com.unis.quality.server.dao.CheckstandandItemDao;
import com.unis.quality.server.dao.WTDao;
import com.unis.quality.server.domain.abnormal.AbnormalDomain;
import com.unis.quality.server.domain.tianjin.TyZjxxmxbDomain;
import com.unis.quality.server.domain.tianjin.TyZjxxzbDomain;
import com.unis.quality.server.entity.quality.EntrustDO;
import com.unis.quality.server.entity.quality.TbCheckstandardInfoDO;
import com.unis.quality.server.entity.quality.TbCheckstandardItemDO;
import com.unis.quality.server.service.impl.CheckstandardItemServer;
import com.unis.quality.server.service.tianjin.TyZjxxzbService;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

/**
 * @author huangxing
 * @version 1.0
 * @Title TyCrkjsxxServiceImpl
 * @ProjectName TyCrkjsxxServiceImpl
 * @date 2019/07/22 17点26分
 */
@Service
public class TyZjxxzbServiceImpl implements TyZjxxzbService {

	@Autowired
	private TyZjxxzbDomain tyZjxxzbDomain;

	@Autowired
	private TyZjxxmxbDomain tyZjxxmxbDomain;

	@Autowired
	private CheckstandardItemServer checkstandardItemServer;

	@Autowired
	private WTDao wtDao;

	@Autowired
	private AbnormalDomain abnormalDomain;

	/**
	 * 获取信息
	 */
	@Override
	public List<TyZjxxzbVO> getTyZjxxzbList(TyZjxxzbQueryVO tyZjxxzbQueryVO) {
		return tyZjxxzbDomain.getTyZjxxzbList(tyZjxxzbQueryVO);
	}

	/**
	 * 生成异常数据
	 * @param tyZjxxzbQueryVO
	 * @return
	 */
	public ResponseWrapper makeAbnormalData(TyZjxxzbQueryVO tyZjxxzbQueryVO) {
	    long timeStamp=System.currentTimeMillis();
		List<TbCheckstandardItemVO> itemList=checkstandardItemServer.getAllInfo();
		Map<String,TbCheckstandardItemVO> itemMap=new HashMap<>();
        String key=null;
		for(TbCheckstandardItemVO tbCheckstandardItemVO : itemList){
		    if(Constant.AbnormalItem.contains(","+tbCheckstandardItemVO.getProjectDetails()+",")){
                key=(tbCheckstandardItemVO.getStandardName()+"_"+tbCheckstandardItemVO.getProjectDetails()).replace(Constant.AbnormalItemExt,"");
                itemMap.put(key,tbCheckstandardItemVO);
            }
		}
		List<TyZjxxzbVO> zjzbList=tyZjxxzbDomain.getTyZjxxzbList(tyZjxxzbQueryVO);
        TyZjxxzbVO zbVO=new TyZjxxzbVO();
		TyZjxxmxbVO mxbVO=null;
		TbCheckstandardItemVO itemVO=null;
		AbnormalVO abnormalVO=null;
		for(TyZjxxzbVO tyZjxxzbVO: zjzbList ){
			mxbVO=new TyZjxxmxbVO();
			boolean yc=false;
            zbVO.setZjxxid(tyZjxxzbVO.getZjxxid());
			mxbVO.setZjxxid(tyZjxxzbVO.getZjxxid());
			List<TyZjxxmxbVO> mxbList =tyZjxxmxbDomain.getTyZjxxmxbList(mxbVO);
			if(mxbList!=null && mxbList.size()>0){

				for(TyZjxxmxbVO tyZjxxmxbVO : mxbList){
					if(tyZjxxmxbVO.getZjxxid().equals("b8217dfe-45d0-4677-8a83-9e2381429440")
						|| tyZjxxmxbVO.getZjxxid().equals("14b5c4d6-d1b1-48b1-b069-93210a91a3e8")){
						System.out.println(1111111);
					}
					//杂质总量   杂质-->杂质       有可能会多出总量
					key=(tyZjxxzbVO.getLspzmc()+"_"+tyZjxxmxbVO.getJyxm()).replace(Constant.AbnormalItemExt,"");
					if(itemMap.containsKey(key)){
						/*if("'3ca3a3c4-157d-4505-8991-1a486477763a','aefdae12-1b89-43f8-acd4-82a098e64301','0a0ab134-75bb-40f8-b52b-6490248a9edc','7920c995-8b37-40bd-bd25-91b45473d418'"
								.contains(tyZjxxzbVO.getZjxxid())){
							System.out.println(1111111);
						}*/
						itemVO=itemMap.get(key);
						List<TbCheckstandardItemlevelVO> levelList = itemVO.getJudgeRuleList();
						if(levelList!=null && levelList.size()>0){
							//找出最小的标准
							String ruler=null;
							String judgeValue=null;

							String rulerTemp=null;
							String judgeValueTemp=null;
							for(TbCheckstandardItemlevelVO itemlevel : levelList){
								rulerTemp=itemlevel.getRule();
								judgeValueTemp=itemlevel.getJudgeValue();
								OperateConstant operTemp=OperateConstant.getByCode(rulerTemp);
								if(rulerTemp!=null && judgeValueTemp!=null && operTemp!=null){
									if(ruler==null || judgeValue==null){
										ruler=itemlevel.getRule();
										judgeValue=itemlevel.getJudgeValue();
									}else{
										if(operTemp!=null){
											int order = OperateConstant.getByCode(ruler).getOrder();
											int orderTemp = operTemp.getOrder();
											if(order/10 > orderTemp/10){
												ruler=rulerTemp;
												judgeValue=judgeValueTemp;
											}else if(order/10 ==orderTemp/10){
												if(Double.valueOf(judgeValue)>Double.valueOf(judgeValueTemp)){
													ruler=rulerTemp;
													judgeValue=judgeValueTemp;
												}else if(Double.valueOf(judgeValue) == Double.valueOf(judgeValueTemp)){
													if(order%10 >orderTemp/10 ){
														ruler=rulerTemp;
														judgeValue=judgeValueTemp;
													}
												}
											}
										}
									}
								}
								System.out.println("循环里:   rulerTemp:"+rulerTemp+"   judgeValueTemp:"+judgeValueTemp);
							}
							String jyjg=tyZjxxmxbVO.getJyjg();
							System.out.println("最终:   ruler:"+ruler+"   judgeValue:"+judgeValue+"   jyjg:"+jyjg);
							if(StringUtils.isNotEmpty(judgeValue)
									&& StringUtils.isNotEmpty(jyjg)){
								if(Double.valueOf(judgeValue)<Double.valueOf(jyjg)){
									mxbVO.setSxh(tyZjxxmxbVO.getSxh());
									mxbVO.setBzyqpdgz(judgeValue);
									mxbVO.setSjyczt(1);
									tyZjxxmxbVO.setSjyczt(1);
									System.out.println("sxh:"+tyZjxxmxbVO.getSxh());
									tyZjxxmxbDomain.updateByPrimaryKeySelective(mxbVO);
									yc=true;
								}
							}else{
								System.out.println("最终:   ruler:"+ruler+"   judgeValue:"+judgeValue+"   jyjg:"+jyjg);
							}
							ruler=null;
							judgeValue=null;
						}else{
							System.out.println("级别信息为空,zjxxid:"+tyZjxxzbVO.getZjxxid());
						}
					}else{
						System.out.println("zjxxid:"+tyZjxxzbVO.getZjxxid()+",标准里找不到:"+key);
					}
				}
			}else{
				System.out.println("zjxxid:"+tyZjxxzbVO.getZjxxid()+",子表无数据");
			}
			if(yc){
				zbVO.setSjyczt(1);
				zbVO.setDatastamp(timeStamp);
				tyZjxxzbDomain.updateByPrimaryKeySelective(zbVO);

				EntrustDO entrustDO=wtDao.selectByZjbgbh(tyZjxxzbVO.getZjbgbh());
				if(entrustDO!=null && Constant.QiangJian.contains(","+entrustDO.getWtlx()+",")){
				/*	if("QJ20200516001".equals(entrustDO.getWtbh())){
						System.out.println("1111111111");
					}*/
				/*	System.out.println("-------------------------------------------------");
					System.out.println("wtbh:"+entrustDO.getWtbh()+"  zjbgbh:"+tyZjxxzbVO.getZjbgbh());*/
					abnormalVO=new AbnormalVO();
					abnormalVO.setCcdw(entrustDO.getWtdw());
					abnormalVO.setWtbh(entrustDO.getWtbh());
					abnormalVO.setYczt(AbnormalStatusConstant.CaoGao.getValue());
					abnormalVO.setYcztmc(AbnormalStatusConstant.CaoGao.getName());
					List<AbnormalDetailVO> detailVOList=new ArrayList<>();
					AbnormalDetailVO detailVO=new AbnormalDetailVO();
					detailVOList.add(detailVO);
					for(TyZjxxmxbVO tyZjxxmxbVO : mxbList){
						if(tyZjxxmxbVO.getSjyczt()!=null && tyZjxxmxbVO.getSjyczt()==1){
							if(tyZjxxmxbVO.getJyxm()!=null && AbnormalConstant.BuWanShanLi.getValue().equals(tyZjxxmxbVO.getJyxm().replace(Constant.AbnormalItemExt,"")) ){
								detailVO.setBwsl(tyZjxxmxbVO.getJyjg());
							}else if(tyZjxxmxbVO.getJyxm()!=null && AbnormalConstant.ZaZhi.getValue().equals(tyZjxxmxbVO.getJyxm().replace(Constant.AbnormalItemExt,"")) ){
								detailVO.setZz(tyZjxxmxbVO.getJyjg());
							}else if(tyZjxxmxbVO.getJyxm()!=null && AbnormalConstant.ShuiFen.getValue().equals(tyZjxxmxbVO.getJyxm().replace(Constant.AbnormalItemExt,"")) ){
								detailVO.setSf(tyZjxxmxbVO.getJyjg());
							}
							detailVO.setCh(entrustDO.getCh());
							detailVO.setPz(entrustDO.getPz());
							detailVO.setQydbh(tyZjxxzbVO.getQydbh());
						}
					}
					abnormalVO.setDetailList(detailVOList);
					abnormalDomain.saveEntity(abnormalVO);
				}
			}else{
				zbVO.setSjyczt(0);
				zbVO.setDatastamp(timeStamp);
				tyZjxxzbDomain.updateByPrimaryKeySelective(zbVO);
			}
		}
		return null;
	}

	/**
	 * 分页展示
	 */
	@Override
	public List<TyZjxxzbVO> getTyZjxxzbPage(TyZjxxzbQueryVO tyZjxxzbQueryVO, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return tyZjxxzbDomain.getTyZjxxzbList(tyZjxxzbQueryVO);
	}

	/**
	 * 分页展示
	 */
	@Override
	public List<TyZjxxAbnormalVO> getZjxxzbAbnormalList(TyZjxxzbAbnormalQueryVO tyZjxxzbQueryVO, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize,"CREATE_DATE DESC");
		List<TyZjxxAbnormalVO> list= tyZjxxzbDomain.getZjxxzbAbnormalList(tyZjxxzbQueryVO);
		TyZjxxmxbVO tyZjxxmxbVO=new TyZjxxmxbVO();
		for(TyZjxxAbnormalVO tyZjxxzbVO : list){
			tyZjxxmxbVO.setZjxxid(tyZjxxzbVO.getZjxxid());
			tyZjxxmxbVO.setSjyczt(1);
			List<TyZjxxmxbVO> mxList=tyZjxxmxbDomain.getTyZjxxmxbList(tyZjxxmxbVO);
			/*if(tyZjxxzbVO.getZjxxid().equals("b8217dfe-45d0-4677-8a83-9e2381429440")){
				System.out.println(11111111);
			}*/
			if(mxList!=null && mxList.size()>0){
				TyZjxxzbycVO ycxx=new TyZjxxzbycVO();
				for(TyZjxxmxbVO mxVO : mxList){
					if(AbnormalConstant.ShuiFen.getValue().equals(mxVO.getJyxm().replace(Constant.AbnormalItemExt,""))){
						ycxx.setSfjyyc(mxVO.getJyjg());
						ycxx.setSfhtbd(mxVO.getBzyqpdgz());
						ycxx.setSfysrk(mxVO.getDxpd());
					}else if(AbnormalConstant.ZaZhi.getValue().equals(mxVO.getJyxm().replace(Constant.AbnormalItemExt,""))){
						ycxx.setZzjyyc(mxVO.getJyjg());
						ycxx.setZzhtbd(mxVO.getBzyqpdgz());
						ycxx.setZzysrk(mxVO.getDxpd());
					}else if(AbnormalConstant.BuWanShanLi.getValue().equals(mxVO.getJyxm().replace(Constant.AbnormalItemExt,""))){
						ycxx.setBwsljyyc(mxVO.getJyjg());
						ycxx.setBwslhtbd(mxVO.getBzyqpdgz());
						ycxx.setBwslysrk(mxVO.getDxpd());
					}
				}
				tyZjxxzbVO.setYcxx(ycxx);
			}
 		}
		return list;
	}

	/**
	 * 添加
	 */
	@Override
	public int insert(TyZjxxzbVO tyZjxxzbVO) {
		String date = DateUtil.getCurrentDateTime16Str();
		tyZjxxzbVO.setZjxxid("ZJ"+date);
		return tyZjxxzbDomain.insert(tyZjxxzbVO);
	}

	/**
	 * 更新信息
	 */
	@Override
	public int update(TyZjxxzbVO tyZjxxzbVO) {
		return tyZjxxzbDomain.update(tyZjxxzbVO);
	}

	/**
	 * 删除
	 */
	@Override
	public int delete(String zjxxid) {
		//根据编号获取廒间信息
		TyZjxxzbVO tyZjxxzbVO = tyZjxxzbDomain.getTyZjxxzbById(zjxxid);
		if(tyZjxxzbVO == null) {
			return -1;
		}
		tyZjxxzbVO.setStatus(0);
		return tyZjxxzbDomain.update(tyZjxxzbVO);
	}

	/**
	 * 根据编号获取信息
	 */
	@Override
	public TyZjxxzbVO getZjxxzbByZjxxzbid(String zjxxid) {
		return tyZjxxzbDomain.getTyZjxxzbById(zjxxid);
	}

	/**
	 * 获取所有列表不分页
	 */
	@Override
	public PageInfo<TyZjxxzbVO> getPageList() {
		PageInfo<TyZjxxzbVO> page = tyZjxxzbDomain.getAllList();
		return page;
	}

	/**
	 * 批量新增信息
	 * @param tyZjxxzbVO
	 * @return
	 */
	@Override
	public int batchInserts(List<TyZjxxzbVO> tyZjxxzbVO) {
		return tyZjxxzbDomain.batchInserts(tyZjxxzbVO);
	}
}
