package com.unis.quality.server.service.tianjin;

import java.util.List;
import java.util.Map;

import com.unis.quality.common.dto.CheckSchemeDTO;
import com.unis.quality.common.vo.ZjbgbhVO;
import com.unis.quality.common.vo.tianjin.CcfackVO;
import com.unis.quality.common.vo.tianjin.PointPlanVO;
import com.unis.quality.server.entity.quality.tianjin.PointPlanDO;

/**
 * 
 * @ClassName: PointPlanService
 * @Description: 品质测报-布点计划
 * @author lfx
 * @date 2019年7月10日15:01:34
 * 
 * @version v1.0
 */

public interface PointPlanService {
	
	
	
	/**
	 * @Description 根据id查询详情
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @return
	 * @throws Exception
	 */
	   public List<CheckSchemeDTO> findPointPlan(String id) throws Exception;
	   
	/**
	 * @Description 抽样检测结果详情
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @return
	 * @throws Exception
	 */
	   public List<CheckSchemeDTO> samplingById(CheckSchemeDTO dto) throws Exception;
	
	/**
	 * @Description 查询
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/19
	 * @return java.util.List
	 * @throws Exception
	 */
	public  Map<String,  Object>  findByPage(CheckSchemeDTO dto,  Integer  page,  Integer  size)  throws  Exception ;

	/**
	 * @Description 多选删除
	 * @version v1.0
	 * @author lfx
	 * @param ids
	 * @date 2018/10/29
	 * @return boolean
	 * @throws Exception
	 */

	public boolean deletes(CheckSchemeDTO dto)throws  Exception  ;
	
	
	/**
	 * @Description 保存信息
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @return boolean
	 * @throws Exception
	 */
	public boolean save(CheckSchemeDTO dto) throws Exception ;

	/**
	 * @Description 更新信息
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @return boolean
	 * @throws Exception
	 */
	public boolean update(CheckSchemeDTO dto) throws Exception ;
	
	
	
	 /**
	 * @Description <!-- 抽样检测结果查看 关联质检编号的数据库表 -->
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/24
	 * @param id
	 * @return
	 * @throws Exception
	 */
    public Map<String,  Object> allSampling(CheckSchemeDTO dto,  Integer  page,  Integer  size) throws Exception ;

	/**
	 * @Description <!-- 抽样检测结果查看 关联质检编号的数据库表 -->
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/24
	 * @param id
	 * @return
	 * @throws Exception
	 */
    public Map<String,  Object> kucunliangshiList(CheckSchemeDTO dto,  Integer  page,  Integer  size) throws Exception ;

    /**
	 * @Description 质检中心推送质检编号
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/20
	 * @param QualityPredictionPlannedVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean saveZjbg(ZjbgbhVO resultsVO) throws Exception;
	
	/**
	 * @Description 抽查方案查看记录保存
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/20
	 * @param CcfackVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean updateCkjl(CcfackVO resultsVO) throws Exception;
	
	/**
	 * @Description 抽查方案查看记录列表
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/19
	 * @return java.util.List
	 * @throws Exception
	 */
	public  Map<String,  Object>  findCcfa(CcfackVO  organizationVO)  throws  Exception;

}
