package com.unis.quality.server.service.tianjin;

import java.util.List;
import java.util.Map;

import com.unis.quality.common.dto.CheckSchemeDTO;
import com.unis.quality.common.dto.ViewSituationDTO;
import com.unis.quality.common.vo.tianjin.QualityHarvestCornVO;
import com.unis.quality.server.entity.quality.tianjin.QualityHarvestCornDO;

/**
 * 
 * @ClassName: QualityHarvestCornService
 * @Description: 品质测报-抽样方案
 * @author lfx
 * @date 2019年7月10日15:01:34
 * 
 * @version v1.0
 */
public interface QualityHarvestCornService {
	
    /**
	 * @Description 根据id查询详情
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/24
	 * @param id
	 * @return
	 * @throws Exception
	 */
	public Map<String, Object>  findById(CheckSchemeDTO dto) throws Exception;
    
	/**
	 * @Description 查询
	 * @version v1.0
	 * @author lfx
	 * @param page
	 * @param size
	 * @date 2018/10/19
	 * @return java.util.List
	 * @throws Exception
	 */
	public Map<String, Object> findByPage(CheckSchemeDTO qualityVO, Integer page, Integer size) throws Exception;
	
	/**
	 * @Description 多选删除
	 * @version v1.0
	 * @author lfx
	 * @param ids
	 * @date 2018/10/24
	 * @return boolean
	 * @throws Exception
	 */
	
	public boolean deletes(String[] ids) throws Exception;
	 
	/**
	 * @Description 保存品质测报抽查方案
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/20
	 * @param QualityHarvestCornVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean save(Map<String, Object> aduitList,CheckSchemeDTO dto) throws Exception;
	
	/**
	 * @Description 更新品质测报
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月10日15:03:46
	 * @param QualityPredictionPlannedVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean update(Map<String, Object> aduitList,QualityHarvestCornVO vo) throws Exception ;
    
    
    /**
	 * @Description 品质测报-发布
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月19日15:12:44
	 * @return boolean
	 * @throws Exception
	 */
	public boolean updateState(String id) throws Exception;
	
	
	/**
	 * @Description 查询抽查方案标题
	 * @version v1.0
	 * @author lfx
	 * @date 2019年7月10日15:02:41
	 * @return boolean
	 * @throws Exception
	 */
	public List<QualityHarvestCornDO> getFlieName() throws Exception;
	
	

	/**
	 * @Description 根据名称查询id
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @param organizationName
	 * @return
	 * @throws Exception
	 */
	public String queryFabt(String fabt,String wtlx) throws Exception;

	/**
	 * @Author lidiaoquan
	 * @version V1.0
	 * @Description 抽样方案接收
	 * @Date 2019年12月10日 上午11:05:48
	 * @param vo
	 * @return boolean
	 * @throws Exception 
	 */
//	public boolean updateViewSituation(ViewSituationDTO vo) throws Exception;
}
